package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxAnnualTargetService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.model.HxAnnualTarget;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/12 0012 上午 11:46
 */
@RestController
@RequestMapping("/hx/annualTarget")
@Api(tags = "红峡全年目标和大图管理")
public class HxAnnualTargetController {

    @Autowired
    private HxAnnualTargetService hxAnnualTargetService;

    @PostMapping
    @ApiOperation(value = "新增红峡全年目标和大图")
    public AjaxResult addHxAnnualTarget(@RequestBody HxAnnualTarget hxAnnualTarget) {
        hxAnnualTargetService.addHxAnnualTarget(hxAnnualTarget);
        return AjaxResult.success();
    }

    @PutMapping
    @ApiOperation(value = "修改红峡全年目标和大图")
    public AjaxResult updateHxAnnualTarget(@RequestBody HxAnnualTarget hxAnnualTarget) {
        hxAnnualTargetService.updateHxAnnualTarget(hxAnnualTarget);
        return AjaxResult.success();
    }

    //@PreAuthorize("hasAuthority('hx:chargeQuantity:list')")
    @GetMapping("/list")
    @ApiOperation(value = "红峡全年目标和大图列表")
    public CommonPage list(HxAnnualTarget hxAnnualTarget,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxAnnualTarget> list = hxAnnualTargetService.selectHxAnnualTargetList(hxAnnualTarget);
        return CommonPage.restPage(list);
    }
}
