package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxBusinessResponsibilityService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxBusinessResponsibility;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/12 0012 下午 15:42
 */
@RestController
@RequestMapping("/hx/businessResponsibility")
@Api(tags = "经营责任书管理")
public class HxBusinessResponsibilityController {

    @Autowired
    private HxBusinessResponsibilityService hxBusinessResponsibilityService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡经营责任书列表")
    public CommonPage list(HxBusinessResponsibility hxBusinessResponsibility,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxBusinessResponsibility> list = hxBusinessResponsibilityService.selectHxBusinessResponsibilityList(hxBusinessResponsibility);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxBusinessResponsibility> list = ExcelUtil.importExcel(file, HxBusinessResponsibility.class);
        hxBusinessResponsibilityService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "经营责任书表", "经营责任书", HxBusinessResponsibility.class, "经营责任书"));
    }
}
