package com.ailanyin.admin.controller;

import com.ailanyin.model.HxCarLocation;
import com.ailanyin.admin.service.HxCarLocationService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-11 01:36:18
*/
@RestController
@RequestMapping("/business/hxCarLocation")
@Api(tags = "二期:车辆管理")
public class HxCarLocationController{

    @Autowired
    private HxCarLocationService hxCarLocationService;

	@PostMapping
    @ApiOperation(value = "新增('business:hxCarLocation:add')")
    //@PreAuthorize("hasAuthority('business:hxCarLocation:add')")
    public AjaxResult insertHxCarLocation(@RequestBody HxCarLocation hxCarLocation) {
        hxCarLocationService.insertHxCarLocation(hxCarLocation);
        return AjaxResult.success();
    }

    @PutMapping
    @ApiOperation(value = "修改('business:hxCarLocation:edit')")
    //@PreAuthorize("hasAuthority('business:hxCarLocation:edit')")
    public AjaxResult updateHxCarLocation(@RequestBody HxCarLocation hxCarLocation) {
        hxCarLocationService.updateHxCarLocation(hxCarLocation);
        return AjaxResult.success();
    }

    @DeleteMapping("/{ids}")
    @ApiOperation(value = "批量删除('business:hxCarLocation:remove')")
    //@PreAuthorize("hasAuthority('business:hxCarLocation:remove')")
    public AjaxResult deleteByIds(@PathVariable Long[] ids) {
        hxCarLocationService.deleteByIds(ids);
        return AjaxResult.success();
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取列表('business:hxCarLocation:list')")
    //@PreAuthorize("hasAuthority('business:hxCarLocation:list')")
    public CommonPage list(HxCarLocation hxCarLocation,
                           @RequestParam(value = "pageSize", defaultValue = "5") Integer pageSize,
                           @RequestParam(value = "pageNum", defaultValue = "1") Integer pageNum) {
        PageHelper.startPage(pageNum, pageSize);
        List<HxCarLocation> list = hxCarLocationService.getListByParam(hxCarLocation);
        return CommonPage.restPage(list);
    }

    @GetMapping(value = {"/{id}"})
    @ApiOperation(value = "根据id获取详情('business:hxCarLocation:query')")
    //@PreAuthorize("hasAuthority('business:hxCarLocation:query')")
    public AjaxResult getInfo(@PathVariable(value = "id", required = false) Long id) {
        return AjaxResult.success(hxCarLocationService.getInfo(id));
    }

    @PostMapping(value = {"/bind"})
    @ApiOperation(value = "将车和定位卡绑定")
    //@PreAuthorize("hasAuthority('business:hxCarLocation:add')")
    public AjaxResult bindCarAndLocation(@RequestBody HxCarLocation hxCarLocation) {
        hxCarLocationService.bindCarAndLocation(hxCarLocation);
        return AjaxResult.success();
    }

    @PostMapping(value = {"/notBind"})
    @ApiOperation(value = "将车和定位卡取消绑定")
    //@PreAuthorize("hasAuthority('business:hxCarLocation:add')")
    public AjaxResult notBindCarAndLocation(@RequestBody HxCarLocation hxCarLocation) {
        hxCarLocationService.notBindCarAndLocation(hxCarLocation);
        return AjaxResult.success();
    }
}
