package com.ailanyin.admin.controller;

import com.ailanyin.model.HxCarLocationLog;
import com.ailanyin.admin.service.HxCarLocationLogService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-15 01:18:04
*/
@RestController
@RequestMapping("/business/hxCarLocationLog")
@Api(tags = "二期: 汽车位置记录日志管理")
public class HxCarLocationLogController{

    @Autowired
    private HxCarLocationLogService hxCarLocationLogService;

    @DeleteMapping("/{ids}")
    @ApiOperation(value = "批量删除('business:hxCarLocationLog:remove')")
    //@PreAuthorize("hasAuthority('business:hxCarLocationLog:remove')")
    public AjaxResult deleteByIds(@PathVariable Long[] ids) {
        hxCarLocationLogService.deleteByIds(ids);
        return AjaxResult.success();
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取列表('business:hxCarLocationLog:list')")
    //@PreAuthorize("hasAuthority('business:hxCarLocationLog:list')")
    public CommonPage list(HxCarLocationLog hxCarLocationLog,
                           @RequestParam(value = "pageSize", defaultValue = "5") Integer pageSize,
                           @RequestParam(value = "pageNum", defaultValue = "1") Integer pageNum) {
        PageHelper.startPage(pageNum, pageSize);
        List<HxCarLocationLog> list = hxCarLocationLogService.getListByParam(hxCarLocationLog);
        return CommonPage.restPage(list);
    }

    @GetMapping("/bigPic")
    @ApiOperation(value = "获取大图数据")
    //@PreAuthorize("hasAuthority('business:hxCarLocationLog:list')")
    public AjaxResult getBigPicData() {
        return AjaxResult.success(hxCarLocationLogService.getBigPicData());
    }

    @GetMapping("/getAllReadInfo")
    @ApiOperation(value = "获取所有读卡器")
    //@PreAuthorize("hasAuthority('business:hxCarLocationLog:list')")
    public AjaxResult getAllReadInfo() {
        return AjaxResult.success(hxCarLocationLogService.getAllReadInfo());
    }

    @GetMapping("/getLogByReadId")
    @ApiOperation(value = "获取读卡器的日志")
    //@PreAuthorize("hasAuthority('business:hxCarLocationLog:list')")
    public AjaxResult getLogByReadId(@RequestParam(value = "readId") Long readId) {
        return AjaxResult.success(hxCarLocationLogService.getLogByReadId(readId));
    }
}
