package com.ailanyin.admin.controller;

import com.ailanyin.model.HxCarLocationMap;
import com.ailanyin.admin.service.HxCarLocationMapService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-17 02:12:26
*/
@RestController
@RequestMapping("/business/hxCarLocationMap")
@Api(tags = "二期: 车辆定位地图管理")
public class HxCarLocationMapController{

    @Autowired
    private HxCarLocationMapService hxCarLocationMapService;


    @PutMapping
    @ApiOperation(value = "修改('business:hxCarLocationMap:edit')")
    //@PreAuthorize("hasAuthority('business:hxCarLocationMap:edit')")
    public AjaxResult updateHxCarLocationMap(@RequestBody HxCarLocationMap hxCarLocationMap) {
        hxCarLocationMapService.updateHxCarLocationMap(hxCarLocationMap);
        return AjaxResult.success();
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取列表('business:hxCarLocationMap:list')")
    //@PreAuthorize("hasAuthority('business:hxCarLocationMap:list')")
    public CommonPage list(HxCarLocationMap hxCarLocationMap,
                           @RequestParam(value = "pageSize", defaultValue = "5") Integer pageSize,
                           @RequestParam(value = "pageNum", defaultValue = "1") Integer pageNum) {
        PageHelper.startPage(pageNum, pageSize);
        List<HxCarLocationMap> list = hxCarLocationMapService.getListByParam(hxCarLocationMap);
        return CommonPage.restPage(list);
    }

}
