package com.ailanyin.admin.controller;

import com.ailanyin.model.HxCarLogConfig;
import com.ailanyin.admin.service.HxCarLogConfigService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-02-15 04:15:39
*/
@RestController
@RequestMapping("/business/hxCarLogConfig")
@Api(tags = "车辆定位配置管理")
public class HxCarLogConfigController{

    @Autowired
    private HxCarLogConfigService hxCarLogConfigService;

	@PostMapping
    @ApiOperation(value = "新增('business:hxCarLogConfig:add')")
    //@PreAuthorize("hasAuthority('business:hxCarLogConfig:add')")
    public AjaxResult insertHxCarLogConfig(@RequestBody HxCarLogConfig hxCarLogConfig) {
        hxCarLogConfigService.insertHxCarLogConfig(hxCarLogConfig);
        return AjaxResult.success();
    }

    @PutMapping
    @ApiOperation(value = "修改('business:hxCarLogConfig:edit')")
    //@PreAuthorize("hasAuthority('business:hxCarLogConfig:edit')")
    public AjaxResult updateHxCarLogConfig(@RequestBody HxCarLogConfig hxCarLogConfig) {
        hxCarLogConfigService.updateHxCarLogConfig(hxCarLogConfig);
        return AjaxResult.success();
    }

    @DeleteMapping("/{ids}")
    @ApiOperation(value = "批量删除('business:hxCarLogConfig:remove')")
    //@PreAuthorize("hasAuthority('business:hxCarLogConfig:remove')")
    public AjaxResult deleteByIds(@PathVariable Long[] ids) {
        hxCarLogConfigService.deleteByIds(ids);
        return AjaxResult.success();
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取列表('business:hxCarLogConfig:list')")
    //@PreAuthorize("hasAuthority('business:hxCarLogConfig:list')")
    public CommonPage list(HxCarLogConfig hxCarLogConfig,
                           @RequestParam(value = "pageSize", defaultValue = "5") Integer pageSize,
                           @RequestParam(value = "pageNum", defaultValue = "1") Integer pageNum) {
        PageHelper.startPage(pageNum, pageSize);
        List<HxCarLogConfig> list = hxCarLogConfigService.getListByParam(hxCarLogConfig);
        return CommonPage.restPage(list);
    }

    @GetMapping(value = {"/{id}"})
    @ApiOperation(value = "根据id获取详情('business:hxCarLogConfig:query')")
    //@PreAuthorize("hasAuthority('business:hxCarLogConfig:query')")
    public AjaxResult getInfo(@PathVariable(value = "id", required = false) Long id) {
        return AjaxResult.success(hxCarLogConfigService.getInfo(id));
    }
}
