package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxChargeDeliverService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxChargeDeliver;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 13:18
 */

@RestController
@RequestMapping("/hx/chargeDeliver")
@Api(tags = "科研生产:生产管理:生产指标管理")
public class HxChargeDeliverController {

    @Autowired
    private HxChargeDeliverService hxChargeDeliverService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡装药量和交付量列表")
    public CommonPage list(HxChargeDeliver hxChargeDeliver,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxChargeDeliver> list = hxChargeDeliverService.selectList(hxChargeDeliver);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxChargeDeliver> list = ExcelUtil.importExcel(file, HxChargeDeliver.class);
        hxChargeDeliverService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "装药量和交付量表", "装药量和交付量", HxChargeDeliver.class, "装药量和交付量"));
    }
}
