package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxChargeJobContentService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxChargeJobContent;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 19:55
 */

@RestController
@RequestMapping("/hx/chargeJobContent")
@Api(tags = "科研生产:作业动态:装药当前内容表管理")
public class HxChargeJobContentController {

    @Autowired
    private HxChargeJobContentService hxChargeJobContentService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡装药当前内容表列表")
    public CommonPage list(HxChargeJobContent hxChargeJobContent,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxChargeJobContent> list = hxChargeJobContentService.selectList(hxChargeJobContent);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxChargeJobContent> list = ExcelUtil.importExcel(file, HxChargeJobContent.class);
        hxChargeJobContentService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "装药当前内容表", "装药当前内容表", HxChargeJobContent.class, "装药当前内容表"));
    }

}
