package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxCivilIncomeService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxCivilIncome;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 上午 11:28
 */

@RestController
@RequestMapping("/hx/civilIncome")
@Api(tags = "经营管理: 民品收入管理")
public class HxCivilIncomeController {

    @Autowired
    private HxCivilIncomeService hxCivilIncomeService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡民品收入列表")
    public CommonPage list(HxCivilIncome hxCivilIncome,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxCivilIncome> list = hxCivilIncomeService.selectHxCivilIncomeList(hxCivilIncome);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxCivilIncome> list = ExcelUtil.importExcel(file, HxCivilIncome.class);
        hxCivilIncomeService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "民品收入表", "民品收入", HxCivilIncome.class, "民品收入"));
    }

}
