package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxComprehensivePlanService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxComprehensivePlan;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 15:47
 */

@RestController
@RequestMapping("/hx/comprehensivePlan")
@Api(tags = "经营管理: 综合计划-绩效计划管理")
public class HxComprehensivePlanController {

    @Autowired
    private HxComprehensivePlanService hxComprehensivePlanService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡综合计划-绩效计划列表")
    public CommonPage list(HxComprehensivePlan hxComprehensivePlan,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxComprehensivePlan> list = hxComprehensivePlanService.selectList(hxComprehensivePlan);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxComprehensivePlan> list = ExcelUtil.importExcel(file, HxComprehensivePlan.class);
        hxComprehensivePlanService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "综合计划/绩效计划表", "综合计划/绩效计划", HxComprehensivePlan.class, "综合计划-绩效计划"));
    }

}
