package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxCostAnalysisService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxCostAnalysis;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 上午 11:40
 */

@RestController
@RequestMapping("/hx/costAnalysis")
@Api(tags = "经营管理: 成本分析管理")
public class HxCostAnalysisController {


    @Autowired
    private HxCostAnalysisService hxCostAnalysisService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡成本分析列表")
    public CommonPage list(HxCostAnalysis hxCostAnalysis,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxCostAnalysis> list = hxCostAnalysisService.selectList(hxCostAnalysis);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxCostAnalysis> list = ExcelUtil.importExcel(file, HxCostAnalysis.class);
        hxCostAnalysisService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "成本分析表", "成本分析", HxCostAnalysis.class, "成本分析"));
    }
}
