package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxDeptOperateIndexService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxDeptOperateIndex;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/17 0017 下午 16:06
 */

@RestController
@RequestMapping("/hx/deptOperateIndex")
@Api(tags = "经营管理:部门经营指标管理")
public class HxDeptOperateIndexController {

    @Autowired
    private HxDeptOperateIndexService hxDeptOperateIndexService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡部门经营指标列表")
    public CommonPage list(HxDeptOperateIndex hxDeptOperateIndex,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxDeptOperateIndex> list = hxDeptOperateIndexService.selectList(hxDeptOperateIndex);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxDeptOperateIndex> list = ExcelUtil.importExcel(file, HxDeptOperateIndex.class);
        hxDeptOperateIndexService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "部门经营指标表", "部门经营指标", HxDeptOperateIndex.class, "部门经营指标"));
    }
}
