package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxEsterProductionService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxEsterProduction;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 18:21
 */

@RestController
@RequestMapping("/hx/esterProduction")
@Api(tags = "科研生产:作业动态:酯作业管理")
public class HxEsterProductionController {

    @Autowired
    private HxEsterProductionService hxEsterProductionService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡酯作业内容列表")
    public CommonPage list(HxEsterProduction hxEsterProduction,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxEsterProduction> list = hxEsterProductionService.selectList(hxEsterProduction);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxEsterProduction> list = ExcelUtil.importExcel(file, HxEsterProduction.class);
        hxEsterProductionService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "酯作业内容表", "酯作业内容", HxEsterProduction.class, "酯作业内容"));
    }
}
