package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxFactoryResourcesService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxFactoryResources;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 上午 11:20
 */

@RestController
@RequestMapping("/hx/factoryResources")
@Api(tags = "科研生产:全厂资源动态管理")
public class HxFactoryResourcesController {

    @Autowired
    private HxFactoryResourcesService hxFactoryResourcesService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡全厂资源动态列表")
    public CommonPage list(HxFactoryResources hxFactoryResources,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxFactoryResources> list = hxFactoryResourcesService.selectList(hxFactoryResources);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxFactoryResources> list = ExcelUtil.importExcel(file, HxFactoryResources.class);
        hxFactoryResourcesService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "全厂资源动态表", "全厂资源动态", HxFactoryResources.class, "全厂资源动态"));
    }

}
