package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxIndustrialProjectsService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxIndustrialProjects;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 14:27
 */

@RestController
@RequestMapping("/hx/industrialProjects")
@Api(tags = "经营管理: 信息公式-民用产业项目信息管理")
public class HxIndustrialProjectsController {

    @Autowired
    private HxIndustrialProjectsService hxIndustrialProjectsService;

    @GetMapping("/list")
    @ApiOperation(value = "民用产业项目信息列表")
    public CommonPage list(HxIndustrialProjects hxIndustrialProjects,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxIndustrialProjects> list = hxIndustrialProjectsService.selectList(hxIndustrialProjects);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxIndustrialProjects> list = ExcelUtil.importExcel(file, HxIndustrialProjects.class);
        hxIndustrialProjectsService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "民用产业项目信息表", "民用产业项目信息", HxIndustrialProjects.class, "民用产业项目信息"));
    }
}
