package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxInformationIndexService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.model.HxInformationIndex;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 下午 13:35
 */

@RestController
@RequestMapping("/hx/informationIndex")
@Api(tags = "红峡信息化指标管理")
public class HxInformationIndexController {

    @Autowired
    private HxInformationIndexService hxInformationIndexService;

    @GetMapping("/getInfo")
    @ApiOperation(value = "获取")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult getInfo() {
        return AjaxResult.success(hxInformationIndexService.getInfo());
    }

    @PutMapping("/updateInfo")
    @ApiOperation(value = "更新")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult updateInfo(@RequestBody HxInformationIndex hxInformationIndex) {
        hxInformationIndexService.updateInfo(hxInformationIndex);
        return AjaxResult.success();
    }
}
