package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.*;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.model.HxPlanCompleted;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 下午 13:58
 */

@RestController
@RequestMapping("/hx/informationManagement")
@Api(tags = "大图: 信息化管理")
public class HxInformationManagementController {

    @Autowired
    private HxResponsibilityStatusService hxResponsibilityStatusService;
    @Autowired
    private HxWorkPlanService hxWorkPlanService;
    @Autowired
    private HxSystemRadarService hxSystemRadarService;
    @Autowired
    private HxPlanCompletedService hxPlanCompletedService;
    @Autowired
    private HxInformationIndexService hxInformationIndexService;

    @GetMapping("/getHxResponsibilityStatusPic")
    @ApiOperation(value = "信息化责任令完成概况")
    public AjaxResult getHxResponsibilityStatusPic() {
        Map map = hxResponsibilityStatusService.getHxResponsibilityStatusPic();
        return AjaxResult.success(map);
    }

    @GetMapping("/getHxWorkPlanPic")
    @ApiOperation(value = "项目工作计划 type=1完成率/2=明细")
    public AjaxResult getHxWorkPlanPic(@RequestParam("type")String type) {
        Map map = hxWorkPlanService.getHxWorkPlanPic(type);
        return AjaxResult.success(map);
    }

    @GetMapping("/getHxSystemRadarPic")
    @ApiOperation(value = "系统雷达图")
    public AjaxResult getHxSystemRadarPic() {
        List<Map> map = hxSystemRadarService.getHxSystemRadarPic();
        return AjaxResult.success(map);
    }

    @GetMapping("/getHxPlanCompletedListPic")
    @ApiOperation(value = "右下角-月度工作计划")
    public AjaxResult getHxPlanCompletedListPic() {
        return AjaxResult.success(hxPlanCompletedService.selectHxPlanCompletedList(new HxPlanCompleted()));
    }

    @GetMapping("/getHxPlanCompletedByMonthPic")
    @ApiOperation(value = "右中间角-月度工作计划")
    public AjaxResult getHxPlanCompletedByMonthPic(@RequestParam("month") String month) {
        return AjaxResult.success(hxPlanCompletedService.getHxPlanCompletedByMonthPic(month));
    }

    @GetMapping("/getHxPlanCompletedPic")
    @ApiOperation(value = "右上角-月度工作计划")
    public AjaxResult getHxPlanCompletedPic() {
        return AjaxResult.success(hxPlanCompletedService.getHxPlanCompletedPic());
    }

    @GetMapping("/getHxInformationIndex")
    @ApiOperation(value = "信息化指标(包括大图)")
    public AjaxResult getHxInformationIndex() {
        return AjaxResult.success(hxInformationIndexService.getInfo());
    }
}
