package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxJobDetailsService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxJobDetails;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 19:10
 */

@RestController
@RequestMapping("/hx/jobDetails")
@Api(tags = "科研生产:作业动态:全厂作业明细管理")
public class HxJobDetailsController {

    @Autowired
    private HxJobDetailsService hxJobDetailsService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡全厂作业明细列表")
    public CommonPage list(HxJobDetails hxJobDetails,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxJobDetails> list = hxJobDetailsService.selectList(hxJobDetails);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxJobDetails> list = ExcelUtil.importExcel(file, HxJobDetails.class);
        hxJobDetailsService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "全厂作业明细表", "全厂作业明细", HxJobDetails.class, "全厂作业明细"));
    }
}
