package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxMaterialPlanService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxMaterialPlan;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 上午 11:34
 */

@RestController
@RequestMapping("/hx/materialPlan")
@Api(tags = "科研生产:生产管理:物资计划管理")
public class HxMaterialPlanController {


    @Autowired
    private HxMaterialPlanService hxMaterialPlanService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡物资计划列表")
    public CommonPage list(HxMaterialPlan hxMaterialPlan,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxMaterialPlan> list = hxMaterialPlanService.selectList(hxMaterialPlan);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxMaterialPlan> list = ExcelUtil.importExcel(file, HxMaterialPlan.class);
        hxMaterialPlanService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "物资计划表", "物资计划", HxMaterialPlan.class, "物资计划"));
    }
}
