package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxMaterialsAccessoriesService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxMaterialsAccessories;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 上午 10:54
 */

@RestController
@RequestMapping("/hx/materialsAccessories")
@Api(tags = "科研生产:项目管理:型号原材料及配套件管理")
public class HxMaterialsAccessoriesController {

    @Autowired
    private HxMaterialsAccessoriesService hxMaterialsAccessoriesService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡型号原材料及配套件列表")
    public CommonPage list(HxMaterialsAccessories hxMaterialsAccessories,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxMaterialsAccessories> list = hxMaterialsAccessoriesService.selectList(hxMaterialsAccessories);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxMaterialsAccessories> list = ExcelUtil.importExcel(file, HxMaterialsAccessories.class);
        hxMaterialsAccessoriesService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "型号原材料及配套件表", "型号原材料及配套件", HxMaterialsAccessories.class, "型号原材料及配套件"));
    }
}
