package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxMilepostAndBottleneckService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxMilepostAndBottleneck;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 上午 10:15
 */

@RestController
@RequestMapping("/hx/milepostAndBottleneck")
@Api(tags = "科研生产:生产管理:里程碑瓶颈管理")
public class HxMilepostAndBottleneckController {

    @Autowired
    private HxMilepostAndBottleneckService hxMilepostAndBottleneckService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡里程碑及瓶颈短线工作计划列表")
    public CommonPage list(HxMilepostAndBottleneck hxMilepostAndBottleneck,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxMilepostAndBottleneck> list = hxMilepostAndBottleneckService.selectList(hxMilepostAndBottleneck);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxMilepostAndBottleneck> list = ExcelUtil.importExcel(file, HxMilepostAndBottleneck.class);
        hxMilepostAndBottleneckService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "里程碑及瓶颈短线工作计划表", "里程碑及瓶颈短线工作计划", HxMilepostAndBottleneck.class, "里程碑及瓶颈短线工作计划"));
    }

}
