package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxMilitaryContractService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxMilitaryContract;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 下午 17:37
 */

@RestController
@RequestMapping("/hx/militaryContract")
@Api(tags = "经营管理:军用产业:军用合同管理")
public class HxMilitaryContractController {

    @Autowired
    private HxMilitaryContractService hxMilitaryContractService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡军用合同列表")
    public CommonPage list(HxMilitaryContract hxMilitaryContract,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxMilitaryContract> list = hxMilitaryContractService.selectList(hxMilitaryContract);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxMilitaryContract> list = ExcelUtil.importExcel(file, HxMilitaryContract.class);
        hxMilitaryContractService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "军用合同表", "军用合同", HxMilitaryContract.class, "军用合同"));
    }
}
