package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxModelYearPlanService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxModelYearPlan;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 下午 13:22
 */

@RestController
@RequestMapping("/hx/modelYearPlan")
@Api(tags = "科研生产:项目管理:年度型号信息管理")
public class HxModelYearPlanController {

    @Autowired
    private HxModelYearPlanService hxModelYearPlanService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡年度型号信息列表")
    public CommonPage list(HxModelYearPlan hxModelYearPlan,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxModelYearPlan> list = hxModelYearPlanService.selectList(hxModelYearPlan);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxModelYearPlan> list = ExcelUtil.importExcel(file, HxModelYearPlan.class);
        hxModelYearPlanService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "年度型号信息表", "年度型号信息", HxModelYearPlan.class, "年度型号信息"));
    }
}
