package com.ailanyin.admin.controller;

import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxMonthDynamic;
import com.ailanyin.admin.service.HxMonthDynamicService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.model.HxMonthPlan;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-19 04:55:46
*/
@RestController
@RequestMapping("/business/hxMonthDynamic")
@Api(tags = "本月动态管理")
public class HxMonthDynamicController{

    @Autowired
    private HxMonthDynamicService hxMonthDynamicService;

    @GetMapping("/list")
    @ApiOperation(value = "获取列表('business:hxMonthDynamic:list')")
    //@PreAuthorize("hasAuthority('business:hxMonthDynamic:list')")
    public CommonPage list(HxMonthDynamic hxMonthDynamic,
                           @RequestParam(value = "pageSize", defaultValue = "5") Integer pageSize,
                           @RequestParam(value = "pageNum", defaultValue = "1") Integer pageNum) {
        PageHelper.startPage(pageNum, pageSize);
        List<HxMonthDynamic> list = hxMonthDynamicService.getListByParam(hxMonthDynamic);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxMonthDynamic> list = ExcelUtil.importExcel(file, HxMonthDynamic.class);
        hxMonthDynamicService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "本月动态表(新数据覆盖旧数据)", "本月动态", HxMonthDynamic.class, "本月动态"));
    }
}
