package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxPlanCompletedService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxPlanCompleted;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 9:16
 */
@RestController
@RequestMapping("/hx/planCompleted")
@Api(tags = "红峡部门计划完成情况管理")
public class HxPlanCompletedController {

    @Autowired
    private HxPlanCompletedService hxPlanCompletedService;
    @GetMapping("/list")
    @ApiOperation(value = "红峡部门计划完成情况列表")
    public CommonPage list(HxPlanCompleted hxPlanCompleted,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxPlanCompleted> list = hxPlanCompletedService.selectHxPlanCompletedList(hxPlanCompleted);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxPlanCompleted> list = ExcelUtil.importExcel(file, HxPlanCompleted.class);
        hxPlanCompletedService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "部门计划完成情况表", "部门计划完成情况", HxPlanCompleted.class, "部门计划完成情况"));
    }

}
