package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxProductPicService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.model.HxProductPic;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 下午 14:16
 */

@RestController
@RequestMapping("/hx/productPic")
@Api(tags = "科研生产:项目管理:单台产品信息管理")
public class HxProductPicController {

    @Autowired
    private HxProductPicService hxProductPicService;

    @GetMapping("/getInfo")
    @ApiOperation(value = "获取")
    public AjaxResult getInfo() {
        return AjaxResult.success(hxProductPicService.getInfo());
    }

    @PutMapping("/updateInfo")
    @ApiOperation(value = "更新")
    public AjaxResult updateInfo(@RequestBody HxProductPic hxProductPic) {
        hxProductPicService.updateInfo(hxProductPic);
        return AjaxResult.success();
    }
}
