package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxProductQualifiedService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxProductQualified;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/13 0013 下午 17:53
 */
@RestController
@RequestMapping("/hx/productQualified")
@Api(tags = "红峡大中小产品合格率管理")
public class HxProductQualifiedController {

    @Autowired
    private HxProductQualifiedService hxProductQualifiedService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡大中小产品合格率列表")
    public CommonPage list(HxProductQualified hxProductQualified,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxProductQualified> list = hxProductQualifiedService.selectHxProductQualifiedList(hxProductQualified);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxProductQualified> list = ExcelUtil.importExcel(file, HxProductQualified.class);
        hxProductQualifiedService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "大中小产品表,分类(1=大型,2=中型,3=小型)填数字", "大中小产品", HxProductQualified.class, "大中小产品"));
    }


}
