package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxProductionIndexService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxProductionIndex;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 14:05
 */

@RestController
@RequestMapping("/hx/productionIndex")
@Api(tags = "科研生产:生产管理:年生产指标管理")
public class HxProductionIndexController {

    @Autowired
    private HxProductionIndexService hxProductionIndexService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡年指标累计和目标列表")
    public CommonPage list(HxProductionIndex hxProductionIndex,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxProductionIndex> list = hxProductionIndexService.selectList(hxProductionIndex);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxProductionIndex> list = ExcelUtil.importExcel(file, HxProductionIndex.class);
        hxProductionIndexService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "年指标累计和目标表", "年指标累计和目标", HxProductionIndex.class, "年指标累计和目标"));
    }
}
