package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxProductionPlanService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxProductionPlan;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 上午 11:33
 */

@RestController
@RequestMapping("/hx/productionPlan")
@Api(tags = "科研生产:项目管理:生产计划管理")
public class HxProductionPlanController {

    @Autowired
    private HxProductionPlanService hxProductionPlanService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡生产计划列表")
    public CommonPage list(HxProductionPlan hxProductionPlan,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxProductionPlan> list = hxProductionPlanService.selectHxProductionPlanList(hxProductionPlan);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxProductionPlan> list = ExcelUtil.importExcel(file, HxProductionPlan.class);
        hxProductionPlanService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "生产计划表", "生产计划", HxProductionPlan.class, "生产计划"));
    }
}
