package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxProductionSituationService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxProductionSituation;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 22:10
 */

@RestController
@RequestMapping("/hx/productionSituation")
@Api(tags = "科研生产:生产管理:生产情况管理")
public class HxProductionSituationController {

    @Autowired
    private HxProductionSituationService hxProductionSituationService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡生产情况列表")
    public CommonPage list(HxProductionSituation hxProductionSituation,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxProductionSituation> list = hxProductionSituationService.selectList(hxProductionSituation);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxProductionSituation> list = ExcelUtil.importExcel(file, HxProductionSituation.class);
        hxProductionSituationService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "生产情况表", "生产情况", HxProductionSituation.class, "生产情况"));
    }

}
