package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.*;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.model.HxQualityCase;
import com.ailanyin.model.HxVideoSystem;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

import static org.openxmlformats.schemas.wordprocessingml.x2006.main.STAlgType.type;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/13 0013 上午 9:47
 */
@RestController
@RequestMapping("/hx/qualityAssurance")
@Api(tags = "大图: 质量管理")
public class HxQualityAssuranceController {

    @Autowired
    private HxQualityCaseService hxQualityCaseService;
    @Autowired
    private HxSpcInfoService hxSpcInfoService;
    @Autowired
    private HxVideoSystemService hxVideoSystemService;
    @Autowired
    private HxQualityInspectAnalysisService hxQualityInspectAnalysisService;
    @Autowired
    private HxQualityProblemService hxQualityProblemService;
    @Autowired
    private HxQualityPlanService hxQualityPlanService;
    @Autowired
    private HxQualitySystemService hxQualitySystemService;
    @Autowired
    private HxQualityManageService hxQualityManageService;


    @GetMapping("/getHxQualityCasePic")
    @ApiOperation(value = "质量案例/检查明细")
    public AjaxResult getHxQualityCasePic() {
        List<HxQualityCase> list = hxQualityCaseService.selectHxQualityCaseList(new HxQualityCase());
        return AjaxResult.success(list);
    }

    @GetMapping("/getHxAllSpcCategory")
    @ApiOperation(value = "获取所有spc分类")
    public AjaxResult getHxAllSpcCategory() {
        List<String> list = hxSpcInfoService.getHxAllSpcCategory();
        return AjaxResult.success(list);
    }

    @GetMapping("/getHxSpcPic")
    @ApiOperation(value = "关键参数spc分析")
    public AjaxResult getHxSpcPic(@RequestParam("category")String category) {
        return AjaxResult.success(hxSpcInfoService.getHxSpcPic(category));
    }

    @GetMapping("/getHxVideoSystem")
    @ApiOperation(value = "视频检验系统实况")
    public AjaxResult getHxVideoSystemPic() {
        return AjaxResult.success(hxVideoSystemService.selectHxVideoSystemList(new HxVideoSystem()));
    }

    @GetMapping("/getHxQualityInspect")
    @ApiOperation(value = "质量检测分析 type=1总厂/2部门")
    public AjaxResult getHxQualityInspect(@RequestParam("type")String type) {
        return AjaxResult.success(hxQualityInspectAnalysisService.getHxQualityInspectByType(type));
    }

    @GetMapping("/getQualityProblem")
    @ApiOperation(value = "质量问题 type=1全年/2月度")
    public AjaxResult getQualityProblem(@RequestParam("type")String type) {
        return AjaxResult.success(hxQualityProblemService.getQualityProblemByType(type));
    }

    @GetMapping("/getQualityPlan")
    @ApiOperation(value = "质量计划 type=1全厂/2部门")
    public AjaxResult getQualityPlan(@RequestParam("type")String type) {
        return AjaxResult.success(hxQualityPlanService.getQualityPlan(type));
    }

    @GetMapping("/getQualityManage")
    @ApiOperation(value = "质量管理(八宫格)")
    public AjaxResult getQualityManage() {
        return AjaxResult.success(hxQualityManageService.getQualityManagePic());
    }

    @GetMapping("/getQualitySystem/1")
    @ApiOperation(value = "质量体系(饼图)")
    public AjaxResult getQualitySystem1() {
        return AjaxResult.success(hxQualitySystemService.getPic1());
    }

    @GetMapping("/getQualitySystem/2")
    @ApiOperation(value = "质量体系(点点图)")
    public AjaxResult getQualitySystem2() {
        return AjaxResult.success(hxQualitySystemService.getPic2());
    }
}
