package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxQualityManageService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxQualityManage;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 上午 9:08
 */

@RestController
@RequestMapping("/hx/qualityManage")
@Api(tags = "质量管理:质量管理(八宫格图)")
public class HxQualityManageController {

    @Autowired
    private HxQualityManageService hxQualityManageService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡质量管理列表")
    public CommonPage list(HxQualityManage hxQualityManage,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxQualityManage> list = hxQualityManageService.selectList(hxQualityManage);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxQualityManage> list = ExcelUtil.importExcel(file, HxQualityManage.class);
        hxQualityManageService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "质量管理表", "质量管理", HxQualityManage.class, "质量管理"));
    }

}
