package com.ailanyin.admin.controller;

import com.ailanyin.model.HxReaderInfo;
import com.ailanyin.admin.service.HxReaderInfoService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-15 08:59:27
*/
@RestController
@RequestMapping("/business/hxReaderInfo")
@Api(tags = "二期: 读卡器管理")
public class HxReaderInfoController{

    @Autowired
    private HxReaderInfoService hxReaderInfoService;

	@PostMapping
    @ApiOperation(value = "新增('business:hxReaderInfo:add')")
    //@PreAuthorize("hasAuthority('business:hxReaderInfo:add')")
    public AjaxResult insertHxReaderInfo(@RequestBody HxReaderInfo hxReaderInfo) {
        hxReaderInfoService.insertHxReaderInfo(hxReaderInfo);
        return AjaxResult.success();
    }

    @PutMapping
    @ApiOperation(value = "修改('business:hxReaderInfo:edit')")
    //@PreAuthorize("hasAuthority('business:hxReaderInfo:edit')")
    public AjaxResult updateHxReaderInfo(@RequestBody HxReaderInfo hxReaderInfo) {
        hxReaderInfoService.updateHxReaderInfo(hxReaderInfo);
        return AjaxResult.success();
    }

    @DeleteMapping("/{ids}")
    @ApiOperation(value = "批量删除('business:hxReaderInfo:remove')")
    //@PreAuthorize("hasAuthority('business:hxReaderInfo:remove')")
    public AjaxResult deleteByIds(@PathVariable Long[] ids) {
        hxReaderInfoService.deleteByIds(ids);
        return AjaxResult.success();
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取列表('business:hxReaderInfo:list')")
    //@PreAuthorize("hasAuthority('business:hxReaderInfo:list')")
    public CommonPage list(HxReaderInfo hxReaderInfo,
                           @RequestParam(value = "pageSize", defaultValue = "5") Integer pageSize,
                           @RequestParam(value = "pageNum", defaultValue = "1") Integer pageNum) {
        PageHelper.startPage(pageNum, pageSize);
        List<HxReaderInfo> list = hxReaderInfoService.getListByParam(hxReaderInfo);
        return CommonPage.restPage(list);
    }

    @GetMapping(value = {"/{id}"})
    @ApiOperation(value = "根据id获取详情('business:hxReaderInfo:query')")
    //@PreAuthorize("hasAuthority('business:hxReaderInfo:query')")
    public AjaxResult getInfo(@PathVariable(value = "id", required = false) Long id) {
        return AjaxResult.success(hxReaderInfoService.getInfo(id));
    }
}
