package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.*;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.model.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 13:07
 */

@RestController
@RequestMapping("/hx/scientificProduction")
@Api(tags = "大图: 科研生产")
public class HxScientificProductionController {

    @Autowired
    private HxFactoryResourcesService hxFactoryResourcesService;
    @Autowired
    private HxCarUseService hxCarUseService;
    @Autowired
    private HxWeekPlanService hxWeekPlanService;
    @Autowired
    private HxEsterProductionService hxEsterProductionService;
    @Autowired
    private HxChargeJobContentService hxChargeJobContentService;
    @Autowired
    private HxProductPicService hxProductPicService;
    @Autowired
    private HxStorehouseService hxStorehouseService;
    @Autowired
    private HxModelStationService hxModelStationService;
    @Autowired
    private HxModelYearPlanService hxModelYearPlanService;
    @Autowired
    private HxProductionPlanService hxProductionPlanService;
    @Autowired
    private HxMilepostAndBottleneckService hxMilepostAndBottleneckService;
    @Autowired
    private HxMaterialPlanService hxMaterialPlanService;
    @Autowired
    private HxDispatchMeetingService hxDispatchMeetingService;
    @Autowired
    private HxTeamAttendanceService hxTeamAttendanceService;
    @Autowired
    private HxYearDutyService hxYearDutyService;
    @Autowired
    private HxMonthPlanService hxMonthPlanService;
    @Autowired
    private HxMonthFactoryPlanService hxMonthFactoryPlanService;
    @Autowired
    private HxMaterialsAccessoriesService hxMaterialsAccessoriesService;
    @Autowired
    private HxProductionIndexService hxProductionIndexService;
    @Autowired
    private HxProductionSituationService hxProductionSituationService;
    @Autowired
    private HxJobDetailsService hxJobDetailsService;
    @Autowired
    private HxWorkHomeInfoService hxWorkHomeInfoService;

    @GetMapping("/getHxFactoryResourcesPic")
    @ApiOperation(value = "作业动态-全厂资源动态")
    public AjaxResult getHxFactoryResourcesPic() {
        return AjaxResult.success(hxFactoryResourcesService.getHxFactoryResourcesPic());
    }

    @GetMapping("/getHxCarUsePic1")
    @ApiOperation(value = "作业动态-被使用车辆总数")
    public AjaxResult getHxCarUsePic1() {
        return AjaxResult.success(hxCarUseService.getHxCarUsePic1());
    }

    @GetMapping("/getHxCarUsePic2")
    @ApiOperation(value = "作业动态-车辆使用列表")
    public AjaxResult getHxCarUsePic2() {
        return AjaxResult.success(hxCarUseService.getHxCarUsePic2());
    }

    @GetMapping("/getHxWeekPlanUsePic")
    @ApiOperation(value = "作业动态-本周计划")
    public AjaxResult getHxWeekPlanUsePic() {
        return AjaxResult.success(hxWeekPlanService.getHxWeekPlanUsePic());
    }

    @GetMapping("/getHxJobDetailsPic")
    @ApiOperation(value = "作业动态-全厂作业明细")
    public AjaxResult getHxJobDetailsPic() {
        return AjaxResult.success(hxJobDetailsService.selectList(new HxJobDetails()));
    }

    @GetMapping("/getHxWorkHomePic")
    @ApiOperation(value = "作业动态-中间工房")
    public AjaxResult getHxWorkHomePic() {
        return AjaxResult.success(hxWorkHomeInfoService.getHxWorkHomePic());
    }

    @GetMapping("/getHxEsterProductionPic")
    @ApiOperation(value = "作业动态-酯生产量")
    public AjaxResult getHxEsterProductionPic() {
        return AjaxResult.success(hxEsterProductionService.getHxEsterProductionPic());
    }

    @GetMapping("/getChargeJobContentPic")
    @ApiOperation(value = "作业动态-装药当前作业内容")
    public AjaxResult getChargeJobContentPic() {
        return AjaxResult.success(hxChargeJobContentService.getChargeJobContentPic());
    }

    @GetMapping("/getYearDutyPic")
    @ApiOperation(value = "生产管理-生产责任令")
    public AjaxResult getYearDutyPic() {
        HxYearDuty hxYearDuty = new HxYearDuty();
        hxYearDuty.setYear(DateUtil.getNowYear().toString());
        return AjaxResult.success(hxYearDutyService.selectList(hxYearDuty));
    }

    @GetMapping("/getProductionIndexPic")
    @ApiOperation(value = "生产管理-中间上方生产指标")
    public AjaxResult getProductionIndexPic() {
        return AjaxResult.success(hxProductionIndexService.getProductionIndexPic());
    }

    @GetMapping("/getProductionSituationPic")
    @ApiOperation(value = "生产管理-生产情况分析")
    public AjaxResult getProductionSituationPic() {
        return AjaxResult.success(hxProductionSituationService.selectList(new HxProductionSituation()));
    }

    @GetMapping("/getMonthPlanPic")
    @ApiOperation(value = "生产管理-本月计划执行情况-type=厂计划/六院计划")
    public AjaxResult getMonthPlanPic(@RequestParam(value = "type") String type) {
        HxMonthPlan plan = new HxMonthPlan();
        plan.setMonth(DateUtil.getDate("yyyy-MM"));
        plan.setAscription(type);
        return AjaxResult.success(hxMonthPlanService.selectList(plan));
    }

    @GetMapping("/getMonthFactoryPlanPic")
    @ApiOperation(value = "生产管理-工厂计划")
    public AjaxResult getMonthFactoryPlanPic(@RequestParam(value = "month", required = false) String month) {
        HxMonthFactoryPlan plan = new HxMonthFactoryPlan();
        if (EmptyUtil.isNotEmpty(month)) {
            plan.setMonth(DateUtil.getDate(month));
        } else {
            plan.setMonth(DateUtil.getDate("yyyy-MM"));
        }
        return AjaxResult.success(hxMonthFactoryPlanService.selectList(plan));
    }

    @GetMapping("/getMilepostAndBottleneckPic")
    @ApiOperation(value = "生产管理-里程碑和瓶颈")
    public AjaxResult getMilepostAndBottleneckPic(@RequestParam(value = "projectName", required = false) String projectName) {
        return AjaxResult.success(hxMilepostAndBottleneckService.getMilepostAndBottleneckPic(projectName));
    }

    @GetMapping("/getMaterialPlanPic")
    @ApiOperation(value = "生产管理-物资计划")
    public AjaxResult getMaterialPlanPic() {
        return AjaxResult.success(hxMaterialPlanService.selectList(new HxMaterialPlan()));
    }

    @GetMapping("/getDispatchMeetingPic")
    @ApiOperation(value = "生产管理-调度会")
    public AjaxResult getDispatchMeetingPic() {
        return AjaxResult.success(hxDispatchMeetingService.selectList(new HxDispatchMeeting()));
    }

    @GetMapping("/getTeamAttendancePic")
    @ApiOperation(value = "生产管理-人员管理")
    public AjaxResult getTeamAttendancePic() {
        return AjaxResult.success(hxTeamAttendanceService.selectList(new HxTeamAttendance()));
    }

    @GetMapping("/getProductPic")
    @ApiOperation(value = "项目管理-单台产品信息")
    public AjaxResult getProductPic() {
        return AjaxResult.success(hxProductPicService.getInfo());
    }

    @GetMapping("/getMaterialsAccessoriesPic")
    @ApiOperation(value = "项目管理-型号原材料及配套件")
    public AjaxResult getMaterialsAccessoriesPic(@RequestParam("type") String type) {
        return AjaxResult.success(hxMaterialsAccessoriesService.getMaterialsAccessoriesPic(type));
    }

    @GetMapping("/getStorehousePic")
    @ApiOperation(value = "项目管理-库房信息")
    public AjaxResult getStorehousePic() {
        return AjaxResult.success(hxStorehouseService.selectList(null));
    }

    @GetMapping("/getModelStationPic")
    @ApiOperation(value = "项目管理-型号工位")
    public AjaxResult getModelStationPic() {
        return AjaxResult.success(hxModelStationService.getModelStationPic());
    }

    @GetMapping("/getModelYearPlanPic")
    @ApiOperation(value = "项目管理-型号信息")
    public AjaxResult getModelYearPlanPic() {
        HxModelYearPlan yearPlan = new HxModelYearPlan();
        yearPlan.setYear(DateUtil.getNowYear().toString()+"%");
        return AjaxResult.success(hxModelYearPlanService.selectList(yearPlan));
    }

    @GetMapping("/getProductionPlanPic")
    @ApiOperation(value = "项目管理-生产计划")
    public AjaxResult getProductionPlanPic(@RequestParam(value = "month") String month) {
        return AjaxResult.success(hxProductionPlanService.getProductionPlanPic(month));
    }

    @GetMapping("/getModelProductionStatisticPic")
    @ApiOperation(value = "项目管理-型号生产统计")
    public AjaxResult getModelProductionStatisticPic() {
        return AjaxResult.success(hxProductionPlanService.getModelProductionStatisticPic());
    }

}
