package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxSpcProductService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxSpcProduct;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 上午 9:41
 */

@RestController
@RequestMapping("/hx/spcProduct")
@Api(tags = "产品实际SPC值管理")
public class HxSpcProductController {

    @Autowired
    private HxSpcProductService hxSpcProductService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡产品实际SPC列表")
    public CommonPage list(HxSpcProduct hxSpcProduct,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxSpcProduct> list = hxSpcProductService.selectList(hxSpcProduct);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxSpcProduct> list = ExcelUtil.importExcel(file, HxSpcProduct.class);
        hxSpcProductService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "产品实际SPC表", "产品实际SPC", HxSpcProduct.class, "产品实际SPC"));
    }
}
