package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxStockDetailedService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxStockDetailed;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 17:16
 */

@RestController
@RequestMapping("/hx/stockDetailed")
@Api(tags = "科研生产:项目管理:原材料和配套件库存管理")
public class HxStockDetailedController {

    @Autowired
    private HxStockDetailedService hxStockDetailedService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡原材料和配套件库存列表")
    public CommonPage list(HxStockDetailed hxStockDetailed,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxStockDetailed> list = hxStockDetailedService.selectList(hxStockDetailed);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxStockDetailed> list = ExcelUtil.importExcel(file, HxStockDetailed.class);
        hxStockDetailedService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "原材料和配套件库存表", "原材料和配套件库存", HxStockDetailed.class, "原材料和配套件库存"));
    }

}
