package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxSystemRadarService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxSystemRadar;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 9:46
 */
@RestController
@RequestMapping("/hx/systemRadar")
@Api(tags = "红峡应用系统指标雷达管理")
public class HxSystemRadarController {

    @Autowired
    private HxSystemRadarService hxSystemRadarService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡应用系统指标雷达列表")
    public CommonPage list(HxSystemRadar hxSystemRadar,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxSystemRadar> list = hxSystemRadarService.selectHxSystemRadarList(hxSystemRadar);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxSystemRadar> list = ExcelUtil.importExcel(file, HxSystemRadar.class);
        hxSystemRadarService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "应用系统指标雷达表", "应用系统指标雷达", HxSystemRadar.class, "应用系统指标雷达"));
    }
}
