package com.ailanyin.admin.controller;

import com.ailanyin.model.HxTableConfig;
import com.ailanyin.admin.service.HxTableConfigService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-03-08 09:18:14
*/
@RestController
@RequestMapping("/business/hxTableConfig")
@Api(tags = "表结构管理")
public class HxTableConfigController{

    @Autowired
    private HxTableConfigService hxTableConfigService;


    @PutMapping
    @ApiOperation(value = "修改")
    public AjaxResult updateHxTableConfig(@RequestBody HxTableConfig hxTableConfig) {
        hxTableConfigService.updateByTableName(hxTableConfig);
        return AjaxResult.success();
    }


    @GetMapping
    @ApiOperation(value = "根据表名获取")
    public AjaxResult getInfo(@RequestParam(value = "tableName") String tableName) {
        return AjaxResult.success("查询成功",hxTableConfigService.selectByTableName(tableName));
    }
}
