package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxTeamAttendanceService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxTeamAttendance;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 13:58
 */

@RestController
@RequestMapping("/hx/teamAttendance")
@Api(tags = "科研生产:生产管理:人员管理管理")
public class HxTeamAttendanceController {

    @Autowired
    private HxTeamAttendanceService hxTeamAttendanceService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡人员管理列表")
    public CommonPage list(HxTeamAttendance hxTeamAttendance,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxTeamAttendance> list = hxTeamAttendanceService.selectList(hxTeamAttendance);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxTeamAttendance> list = ExcelUtil.importExcel(file, HxTeamAttendance.class);
        hxTeamAttendanceService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "人员管理表", "人员管理", HxTeamAttendance.class, "人员管理"));
    }

}
