package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxVideoService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.model.HxVideo;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 15:16
 */

@RestController
@RequestMapping("/hx/video")
@Api(tags = "红峡视频管理")
public class HxVideoController {

    @Autowired
    private HxVideoService hxVideoService;

    //@PreAuthorize("hasAuthority('hx:dict:list')")
    @GetMapping("/list")
    @ApiOperation(value = "红峡视频列表")
    public CommonPage list(HxVideo hxVideo,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxVideo> list = hxVideoService.selectList(hxVideo);
        return CommonPage.restPage(list);
    }

    //@PreAuthorize("hasAuthority('hx:dict:add')")
    @PostMapping
    @ApiOperation(value = "新增红峡视频")
    public AjaxResult addHxVideo(@RequestBody HxVideo hxVideo) {
        hxVideoService.addHxVideo(hxVideo);
        return AjaxResult.success();
    }

    //@PreAuthorize("hasAuthority('hx:dict:update')")
    @PutMapping
    @ApiOperation(value = "修改红峡视频")
    public AjaxResult updateHxVideo(@RequestBody HxVideo hxVideo) {
        hxVideoService.updateHxVideo(hxVideo);
        return AjaxResult.success();
    }

    //@PreAuthorize("hasAuthority('hx:dict:delete')")
    @DeleteMapping
    @ApiOperation(value = "删除红峡视频")
    public AjaxResult delHxVideo(@RequestParam(value = "hxVideoId") Long hxVideoId) {
        hxVideoService.delHxVideoById(hxVideoId);
        return AjaxResult.success();
    }
}
