package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxWeekPlanService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxWeekPlan;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 16:22
 */

@RestController
@RequestMapping("/hx/weekPlan")
@Api(tags = "科研生产-作业动态-本周计划")
public class HxWeekPlanController {

    @Autowired
    private HxWeekPlanService hxWeekPlanService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡本周计划列表")
    public CommonPage list(HxWeekPlan hxWeekPlan,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxWeekPlan> list = hxWeekPlanService.selectList(hxWeekPlan);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxWeekPlan> list = ExcelUtil.importExcel(file, HxWeekPlan.class);
        hxWeekPlanService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "本周计划表", "本周计划", HxWeekPlan.class, "本周计划"));
    }
}
