package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxWorkHomeInfoService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxWorkHomeInfo;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 18:42
 */

@RestController
@RequestMapping("/hx/workHome")
@Api(tags = "科研生产:作业动态:工房管理")
public class HxWorkHomeInfoController {

    @Autowired
    private HxWorkHomeInfoService hxWorkHomeInfoService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡工房信息列表")
    public CommonPage list(HxWorkHomeInfo hxWorkHomeInfo,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxWorkHomeInfo> list = hxWorkHomeInfoService.selectList(hxWorkHomeInfo);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxWorkHomeInfo> list = ExcelUtil.importExcel(file, HxWorkHomeInfo.class);
        hxWorkHomeInfoService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "工房信息表", "工房信息", HxWorkHomeInfo.class, "工房信息"));
    }
}
