package com.ailanyin.admin.controller;

import com.ailanyin.admin.service.HxYearDutyService;
import com.ailanyin.common.result.AjaxResult;
import com.ailanyin.common.result.CommonPage;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.common.utils.ExcelUtil;
import com.ailanyin.model.HxYearDuty;
import com.github.pagehelper.PageHelper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 14:41
 */

@RestController
@RequestMapping("/hx/yearDuty")
@Api(tags = "科研生产:生产管理:生产责任令管理")
public class HxYearDutyController {

    @Autowired
    private HxYearDutyService hxYearDutyService;

    @GetMapping("/list")
    @ApiOperation(value = "红峡生产责任令列表")
    public CommonPage list(HxYearDuty hxYearDuty,
                           @RequestParam(value = "pageSize", required = false) Integer pageSize,
                           @RequestParam(value = "pageNum", required = false) Integer pageNum) {

        if (EmptyUtil.isNotEmpty(pageSize) && EmptyUtil.isNotEmpty(pageNum)) {
            PageHelper.startPage(pageNum, pageSize);
        }
        List<HxYearDuty> list = hxYearDutyService.selectList(hxYearDuty);
        return CommonPage.restPage(list);
    }

    @PostMapping("/importData")
    @ApiOperation(value = "导入Excel列表")
    //@PreAuthorize("hasAuthority('hx:productCompletion:import')")
    public AjaxResult importData(MultipartFile file) throws Exception {
        List<HxYearDuty> list = ExcelUtil.importExcel(file, HxYearDuty.class);
        hxYearDutyService.importData(list);
        return AjaxResult.success();
    }

    @GetMapping("/importTemplate")
    @ApiOperation(value = "导出模板")
    //@PreAuthorize("hasAuthority('system:user:import')")
    public AjaxResult importTemplate() throws Exception {
        return AjaxResult.success(ExcelUtil.exportExcel(new ArrayList<>(), "生产责任令表", "生产责任令", HxYearDuty.class, "生产责任令"));
    }

}
