package com.ailanyin.admin.service;

import com.ailanyin.model.HxCarLocationLog;
import com.ailanyin.model.HxReaderInfo;

import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-15 09:50:40
*/
public interface HxCarLocationLogService{

    /**
     * 条件查询列表
     *
     * @param hxCarLocationLog hxCarLocationLog
     * @return list
     */
    List<HxCarLocationLog> getListByParam(HxCarLocationLog hxCarLocationLog);

    /**
     * 新增
     *
     * @param hxCarLocationLog hxCarLocationLog
     */
    void insertHxCarLocationLog(HxCarLocationLog hxCarLocationLog);

    /**
     * 修改
     *
     * @param hxCarLocationLog hxCarLocationLog
     */
    void updateHxCarLocationLog(HxCarLocationLog hxCarLocationLog);

    /**
     * 批量删除
     *
     * @param ids ids
     */
    void deleteByIds(Long[] ids);

    /**
     * 主键查询
     *
     * @param id id
     * @return hxCarLocationLog
     */
    HxCarLocationLog getInfo(Long id);

    /**
     * 获取大图数据
     *
     * @return list
     */
    List<HxCarLocationLog> getBigPicData();

    List<HxReaderInfo> getAllReadInfo();

    List<HxCarLocationLog> getLogByReadId(Long readId);
}
