package com.ailanyin.admin.service;

import com.ailanyin.model.HxCarLocation;
import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-11 01:36:18
*/
public interface HxCarLocationService{

    /**
     * 条件查询列表
     *
     * @param hxCarLocation hxCarLocation
     * @return list
     */
    List<HxCarLocation> getListByParam(HxCarLocation hxCarLocation);

    /**
     * 新增
     *
     * @param hxCarLocation hxCarLocation
     */
    void insertHxCarLocation(HxCarLocation hxCarLocation);

    /**
     * 修改
     *
     * @param hxCarLocation hxCarLocation
     */
    void updateHxCarLocation(HxCarLocation hxCarLocation);

    /**
     * 批量删除
     *
     * @param ids ids
     */
    void deleteByIds(Long[] ids);

    /**
     * 主键查询
     *
     * @param id id
     * @return hxCarLocation
     */
    HxCarLocation getInfo(Long id);

    /**
     * 将车和定位卡绑定
     *
     * @param hxCarLocation hxCarLocation
     */
    void bindCarAndLocation(HxCarLocation hxCarLocation);

    /**
     * 将车和定位卡解绑
     *
     * @param hxCarLocation hxCarLocation
     */
    void notBindCarAndLocation(HxCarLocation hxCarLocation);
}
