package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxBusinessResponsibilityService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxBusinessResponsibilityMapper;
import com.ailanyin.model.HxBusinessResponsibility;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/12 0012 下午 15:43
 */
@Service
public class HxBusinessResponsibilityServiceImpl implements HxBusinessResponsibilityService {

    @Resource
    private HxBusinessResponsibilityMapper hxBusinessResponsibilityMapper;


    @Override
    public List<HxBusinessResponsibility> selectHxBusinessResponsibilityList(HxBusinessResponsibility hxBusinessResponsibility) {
        return hxBusinessResponsibilityMapper.selectHxBusinessResponsibilityList(hxBusinessResponsibility);
    }

    @Override
    public void importData(List<HxBusinessResponsibility> list) {
        list.forEach(hxBusinessResponsibility -> {
            if (EmptyUtil.isNotEmpty(hxBusinessResponsibility.getMonth())) {
                if (checkIsExist(hxBusinessResponsibility)) {
                    hxBusinessResponsibilityMapper.updateSelective(hxBusinessResponsibility);
                } else {
                    hxBusinessResponsibilityMapper.insertSelective(hxBusinessResponsibility);
                }
            }
        });
    }


    private boolean checkIsExist(HxBusinessResponsibility hxBusinessResponsibility) {
        return hxBusinessResponsibilityMapper.checkIsExist(hxBusinessResponsibility) > 0;
    }
}
