package com.ailanyin.admin.service.impl;

import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxCarLocationLogMapper;
import com.ailanyin.mapper.HxCarLogConfigMapper;
import com.ailanyin.mapper.HxReaderInfoMapper;
import com.ailanyin.model.HxCarLocationLog;
import com.ailanyin.admin.service.HxCarLocationLogService;
import com.ailanyin.model.HxCarLogConfig;
import com.ailanyin.model.HxReaderInfo;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-15 09:50:40
*/
@Service
public class HxCarLocationLogServiceImpl implements HxCarLocationLogService {

    @Resource
    private HxCarLocationLogMapper hxCarLocationLogMapper;
    @Resource
    private HxReaderInfoMapper hxReaderInfoMapper;
    @Resource
    private HxCarLogConfigMapper hxCarLogConfigMapper;

    @Override
    public List<HxCarLocationLog> getListByParam(HxCarLocationLog hxCarLocationLog) {
        return hxCarLocationLogMapper.selectList(hxCarLocationLog);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void insertHxCarLocationLog(HxCarLocationLog hxCarLocationLog) {
        hxCarLocationLog.setCreateTime(new Date());
        hxCarLocationLogMapper.insertSelective(hxCarLocationLog);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateHxCarLocationLog(HxCarLocationLog hxCarLocationLog) {
        hxCarLocationLogMapper.updateByPrimaryKeySelective(hxCarLocationLog);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteByIds(Long[] ids) {
        hxCarLocationLogMapper.deleteByIds(ids);
    }

    @Override
    public HxCarLocationLog getInfo(Long id) {
        return hxCarLocationLogMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<HxCarLocationLog> getBigPicData() {
        return hxCarLocationLogMapper.getBigPicData();
    }

    @Override
    public List<HxReaderInfo> getAllReadInfo() {
        return hxReaderInfoMapper.getAllReadInfo();
    }

    @Override
    public List<HxCarLocationLog> getLogByReadId(Long readId) {
        HxCarLogConfig config = hxCarLogConfigMapper.selectOne();
        Date selectTime = null;
        if (EmptyUtil.isNotEmpty(config.getMaxDay())) {
            selectTime = DateUtil.getDateBefore(new Date(),config.getMaxDay());
        }
        return hxCarLocationLogMapper.selectByParam(readId,config.getMaxTotal(),selectTime);
    }

}
