package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.runner.StartReaderRunner;
import com.ailanyin.common.service.RedisService;
import com.ailanyin.mapper.HxCarLocationMapMapper;
import com.ailanyin.model.HxCarLocationMap;
import com.ailanyin.admin.service.HxCarLocationMapService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-17 02:12:26
*/
@Service
public class HxCarLocationMapServiceImpl implements HxCarLocationMapService {

    @Resource
    private HxCarLocationMapMapper hxCarLocationMapMapper;
    @Autowired
    private RedisService redisService;

    @Override
    public List<HxCarLocationMap> getListByParam(HxCarLocationMap hxCarLocationMap) {
        return hxCarLocationMapMapper.selectList(hxCarLocationMap);
    }


    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateHxCarLocationMap(HxCarLocationMap hxCarLocationMap) {
        hxCarLocationMapMapper.updateByPrimaryKeySelective(hxCarLocationMap);
        redisService.del(StartReaderRunner.database +":business:carLocationMap");
    }

}
