package com.ailanyin.admin.service.impl;

import com.ailanyin.mapper.HxCarLogConfigMapper;
import com.ailanyin.model.HxCarLogConfig;
import com.ailanyin.admin.service.HxCarLogConfigService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-02-15 04:15:39
*/
@Service
public class HxCarLogConfigServiceImpl implements HxCarLogConfigService {

    @Resource
    private HxCarLogConfigMapper hxCarLogConfigMapper;

    @Override
    public List<HxCarLogConfig> getListByParam(HxCarLogConfig hxCarLogConfig) {
        return hxCarLogConfigMapper.selectList(hxCarLogConfig);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void insertHxCarLogConfig(HxCarLogConfig hxCarLogConfig) {
        hxCarLogConfig.setCreateTime(new Date());
        hxCarLogConfigMapper.insertSelective(hxCarLogConfig);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateHxCarLogConfig(HxCarLogConfig hxCarLogConfig) {
        hxCarLogConfigMapper.updateByPrimaryKeySelective(hxCarLogConfig);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteByIds(Long[] ids) {
        hxCarLogConfigMapper.deleteByIds(ids);
    }

    @Override
    public HxCarLogConfig getInfo(Long id) {
        return hxCarLogConfigMapper.selectByPrimaryKey(id);
    }

}
