package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxCarUseService;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxCarUseMapper;
import com.ailanyin.model.HxCarUse;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 14:47
 */

@Service
public class HxCarUseServiceImpl implements HxCarUseService {

    @Resource
    private HxCarUseMapper hxCarUseMapper;


    @Override
    public List<HxCarUse> selectList(HxCarUse hxCarUse) {
        return hxCarUseMapper.selectList(hxCarUse);
    }

    @Override
    public void importData(List<HxCarUse> list) {
        list.forEach(hxCarUse -> {
            if (EmptyUtil.isNotEmpty(hxCarUse.getTodayDate())) {
                if (checkIsExist(hxCarUse)) {
                    hxCarUseMapper.updateSelective(hxCarUse);
                } else {
                    hxCarUseMapper.insertSelective(hxCarUse);
                }
            }
        });
    }

    @Override
    public Map getHxCarUsePic1() {
        return hxCarUseMapper.getHxCarUsePic1(DateUtil.getBeginDayOfWeek(),DateUtil.getEndDayOfWeek());
    }

    @Override
    public List<HxCarUse>  getHxCarUsePic2() {
        HxCarUse hxCarUse = new HxCarUse();
        hxCarUse.setTodayDate(hxCarUseMapper.getLastDay());
        return selectList(hxCarUse);
    }

    private boolean checkIsExist(HxCarUse hxCarUse) {
        return hxCarUseMapper.checkIsExist(hxCarUse) > 0;
    }
}
