package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxChargeDeliverService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxChargeDeliverMapper;
import com.ailanyin.model.HxChargeDeliver;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 13:19
 */

@Service
public class HxChargeDeliverServiceImpl implements HxChargeDeliverService {

    @Resource
    private HxChargeDeliverMapper hxChargeDeliverMapper;

    @Override
    public List<HxChargeDeliver> selectList(HxChargeDeliver hxChargeDeliver) {
        return hxChargeDeliverMapper.selectList(hxChargeDeliver);
    }

    @Override
    public void importData(List<HxChargeDeliver> list) {
        list.forEach(hxChargeDeliver -> {
            if (EmptyUtil.isNotEmpty(hxChargeDeliver.getBigCharge())) {
                if (checkIsExist(hxChargeDeliver)) {
                    hxChargeDeliverMapper.updateSelective(hxChargeDeliver);
                } else {
                    hxChargeDeliverMapper.insertSelective(hxChargeDeliver);
                }
            }
        });
    }

    private boolean checkIsExist(HxChargeDeliver hxChargeDeliver) {
        return hxChargeDeliverMapper.checkIsExist(hxChargeDeliver) > 0;
    }

}
