package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxCivilContractService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxCivilContractMapper;
import com.ailanyin.model.HxCivilContract;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 下午 15:08
 */

@Service
public class HxCivilContractServiceImpl implements HxCivilContractService {

    @Resource
    private HxCivilContractMapper hxCivilContractMapper;


    @Override
    public List<HxCivilContract> selectList(HxCivilContract hxCivilContract) {
        return hxCivilContractMapper.selectList(hxCivilContract);
    }

    @Override
    public void importData(List<HxCivilContract> list) {
        list.forEach(hxCivilContract -> {
            if (EmptyUtil.isNotEmpty(hxCivilContract.getContractDate())) {
                if (checkIsExist(hxCivilContract)) {
                    hxCivilContractMapper.updateSelective(hxCivilContract);
                } else {
                    hxCivilContractMapper.insertSelective(hxCivilContract);
                }
            }
        });
    }

    private boolean checkIsExist(HxCivilContract hxCivilContract) {
        return hxCivilContractMapper.checkIsExist(hxCivilContract) > 0;
    }
}
