package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxComprehensivePlanService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxComprehensivePlanMapper;
import com.ailanyin.model.HxComprehensivePlan;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 15:47
 */

@Service
public class HxComprehensivePlanServiceImpl implements HxComprehensivePlanService {

    @Resource
    private HxComprehensivePlanMapper hxComprehensivePlanMapper;

    private static String RATE = "1";
    private static String DETAILED = "2";


    @Override
    public List<HxComprehensivePlan> selectList(HxComprehensivePlan hxComprehensivePlan) {
        return hxComprehensivePlanMapper.selectList(hxComprehensivePlan);
    }

    @Override
    public void importData(List<HxComprehensivePlan> list) {
        list.forEach(hxComprehensivePlan -> {
            if (EmptyUtil.isNotEmpty(hxComprehensivePlan.getDeptName())) {
                if (checkIsExist(hxComprehensivePlan)) {
                    hxComprehensivePlanMapper.updateSelective(hxComprehensivePlan);
                } else {
                    hxComprehensivePlanMapper.insertSelective(hxComprehensivePlan);
                }
            }
        });
    }

    @Override
    public Map getComprehensivePlanPic(String type,String month) {
        Map returnMap = new HashMap(2);
        if (RATE.equals(type)) {
            HxComprehensivePlan hxComprehensivePlan = new HxComprehensivePlan();
            hxComprehensivePlan.setMonth(month);
            returnMap.put("list",selectList(hxComprehensivePlan));
            returnMap.put("rate",hxComprehensivePlanMapper.selectRateByMonth(month));
        }

        if (DETAILED.equals(type)) {

        }
        return returnMap;
    }

    private boolean checkIsExist(HxComprehensivePlan hxComprehensivePlan) {
        return hxComprehensivePlanMapper.checkIsExist(hxComprehensivePlan) > 0;
    }
}
