package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxCostAnalysisService;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxCostAnalysisMapper;
import com.ailanyin.model.HxCostAnalysis;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 上午 11:40
 */

@Service
public class HxCostAnalysisServiceImpl implements HxCostAnalysisService {

    @Resource
    private HxCostAnalysisMapper hxCostAnalysisMapper;

    @Override
    public List<HxCostAnalysis> selectList(HxCostAnalysis hxCostAnalysis) {
        return hxCostAnalysisMapper.selectList(hxCostAnalysis);
    }

    @Override
    public void importData(List<HxCostAnalysis> list) {
        list.forEach(hxCostAnalysis -> {
            if (EmptyUtil.isNotEmpty(hxCostAnalysis.getMonth())) {
                if (checkIsExist(hxCostAnalysis)) {
                    hxCostAnalysisMapper.updateSelective(hxCostAnalysis);
                } else {
                    hxCostAnalysisMapper.insertSelective(hxCostAnalysis);
                }
            }
        });
    }

    @Override
    public Map getCostAnalysisPic() {

        Map returnMap = new HashMap(2);
        returnMap.put("list",hxCostAnalysisMapper.selectImplementationList());
        returnMap.put("rate",hxCostAnalysisMapper.selectRateByYear(DateUtil.getNowYear() + "-%"));
        return returnMap;
    }

    private boolean checkIsExist(HxCostAnalysis hxCostAnalysis) {
        return hxCostAnalysisMapper.checkIsExist(hxCostAnalysis) > 0;
    }
}
