package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxDeptOperateIndexService;
import com.ailanyin.admin.service.HxRevenueProfitService;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxDeptOperateIndexMapper;
import com.ailanyin.model.HxDeptOperateIndex;
import com.ailanyin.model.HxRevenueProfit;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/17 0017 下午 16:05
 */

@Service
public class HxDeptOperateIndexServiceImpl implements HxDeptOperateIndexService {

    @Resource
    private HxDeptOperateIndexMapper hxDeptOperateIndexMapper;
    @Autowired
    private HxRevenueProfitService hxRevenueProfitService;
    // type=1全年/2=月度
    private static String TYPE_1 = "1";
    private static String TYPE_2 = "2";

    @Override
    public List<HxDeptOperateIndex> selectList(HxDeptOperateIndex hxDeptOperateIndex) {
        return hxDeptOperateIndexMapper.selectList(hxDeptOperateIndex);
    }

    @Override
    public void importData(List<HxDeptOperateIndex> list) {
        List<HxRevenueProfit> list1 = new ArrayList<>();
        list.forEach(hxDeptOperateIndex -> {
            if (EmptyUtil.isNotEmpty(hxDeptOperateIndex)) {
                list1.add(handleHxRevenueProfit(hxDeptOperateIndex));
                if (checkIsExist(hxDeptOperateIndex)) {
                    hxDeptOperateIndexMapper.updateSelective(hxDeptOperateIndex);
                } else {
                    hxDeptOperateIndexMapper.insertSelective(hxDeptOperateIndex);
                }
            }
        });

        hxRevenueProfitService.importData(list1);
    }

    private HxRevenueProfit handleHxRevenueProfit(HxDeptOperateIndex hxDeptOperateIndex) {
        HxRevenueProfit profit = new HxRevenueProfit();
        // =======================
        profit.setForecastProfit(hxDeptOperateIndex.getForecastProfit());
        profit.setTargetProfit(hxDeptOperateIndex.getTargetProfit());
        profit.setCompletedProfit(hxDeptOperateIndex.getRealProfit());
        // =======================
        profit.setForecastRevenue(hxDeptOperateIndex.getForecastIncome());
        profit.setTargetRevenue(hxDeptOperateIndex.getTargetIncome());
        profit.setCompletedRevenue(hxDeptOperateIndex.getRealIncome());
        // =======================
        profit.setDeptName(hxDeptOperateIndex.getDeptName());
        profit.setMonth(hxDeptOperateIndex.getMonth());
        return profit;
    }
    @Override
    public Map getDeptOperateIndexPic(String type,String month) {
        Map returnMap = new HashMap(2);
        // type=1全年/2=月度
        if (type.equals(TYPE_1)) {
            returnMap.put("list",hxDeptOperateIndexMapper.selectByYear(DateUtil.getNowYear() + "-%"));
            return returnMap;
        }

        if (type.equals(TYPE_2)) {
            returnMap.put("list",hxDeptOperateIndexMapper.selectByMonth(month));
            return returnMap;
        }
        return null;
    }

    private boolean checkIsExist(HxDeptOperateIndex hxDeptOperateIndex) {
        return hxDeptOperateIndexMapper.checkIsExist(hxDeptOperateIndex) > 0;
    }
}
