package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxDispatchMeetingService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxDispatchMeetingMapper;
import com.ailanyin.model.HxDispatchMeeting;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 13:18
 */

@Service
public class HxDispatchMeetingServiceImpl implements HxDispatchMeetingService {

    @Resource
    private HxDispatchMeetingMapper hxDispatchMeetingMapper;


    @Override
    public List<HxDispatchMeeting> selectList(HxDispatchMeeting hxDispatchMeeting) {
        return hxDispatchMeetingMapper.selectList(hxDispatchMeeting);
    }

    @Override
    public void importData(List<HxDispatchMeeting> list) {
        list.forEach(hxDispatchMeeting -> {
            if (EmptyUtil.isNotEmpty(hxDispatchMeeting.getMeetingName())) {
                if (checkIsExist(hxDispatchMeeting)) {
                    hxDispatchMeetingMapper.updateSelective(hxDispatchMeeting);
                } else {
                    hxDispatchMeetingMapper.insertSelective(hxDispatchMeeting);
                }
            }
        });
    }

    private boolean checkIsExist(HxDispatchMeeting hxDispatchMeeting) {
        return hxDispatchMeetingMapper.checkIsExist(hxDispatchMeeting) > 0;
    }
}
