package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxFactoryOperateIndexService;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxFactoryOperateIndexMapper;
import com.ailanyin.model.HxFactoryOperateIndex;
import com.ailanyin.model.HxFactoryOperateIndexTarget;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/17 0017 上午 10:01
 */

@Service
public class HxFactoryOperateIndexServiceImpl implements HxFactoryOperateIndexService {

    @Resource
    private HxFactoryOperateIndexMapper hxFactoryOperateIndexMapper;
    // 1全年 2当月

    private static String TYPE_1 = "1";
    private static String TYPE_2 = "2";


    @Override
    public List<HxFactoryOperateIndex> selectList(HxFactoryOperateIndex hxFactoryOperateIndex) {
        return hxFactoryOperateIndexMapper.selectList(hxFactoryOperateIndex);
    }

    @Override
    public void importData(List<HxFactoryOperateIndex> list) {
        list.forEach(hxFactoryOperateIndex -> {
            if (EmptyUtil.isNotEmpty(hxFactoryOperateIndex.getMonth())) {
                if (checkIsExist(hxFactoryOperateIndex)) {
                    hxFactoryOperateIndexMapper.updateSelective(hxFactoryOperateIndex);
                } else {
                    hxFactoryOperateIndexMapper.insertSelective(hxFactoryOperateIndex);
                }
            }
        });
    }

    @Override
    public void importData1(List<HxFactoryOperateIndexTarget> list) {
        list.forEach(hxFactoryOperateIndexTarget -> {
            if (EmptyUtil.isNotEmpty(hxFactoryOperateIndexTarget.getMonth())) {
                HxFactoryOperateIndex index = new HxFactoryOperateIndex();
                BeanUtils.copyProperties(hxFactoryOperateIndexTarget, index);
                if (checkIsExist(index)) {
                    hxFactoryOperateIndexMapper.updateSelective(index);
                } else {
                    hxFactoryOperateIndexMapper.insertSelective(index);
                }
            }
        });
    }

    @Override
    public Map getFactoryOperateIndexPic(String type) {
        if (TYPE_1.equals(type)) {
            return hxFactoryOperateIndexMapper.selectByDate(DateUtil.getNowYear() + "-%");
        }

        if (TYPE_2.equals(type)) {
            return hxFactoryOperateIndexMapper.selectByDate(DateUtil.dateTimeNow("yyyy-MM") + "%");
        }
        return null;
    }


    private boolean checkIsExist(HxFactoryOperateIndex hxFactoryOperateIndex) {
        return hxFactoryOperateIndexMapper.checkIsExist(hxFactoryOperateIndex) > 0;
    }

}
