package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxFactoryResourcesService;
import com.ailanyin.common.utils.BigDecimalUtil;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxFactoryResourcesMapper;
import com.ailanyin.model.HxFactoryResources;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 上午 11:20
 */

@Service
public class HxFactoryResourcesServiceImpl implements HxFactoryResourcesService {

    @Resource
    private HxFactoryResourcesMapper hxFactoryResourcesMapper;


    @Override
    public List<HxFactoryResources> selectList(HxFactoryResources hxFactoryResources) {
        return hxFactoryResourcesMapper.selectList(hxFactoryResources);
    }

    @Override
    public void importData(List<HxFactoryResources> list) {
        list.forEach(hxFactoryResources -> {
            if (EmptyUtil.isNotEmpty(hxFactoryResources.getTodayDate())) {
                handleRate(hxFactoryResources);
                if (checkIsExist(hxFactoryResources)) {
                    hxFactoryResourcesMapper.updateSelective(hxFactoryResources);
                } else {
                    hxFactoryResourcesMapper.insertSelective(hxFactoryResources);
                }
            }
        });
    }

    @Override
    public HxFactoryResources getHxFactoryResourcesPic() {
        HxFactoryResources hxFactoryResources = new HxFactoryResources();
        hxFactoryResources.setTodayDate(DateUtil.getDate("yyyy-MM-dd"));
        List<HxFactoryResources> list = selectList(hxFactoryResources);
        if (list.size() > 0) {
            return list.get(0);
        }
        return null;
    }

    private boolean checkIsExist(HxFactoryResources hxFactoryResources) {
        return hxFactoryResourcesMapper.checkIsExist(hxFactoryResources) > 0;
    }

    private void handleRate(HxFactoryResources hxFactoryResources) {
        hxFactoryResources.setAttendanceRate(BigDecimalUtil.calculateCompletionRate(
                hxFactoryResources.getRealAttendance(),
                hxFactoryResources.getAttendanceTotal()
        ));
        hxFactoryResources.setEquipmentRunRate(BigDecimalUtil.calculateCompletionRate(
                hxFactoryResources.getEquipmentRunTotal(),
                hxFactoryResources.getEquipmentTotal()
        ));
    }
}
