package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxGeneralPlantConditionsService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxGeneralPlantConditionsMapper;
import com.ailanyin.model.HxGeneralPlantConditions;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 下午 13:54
 */

@Service
public class HxGeneralPlantConditionsServiceImpl implements HxGeneralPlantConditionsService {

    @Resource
    private HxGeneralPlantConditionsMapper hxGeneralPlantConditionsMapper;

    @Override
    public List<HxGeneralPlantConditions> selectList(HxGeneralPlantConditions hxGeneralPlantConditions) {
        return hxGeneralPlantConditionsMapper.selectList(hxGeneralPlantConditions);
    }

    @Override
    public void importData(List<HxGeneralPlantConditions> list) {

        list.forEach(hxGeneralPlantConditions -> {
            if (EmptyUtil.isNotEmpty(hxGeneralPlantConditions.getMonth())) {
                if (checkIsExist(hxGeneralPlantConditions)) {
                    hxGeneralPlantConditionsMapper.updateSelective(hxGeneralPlantConditions);
                } else {
                    hxGeneralPlantConditionsMapper.insertSelective(hxGeneralPlantConditions);
                }
            }
        });
    }

    private boolean checkIsExist(HxGeneralPlantConditions hxGeneralPlantConditions) {
        return hxGeneralPlantConditionsMapper.checkIsExist(hxGeneralPlantConditions) > 0;
    }
}
