package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxIndustrialProjectsService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxIndustrialProjectsMapper;
import com.ailanyin.model.HxIndustrialProjects;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 14:27
 */
@Service
public class HxIndustrialProjectsServiceImpl implements HxIndustrialProjectsService {

    @Resource
    private HxIndustrialProjectsMapper hxIndustrialProjectsMapper;

    @Override
    public List<HxIndustrialProjects> selectList(HxIndustrialProjects hxIndustrialProjects) {
        return hxIndustrialProjectsMapper.selectList(hxIndustrialProjects);
    }

    @Override
    public void importData(List<HxIndustrialProjects> list) {
        list.forEach(hxIndustrialProjects -> {
            if (EmptyUtil.isNotEmpty(hxIndustrialProjects.getProjectName())) {
                if (checkIsExist(hxIndustrialProjects)) {
                    hxIndustrialProjectsMapper.updateSelective(hxIndustrialProjects);
                } else {
                    hxIndustrialProjectsMapper.insertSelective(hxIndustrialProjects);
                }
            }
        });
    }


    private boolean checkIsExist(HxIndustrialProjects hxIndustrialProjects) {
        return hxIndustrialProjectsMapper.checkIsExist(hxIndustrialProjects) > 0;
    }
}
