package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxInformationPublicityService;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxIndustrialProjectsMapper;
import com.ailanyin.mapper.HxInformationPublicityMapper;
import com.ailanyin.model.HxIndustrialProjects;
import com.ailanyin.model.HxInformationPublicity;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 15:14
 */

@Service
public class HxInformationPublicityServiceImpl implements HxInformationPublicityService {

    @Resource
    private HxInformationPublicityMapper hxInformationPublicityMapper;
    @Resource
    private HxIndustrialProjectsMapper hxIndustrialProjectsMapper;

    private static String PROJECT_INFORMATION = "1";
    private static String INFORMATION_PUBLICITY = "2";

    @Override
    public List<HxInformationPublicity> selectList(HxInformationPublicity hxInformationPublicity) {
        return hxInformationPublicityMapper.selectList(hxInformationPublicity);
    }

    @Override
    public void importData(List<HxInformationPublicity> list) {
        list.forEach(hxInformationPublicity -> {
            if (EmptyUtil.isNotEmpty(hxInformationPublicity.getDeptName())) {
                hxInformationPublicityMapper.insertSelective(hxInformationPublicity);
            }
        });
    }

    @Override
    public Map getInformationPublicityPic(String type) {
        Map map = new HashMap(2);
        String year = DateUtil.getNowYear() + "%";
        if (PROJECT_INFORMATION.equals(type)) {
            map.put("list",hxIndustrialProjectsMapper.selectList(new HxIndustrialProjects()));
        }

        if (INFORMATION_PUBLICITY.equals(type)) {
            HxInformationPublicity publicity = new HxInformationPublicity();
            publicity.setTodayDate(year);
            map.put("list",selectList(publicity));
        }
        return map;
    }

    private boolean checkIsExist(HxInformationPublicity hxInformationPublicity) {
        return hxInformationPublicityMapper.checkIsExist(hxInformationPublicity) > 0;
    }
}
