package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxJobDetailsService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxJobDetailsMapper;
import com.ailanyin.model.HxJobDetails;
import com.ailanyin.model.HxJobDetails;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 19:09
 */

@Service
public class HxJobDetailsServiceImpl implements HxJobDetailsService {
    @Resource
    private HxJobDetailsMapper hxJobDetailsMapper;


    @Override
    public List<HxJobDetails> selectList(HxJobDetails hxJobDetails) {
        return hxJobDetailsMapper.selectList(hxJobDetails);
    }

    @Override
    public void importData(List<HxJobDetails> list) {
        list.forEach(hxJobDetails -> {
            if (EmptyUtil.isNotEmpty(hxJobDetails.getWorkHome())) {
                if (!checkIsExist(hxJobDetails)) {
                    hxJobDetailsMapper.insertSelective(hxJobDetails);
                }
            }
        });
    }

    private boolean checkIsExist(HxJobDetails hxJobDetails) {
        return hxJobDetailsMapper.checkIsExist(hxJobDetails) > 0;
    }

}
