package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxMaterialPlanService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxMaterialPlanMapper;
import com.ailanyin.model.HxMaterialPlan;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 上午 11:35
 */

@Service
public class HxMaterialPlanServiceImpl implements HxMaterialPlanService {

    @Resource
    private HxMaterialPlanMapper hxMaterialPlanMapper;

    @Override
    public List<HxMaterialPlan> selectList(HxMaterialPlan hxMaterialPlan) {
        return hxMaterialPlanMapper.selectList(hxMaterialPlan);
    }

    @Override
    public void importData(List<HxMaterialPlan> list) {
        list.forEach(hxMaterialPlan -> {
            if (EmptyUtil.isNotEmpty(hxMaterialPlan.getMaterialName())) {
                if (checkIsExist(hxMaterialPlan)) {
                    hxMaterialPlanMapper.updateSelective(hxMaterialPlan);
                } else {
                    hxMaterialPlanMapper.insertSelective(hxMaterialPlan);
                }
            }
        });
    }

    private boolean checkIsExist(HxMaterialPlan hxMaterialPlan) {
        return hxMaterialPlanMapper.checkIsExist(hxMaterialPlan) > 0;
    }
}
