package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxMaterialsAccessoriesService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxMaterialsAccessoriesMapper;
import com.ailanyin.mapper.HxStockDetailedMapper;
import com.ailanyin.model.HxMaterialsAccessories;
import com.ailanyin.model.HxStockDetailed;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 上午 10:54
 */

@Service
public class HxMaterialsAccessoriesServiceImpl implements HxMaterialsAccessoriesService {

    @Resource
    private HxMaterialsAccessoriesMapper hxMaterialsAccessoriesMapper;
    @Resource
    private HxStockDetailedMapper hxStockDetailedMapper;


    @Override
    public List<HxMaterialsAccessories> selectList(HxMaterialsAccessories hxMaterialsAccessories) {
        return hxMaterialsAccessoriesMapper.selectList(hxMaterialsAccessories);
    }

    @Override
    public void importData(List<HxMaterialsAccessories> list) {

        list.forEach(hxMaterialsAccessories -> {
            if (EmptyUtil.isNotEmpty(hxMaterialsAccessories.getCategory())) {
                if (checkIsExist(hxMaterialsAccessories)) {
                    hxMaterialsAccessoriesMapper.updateSelective(hxMaterialsAccessories);
                } else {
                    hxMaterialsAccessoriesMapper.insertSelective(hxMaterialsAccessories);
                }
            }
        });
    }

    @Override
    public Map getMaterialsAccessoriesPic(String type) {
        Map returnMap = new HashMap(2);
        List<String> nameList = hxMaterialsAccessoriesMapper.getAllNameByType(type);
        List<Map> list = hxMaterialsAccessoriesMapper.getTotalByTypeGroupByName(type);
        returnMap.put("pic1", list);
        returnMap.put("modelList", nameList);
        HxStockDetailed stockDetailed = new HxStockDetailed();
        stockDetailed.setCategory(type);
        List<HxStockDetailed> stockDetailedList = hxStockDetailedMapper.selectList(stockDetailed);
        returnMap.put("pic2", stockDetailedList);
        return returnMap;
    }

    private boolean checkIsExist(HxMaterialsAccessories hxMaterialsAccessories) {
        return hxMaterialsAccessoriesMapper.checkIsExist(hxMaterialsAccessories) > 0;
    }
}
