package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxMilepostAndBottleneckService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxMilepostAndBottleneckMapper;
import com.ailanyin.model.HxMilepostAndBottleneck;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.websocket.server.ServerEndpoint;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 上午 10:15
 */

@Service
public class HxMilepostAndBottleneckServiceImpl implements HxMilepostAndBottleneckService {

    @Resource
    private HxMilepostAndBottleneckMapper hxMilepostAndBottleneckMapper;

    @Override
    public List<HxMilepostAndBottleneck> selectList(HxMilepostAndBottleneck hxMilepostAndBottleneck) {
        return hxMilepostAndBottleneckMapper.selectList(hxMilepostAndBottleneck);
    }

    @Override
    public void importData(List<HxMilepostAndBottleneck> list) {
        list.forEach(hxMilepostAndBottleneck -> {
            if (EmptyUtil.isNotEmpty(hxMilepostAndBottleneck.getProjectName())) {
                if (checkIsExist(hxMilepostAndBottleneck)) {
                    hxMilepostAndBottleneckMapper.updateSelective(hxMilepostAndBottleneck);
                } else {
                    hxMilepostAndBottleneckMapper.insertSelective(hxMilepostAndBottleneck);
                }
            }
        });
    }

    @Override
    public Map getMilepostAndBottleneckPic(String projectName) {
        Map returnMap = new HashMap(2);
        HxMilepostAndBottleneck bottleneck = new HxMilepostAndBottleneck();
        if (EmptyUtil.isEmpty(projectName)) {
            List<String> allProject = hxMilepostAndBottleneckMapper.getAllProject();
            returnMap.put("allProject",allProject);
            bottleneck.setProjectName(allProject.size() == 0 ? "":allProject.get(0));
        } else {
            bottleneck.setProjectName(projectName);
        }
        returnMap.put("list",selectList(bottleneck));
        return returnMap;
    }


    private boolean checkIsExist(HxMilepostAndBottleneck hxMilepostAndBottleneck) {
        return hxMilepostAndBottleneckMapper.checkIsExist(hxMilepostAndBottleneck) > 0;
    }
}
