package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxMilitaryContractService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxMilitaryContractMapper;
import com.ailanyin.model.HxMilitaryContract;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 下午 17:35
 */

@Service
public class HxMilitaryContractServiceImpl implements HxMilitaryContractService {

    @Resource
    private HxMilitaryContractMapper hxMilitaryContractMapper;

    @Override
    public List<HxMilitaryContract> selectList(HxMilitaryContract hxMilitaryContract) {
        return hxMilitaryContractMapper.selectList(hxMilitaryContract);
    }

    @Override
    public void importData(List<HxMilitaryContract> list) {
        list.forEach(hxMilitaryContract -> {
            if (EmptyUtil.isNotEmpty(hxMilitaryContract.getContractName())) {
                if (checkIsExist(hxMilitaryContract)) {
                    hxMilitaryContractMapper.updateSelective(hxMilitaryContract);
                } else {
                    hxMilitaryContractMapper.insertSelective(hxMilitaryContract);
                }
            }
        });
    }

    private boolean checkIsExist(HxMilitaryContract hxMilitaryContract) {
        return hxMilitaryContractMapper.checkIsExist(hxMilitaryContract) > 0;
    }
}
