package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxMilitaryIncomeService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxMilitaryIncomeMapper;
import com.ailanyin.model.HxMilitaryIncome;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 上午 10:36
 */

@Service
public class HxMilitaryIncomeServiceImpl implements HxMilitaryIncomeService {

    @Resource
    private HxMilitaryIncomeMapper hxMilitaryIncomeMapper;

    @Override
    public List<HxMilitaryIncome> selectList(HxMilitaryIncome hxMilitaryIncome) {
        return hxMilitaryIncomeMapper.selectList(hxMilitaryIncome);
    }

    @Override
    public void importData(List<HxMilitaryIncome> list) {
        list.forEach(hxMilitaryIncome -> {
            if (EmptyUtil.isNotEmpty(hxMilitaryIncome.getDeptName())) {
                if (checkIsExist(hxMilitaryIncome)) {
                    hxMilitaryIncomeMapper.updateSelective(hxMilitaryIncome);
                } else {
                    hxMilitaryIncomeMapper.insertSelective(hxMilitaryIncome);
                }
            }
        });
    }

    private boolean checkIsExist(HxMilitaryIncome hxMilitaryIncome) {
        return hxMilitaryIncomeMapper.checkIsExist(hxMilitaryIncome) > 0;
    }
}
