package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxModelStationService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxModelStationMapper;
import com.ailanyin.model.HxModelStation;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 上午 10:20
 */

@Service
public class HxModelStationServiceImpl implements HxModelStationService {

    @Resource
    private HxModelStationMapper hxModelStationMapper;


    @Override
    public List<HxModelStation> selectList(HxModelStation hxModelStation) {
        return hxModelStationMapper.selectList(hxModelStation);
    }

    @Override
    public void importData(List<HxModelStation> list) {
        list.forEach(hxModelStation -> {
            if (EmptyUtil.isNotEmpty(hxModelStation.getStationName())) {
                hxModelStation.setCreateTime(new Date());
                hxModelStationMapper.insertSelective(hxModelStation);
            }
        });
    }

    @Override
    public Map getModelStationPic() {

        Map map = new HashMap(2);

        HxModelStation pic1 = hxModelStationMapper.getModelStationPic("硫化");
        HxModelStation pic2 = hxModelStationMapper.getModelStationPic("固化");
        handelTotal(pic1);
        handelTotal(pic2);
        map.put("硫化", pic1);
        map.put("固化", pic2);

        return map;

    }

    private void handelTotal(HxModelStation hxModelStation) {
        if (hxModelStation != null) {
            Float result =
                    Float.valueOf(hxModelStation.getCoolingNumber())
                            + Float.valueOf(hxModelStation.getFreeNumber())
                            + Float.valueOf(hxModelStation.getRiseNumber())
                            + Float.valueOf(hxModelStation.getWarmNumber());

            hxModelStation.setTotal(String.valueOf(result));
        }
    }
}
