package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxModelYearPlanService;
import com.ailanyin.common.utils.BigDecimalUtil;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxModelYearPlanMapper;
import com.ailanyin.model.HxModelYearPlan;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 下午 13:21
 */

@Service
public class HxModelYearPlanServiceImpl implements HxModelYearPlanService {

    @Resource
    private HxModelYearPlanMapper hxModelYearPlanMapper;

    @Override
    public List<HxModelYearPlan> selectList(HxModelYearPlan hxModelYearPlan) {
        List<HxModelYearPlan> list = hxModelYearPlanMapper.select(hxModelYearPlan);
        for (HxModelYearPlan plan : list) {
            plan.setYear(DateUtil.getNowYear().toString());
            String total = hxModelYearPlanMapper.selectTargetTotal(DateUtil.getNowYear().toString(), plan.getProductModel());
            plan.setTargetCharge(total);
            plan.setTargetDeliver(total);
            try {
                plan.setChargeRate(String.valueOf(BigDecimalUtil.div(plan.getRealCharge(), plan.getTargetCharge(), 2) * 100));
            } catch (Exception e) {
                plan.setChargeRate("0");
            }
            try {
                plan.setDeliverRate(String.valueOf(BigDecimalUtil.div(plan.getRealDeliver(), plan.getTargetDeliver(), 2) * 100));
            } catch (Exception e) {
                plan.setDeliverRate("0");
            }
        }
        return list;
    }

    @Override
    public void importData(List<HxModelYearPlan> list) {
        list.forEach(hxModelYearPlan -> {
            if (EmptyUtil.isNotEmpty(hxModelYearPlan.getYear())) {
                handRate(hxModelYearPlan);
                if (checkIsExist(hxModelYearPlan)) {
                    hxModelYearPlanMapper.updateSelective(hxModelYearPlan);
                } else {
                    hxModelYearPlanMapper.insertSelective(hxModelYearPlan);
                }
            }
        });
    }

    private boolean checkIsExist(HxModelYearPlan hxModelYearPlan) {
        return hxModelYearPlanMapper.checkIsExist(hxModelYearPlan) > 0;
    }

    private void handRate(HxModelYearPlan hxModelYearPlan) {
        hxModelYearPlan.setChargeRate(BigDecimalUtil.calculateCompletionRate(
                hxModelYearPlan.getRealCharge(),
                hxModelYearPlan.getTargetCharge()
        ));
        hxModelYearPlan.setDeliverRate(BigDecimalUtil.calculateCompletionRate(
                hxModelYearPlan.getRealDeliver(),
                hxModelYearPlan.getTargetDeliver()
        ));
    }
}
