package com.ailanyin.admin.service.impl;

import com.ailanyin.mapper.HxMonthDynamicMapper;
import com.ailanyin.model.HxMonthDynamic;
import com.ailanyin.admin.service.HxMonthDynamicService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-19 04:52:05
*/
@Service
public class HxMonthDynamicServiceImpl implements HxMonthDynamicService {

    @Resource
    private HxMonthDynamicMapper hxMonthDynamicMapper;

    @Override
    public List<HxMonthDynamic> getListByParam(HxMonthDynamic hxMonthDynamic) {
        return hxMonthDynamicMapper.selectList(hxMonthDynamic);
    }

    @Transactional(rollbackFor = Exception.class)
    public void insertHxMonthDynamic(HxMonthDynamic hxMonthDynamic) {
        hxMonthDynamic.setCreateTime(new Date());
        hxMonthDynamicMapper.insertSelective(hxMonthDynamic);
    }


    @Override
    public void importData(List<HxMonthDynamic> list) {
        list.forEach(hxMonthDynamic -> {
            if (checkIsExist(hxMonthDynamic)) {
                hxMonthDynamicMapper.updateByMonthSelective(hxMonthDynamic);
            } else {
                insertHxMonthDynamic(hxMonthDynamic);
            }
        });
    }

    private boolean checkIsExist(HxMonthDynamic hxMonthDynamic) {
        return hxMonthDynamicMapper.checkIsExist(hxMonthDynamic) > 0;
    }

}
