package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxMonthFactoryPlanService;
import com.ailanyin.common.utils.BigDecimalUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxMonthFactoryPlanMapper;
import com.ailanyin.model.HxMonthFactoryPlan;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 16:31
 */

@Service
public class HxMonthFactoryPlanServiceImpl implements HxMonthFactoryPlanService {

    @Resource
    private HxMonthFactoryPlanMapper hxMonthFactoryPlanMapper;

    @Override
    public List<HxMonthFactoryPlan> selectList(HxMonthFactoryPlan hxMonthFactoryPlan) {
        return hxMonthFactoryPlanMapper.select(hxMonthFactoryPlan);
    }

    @Override
    public void importData(List<HxMonthFactoryPlan> list) {
        list.forEach(hxMonthFactoryPlan -> {
            if (EmptyUtil.isNotEmpty(hxMonthFactoryPlan.getMonth())) {
                handRate(hxMonthFactoryPlan);
                if (checkIsExist(hxMonthFactoryPlan)) {
                    hxMonthFactoryPlanMapper.updateSelective(hxMonthFactoryPlan);
                } else {
                    hxMonthFactoryPlanMapper.insertSelective(hxMonthFactoryPlan);
                }
            }
        });
    }

    private boolean checkIsExist(HxMonthFactoryPlan hxMonthFactoryPlan) {
        return hxMonthFactoryPlanMapper.checkIsExist(hxMonthFactoryPlan) > 0;
    }

    private void handRate(HxMonthFactoryPlan plan) {
        plan.setChargeRate(BigDecimalUtil.calculateCompletionRate(
                plan.getRealCharge(),
                plan.getTargetCharge()
        ));
        plan.setAssembleRate(BigDecimalUtil.calculateCompletionRate(
                plan.getRealAssemble(),
                plan.getTargetAssemble()
        ));
        plan.setInsulateRate(BigDecimalUtil.calculateCompletionRate(
                plan.getRealInsulate(),
                plan.getTargetInsulate()
        ));
    }
}
