package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxMonthPlanService;
import com.ailanyin.common.utils.BigDecimalUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxMonthPlanMapper;
import com.ailanyin.model.HxMonthPlan;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 15:42
 */
@Service
public class HxMonthPlanServiceImpl implements HxMonthPlanService {

    @Resource
    private HxMonthPlanMapper hxMonthPlanMapper;

    @Override
    public List<HxMonthPlan> selectList(HxMonthPlan hxMonthPlan) {
        List<HxMonthPlan> list = null;
        if (hxMonthPlan.getMonth() != null) {
            list = hxMonthPlanMapper.selectByMonth(hxMonthPlan);
        } else {
            list = hxMonthPlanMapper.selectAll(hxMonthPlan);
        }
        for (HxMonthPlan plan : list) {
            try {
                plan.setDeliverRate(String.valueOf(BigDecimalUtil.div(plan.getRealDeliver(), plan.getTargetDeliver(), 2) * 100));
            } catch (Exception e) {
                plan.setDeliverRate("0");
            }
            try {
                plan.setChargeRate(String.valueOf(BigDecimalUtil.div(plan.getRealCharge(), plan.getTargetCharge(), 2) * 100));
            } catch (Exception e) {
                plan.setChargeRate("0");
            }
            try {
                plan.setAssembleRate(String.valueOf(BigDecimalUtil.div(plan.getRealAssemble(), plan.getTargetAssemble(), 2) * 100));
            } catch (Exception e) {
                plan.setAssembleRate("0");
            }
        }
        return list;
    }

    @Override
    public void importData(List<HxMonthPlan> list) {
        list.forEach(hxMonthPlan -> {
            if (EmptyUtil.isNotEmpty(hxMonthPlan.getModel())) {
                handRate(hxMonthPlan);
                if (checkIsExist(hxMonthPlan)) {
                    hxMonthPlanMapper.updateSelective(hxMonthPlan);
                } else {
                    hxMonthPlanMapper.insertSelective(hxMonthPlan);
                }
            }
        });
    }

    private boolean checkIsExist(HxMonthPlan hxMonthPlan) {
        return hxMonthPlanMapper.checkIsExist(hxMonthPlan) > 0;
    }

    private void handRate(HxMonthPlan hxMonthPlan) {
        hxMonthPlan.setChargeRate(BigDecimalUtil.calculateCompletionRate(
                hxMonthPlan.getRealCharge(),
                hxMonthPlan.getTargetCharge()
        ));
        hxMonthPlan.setAssembleRate(BigDecimalUtil.calculateCompletionRate(
                hxMonthPlan.getRealAssemble(),
                hxMonthPlan.getTargetAssemble()
        ));
        hxMonthPlan.setDeliverRate(BigDecimalUtil.calculateCompletionRate(
                hxMonthPlan.getRealCharge(),
                hxMonthPlan.getTargetCharge()
        ));
    }
}
