package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxPlanCompletedService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxPlanCompletedMapper;
import com.ailanyin.model.HxPlanCompleted;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 9:16
 */
@Service
public class HxPlanCompletedServiceImpl implements HxPlanCompletedService {

    @Resource
    private HxPlanCompletedMapper hxPlanCompletedMapper;

    @Override
    public List<HxPlanCompleted> selectHxPlanCompletedList(HxPlanCompleted hxPlanCompleted) {
        return hxPlanCompletedMapper.selectHxPlanCompletedList(hxPlanCompleted);
    }

    @Override
    public void importData(List<HxPlanCompleted> list) {
        list.forEach(hxPlanCompleted -> {
            if (EmptyUtil.isNotEmpty(hxPlanCompleted.getDeptName())) {
                if (checkIsExist(hxPlanCompleted)) {
                    hxPlanCompletedMapper.updateSelective(hxPlanCompleted);
                } else {
                    hxPlanCompletedMapper.insertSelective(hxPlanCompleted);
                }
            }
        });
    }

    @Override
    public List<Map> getHxPlanCompletedByMonthPic(String month) {
        List<Map> list = new ArrayList<>();
        List<String> deptList = hxPlanCompletedMapper.getAllDeptListByMonth(month+"-%");
        deptList.forEach(dept -> {
            Map map = hxPlanCompletedMapper.selectDeptInfoByMonth(dept,month+"-%");
            map.put("deptName",dept);
            list.add(map);
        });
        return list;
    }

    @Override
    public List<Map> getHxPlanCompletedPic() {
        List<Map> returnMap = new ArrayList<>();
        Set<String> monthList = new LinkedHashSet();
        List<String> date = hxPlanCompletedMapper.getAllDate();
        for (String today : date) {
            monthList.add(today.substring(0,7));
        }

        monthList.forEach(
                month -> {
                    Map map = new HashMap();
                    map.put("month",month);
                    map.put("data",hxPlanCompletedMapper.selectByMonth(month+"-%"));
                    returnMap.add(map);
                }
        );
        return returnMap;
    }

    private boolean checkIsExist(HxPlanCompleted hxPlanCompleted) {
        return hxPlanCompletedMapper.checkIsExist(hxPlanCompleted) > 0;
    }
}
