package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxProductQualifiedService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxProductQualifiedMapper;
import com.ailanyin.model.HxProductQualified;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/13 0013 下午 17:53
 */
@Service
public class HxProductQualifiedImpl implements HxProductQualifiedService {

    @Resource
    private HxProductQualifiedMapper hxProductQualifiedMapper;

    @Override
    public List<HxProductQualified> selectHxProductQualifiedList(HxProductQualified hxProductQualified) {
        return hxProductQualifiedMapper.selectHxProductQualifiedList(hxProductQualified);
    }

    @Override
    public void importData(List<HxProductQualified> list) {
        list.forEach(hxProductQualified -> {
            if (EmptyUtil.isNotEmpty(hxProductQualified.getProductName())) {
                if (checkIsExist(hxProductQualified)) {
                    hxProductQualifiedMapper.updateSelective(hxProductQualified);
                } else {
                    hxProductQualifiedMapper.insertSelective(hxProductQualified);
                }
            }
        });
    }

    private boolean checkIsExist(HxProductQualified hxProductQualified) {
        return hxProductQualifiedMapper.checkIsExist(hxProductQualified) > 0;
    }
}
