package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxProductionIndexService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxChargeDeliverMapper;
import com.ailanyin.mapper.HxProductionIndexMapper;
import com.ailanyin.model.HxChargeDeliver;
import com.ailanyin.model.HxProductionIndex;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 14:06
 */

@Service
public class HxProductionIndexServiceImpl implements HxProductionIndexService {
    @Resource
    private HxProductionIndexMapper hxProductionIndexMapper;
    @Resource
    private HxChargeDeliverMapper hxChargeDeliverMapper;

    @Override
    public List<HxProductionIndex> selectList(HxProductionIndex hxProductionIndex) {
        return hxProductionIndexMapper.selectList(hxProductionIndex);
    }

    @Override
    public void importData(List<HxProductionIndex> list) {
        list.forEach(hxProductionIndex -> {
            if (EmptyUtil.isNotEmpty(hxProductionIndex.getRealCharge())) {
                hxProductionIndexMapper.updateSelective(hxProductionIndex);
            }
        });
    }

    @Override
    public Map getProductionIndexPic() {
        Map returnMap = new HashMap(2);
        List<HxProductionIndex> indexList = hxProductionIndexMapper.selectList(new HxProductionIndex());
        returnMap.put("pic1", indexList.size() > 0 ? indexList.get(0) : null);
        List<HxChargeDeliver> list = hxChargeDeliverMapper.selectList(new HxChargeDeliver());
        returnMap.put("pic2", list.size() > 0 ? list : null);
        return returnMap;
    }

}
