package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxProductionPlanService;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxProductionPlanMapper;
import com.ailanyin.model.HxProductionPlan;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 上午 11:33
 */

@Service
public class HxProductionPlanServiceImpl implements HxProductionPlanService {

    @Resource
    private HxProductionPlanMapper hxProductionPlanMapper;


    @Override
    public List<HxProductionPlan> selectHxProductionPlanList(HxProductionPlan hxProductionPlan) {
        return hxProductionPlanMapper.selectList(hxProductionPlan);
    }

    @Override
    public void importData(List<HxProductionPlan> list) {
        list.forEach(hxProductionPlan -> {
            if (EmptyUtil.isNotEmpty(hxProductionPlan.getMonth())) {
                if (checkIsExist(hxProductionPlan)) {
                    hxProductionPlanMapper.updateSelective(hxProductionPlan);
                } else {
                    hxProductionPlanMapper.insertSelective(hxProductionPlan);
                }
            }
        });
    }

    @Override
    public List<HxProductionPlan> getProductionPlanPic(String month) {
/*        Map returnMap = new HashMap(2);
        List<String> monthList = hxProductionPlanMapper.getAllMonth();
        List<Map> mapList = new ArrayList<>();
        monthList.forEach(month -> {
            Map map = new HashMap(monthList.size());
            HxProductionPlan plan = new HxProductionPlan();
            plan.setMonth(month);
            map.put(month,selectHxProductionPlanList(plan));
            mapList.add(map);
        });
        returnMap.put("allMonth",monthList);
        returnMap.put("allModel",hxProductionPlanMapper.getAllModel());
        returnMap.put("list",mapList);
        return returnMap;*/
        HxProductionPlan hxProductionPlan = new HxProductionPlan();
        hxProductionPlan.setMonth(month);
        return hxProductionPlanMapper.selectList(hxProductionPlan);
    }

    @Override
    public List<Map> getModelProductionStatisticPic() {
        return hxProductionPlanMapper.getModelProductionStatisticPic(DateUtil.getNowYear() + "-%");
    }

    private boolean checkIsExist(HxProductionPlan hxProductionPlan) {
        return hxProductionPlanMapper.checkIsExist(hxProductionPlan) > 0;
    }
}
