package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxProductionSituationService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxProductionSituationMapper;
import com.ailanyin.model.HxProductionSituation;
import org.springframework.security.core.parameters.P;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 22:10
 */

@Service
public class HxProductionSituationServiceImpl implements HxProductionSituationService {

    @Resource
    private HxProductionSituationMapper hxProductionSituationMapper;


    @Override
    public List<HxProductionSituation> selectList(HxProductionSituation hxProductionSituation) {
        return hxProductionSituationMapper.selectList(hxProductionSituation);
    }

    @Override
    public void importData(List<HxProductionSituation> list) {
        list.forEach(hxProductionSituation -> {
            if (EmptyUtil.isNotEmpty(hxProductionSituation.getMonth())) {
                if (checkIsExist(hxProductionSituation)) {
                    hxProductionSituationMapper.updateSelective(hxProductionSituation);
                } else {
                    hxProductionSituationMapper.insertSelective(hxProductionSituation);
                }
            }
        });
    }


    private boolean checkIsExist(HxProductionSituation hxProductionSituation) {
        return hxProductionSituationMapper.checkIsExist(hxProductionSituation) > 0;
    }
}
