package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxQualityCaseService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxQualityCaseMapper;
import com.ailanyin.model.HxQualityCase;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 下午 17:38
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HxQualityCaseServiceImpl implements HxQualityCaseService {

    @Resource
    private HxQualityCaseMapper hxQualityCaseMapper;

    @Override
    public List<HxQualityCase> selectHxQualityCaseList(HxQualityCase hxQualityCase) {
        return hxQualityCaseMapper.selectHxQualityCaseList(hxQualityCase);
    }

    @Override
    public void importData(List<HxQualityCase> list) {
        list.forEach(hxQualityCase -> {
            if (EmptyUtil.isNotEmpty(hxQualityCase.getClassName())) {
/*                if (checkIsExist(hxQualityCase)) {
                    hxQualityCaseMapper.updateSelective(hxQualityCase);
                } else {
                    hxQualityCaseMapper.insertSelective(hxQualityCase);
                }*/
                hxQualityCaseMapper.insertSelective(hxQualityCase);
            }
        });
    }

    private boolean checkIsExist(HxQualityCase hxQualityCase) {
        return hxQualityCaseMapper.checkIsExist(hxQualityCase) > 0;
    }
}
