package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxQualityInspectAnalysisService;
import com.ailanyin.common.utils.BigDecimalUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxQualityInspectAnalysisMapper;
import com.ailanyin.model.HxQualityInspectAnalysis;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 11:23
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HxQualityInspectAnalysisServiceImpl implements HxQualityInspectAnalysisService {

    @Resource
    private HxQualityInspectAnalysisMapper hxQualityInspectAnalysisMapper;
    private static String GENERAL_FACTORY = "1";
    private static String DEPT = "2";


    @Override
    public List<HxQualityInspectAnalysis> selectHxQualityInspectAnalysisList(HxQualityInspectAnalysis hxQualityInspectAnalysis) {
        return hxQualityInspectAnalysisMapper.selectHxQualityInspectAnalysisList(hxQualityInspectAnalysis);
    }

    @Override
    public void importData(List<HxQualityInspectAnalysis> list) {

        list.forEach(hxQualityInspectAnalysis -> {
            if (EmptyUtil.isNotEmpty(hxQualityInspectAnalysis.getDeptName())) {
                hxQualityInspectAnalysis.setCompletedRate(BigDecimalUtil.calculateCompletionRate(
                        hxQualityInspectAnalysis.getCompletedTotal(),
                        hxQualityInspectAnalysis.getProblemTotal()
                ));
                if (checkIsExist(hxQualityInspectAnalysis)) {
                    hxQualityInspectAnalysisMapper.updateSelective(hxQualityInspectAnalysis);
                } else {
                    hxQualityInspectAnalysisMapper.insertSelective(hxQualityInspectAnalysis);
                }
            }
        });
    }

    @Override
    public Map getHxQualityInspectByType(String type) {
        Map map = new HashMap(2);
        if (GENERAL_FACTORY.equals(type)) {
            map.put("factory",hxQualityInspectAnalysisMapper.selectFactory());
        }

        if (DEPT.equals(type)) {
            map.put("dept",hxQualityInspectAnalysisMapper.selectDept());
        }

        return map;
    }

    private boolean checkIsExist(HxQualityInspectAnalysis hxQualityInspectAnalysis) {
        return hxQualityInspectAnalysisMapper.checkIsExist(hxQualityInspectAnalysis) > 0;
    }
}
