package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxQualityManageService;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxQualityManageMapper;
import com.ailanyin.model.HxQualityManage;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 上午 9:09
 */

@Service
public class HxQualityManageImpl implements HxQualityManageService {

    @Resource
    private HxQualityManageMapper hxQualityManageMapper;

    @Override
    public List<HxQualityManage> selectList(HxQualityManage hxQualityManage) {
        return hxQualityManageMapper.selectList(hxQualityManage);
    }

    @Override
    public void importData(List<HxQualityManage> list) {
        list.forEach(hxQualityManage -> {
            if (EmptyUtil.isNotEmpty(hxQualityManage.getMonth())) {
                if (checkIsExist(hxQualityManage)) {
                    hxQualityManageMapper.updateSelective(hxQualityManage);
                } else {
                    hxQualityManageMapper.insertSelective(hxQualityManage);
                }
            }
        });
    }

    @Override
    public Map getQualityManagePic() {
        String year = DateUtil.getNowYear() + "-%";
        Map map = hxQualityManageMapper.getQualityManagePic(year);
        if (map != null) {
            map.put("productCate",hxQualityManageMapper.getProductCateByYear(year));
            map.put("smallProductCate",hxQualityManageMapper.getSmallProductCateByYear(year));

        }
        return map;
    }

    private boolean checkIsExist(HxQualityManage hxQualityManage) {
        return hxQualityManageMapper.checkIsExist(hxQualityManage) > 0;
    }
}
