package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxQualitySystemService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxQualitySystemElementsMapper;
import com.ailanyin.mapper.HxQualitySystemReviewMapper;
import com.ailanyin.model.HxQualitySystemElements;
import com.ailanyin.model.HxQualitySystemReview;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/13 0013 下午 16:25
 */
@Service
public class HxQualitySystemServiceImpl implements HxQualitySystemService {

    @Resource
    private HxQualitySystemReviewMapper hxQualitySystemReviewMapper;
    @Resource
    private HxQualitySystemElementsMapper hxQualitySystemElementsMapper;

    @Override
    public List<HxQualitySystemReview> selectHxQualitySystemReviewList(HxQualitySystemReview hxQualitySystemReview) {
        return hxQualitySystemReviewMapper.selectHxQualitySystemReviewList(hxQualitySystemReview);
    }

    @Override
    public void importReviewData(List<HxQualitySystemReview> list) {
        list.forEach(hxQualitySystemReview -> {
            if (EmptyUtil.isNotEmpty(hxQualitySystemReview.getTodayDate())) {
                if (checkIsExist(hxQualitySystemReview.getTodayDate())) {
                    hxQualitySystemReviewMapper.updateSelective(hxQualitySystemReview);
                } else {
                    hxQualitySystemReviewMapper.insertSelective(hxQualitySystemReview);
                }
            }
        });
    }

    @Override
    public List<HxQualitySystemElements> selectHxQualitySystemElementsList(HxQualitySystemElements hxQualitySystemElements) {
        return hxQualitySystemElementsMapper.selectHxQualitySystemElementsList(hxQualitySystemElements);
    }

    @Override
    public void importData(List<HxQualitySystemElements> list) {
        list.forEach(hxQualitySystemElements -> {
            if (EmptyUtil.isNotEmpty(hxQualitySystemElements.getDeptName())) {
                if (checkElementsIsExist(hxQualitySystemElements)) {
                    hxQualitySystemElementsMapper.updateSelective(hxQualitySystemElements);
                } else {
                    hxQualitySystemElementsMapper.insertSelective(hxQualitySystemElements);
                }
            }
        });
    }

    @Override
    public Map getPic1() {
        Map map = new HashMap(2);
        List<Map> elementsList = hxQualitySystemElementsMapper.selectPic1();
        List<Map> reviewList = hxQualitySystemReviewMapper.selectPic1();
        map.put("elementsList",elementsList);
        map.put("reviewList",reviewList);
        return map;
    }

    @Override
    public Map getPic2() {
        Map returnMap = new HashMap(3);
        List<Map> allList = new ArrayList<>();
        //获取所有指标
        List<String> allExistSystemName = hxQualitySystemReviewMapper.getAllExistSystemName();
        //获取所有部门
        List<String> allExistDeptName = hxQualitySystemReviewMapper.getAllExistDeptName();

        allExistDeptName.forEach(dept -> {
            Map map = new HashMap(2);
            List<Map> mapList = hxQualitySystemReviewMapper.selectAllSystemNameByDept(dept);
            map.put("dept",dept);
            map.put("list",mapList);
            allList.add(map);
        });

        returnMap.put("allDept",allExistDeptName);
        returnMap.put("allSystem",allExistSystemName);
        returnMap.put("allList",allList);
        return returnMap;
    }

    private boolean checkIsExist(String todayDate) {
        return hxQualitySystemReviewMapper.checkIsExist(todayDate) > 0;
    }

    private boolean checkElementsIsExist(HxQualitySystemElements hxQualitySystemElements) {
        return hxQualitySystemElementsMapper.checkElementsIsExist(hxQualitySystemElements) > 0;
    }
}
