package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxResponsibilityStatusService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxResponsibilityStatusMapper;
import com.ailanyin.model.HxResponsibilityStatus;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 10:46
 */
@Service
public class HxResponsibilityStatusServiceImpl implements HxResponsibilityStatusService {

    @Resource
    private HxResponsibilityStatusMapper hxResponsibilityStatusMapper;


    @Override
    public List<HxResponsibilityStatus> selectHxResponsibilityStatusList(HxResponsibilityStatus hxResponsibilityStatus) {
        return hxResponsibilityStatusMapper.selectHxResponsibilityStatusList(hxResponsibilityStatus);
    }

    @Override
    public void importData(List<HxResponsibilityStatus> list) {
        for (HxResponsibilityStatus responsibilityStatus : list) {
            if (EmptyUtil.isNotEmpty(responsibilityStatus.getDeptName())) {

                if (checkIsExist(responsibilityStatus)) {
                    hxResponsibilityStatusMapper.updateSelective(responsibilityStatus);
                } else {
                    hxResponsibilityStatusMapper.insertSelective(responsibilityStatus);
                }
            }
        }
    }

    @Override
    public Map getHxResponsibilityStatusPic() {

        Map map = new HashMap(2);
        List<HxResponsibilityStatus> list = selectHxResponsibilityStatusList(new HxResponsibilityStatus());
        map.put("list", list);
        try {
            map.put("totalAndRate", hxResponsibilityStatusMapper.getTotalAndRate());
        } catch (Exception e) {
            map.put("totalAndRate", 0);
        }
        return map;
    }

    private boolean checkIsExist(HxResponsibilityStatus hxResponsibilityStatus) {
        return hxResponsibilityStatusMapper.checkIsExist(hxResponsibilityStatus) > 0;
    }
}
