package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxRevenueProfitService;
import com.ailanyin.common.utils.BigDecimalUtil;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxRevenueProfitMapper;
import com.ailanyin.model.HxRevenueProfit;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/12 0012 下午 13:31
 */
@Service
public class HxRevenueProfitServiceImpl implements HxRevenueProfitService {

    @Resource
    private HxRevenueProfitMapper hxRevenueProfitMapper;

    @Override
    public List<HxRevenueProfit> selectHxRevenueProfitList(HxRevenueProfit hxRevenueProfit) {
        return hxRevenueProfitMapper.selectHxRevenueProfitList(hxRevenueProfit);
    }

    @Override
    public void importData(List<HxRevenueProfit> list) {
        list.forEach(hxRevenueProfit -> {
            if (EmptyUtil.isNotEmpty(hxRevenueProfit.getDeptName())) {

                handleRate(hxRevenueProfit);

                if (checkIsExist(hxRevenueProfit)) {
                    hxRevenueProfitMapper.updateSelective(hxRevenueProfit);
                } else {
                    hxRevenueProfitMapper.insertSelective(hxRevenueProfit);
                }
            }
        });
    }

    @Override
    public List<Map> getRevenueProfilePic() {
        List<String> month = new ArrayList<>();
        return hxRevenueProfitMapper.getRevenueProfilePic(month);
    }

    @Override
    public List<Map> getProfitProfilePic() {
        List<String> month = new ArrayList<>();
        return hxRevenueProfitMapper.getProfitProfilePic(month);
    }

    @Override
    public Map getBusinessResponsibility() {
        Map returnMap = new HashMap(2);
        List<String> month = new ArrayList<>();
        List<Map> maps = hxRevenueProfitMapper.getListGroupByIndicator(month);
        returnMap.put("list",maps);
        Map map = hxRevenueProfitMapper.getTotalAndRateByYear(DateUtil.getDate("yyyy") + "-%");
        returnMap.put("map",map);
        return returnMap;
    }

    private boolean checkIsExist(HxRevenueProfit hxRevenueProfit) {
        return hxRevenueProfitMapper.checkIsExist(hxRevenueProfit) > 0;
    }

    private void handleRate(HxRevenueProfit hxRevenueProfit) {
        hxRevenueProfit.setRevenueRate(BigDecimalUtil.calculateCompletionRate(
                hxRevenueProfit.getCompletedRevenue(),
                hxRevenueProfit.getTargetRevenue()
        ));

        hxRevenueProfit.setProfitRate(BigDecimalUtil.calculateCompletionRate(
                hxRevenueProfit.getCompletedProfit(),
                hxRevenueProfit.getTargetProfit()
        ));
    }
}
