package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxSpcInfoService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxSpcInfoMapper;
import com.ailanyin.mapper.HxSpcProductMapper;
import com.ailanyin.model.HxSpcInfo;
import com.ailanyin.model.HxSpcProduct;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 9:58
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HxSpcInfoServiceImpl implements HxSpcInfoService {

    @Resource
    private HxSpcInfoMapper hxSpcInfoMapper;
    @Resource
    private HxSpcProductMapper hxSpcProductMapper;

    @Override
    public List<HxSpcInfo> selectHxSpcInfoList(HxSpcInfo hxSpcInfo) {
        return hxSpcInfoMapper.selectHxSpcInfoList(hxSpcInfo);
    }

    @Override
    public void importData(List<HxSpcInfo> list) {
        list.forEach(hxSpcInfo -> {
            if (EmptyUtil.isNotEmpty(hxSpcInfo.getSpcName())) {

                if (checkIsExist(hxSpcInfo)) {
                    hxSpcInfoMapper.updateSelective(hxSpcInfo);
                } else {
                    hxSpcInfoMapper.insertSelective(hxSpcInfo);
                }
            }
        });
    }

    private boolean checkIsExist(HxSpcInfo hxSpcInfo) {
        return hxSpcInfoMapper.checkIsExist(hxSpcInfo) > 0;
    }

    @Override
    public Map getHxSpcPic(String category) {
        Map returnMap = new HashMap(2);
        HxSpcInfo hxSpcInfo = new HxSpcInfo();
        hxSpcInfo.setSpcName(category);
        List<HxSpcInfo> infoList = selectHxSpcInfoList(hxSpcInfo);
        returnMap.put("spc", infoList.size() > 0 ? infoList.get(0) : null);
        HxSpcProduct hxSpcProduct = new HxSpcProduct();
        hxSpcProduct.setSpcName(category);
        List<HxSpcProduct> hxSpcProducts = hxSpcProductMapper.selectList(hxSpcProduct);
        returnMap.put("product", hxSpcProducts);
        return returnMap;
    }

    @Override
    public List<String> getHxAllSpcCategory() {
        return hxSpcInfoMapper.getHxAllSpcCategory();
    }
}
