package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxSpcProductService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxSpcProductMapper;
import com.ailanyin.model.HxSpcProduct;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 上午 9:42
 */

@Service
public class HxSpcProductServiceImpl implements HxSpcProductService {
    @Resource
    private HxSpcProductMapper hxSpcProductMapper;

    @Override
    public List<HxSpcProduct> selectList(HxSpcProduct hxSpcProduct) {
        return hxSpcProductMapper.selectList(hxSpcProduct);
    }

    @Override
    public void importData(List<HxSpcProduct> list) {
        list.forEach(hxSpcProduct -> {
            if (EmptyUtil.isNotEmpty(hxSpcProduct.getProductName())) {
                if (checkIsExist(hxSpcProduct)) {
                    hxSpcProductMapper.updateSelective(hxSpcProduct);
                } else {
                    hxSpcProductMapper.insertSelective(hxSpcProduct);
                }
            }
        });
    }

    private boolean checkIsExist(HxSpcProduct hxSpcProduct) {
        return hxSpcProductMapper.checkIsExist(hxSpcProduct) > 0;
    }

}
