package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxStockDetailedService;
import com.ailanyin.common.utils.BigDecimalUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxStockDetailedMapper;
import com.ailanyin.model.HxStockDetailed;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 17:16
 */

@Service
public class HxStockDetailedServiceImpl implements HxStockDetailedService {

    @Resource
    private HxStockDetailedMapper hxStockDetailedMapper;


    @Override
    public List<HxStockDetailed> selectList(HxStockDetailed hxStockDetailed) {
        return hxStockDetailedMapper.selectList(hxStockDetailed);
    }

    @Override
    public void importData(List<HxStockDetailed> list) {
        list.forEach(hxStockDetailed -> {
            if (EmptyUtil.isNotEmpty(hxStockDetailed.getCategory())) {
                if (checkIsExist(hxStockDetailed)) {
                    hxStockDetailedMapper.updateSelective(hxStockDetailed);
                } else {
                    hxStockDetailedMapper.insertSelective(hxStockDetailed);
                }
            }
        });
    }

    private boolean checkIsExist(HxStockDetailed hxStockDetailed) {
        return hxStockDetailedMapper.checkIsExist(hxStockDetailed) > 0;
    }
}
