package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxStrategyIndexService;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxStrategyIndexMapper;
import com.ailanyin.model.HxStrategyIndex;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 13:22
 */

@Service
public class HxStrategyIndexServiceImpl implements HxStrategyIndexService {

    @Resource
    private HxStrategyIndexMapper hxStrategyIndexMapper;

    @Override
    public List<HxStrategyIndex> selectHxStrategyIndexList(HxStrategyIndex hxStrategyIndex) {
        return hxStrategyIndexMapper.selectList(hxStrategyIndex);
    }

    @Override
    public void importData(List<HxStrategyIndex> list) {
        list.forEach(hxStrategyIndex -> {
            if (EmptyUtil.isNotEmpty(hxStrategyIndex.getYear())) {
                if (checkIsExist(hxStrategyIndex)) {
                    hxStrategyIndexMapper.updateSelective(hxStrategyIndex);
                } else {
                    hxStrategyIndexMapper.insertSelective(hxStrategyIndex);
                }
            }
        });
    }

    @Override
    public List<Map> getHxStrategyIndexPic() {
        List<Map> list = new ArrayList<>();
        String year = DateUtil.getNowYear().toString();
        List<String> fiveForceByYear = hxStrategyIndexMapper.getAllFiveForceByYear(year);
        fiveForceByYear.forEach(fiveForce -> {
            HxStrategyIndex strategyIndex = new HxStrategyIndex();
            strategyIndex.setFiveForce(fiveForce);
            strategyIndex.setYear(year);

            Map map = new HashMap(2);
            map.put("key",fiveForce);
            map.put("value",selectHxStrategyIndexList(strategyIndex));

            list.add(map);
        });
        return list;
    }


    private boolean checkIsExist(HxStrategyIndex hxStrategyIndex) {
        return hxStrategyIndexMapper.checkIsExist(hxStrategyIndex) > 0;
    }
}
