package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxSynthesizeIndexService;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxSynthesizeIndexMapper;
import com.ailanyin.model.HxSynthesizeIndex;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 13:45
 */

@Service
public class HxSynthesizeIndexServiceImpl implements HxSynthesizeIndexService {

    @Resource
    private HxSynthesizeIndexMapper hxSynthesizeIndexMapper;

    private static String RATE = "1";
    private static String DETAILED = "2";

    @Override
    public List<HxSynthesizeIndex> selectHxSynthesizeIndexList(HxSynthesizeIndex hxSynthesizeIndex) {
        return hxSynthesizeIndexMapper.selectList(hxSynthesizeIndex);
    }

    @Override
    public void importData(List<HxSynthesizeIndex> list) {
        list.forEach(hxSynthesizeIndex -> {
            if (EmptyUtil.isNotEmpty(hxSynthesizeIndex.getDeptName())) {
                if (checkIsExist(hxSynthesizeIndex)) {
                    hxSynthesizeIndexMapper.updateSelective(hxSynthesizeIndex);
                } else {
                    hxSynthesizeIndexMapper.insertSelective(hxSynthesizeIndex);
                }
            }
        });
    }

    @Override
    public Map getHxSynthesizeIndexPic(String type) {
        Map returnMap = new HashMap();
        String nowYear = DateUtil.getNowYear() + "%";
        if (RATE.equals(type)) {
            List<Map> mapList = new ArrayList<>();
            //获取所有部门
            List<String> deptList = hxSynthesizeIndexMapper.getAllDeptByYear(nowYear);
            deptList.forEach(dept -> {
                Map map = hxSynthesizeIndexMapper.getByDeptAndYear(dept,nowYear);
                map.put("dept",dept);
                mapList.add(map);
            });

            //获取0进展指标
            Long zeroTotal = hxSynthesizeIndexMapper.getZeroTotalByYear(nowYear);
            //获取总体完成率
            String rate = null;
            try {
                rate = hxSynthesizeIndexMapper.getRateByYear(nowYear);
            } catch (Exception e) {
                rate = "0";
            }
            returnMap.put("list",mapList);
            returnMap.put("zeroTotal",zeroTotal);
            returnMap.put("rate",rate);
        }

        if (DETAILED.equals(type)) {
            HxSynthesizeIndex hxSynthesizeIndex = new HxSynthesizeIndex();
            hxSynthesizeIndex.setTodayDate(nowYear);
            returnMap.put("list",selectHxSynthesizeIndexList(hxSynthesizeIndex));
        }
        return returnMap;
    }

    private boolean checkIsExist(HxSynthesizeIndex hxSynthesizeIndex) {
        return hxSynthesizeIndexMapper.checkIsExist(hxSynthesizeIndex) > 0;
    }
}
