package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxSystemRadarService;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxSystemRadarMapper;
import com.ailanyin.model.HxSystemRadar;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 9:46
 */
@Service
public class HxSystemRadarServiceImpl implements HxSystemRadarService {

    @Resource
    private HxSystemRadarMapper hxSystemRadarMapper;

    @Override
    public List<HxSystemRadar> selectHxSystemRadarList(HxSystemRadar hxSystemRadar) {
        return hxSystemRadarMapper.selectHxSystemRadarList(hxSystemRadar);
    }

    @Override
    public void importData(List<HxSystemRadar> list) {
        list.forEach(hxSystemRadar -> {
            if (EmptyUtil.isNotEmpty(hxSystemRadar.getSystemName())) {
                if (checkIsExist(hxSystemRadar)) {
                    hxSystemRadarMapper.updateSelective(hxSystemRadar);
                } else {
                    hxSystemRadarMapper.insertSelective(hxSystemRadar);
                }
            }
        });
    }

    @Override
    public List<Map> getHxSystemRadarPic() {
        List<Map> list = new ArrayList<>();
        List<String> allSystemName = hxSystemRadarMapper.getAllSystemName();
        allSystemName.forEach(systemName -> {
            Map map = new HashMap(3);
            map.put("systemName",systemName);
            map.put("total",hxSystemRadarMapper.selectAllBySystemNameAndMonth(null,systemName));
            map.put("month",hxSystemRadarMapper.selectAllBySystemNameAndMonth(DateUtil.getDate("yyyy-MM") +"-%",systemName));

            list.add(map);
        });
        return list;
    }

    private boolean checkIsExist(HxSystemRadar hxSystemRadar) {
        return hxSystemRadarMapper.checkIsExist(hxSystemRadar) > 0;
    }
}
