package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxTeamAttendanceService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxTeamAttendanceMapper;
import com.ailanyin.model.HxTeamAttendance;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.swing.border.EmptyBorder;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 13:59
 */

@Service
public class HxTeamAttendanceServiceImpl implements HxTeamAttendanceService {

    @Resource
    private HxTeamAttendanceMapper hxTeamAttendanceMapper;


    @Override
    public List<HxTeamAttendance> selectList(HxTeamAttendance hxTeamAttendance) {
        return hxTeamAttendanceMapper.selectList(hxTeamAttendance);
    }

    @Override
    public void importData(List<HxTeamAttendance> list) {
        list.forEach(hxTeamAttendance -> {
            if (EmptyUtil.isNotEmpty(hxTeamAttendance.getTeamName())) {
                if (checkIsExist(hxTeamAttendance)) {
                    hxTeamAttendanceMapper.updateSelective(hxTeamAttendance);
                } else {
                    hxTeamAttendanceMapper.insertSelective(hxTeamAttendance);
                }
            }
        });
    }

    private boolean checkIsExist(HxTeamAttendance hxTeamAttendance) {
        return hxTeamAttendanceMapper.checkIsExist(hxTeamAttendance) > 0;
    }
}
