package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxWeekPlanService;
import com.ailanyin.common.utils.BigDecimalUtil;
import com.ailanyin.common.utils.DateUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxWeekPlanMapper;
import com.ailanyin.model.HxWeekPlan;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 16:22
 */

@Service
public class HxWeekPlanServiceImpl implements HxWeekPlanService {

    @Resource
    private HxWeekPlanMapper hxWeekPlanMapper;


    @Override
    public List<HxWeekPlan> selectList(HxWeekPlan hxWeekPlan) {
        return hxWeekPlanMapper.selectList(hxWeekPlan);
    }

    @Override
    public void importData(List<HxWeekPlan> list) {
        list.forEach(hxWeekPlan -> {
            if (EmptyUtil.isNotEmpty(hxWeekPlan.getMonth())) {
                handleRate(hxWeekPlan);
                if (checkIsExist(hxWeekPlan)) {
                    hxWeekPlanMapper.updateSelective(hxWeekPlan);
                } else {
                    hxWeekPlanMapper.insertSelective(hxWeekPlan);
                }
            }
        });
    }

    @Override
    public HxWeekPlan getHxWeekPlanUsePic() {
        return hxWeekPlanMapper.getHxWeekPlanUsePic(DateUtil.getDate("yyyy-MM-dd"));
    }

    private boolean checkIsExist(HxWeekPlan hxWeekPlan) {
        return hxWeekPlanMapper.checkIsExist(hxWeekPlan) > 0;
    }

    private void handleRate(HxWeekPlan hxWeekPlan) {
        hxWeekPlan.setFlawDetectionRate(BigDecimalUtil.calculateCompletionRate(
                hxWeekPlan.getRealFlawDetection(),
                hxWeekPlan.getTargetFlawDetection()
        ));
        hxWeekPlan.setChargeRate(BigDecimalUtil.calculateCompletionRate(
                hxWeekPlan.getRealCharge(),
                hxWeekPlan.getTargetCharge()
        ));
        hxWeekPlan.setHousingRate(BigDecimalUtil.calculateCompletionRate(
                hxWeekPlan.getRealHousing(),
                hxWeekPlan.getTargetHousing()
        ));
        hxWeekPlan.setDeliverRate(BigDecimalUtil.calculateCompletionRate(
                hxWeekPlan.getRealDeliver(),
                hxWeekPlan.getTargetDeliver()
        ));
    }
}
