package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxWorkPlanService;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxWorkPlanMapper;
import com.ailanyin.model.HxWorkPlan;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 11:23
 */

@Service
public class HxWorkPlanServiceImpl implements HxWorkPlanService {

    @Resource
    private HxWorkPlanMapper hxWorkPlanMapper;

    private static String RATE = "1";
    private static String DETAILED = "2";

    @Override
    public List<HxWorkPlan> selectHxWorkPlanList(HxWorkPlan hxWorkPlan) {
        return hxWorkPlanMapper.selectHxWorkPlanList(hxWorkPlan);
    }

    @Override
    public void importData(List<HxWorkPlan> list) {
        list.forEach(hxWorkPlan -> {
            if (EmptyUtil.isNotEmpty(hxWorkPlan.getTodayDate())) {
                if (checkIsExist(hxWorkPlan)) {
                    hxWorkPlanMapper.updateSelective(hxWorkPlan);
                } else {
                    hxWorkPlanMapper.insertSelective(hxWorkPlan);
                }
            }
        });
    }

    /**
     * 大图
     *
     * @param type type=1完成率/2=明细
     * @return
     */
    @Override
    public Map getHxWorkPlanPic(String type) {

        if (RATE.equals(type)) {
            return getRate();
        }

        if (DETAILED.equals(type)) {
            return getDetailed();
        }
        return null;
    }

    private Map getRate() {
        Map returnMap = new HashMap(2);

        List<String> projectList = getAllProjectName();
        List<Map> mapList = new ArrayList<>();
        projectList.forEach(project -> {
            Map map = new HashMap();
            map.put("name", project);
            map.put("value", hxWorkPlanMapper.getInfoByProjectName(project));
            mapList.add(map);
        });
        returnMap.put("list", mapList);
        try {
            returnMap.put("totalAndRate", hxWorkPlanMapper.getTotalAndRate());
        } catch (Exception e) {
            returnMap.put("totalAndRate", 0);
        }

        return returnMap;
    }

    private Map getDetailed() {
        Map returnMap = new HashMap(2);
        returnMap.put("list", selectHxWorkPlanList(new HxWorkPlan()));
        return returnMap;
    }

    private List<String> getAllProjectName() {
        return hxWorkPlanMapper.getAllProjectName();
    }

    private boolean checkIsExist(HxWorkPlan hxWorkPlan) {
        return hxWorkPlanMapper.checkIsExist(hxWorkPlan) > 0;
    }
}
