package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxYearDutyService;
import com.ailanyin.common.utils.BigDecimalUtil;
import com.ailanyin.common.utils.EmptyUtil;
import com.ailanyin.mapper.HxYearDutyMapper;
import com.ailanyin.model.HxYearDuty;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 14:41
 */

@Service
public class HxYearDutyServiceImpl implements HxYearDutyService {

    @Resource
    private HxYearDutyMapper hxYearDutyMapper;


    @Override
    public List<HxYearDuty> selectList(HxYearDuty hxYearDuty) {
        List<HxYearDuty> list = hxYearDutyMapper.selectList(hxYearDuty);
        for (HxYearDuty duty : list) {
            Integer total = hxYearDutyMapper.selectRealTotal(duty.getYear()+'%',duty.getProductModel());
            if (total == null) {
                total = 0;
            }
            duty.setRate(String.valueOf(BigDecimalUtil.div(Double.valueOf(total),Double.valueOf(duty.getTargetTotal()),2) * 100));
        }
        return list;
    }

    @Override
    public void importData(List<HxYearDuty> list) {
        list.forEach(hxYearDuty -> {
            if (EmptyUtil.isNotEmpty(hxYearDuty.getYear())) {
                hxYearDuty.setRate(BigDecimalUtil.calculateCompletionRate(
                        hxYearDuty.getRealTotal(),
                        hxYearDuty.getTargetTotal()
                ));
                if (checkIsExist(hxYearDuty)) {
                    hxYearDutyMapper.updateSelective(hxYearDuty);
                } else {
                    hxYearDutyMapper.insertSelective(hxYearDuty);
                }
            }
        });
    }

    private boolean checkIsExist(HxYearDuty hxYearDuty) {
        return hxYearDutyMapper.checkIsExist(hxYearDuty) > 0;
    }
}
