drop table "ROOT"."hx_car_location_log";

CREATE TABLE "ROOT"."hx_car_location_log"
(
"id" BIGINT IDENTITY(1, 1) NOT NULL,
"card_number" VARCHAR(255),
"distance" INT,
"low_voltage" INT,
"read_id" BIGINT,
"read_name" VARCHAR(255),
"north_angle" INT,
"car_abscissa" VARCHAR(255),
"car_ordinate" VARCHAR(255),
"car_id" VARCHAR(255),
"driver_name" VARCHAR(255),
"driver_phone" VARCHAR(255),
"status" VARCHAR(255),
"create_time" TIMESTAMP(0),

NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "AITEST", CLUSTERBTR) ;

COMMENT ON TABLE "ROOT"."hx_car_location_log" IS '汽车位置记录日志';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."car_abscissa" IS '汽车横坐标';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."car_id" IS '车牌号';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."car_ordinate" IS '汽车纵坐标';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."card_number" IS '卡片编号';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."create_time" IS '录入时间';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."distance" IS '距离';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."driver_name" IS '驾驶人姓名';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."driver_phone" IS '驾驶人手机号';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."id" IS 'ID';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."low_voltage" IS '低电压(1->是，0->否)';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."north_angle" IS '与正北夹角';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."read_id" IS '阅读器Id';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."read_name" IS '读卡器名称';
COMMENT ON COLUMN "ROOT"."hx_car_location_log"."status" IS '进or出(1->进，0->出)';


CREATE UNIQUE  INDEX "INDEX173691208784900" ON "ROOT"."hx_car_location_log"("id" ASC) STORAGE(ON "AITEST", CLUSTERBTR) ;

