drop table "ROOT"."hx_quality_manage";
CREATE TABLE "ROOT"."hx_quality_manage"
(
"id" BIGINT IDENTITY(1, 1) NOT NULL,
"month" VARCHAR(255),
"factory_problem_total" VARCHAR(255),
"factory_problem_rectification_total" VARCHAR(255),
"commonly_problem_total" VARCHAR(255),
"low_problem_total" VARCHAR(255),
"target_error_check" VARCHAR(255),
"real_error_check" VARCHAR(255),
"quality_plan_total" VARCHAR(255),
"quality_plan_complete_total" VARCHAR(255),
"quality_notification_total" VARCHAR(255),
"quality_notification_complete_total" VARCHAR(255),
NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "AITEST", CLUSTERBTR) ;

COMMENT ON COLUMN "ROOT"."hx_quality_manage"."commonly_problem_total" IS '一般性质量问题数';
COMMENT ON COLUMN "ROOT"."hx_quality_manage"."factory_problem_rectification_total" IS '质量体系问题整改数';
COMMENT ON COLUMN "ROOT"."hx_quality_manage"."factory_problem_total" IS '质量体系问题总数';
COMMENT ON COLUMN "ROOT"."hx_quality_manage"."low_problem_total" IS '低层次质量问题数';
COMMENT ON COLUMN "ROOT"."hx_quality_manage"."quality_notification_complete_total" IS '质量通报完成数';
COMMENT ON COLUMN "ROOT"."hx_quality_manage"."quality_notification_total" IS '质量通报总数';
COMMENT ON COLUMN "ROOT"."hx_quality_manage"."quality_plan_complete_total" IS '质量计划完成数';
COMMENT ON COLUMN "ROOT"."hx_quality_manage"."quality_plan_total" IS '质量计划总数';
COMMENT ON COLUMN "ROOT"."hx_quality_manage"."real_error_check" IS '实际错漏检率';
COMMENT ON COLUMN "ROOT"."hx_quality_manage"."target_error_check" IS '目标错漏检率';


CREATE UNIQUE  INDEX "INDEX261961689170500" ON "ROOT"."hx_quality_manage"("id" ASC) STORAGE(ON "AITEST", CLUSTERBTR) ;


