package com.ailanyin.mapper;

import com.ailanyin.model.HxCarLocationLog;
import com.ailanyin.model.HxReaderInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2022-01-15 09:50:40
 */
@Mapper
public interface HxCarLocationLogMapper {

    /**
     * 条件查询列表
     *
     * @param hxCarLocationLog hxCarLocationLog
     * @return list
     */
    List<HxCarLocationLog> selectList(HxCarLocationLog hxCarLocationLog);

    /**
     * 新增
     *
     * @param hxCarLocationLog hxCarLocationLog
     */
    void insertSelective(HxCarLocationLog hxCarLocationLog);

    /**
     * 修改
     *
     * @param hxCarLocationLog hxCarLocationLog
     */
    void updateByPrimaryKeySelective(HxCarLocationLog hxCarLocationLog);

    /**
     * 批量删除
     *
     * @param ids ids
     */
    void deleteByIds(@Param("list") Long[] ids);

    /**
     * 主键查询
     *
     * @param id id
     * @return hxCarLocationLog
     */
    HxCarLocationLog selectByPrimaryKey(Long id);

    /**
     * 获取大图数据
     *
     * @return list
     */
    List<HxCarLocationLog> getBigPicData();

    Integer selectLastLogDistanceByCardNumAndReadId(@Param("cardNum") String cardNum, @Param("readId") Long readerInfoId);

    List<HxCarLocationLog> selectByParam(@Param("readId") Long readId, @Param("maxTotal") Integer maxTotal, @Param("selectTime") Date selectTime);
}
