package com.ailanyin.mapper;

import com.ailanyin.model.HxCarLocation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-11 01:36:18
*/
@Mapper
public interface HxCarLocationMapper{

	/**
     * 条件查询列表
     *
     * @param hxCarLocation hxCarLocation
     * @return list
     */
    List<HxCarLocation> selectList(HxCarLocation hxCarLocation);

    /**
     * 新增
     *
     * @param hxCarLocation hxCarLocation
     */
    void insertSelective(HxCarLocation hxCarLocation);

    /**
     * 修改
     *
     * @param hxCarLocation hxCarLocation
     */
    void updateByPrimaryKeySelective(HxCarLocation hxCarLocation);

    /**
     * 批量删除
     *
     * @param ids ids
     */
    void deleteByIds(@Param("list") Long[] ids);

    /**
     * 主键查询
     *
     * @param id id
     * @return hxCarLocation
     */
    HxCarLocation selectByPrimaryKey(Long id);

    /**
     * 检查识别卡是否已经绑定其他汽车
     *
     * @param hxCarLocation hxCarLocation
     * @return hxCarLocation
     */
    HxCarLocation checkIsBind(HxCarLocation hxCarLocation);

    /**
     * 将车和定位卡解绑
     *
     * @param hxCarLocation hxCarLocation
     */
    void notBindCarAndLocation(HxCarLocation hxCarLocation);

    /**
     * 检查车牌号是否已经存在
     *
     * @param hxCarLocation hxCarLocation
     * @return hxCarLocation
     */
    HxCarLocation checkCarIdIsExist(HxCarLocation hxCarLocation);

    /**
     * 通过卡查询车
     *
     * @param cardNumber cardNumber
     * @return hxCarLocation
     */
    HxCarLocation selectByCardNumber(int cardNumber);
}
