package com.ailanyin.mapper;

import com.ailanyin.model.HxQualityProblem;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 下午 15:42
 */
public interface HxQualityProblemMapper {

    /**
     *查询
     *
     * @param hxQualityProblem
     * @return
     */
    List<HxQualityProblem> selectHxQualityProblemList(HxQualityProblem hxQualityProblem);

    /**
     * 更新
     *
     * @param hxQualityProblem
     */
    void updateSelective(HxQualityProblem hxQualityProblem);

    /**
     * 新增
     *
     * @param hxQualityProblem
     */
    void insertSelective(HxQualityProblem hxQualityProblem);

    /**
     * 检验是否存在
     *
     * @param hxQualityProblem
     * @return
     */
    int checkIsExist(HxQualityProblem hxQualityProblem);

    /**
     * 月统计
     *
     * @param month
     * @param dimension
     * @return
     */
    List<Map> selectByMonthAndDimension(@Param("month") String month,@Param("dimension")  int dimension);

    /**
     * 年统计
     *
     * @param year
     * @param dimension
     * @return
     */
    List<Map> selectByYearAndDimension(@Param("year") String year,@Param("dimension")  int dimension);

    List<String> getAllMonth();
    List<String> getAllName();

}
