package com.ailanyin.mapper;

import com.ailanyin.model.HxRevenueProfit;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/12 0012 下午 13:30
 */
public interface HxRevenueProfitMapper {

    /**
     * 查询
     *
     * @param hxRevenueProfit
     * @return
     */
    List<HxRevenueProfit> selectHxRevenueProfitList(HxRevenueProfit hxRevenueProfit);

    /**
     * 查重
     *
     * @param hxRevenueProfit
     * @return
     */
    int checkIsExist(HxRevenueProfit hxRevenueProfit);

    /**
     * 更新
     *
     * @param hxRevenueProfit
     */
    void updateSelective(HxRevenueProfit hxRevenueProfit);

    /**
     * 新增
     *
     * @param hxRevenueProfit
     */
    void insertSelective(HxRevenueProfit hxRevenueProfit);

    /**
     * 收入大图
     *
     * @param month
     * @return
     */
    List<Map> getRevenueProfilePic(@Param("list") List<String> month);

    /**
     * 利润大图
     *
     * @param month
     * @return
     */
    List<Map> getProfitProfilePic(@Param("list") List<String> month);

    /**
     * 经营责任书大屏
     *
     * @param month
     * @return
     */
    List<Map> getListGroupByIndicator(@Param("list") List<String> month);

    /**
     * 经营责任书大屏
     *
     * @param nowYear
     * @return
     */
    Map getTotalAndRateByYear(String nowYear);
}
