package com.ailanyin.model;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/12 0012 上午 11:25
 */

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class HxAnnualTarget implements Serializable {


    private Long id;

    @ApiModelProperty(value = "目标收入")
    @Excel(name = "目标收入", width = 20)
    private String targetIncome;

    @ApiModelProperty(value = "已完成收入")
    @Excel(name = "已完成收入", width = 20)
    private String completedIncome;

    @ApiModelProperty(value = "目标利润")
    @Excel(name = "目标利润", width = 20)
    private String targetProfit;

    @ApiModelProperty(value = "已完成利润")
    @Excel(name = "已完成利润", width = 20)
    private String completedProfit;

    @ApiModelProperty(value = "目标装药量")
    @Excel(name = "目标装药量", width = 20)
    private String targetChargeQuantity;

    @ApiModelProperty(value = "已完成装药量")
    @Excel(name = "已完成装药量", width = 20)
    private String completedChargeQuantity;

    @ApiModelProperty(value = "目标交付数量")
    @Excel(name = "目标交付数量", width = 20)
    private String targetDeliveryQuantity;

    @ApiModelProperty(value = "已完成交付数量")
    @Excel(name = "已完成交付数量", width = 20)
    private String completedDeliveryQuantity;

    @ApiModelProperty(value = "年份")
    @Excel(name = "年份", width = 20)
    private String year;

    @ApiModelProperty(value = "大图URL")
    private String bigPic;

    private static final long serialVersionUID = 1L;
}
