package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
* 汽车位置记录日志
*
* @author ailanyin
* @version 1.0
* @since 2022-01-15 09:50:40
*/
@Data
public class HxCarLocationLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @Excel(name = "ID", width = 20)
    private Long id;

    @ApiModelProperty(value = "卡片编号")
    @Excel(name = "卡片编号", width = 20)
    private String cardNumber;

    @ApiModelProperty(value = "距离")
    @Excel(name = "距离", width = 20)
    private Integer distance;

    @ApiModelProperty(value = "低电压(1->是，0->否)")
    @Excel(name = "低电压(1->是，0->否)", width = 20)
    private String lowVoltage;

    @ApiModelProperty(value = "读卡器ID")
    @Excel(name = "读卡器ID", width = 20)
    private Long readId;

    @ApiModelProperty(value = "读卡器名称")
    @Excel(name = "读卡器名称", width = 20)
    private String readName;

    @ApiModelProperty(value = "与正北夹角")
    @Excel(name = "与正北夹角", width = 20)
    private Integer northAngle;

    @ApiModelProperty(value = "汽车横坐标")
    @Excel(name = "汽车横坐标", width = 20)
    private String carAbscissa;

    @ApiModelProperty(value = "汽车纵坐标")
    @Excel(name = "汽车纵坐标", width = 20)
    private String carOrdinate;

    @ApiModelProperty(value = "车牌号")
    @Excel(name = "车牌号", width = 20)
    private String carId;

    @ApiModelProperty(value = "驾驶人姓名")
    @Excel(name = "驾驶人姓名", width = 20)
    private String driverName;

    @ApiModelProperty(value = "驾驶人手机号")
    @Excel(name = "驾驶人手机号", width = 20)
    private String driverPhone;

    @ApiModelProperty(value = "进or出(1->进，0->出)")
    @Excel(name = "进or出(1->进，0->出)", width = 20)
    private String status;

    @ApiModelProperty(value = "录入时间")
    @Excel(name = "录入时间", format = "yyyy-MM-dd HH:mm:ss", width = 30)
    private Date createTime;

    @ApiModelProperty(value = "查询参数(beginTime,endTime)")
    private Map<String, Object> params;
}
