package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* 本月动态
*
* @author ailanyin
* @version 1.0
* @since 2022-01-19 04:55:45
*/
@Data
public class HxMonthDynamic implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "本月收入")
    @Excel(name = "本月收入", width = 20)
    private String income;

    @ApiModelProperty(value = "本月支出")
    @Excel(name = "本月支出", width = 20)
    private String expenditure;

    @ApiModelProperty(value = "本月新签合同数")
    @Excel(name = "本月新签合同数", width = 20)
    private String newContract;

    @ApiModelProperty(value = "本月安全问题数")
    @Excel(name = "本月安全问题数", width = 20)
    private String safetyProblem;

    @ApiModelProperty(value = "本月质量问题")
    @Excel(name = "本月质量问题", width = 20)
    private String qualityProblem;

    @ApiModelProperty(value = "录入时间")
    private Date createTime;

}
