package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 14:00
 */

@Data
public class HxProductionIndex implements Serializable {

    private Long id;

    @ApiModelProperty(value = "实际军品收入累计数")
    @Excel(name = "实际军品收入累计数", width = 20)
    private String realMilitaryIncome;

    @ApiModelProperty(value = "目标军品收入数")
    @Excel(name = "目标军品收入数", width = 20)
    private String targetMilitaryIncome;

    @ApiModelProperty(value = "实际装药量累计数")
    @Excel(name = "实际装药量累计数", width = 20)
    private String realCharge;

    @ApiModelProperty(value = "装药量目标数")
    @Excel(name = "装药量目标数", width = 20)
    private String targetCharge;

    @ApiModelProperty(value = "大型产品实际累计数")
    @Excel(name = "大型产品实际累计数", width = 20)
    private String realBigProduct;

    @ApiModelProperty(value = "大型产品年目标数")
    @Excel(name = "大型产品年目标数", width = 20)
    private String targetBigProduct;

    @ApiModelProperty(value = "中型产品实际累计数")
    @Excel(name = "中型产品实际累计数", width = 20)
    private String realMediumProduct;

    @ApiModelProperty(value = "中型产品年目标数")
    @Excel(name = "中型产品年目标数", width = 20)
    private String targetMediumProduct;

    @ApiModelProperty(value = "小型产品实际累计数")
    @Excel(name = "小型产品实际累计数", width = 20)
    private String realSmallProduct;

    @ApiModelProperty(value = "小型产品年目标数")
    @Excel(name = "小型产品年目标数", width = 20)
    private String targetSmallProduct;

    private static final long serialVersionUID = 1L;

}
