package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 上午 9:07
 */

@Data
public class HxQualityManage implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "全厂质量体系问题总数")
    @Excel(name = "全厂质量体系问题总数", width = 20)
    private String factoryProblemTotal;

    @ApiModelProperty(value = "全厂质量体系问题整改数")
    @Excel(name = "全厂质量体系问题整改数", width = 20)
    private String factoryProblemRectificationTotal;

    @ApiModelProperty(value = "一般性质量问题数")
    @Excel(name = "一般性质量问题数", width = 20)
    private String commonlyProblemTotal;

    @ApiModelProperty(value = "低层次质量问题数")
    @Excel(name = "低层次质量问题数", width = 20)
    private String lowProblemTotal;

    @ApiModelProperty(value = "产品目标错漏检率")
    //@Excel(name = "产品目标错漏检率(填数字,不要%)", width = 26)
    private String targetErrorCheck;

    @ApiModelProperty(value = "产品实际错漏检率(填数字，不要%)")
    @Excel(name = "产品实际错漏检率(填数字，不要%)", width = 26)
    private String realErrorCheck;

    @ApiModelProperty(value = "质量计划总数")
    @Excel(name = "质量计划总数", width = 20)
    private String qualityPlanTotal;

    @ApiModelProperty(value = "质量计划完成数")
    @Excel(name = "质量计划完成数", width = 20)
    private String qualityPlanCompleteTotal;

    @ApiModelProperty(value = "质量通报总数")
    @Excel(name = "质量通报总数", width = 20)
    private String qualityNotificationTotal;

    @ApiModelProperty(value = "质量通报完成数")
    @Excel(name = "质量通报完成数", width = 20)
    private String qualityNotificationCompleteTotal;

    private static final long serialVersionUID = 1L;

}
