package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* 读卡器
*
* @author ailanyin
* @version 1.0
* @since 2022-01-15 08:59:27
*/
@Data
public class HxReaderInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @Excel(name = "ID", width = 20)
    private Long id;

    @ApiModelProperty(value = "读卡器名称")
    @Excel(name = "读卡器名称", width = 20)
    private String readerName;

    @ApiModelProperty(value = "横坐标")
    @Excel(name = "横坐标", width = 20)
    private Integer abscissa;

    @ApiModelProperty(value = "纵坐标")
    @Excel(name = "纵坐标", width = 20)
    private Integer ordinate;

    @ApiModelProperty(value = "与正北夹角")
    @Excel(name = "与正北夹角", width = 20)
    private Integer northAngle;

    @ApiModelProperty(value = "读卡器静态ip")
    @Excel(name = "读卡器静态ip", width = 20)
    private String readerIp;

    @ApiModelProperty(value = "读卡器端口")
    @Excel(name = "读卡器端口", width = 20)
    private Integer readerPort;

    @ApiModelProperty(value = "记录距离")
    @Excel(name = "记录距离", width = 20)
    private Integer recordDistance;

    @ApiModelProperty(value = "录入时间")
    @Excel(name = "录入时间", format = "yyyy-MM-dd HH:mm:ss", width = 30)
    private Date createTime;

}
