package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 今日动态
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 上午 11:15
 */
@Data
public class HxTodayDynamic implements Serializable {

    private Long id;

    @ApiModelProperty(value = "今日日期")
    @Excel(name = "今日日期", width = 20)
    private String todayDate;

    private String income;

    private String expenditure;

    private String newContract;

    private String safetyProblem;

    private String qualityProblem;

    @ApiModelProperty(value = "今日运行设备数")
    @Excel(name = "今日运行设备数", width = 20)
    private String operatingEquipment;

    @ApiModelProperty(value = "今日总设备数")
    @Excel(name = "今日总设备数", width = 20)
    private String totalEquipment;

    @ApiModelProperty(value = "今日出勤员工数")
    @Excel(name = "今日出勤员工数", width = 20)
    private String attendanceWorker;

    @ApiModelProperty(value = "今日总员工数")
    @Excel(name = "今日总员工数", width = 20)
    private String totalWorker;

    @ApiModelProperty(value = "今日完成任务数")
    @Excel(name = "今日完成任务数", width = 20)
    private String completeTask;

    @ApiModelProperty(value = "今日总任务数")
    @Excel(name = "今日总任务数", width = 20)
    private String totalTask;

    @ApiModelProperty(value = "设备运行率")
    private String equipmentRate;

    @ApiModelProperty(value = "员工出勤率")
    private String workerRate;

    @ApiModelProperty(value = "任务完成率")
    private String taskRate;

    private static final long serialVersionUID = 1L;
}
