package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 18:21
 */

@Data
public class HxWorkHomeInfo implements Serializable {

    private Long id;

    @ApiModelProperty(value = "工房名称")
    @Excel(name = "工房名称", width = 20)
    private String workHomeName;

    @ApiModelProperty(value = "横坐标百分比(不要%号)")
    @Excel(name = "横坐标百分比(不要%号)", width = 20)
    private String abscissa;

    @ApiModelProperty(value = "纵坐标百分比(不要%号)")
    @Excel(name = "纵坐标百分比(不要%号)", width = 20)
    private String ordinate;

    @ApiModelProperty(value = "车间名称")
    @Excel(name = "车间名称", width = 20)
    private String workshop;

    @ApiModelProperty(value = "是否正在作业")
    @Excel(name = "是否正在作业(是/否)", width = 25)
    private String workFlag;

    @ApiModelProperty(value = "作业内容")
    @Excel(name = "作业内容", width = 20)
    private String jobContent;

    @ApiModelProperty(value = "故障信息")
    @Excel(name = "故障信息", width = 20)
    private String errorInfo;

    @ApiModelProperty(value = "视频地址")
    @Excel(name = "视频地址", width = 20)
    private String avAddress;

    private boolean flag = false;

    @ApiModelProperty(value = "作业人员")
    @Excel(name = "作业人员", width = 30)
    private String users;

    private List<String> userList;

    private static final long serialVersionUID = 1L;
}
