CREATE TABLE "ROOT"."work_plan_base"
(
 "work_id" VARCHAR(50) NULL,
 "name" VARCHAR(50) NULL,
 "work_content" VARCHAR(50) NULL,
 "complete_time" VARCHAR(50) NULL,
 "deliver" VARCHAR(50) NULL,
 "complete_flag" VARCHAR(50) NULL,
 "person" VARCHAR(50) NULL,
 "complete_status" VARCHAR(50) NULL,
 "complete_remark" VARCHAR(500) NULL,
 "material" VARCHAR(50) NULL,
 "unit" VARCHAR(50) NULL,
 "month" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."test_worker_score"
(
 "worker_name" VARCHAR(50) NULL,
 "worker_class" VARCHAR(50) NULL,
 "chinese_score" VARCHAR(50) NULL,
 "math_score" VARCHAR(50) NULL,
 "english_score" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."test_table_2"
(
 "column_1" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."test_table_1"
(
 "column_1" VARCHAR(50) NULL,
 "column_2" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."test_qulity_complete_total"
(
 "total" VARCHAR(50) NULL,
 "date" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."test_qulity"
(
 "check_name" VARCHAR(50) NULL,
 "question" TEXT NULL,
 "completed" VARCHAR(50) NULL,
 "check_date" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."test_class_log"
(
 "class_name" VARCHAR(50) NULL,
 "chinese_avg" VARCHAR(50) NULL,
 "math_avg" VARCHAR(50) NULL,
 "english_avg" VARCHAR(50) NULL,
 "chinese_fail_total" INT NULL,
 "math_fail_total" INT NULL,
 "english_fail_total" INT NULL
);

CREATE TABLE "ROOT"."test_class"
(
 "username" VARCHAR(50) NULL,
 "password" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."sys_user_role"
(
 "user_id" BIGINT NOT NULL,
 "role_id" BIGINT NOT NULL
);

CREATE TABLE "ROOT"."sys_user_post"
(
 "user_id" BIGINT NOT NULL,
 "post_id" BIGINT NOT NULL
);

CREATE TABLE "ROOT"."sys_user"
(
 "user_id" BIGINT IDENTITY(118,1) NOT NULL,
 "dept_id" BIGINT NULL,
 "user_name" VARCHAR(30) NOT NULL,
 "nick_name" VARCHAR(30) NOT NULL,
 "user_type" VARCHAR(2) DEFAULT '00'
 NULL,
 "email" VARCHAR(50) DEFAULT ''
 NULL,
 "phonenumber" VARCHAR(11) DEFAULT ''
 NULL,
 "sex" CHAR(1) DEFAULT '0'
 NULL,
 "avatar" VARCHAR(100) DEFAULT ''
 NULL,
 "password" VARCHAR(100) DEFAULT ''
 NULL,
 "status" CHAR(1) DEFAULT '0'
 NULL,
 "del_flag" CHAR(1) DEFAULT '0'
 NULL,
 "login_ip" VARCHAR(128) DEFAULT ''
 NULL,
 "login_date" TIMESTAMP(0) NULL,
 "create_by" VARCHAR(64) DEFAULT ''
 NULL,
 "create_time" TIMESTAMP(0) NULL,
 "update_by" VARCHAR(64) DEFAULT ''
 NULL,
 "update_time" TIMESTAMP(0) NULL,
 "remark" VARCHAR(500) NULL
);

CREATE TABLE "ROOT"."sys_role_menu"
(
 "role_id" BIGINT NOT NULL,
 "menu_id" BIGINT NOT NULL
);

CREATE TABLE "ROOT"."sys_role_dept"
(
 "role_id" BIGINT NOT NULL,
 "dept_id" BIGINT NOT NULL
);

CREATE TABLE "ROOT"."sys_role"
(
 "role_id" BIGINT IDENTITY(101,1) NOT NULL,
 "role_name" VARCHAR(30) NOT NULL,
 "role_key" VARCHAR(100) NOT NULL,
 "role_sort" INT NOT NULL,
 "data_scope" CHAR(1) DEFAULT '1'
 NULL,
 "menu_check_strictly" TINYINT DEFAULT 1
 NULL,
 "dept_check_strictly" TINYINT DEFAULT 1
 NULL,
 "status" CHAR(1) NOT NULL,
 "del_flag" CHAR(1) DEFAULT '0'
 NULL,
 "create_by" VARCHAR(64) DEFAULT ''
 NULL,
 "create_time" TIMESTAMP(0) NULL,
 "update_by" VARCHAR(64) DEFAULT ''
 NULL,
 "update_time" TIMESTAMP(0) NULL,
 "remark" VARCHAR(500) NULL
);

CREATE TABLE "ROOT"."sys_post"
(
 "post_id" BIGINT IDENTITY(8,1) NOT NULL,
 "post_code" VARCHAR(64) NOT NULL,
 "post_name" VARCHAR(50) NOT NULL,
 "post_sort" INT NOT NULL,
 "status" CHAR(1) NOT NULL,
 "create_by" VARCHAR(64) DEFAULT ''
 NULL,
 "create_time" TIMESTAMP(0) NULL,
 "update_by" VARCHAR(64) DEFAULT ''
 NULL,
 "update_time" TIMESTAMP(0) NULL,
 "remark" VARCHAR(500) NULL
);

CREATE TABLE "ROOT"."sys_menu"
(
 "menu_id" BIGINT IDENTITY(2015,1) NOT NULL,
 "menu_name" VARCHAR(50) NOT NULL,
 "parent_id" BIGINT DEFAULT 0
 NULL,
 "order_num" INT DEFAULT 0
 NULL,
 "path" VARCHAR(200) DEFAULT ''
 NULL,
 "component" VARCHAR(255) NULL,
 "query" VARCHAR(255) NULL,
 "is_frame" INT DEFAULT 1
 NULL,
 "is_cache" INT DEFAULT 0
 NULL,
 "menu_type" CHAR(1) DEFAULT ''
 NULL,
 "visible" CHAR(1) DEFAULT '0'
 NULL,
 "status" CHAR(1) DEFAULT '0'
 NULL,
 "perms" VARCHAR(100) NULL,
 "icon" VARCHAR(100) DEFAULT '#'
 NULL,
 "create_by" VARCHAR(64) DEFAULT ''
 NULL,
 "create_time" TIMESTAMP(0) NULL,
 "update_by" VARCHAR(64) DEFAULT ''
 NULL,
 "update_time" TIMESTAMP(0) NULL,
 "remark" VARCHAR(500) DEFAULT ''
 NULL
);

CREATE TABLE "ROOT"."sys_log"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "description" VARCHAR(50) NULL,
 "username" VARCHAR(30) NULL,
 "start_time" TIMESTAMP(0) NULL,
 "spend_time" BIGINT NULL,
 "method" VARCHAR(30) NULL,
 "ip" VARCHAR(30) NULL,
 "uri" VARCHAR(255) NULL,
 "parameter" CLOB NULL
);

CREATE TABLE "ROOT"."sys_dict_type"
(
 "dict_id" BIGINT IDENTITY(103,1) NOT NULL,
 "dict_name" VARCHAR(100) DEFAULT ''
 NULL,
 "dict_type" VARCHAR(100) DEFAULT ''
 NULL,
 "status" CHAR(1) DEFAULT '0'
 NULL,
 "create_by" VARCHAR(64) DEFAULT ''
 NULL,
 "create_time" TIMESTAMP(0) NULL,
 "update_by" VARCHAR(64) DEFAULT ''
 NULL,
 "update_time" TIMESTAMP(0) NULL,
 "remark" VARCHAR(500) NULL
);

CREATE TABLE "ROOT"."sys_dict_data"
(
 "dict_code" BIGINT IDENTITY(108,1) NOT NULL,
 "dict_sort" INT DEFAULT 0
 NULL,
 "dict_label" VARCHAR(100) DEFAULT ''
 NULL,
 "dict_value" VARCHAR(100) DEFAULT ''
 NULL,
 "dict_type" VARCHAR(100) DEFAULT ''
 NULL,
 "css_class" VARCHAR(100) NULL,
 "list_class" VARCHAR(100) NULL,
 "is_default" CHAR(1) DEFAULT 'N'
 NULL,
 "status" CHAR(1) DEFAULT '0'
 NULL,
 "create_by" VARCHAR(64) DEFAULT ''
 NULL,
 "create_time" TIMESTAMP(0) NULL,
 "update_by" VARCHAR(64) DEFAULT ''
 NULL,
 "update_time" TIMESTAMP(0) NULL,
 "remark" VARCHAR(500) NULL
);

CREATE TABLE "ROOT"."sys_dept"
(
 "dept_id" BIGINT IDENTITY(201,1) NOT NULL,
 "parent_id" BIGINT DEFAULT 0
 NULL,
 "ancestors" VARCHAR(50) DEFAULT ''
 NULL,
 "dept_name" VARCHAR(30) DEFAULT ''
 NULL,
 "order_num" INT DEFAULT 0
 NULL,
 "leader" VARCHAR(20) NULL,
 "phone" VARCHAR(11) NULL,
 "email" VARCHAR(50) NULL,
 "status" CHAR(1) DEFAULT '0'
 NULL,
 "del_flag" CHAR(1) DEFAULT '0'
 NULL,
 "create_by" VARCHAR(64) DEFAULT ''
 NULL,
 "create_time" TIMESTAMP(0) NULL,
 "update_by" VARCHAR(64) DEFAULT ''
 NULL,
 "update_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."sys_config"
(
 "config_id" INT IDENTITY(105,1) NOT NULL,
 "config_name" VARCHAR(100) DEFAULT ''
 NULL,
 "config_key" VARCHAR(100) DEFAULT ''
 NULL,
 "config_value" VARCHAR(500) DEFAULT ''
 NULL,
 "config_type" CHAR(1) DEFAULT 'N'
 NULL,
 "create_by" VARCHAR(64) DEFAULT ''
 NULL,
 "create_time" TIMESTAMP(0) NULL,
 "update_by" VARCHAR(64) DEFAULT ''
 NULL,
 "update_time" TIMESTAMP(0) NULL,
 "remark" VARCHAR(500) NULL
);

CREATE TABLE "ROOT"."sys_blacklist_user"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "ip" VARCHAR(20) NULL,
 "address" VARCHAR(255) NULL,
 "reason" VARCHAR(50) NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."strategy_index_base"
(
 "category" VARCHAR(50) NULL,
 "name" VARCHAR(50) NULL,
 "first_year" VARCHAR(50) NULL,
 "second_year" VARCHAR(50) NULL,
 "third_year" VARCHAR(50) NULL,
 "fourth_year" VARCHAR(50) NULL,
 "fifth_year" VARCHAR(50) NULL,
 "plan_name" VARCHAR(50) NULL,
 "start_year" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."quality_work_plan_base"
(
 "category" VARCHAR(50) NULL,
 "project" VARCHAR(50) NULL,
 "work_content" VARCHAR(300) NULL,
 "complete_way" VARCHAR(50) NULL,
 "unit" VARCHAR(50) NULL,
 "complete_time" VARCHAR(50) NULL,
 "month" VARCHAR(50) NULL,
 "complete_status" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."quality_problem_base"
(
 "month" VARCHAR(50) NULL,
 "check_content" VARCHAR(50) NULL,
 "check_result" VARCHAR(50) NULL,
 "update_option" VARCHAR(50) NULL,
 "unit" VARCHAR(50) NULL,
 "penalty_amount" VARCHAR(50) NULL,
 "person" VARCHAR(50) NULL,
 "person_decompose" VARCHAR(50) NULL,
 "complete" VARCHAR(50) NULL,
 "model" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."quality_case_base"
(
 "model" VARCHAR(50) NULL,
 "happen_time" VARCHAR(50) NULL,
 "development_phase" VARCHAR(50) NULL,
 "occurrence_time" VARCHAR(50) NULL,
 "faulty_component" VARCHAR(50) NULL,
 "happen_address" VARCHAR(50) NULL,
 "question_type" VARCHAR(50) NULL,
 "problem_overview" VARCHAR(50) NULL,
 "cause_analysis" VARCHAR(50) NULL,
 "root_cause" VARCHAR(50) NULL,
 "corrective_action" VARCHAR(50) NULL,
 "wrong_way" VARCHAR(50) NULL,
 "lesson" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."production_responsibility_base"
(
 "year" VARCHAR(50) NULL,
 "model" VARCHAR(50) NULL,
 "total" VARCHAR(50) NULL,
 "category" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."production_plan_base"
(
 "month" VARCHAR(50) NULL,
 "model" VARCHAR(50) NULL,
 "forecast_adiabat" VARCHAR(50) NULL,
 "forecast_charge" VARCHAR(50) NULL,
 "forecast_assembly" VARCHAR(50) NULL,
 "forecast_deliver" VARCHAR(50) NULL,
 "plan_ascription" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."performance_plan_base"
(
 "plan_number" VARCHAR(50) NULL,
 "category" VARCHAR(50) NULL,
 "name" VARCHAR(50) NULL,
 "work_content" VARCHAR(50) NULL,
 "complete_time" VARCHAR(50) NULL,
 "complete_target" VARCHAR(50) NULL,
 "deliver" VARCHAR(50) NULL,
 "complete_flag" VARCHAR(50) NULL,
 "unit" VARCHAR(50) NULL,
 "unit_person" VARCHAR(50) NULL,
 "leader" VARCHAR(50) NULL,
 "month" VARCHAR(50) NULL,
 "complete_status" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."model_quality_problem_base_cache"
(
 "dev_stage" VARCHAR(50) NULL,
 "model" VARCHAR(50) NULL,
 "product_number" VARCHAR(50) NULL,
 "description" VARCHAR(300) NULL,
 "cause_analysis" VARCHAR(50) NULL,
 "reason_one" VARCHAR(500) NULL,
 "reason_two" VARCHAR(50) NULL,
 "happen_time" VARCHAR(50) NULL,
 "unit" VARCHAR(50) NULL,
 "three_flag" VARCHAR(50) NULL,
 "tactical_situations" VARCHAR(50) NULL,
 "zero_status" VARCHAR(50) NULL,
 "complete_status" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."model_quality_problem_base"
(
 "dev_stage" VARCHAR(50) NULL,
 "model" VARCHAR(50) NULL,
 "product_number" VARCHAR(50) NULL,
 "description" VARCHAR(300) NULL,
 "cause_analysis" VARCHAR(50) NULL,
 "reason_one" VARCHAR(500) NULL,
 "reason_two" VARCHAR(50) NULL,
 "happen_time" VARCHAR(50) NULL,
 "unit" VARCHAR(50) NULL,
 "three_flag" VARCHAR(50) NULL,
 "tactical_situations" VARCHAR(50) NULL,
 "zero_status" VARCHAR(50) NULL,
 "complete_status" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."information_work_plan_base"
(
 "date" VARCHAR(50) NULL,
 "work_content" VARCHAR(50) NULL,
 "deliverable" VARCHAR(50) NULL,
 "complete_flag" VARCHAR(50) NULL,
 "exam_level" VARCHAR(50) NULL,
 "duty_unit" VARCHAR(50) NULL,
 "coordinate_unit" VARCHAR(50) NULL,
 "duty_person" VARCHAR(50) NULL,
 "apply_effect" VARCHAR(50) NULL,
 "apply_main_unit" VARCHAR(50) NULL,
 "remark" VARCHAR(50) NULL,
 "status" VARCHAR(50) NULL,
 "evidence" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."information_responsibility_base"
(
 "requirement" VARCHAR(150) NULL,
 "completed_time" VARCHAR(50) NULL,
 "duty_dept" VARCHAR(50) NULL,
 "work_evolve" VARCHAR(50) NULL,
 "completed_status" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."information_project_base"
(
 "date" VARCHAR(50) NULL,
 "topic_name" VARCHAR(50) NULL,
 "research_objectives" VARCHAR(50) NULL,
 "duty_dept" VARCHAR(50) NULL,
 "duty_user" VARCHAR(50) NULL,
 "month_work_content" VARCHAR(50) NULL,
 "completed_status" VARCHAR(50) NULL,
 "after_work" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."important_index_base"
(
 "month" VARCHAR(50) NULL,
 "name" VARCHAR(50) NULL,
 "six_unit" VARCHAR(50) NULL,
 "target_total" VARCHAR(50) NULL,
 "unit" VARCHAR(50) NULL,
 "real_total" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."hx_year_duty"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "year" VARCHAR(255) NULL,
 "product_model" VARCHAR(255) NULL,
 "real_total" VARCHAR(255) NULL,
 "target_total" VARCHAR(255) NULL,
 "rate" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_work_plan"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "work_plan_name" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "completed_status" VARCHAR(255) NULL,
 "project_name" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_work_home_info"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "work_home_name" VARCHAR(255) NULL,
 "abscissa" VARCHAR(255) NULL,
 "ordinate" VARCHAR(255) NULL,
 "workshop" VARCHAR(255) NULL,
 "job_content" VARCHAR(255) NULL,
 "error_info" VARCHAR(255) NULL,
 "av_address" VARCHAR(255) NULL,
 "users" VARCHAR(1000) NULL,
 "work_flag" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."hx_week_plan"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "serial_number" VARCHAR(255) NULL,
 "real_flaw_detection" VARCHAR(255) NULL,
 "target_flaw_detection" VARCHAR(255) NULL,
 "flaw_detection_rate" VARCHAR(255) NULL,
 "real_charge" VARCHAR(255) NULL,
 "target_charge" VARCHAR(255) NULL,
 "charge_rate" VARCHAR(255) NULL,
 "real_deliver" VARCHAR(255) NULL,
 "target_deliver" VARCHAR(255) NULL,
 "deliver_rate" VARCHAR(255) NULL,
 "real_housing" VARCHAR(255) NULL,
 "target_housing" VARCHAR(255) NULL,
 "housing_rate" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_video_system"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "video_name" VARCHAR(255) NULL,
 "video_address" VARCHAR(255) NULL,
 "video_remark" VARCHAR(255) NULL,
 "video_now_info" VARCHAR(500) NULL
);

CREATE TABLE "ROOT"."hx_video"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "category" VARCHAR(255) NULL,
 "video_name" VARCHAR(255) NULL,
 "video_file_name" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_today_dynamic"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "income" VARCHAR(255) NULL,
 "expenditure" VARCHAR(255) NULL,
 "new_contract" VARCHAR(255) NULL,
 "safety_problem" VARCHAR(255) NULL,
 "quality_problem" VARCHAR(255) NULL,
 "operating_equipment" VARCHAR(255) NULL,
 "total_equipment" VARCHAR(255) NULL,
 "attendance_worker" VARCHAR(255) NULL,
 "total_worker" VARCHAR(255) NULL,
 "complete_task" VARCHAR(255) NULL,
 "total_task" VARCHAR(255) NULL,
 "equipment_rate" VARCHAR(255) NULL,
 "worker_rate" VARCHAR(255) NULL,
 "task_rate" VARCHAR(255) NULL,
 "today_date" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_team_attendance"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "team_name" VARCHAR(255) NULL,
 "people_total" VARCHAR(255) NULL,
 "shift" VARCHAR(255) NULL,
 "real_worker_total" VARCHAR(255) NULL,
 "people_list" CLOB NULL
);

CREATE TABLE "ROOT"."hx_table_config"
(
 "table_name" VARCHAR(255) NULL,
 "key_info" TEXT NULL
);

CREATE TABLE "ROOT"."hx_system_radar"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "system_name" VARCHAR(255) NULL,
 "index_name" VARCHAR(255) NULL,
 "index_total" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_synthesize_index"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "project_name" VARCHAR(255) NULL,
 "completed_status" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_strategy_index"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "year" VARCHAR(255) NULL,
 "index_name" VARCHAR(255) NULL,
 "start_number" VARCHAR(255) NULL,
 "end_number" VARCHAR(255) NULL,
 "year_target" VARCHAR(255) NULL,
 "five_force" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_storehouse"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "number_no" VARCHAR(255) NULL,
 "name" VARCHAR(255) NULL,
 "category" VARCHAR(255) NULL,
 "status" VARCHAR(255) NULL,
 "product_info" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_stock_detailed"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "category" VARCHAR(255) NULL,
 "project_name" VARCHAR(255) NULL,
 "name" VARCHAR(255) NULL,
 "total" VARCHAR(255) NULL,
 "arrival_total" VARCHAR(255) NULL,
 "used_total" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_spc_product"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "spc_name" VARCHAR(255) NULL,
 "product_name" VARCHAR(255) NULL,
 "real_value" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_spc_info"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "spc_name" VARCHAR(255) NULL,
 "upper_limit" VARCHAR(255) NULL,
 "lower_limit" VARCHAR(255) NULL,
 "center_line" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_revenue_profit"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "dept_name" VARCHAR(255) NULL,
 "month" VARCHAR(255) NULL,
 "completed_revenue" VARCHAR(255) NULL,
 "forecast_revenue" VARCHAR(255) NULL,
 "target_revenue" VARCHAR(255) NULL,
 "completed_profit" VARCHAR(255) NULL,
 "forecast_profit" VARCHAR(255) NULL,
 "target_profit" VARCHAR(255) NULL,
 "revenue_rate" VARCHAR(255) NULL,
 "profit_rate" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_responsibility_status"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "responsibility_content" VARCHAR(255) NULL,
 "progress_status" VARCHAR(255) NULL,
 "completion_status" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "month" CHAR(30) NULL
);

CREATE TABLE "ROOT"."hx_reader_info"
(
 "id" BIGINT NOT NULL,
 "reader_name" VARCHAR(255) NULL,
 "abscissa" INT NULL,
 "ordinate" INT NULL,
 "north_angle" INT NULL,
 "reader_ip" VARCHAR(255) NULL,
 "reader_port" INT NULL,
 "record_distance" INT NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_quality_system_review"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "internal_review_number" VARCHAR(255) NOT NULL,
 "external_review_number" VARCHAR(255) NULL,
 "other_review_number" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_quality_system_elements"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "system_name" VARCHAR(255) NULL,
 "system_number" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_quality_problem"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "dimension" VARCHAR(255) NULL,
 "month" VARCHAR(255) NULL,
 "name" VARCHAR(255) NULL,
 "problem_total" VARCHAR(255) NULL,
 "completed_total" VARCHAR(255) NULL,
 "complete_rate" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_quality_plan"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "plan_number" VARCHAR(255) NULL,
 "complete_number" VARCHAR(255) NULL,
 "complete_rate" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."hx_quality_manage"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "factory_problem_total" VARCHAR(255) NULL,
 "factory_problem_rectification_total" VARCHAR(255) NULL,
 "commonly_problem_total" VARCHAR(255) NULL,
 "low_problem_total" VARCHAR(255) NULL,
 "target_error_check" VARCHAR(255) NULL,
 "real_error_check" VARCHAR(255) NULL,
 "quality_plan_total" VARCHAR(255) NULL,
 "quality_plan_complete_total" VARCHAR(255) NULL,
 "quality_notification_total" VARCHAR(255) NULL,
 "quality_notification_complete_total" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_quality_inspect_analysis"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "problem_total" VARCHAR(255) NULL,
 "completed_total" VARCHAR(255) NULL,
 "completed_rate" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_quality_case"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "class_name" VARCHAR(255) NULL,
 "fault_revelation" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_production_situation"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "real_adiabat" VARCHAR(255) NULL,
 "real_charge" VARCHAR(255) NULL,
 "real_assemble" VARCHAR(255) NULL,
 "real_deliver" VARCHAR(255) NULL,
 "real_ester" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_production_responsibility"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "translate_name" VARCHAR(255) NULL,
 "completed_task_number" VARCHAR(50) NULL,
 "target_task_number" VARCHAR(50) NULL,
 "completion_rate" VARCHAR(50) NULL,
 "month" VARCHAR(50) NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_production_plan"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "product_model" VARCHAR(255) NULL,
 "real_adiabat" VARCHAR(255) NULL,
 "real_charge" VARCHAR(255) NULL,
 "real_assembly" VARCHAR(255) NULL,
 "real_deliver" VARCHAR(255) NULL,
 "forecast_adiabat" VARCHAR(255) NULL,
 "forecast_charge" VARCHAR(255) NULL,
 "forecast_assembly" VARCHAR(255) NULL,
 "forecast_deliver" VARCHAR(255) NULL,
 "review" VARCHAR(255) NULL,
 "settlement" VARCHAR(255) NULL,
 "production_number" VARCHAR(255) NULL,
 "ascription" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."hx_production_index"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "real_military_income" VARCHAR(255) NULL,
 "target_military_income" VARCHAR(255) NULL,
 "real_charge" VARCHAR(255) NULL,
 "target_charge" VARCHAR(255) NULL,
 "real_big_product" VARCHAR(255) NULL,
 "target_big_product" VARCHAR(255) NULL,
 "real_medium_product" VARCHAR(255) NULL,
 "target_medium_product" VARCHAR(255) NULL,
 "real_small_product" VARCHAR(255) NULL,
 "target_small_product" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_product_qualified"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "category" VARCHAR(255) NULL,
 "product_name" VARCHAR(255) NULL,
 "product_model" VARCHAR(255) NULL,
 "total" VARCHAR(255) NULL,
 "qualified_total" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_product_pic"
(
 "id" INT IDENTITY(2,1) NOT NULL,
 "pic" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_product_completion_overview"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "product_name" VARCHAR(255) NULL,
 "actual_delivery_quantity" VARCHAR(50) NULL,
 "target_delivery_quantity" VARCHAR(50) NULL,
 "completion_rate" VARCHAR(50) NULL,
 "month" VARCHAR(50) NULL,
 "create_time" DATETIME(6) NULL
);

CREATE TABLE "ROOT"."hx_plan_completed"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "plan_name" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "completed" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_month_plan"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "ascription" VARCHAR(255) NULL,
 "model" VARCHAR(255) NULL,
 "real_charge" VARCHAR(255) NULL,
 "target_charge" VARCHAR(255) NULL,
 "real_assemble" VARCHAR(255) NULL,
 "target_assemble" VARCHAR(255) NULL,
 "real_deliver" VARCHAR(255) NULL,
 "target_deliver" VARCHAR(255) NULL,
 "charge_rate" VARCHAR(255) NULL,
 "assemble_rate" VARCHAR(255) NULL,
 "deliver_rate" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_month_factory_plan"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "real_insulate" VARCHAR(255) NULL,
 "target_insulate" VARCHAR(255) NULL,
 "real_charge" VARCHAR(255) NULL,
 "target_charge" VARCHAR(255) NULL,
 "real_assemble" VARCHAR(255) NULL,
 "target_assemble" VARCHAR(255) NULL,
 "bad_reason" VARCHAR(255) NULL,
 "insulate_rate" VARCHAR(255) NULL,
 "charge_rate" VARCHAR(255) NULL,
 "assemble_rate" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_month_dynamic"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "income" VARCHAR(255) NULL,
 "expenditure" VARCHAR(255) NULL,
 "new_contract" VARCHAR(255) NULL,
 "safety_problem" VARCHAR(255) NULL,
 "quality_problem" VARCHAR(255) NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_model_year_plan"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "year" VARCHAR(255) NULL,
 "product_model" VARCHAR(255) NULL,
 "real_charge" VARCHAR(255) NULL,
 "target_charge" VARCHAR(255) NULL,
 "charge_rate" VARCHAR(255) NULL,
 "real_deliver" VARCHAR(255) NULL,
 "target_deliver" VARCHAR(255) NULL,
 "deliver_rate" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_model_station"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "create_time" TIMESTAMP(0) NULL,
 "station_name" VARCHAR(255) NULL,
 "rise_number" VARCHAR(255) NULL,
 "cooling_number" VARCHAR(255) NULL,
 "warm_number" VARCHAR(255) NULL,
 "free_number" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_military_income"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "forecast_income" VARCHAR(255) NULL,
 "actual_income" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_military_general_factory"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "product_model" VARCHAR(255) NULL,
 "target_income" VARCHAR(255) NULL,
 "real_income" VARCHAR(255) NULL,
 "income_speed" VARCHAR(255) NULL,
 "target_profit" VARCHAR(255) NULL,
 "real_profit" VARCHAR(255) NULL,
 "profit_speed" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_military_contract"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "contract_name" VARCHAR(255) NULL,
 "plan_quantity" VARCHAR(255) NULL,
 "contract_amount" VARCHAR(255) NULL,
 "production_status" VARCHAR(255) NULL,
 "settlement_status" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL,
 "contract_date" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_milepost_and_bottleneck"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "project_name" VARCHAR(255) NULL,
 "job_content" VARCHAR(255) NULL,
 "progress" VARCHAR(255) NULL,
 "forecast_complete_time" VARCHAR(255) NULL,
 "target_complete_time" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_materials_accessories"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "category" VARCHAR(255) NULL,
 "name" VARCHAR(255) NULL,
 "existing" VARCHAR(255) NULL,
 "arrival" VARCHAR(255) NULL,
 "used" VARCHAR(255) NULL,
 "lack" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_material_plan"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "material_name" VARCHAR(255) NULL,
 "stock" VARCHAR(255) NULL,
 "start_purchase" VARCHAR(255) NULL,
 "purchase_number" VARCHAR(255) NULL,
 "create_time" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_job_details"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "work_home" VARCHAR(255) NULL,
 "workshop" VARCHAR(255) NULL,
 "product" VARCHAR(255) NULL,
 "procedure" VARCHAR(255) NULL,
 "danger_level" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_information_publicity"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "dept_name" VARCHAR(255) NULL,
 "publicity_content" VARCHAR(255) NULL,
 "today_date" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_information_index"
(
 "information_invested" VARCHAR(255) NULL,
 "information_target_investe" VARCHAR(255) NULL,
 "already_network_operation" VARCHAR(255) NULL,
 "target_network_operation" VARCHAR(255) NULL,
 "already_device_access" VARCHAR(255) NULL,
 "target_device_access" VARCHAR(255) NULL,
 "already_business_coverage" VARCHAR(255) NULL,
 "target_business_coverage" VARCHAR(255) NULL,
 "big_pic" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_industrial_projects"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "project_name" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "director" VARCHAR(255) NULL,
 "completed_status" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_hidden_danger"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "check_date" VARCHAR(255) NULL,
 "address" VARCHAR(255) NULL,
 "exist_problem" VARCHAR(255) NULL,
 "category" VARCHAR(255) NULL,
 "update_suggest" VARCHAR(255) NULL,
 "temp_update_method" VARCHAR(255) NULL,
 "responsible_unit" VARCHAR(255) NULL,
 "responsible_person" VARCHAR(255) NULL,
 "suggest_complete_time" VARCHAR(255) NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_general_plant_conditions"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "target_income" VARCHAR(255) NULL,
 "real_income" VARCHAR(255) NULL,
 "target_profit" VARCHAR(255) NULL,
 "real_profit" VARCHAR(255) NULL,
 "new_contract_amount" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_factory_resources"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "workshop_total" VARCHAR(255) NULL,
 "working_workshop_total" VARCHAR(255) NULL,
 "real_attendance" VARCHAR(255) NULL,
 "attendance_total" VARCHAR(255) NULL,
 "attendance_rate" VARCHAR(255) NULL,
 "equipment_run_total" VARCHAR(255) NULL,
 "equipment_total" VARCHAR(255) NULL,
 "equipment_run_rate" VARCHAR(255) NULL,
 "video_collection_rate" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_factory_operate_index"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "real_income" VARCHAR(255) NULL,
 "target_income" VARCHAR(255) NULL,
 "real_profit" VARCHAR(255) NULL,
 "target_profit" VARCHAR(255) NULL,
 "real_eva" VARCHAR(255) NULL,
 "target_eva" VARCHAR(255) NULL,
 "real_finish_product" VARCHAR(255) NULL,
 "target_finish_product" VARCHAR(255) NULL,
 "real_collection" VARCHAR(255) NULL,
 "target_collection" VARCHAR(255) NULL,
 "budget_implement_rate" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_ester_production"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "job_content" VARCHAR(255) NULL,
 "drive_date" VARCHAR(255) NULL,
 "forecast_end_date" VARCHAR(255) NULL,
 "ester_production" VARCHAR(255) NULL,
 "clean_status" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_dispatch_meeting"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "job_content" VARCHAR(255) NULL,
 "meeting_name" VARCHAR(255) NULL,
 "check_leader" VARCHAR(255) NULL,
 "responsible_unit" VARCHAR(255) NULL,
 "complete_status" VARCHAR(255) NULL,
 "work_progress" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_dict"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "name" VARCHAR(50) NULL,
 "parent_id" BIGINT NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_dept_operate_index"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "real_income" VARCHAR(255) NULL,
 "target_income" VARCHAR(255) NULL,
 "forecast_income" VARCHAR(255) NULL,
 "real_profit" VARCHAR(255) NULL,
 "target_profit" VARCHAR(255) NULL,
 "forecast_profit" VARCHAR(255) NULL,
 "real_eva" VARCHAR(255) NULL,
 "target_eva" VARCHAR(255) NULL,
 "forecast_eva" VARCHAR(255) NULL,
 "real_finish_product" VARCHAR(255) NULL,
 "target_finish_product" VARCHAR(255) NULL,
 "forecast_finish_product" VARCHAR(255) NULL,
 "real_collection" VARCHAR(255) NULL,
 "target_collection" VARCHAR(255) NULL,
 "forecast_collection" VARCHAR(255) NULL,
 "income_speed" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_dangerous_work"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "start_date" VARCHAR(255) NULL,
 "end_date" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "work_address" VARCHAR(255) NULL,
 "worker_total" VARCHAR(255) NULL,
 "work_content" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_dangerous_source"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "source_name" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "level" VARCHAR(255) NULL,
 "status" VARCHAR(255) NULL,
 "rtmp_address" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_dangerous_point"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "point_name" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "level" VARCHAR(255) NULL,
 "status" VARCHAR(255) NULL,
 "rtmp_address" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL,
 "create_time" TIMESTAMP(0) NULL,
 "abscissa" VARCHAR(50) NULL,
 "ordinate" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."hx_dangerous_place"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "place_name" VARCHAR(255) NULL,
 "place_type" VARCHAR(255) NULL,
 "init_total" VARCHAR(255) NULL,
 "now_total" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_cost_analysis"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "product_model" VARCHAR(255) NULL,
 "budget_implementation_rate" VARCHAR(255) NULL,
 "tooling_cost" VARCHAR(255) NULL,
 "raw_material_cost" VARCHAR(255) NULL,
 "total_cost" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_comprehensive_plan"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "comprehensive_plan_total" VARCHAR(255) NULL,
 "comprehensive_plan_completed" VARCHAR(255) NULL,
 "performance_plan_total" VARCHAR(255) NULL,
 "performance_plan_completed" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_civil_income"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "dept_name" VARCHAR(255) NULL,
 "forecast_income" VARCHAR(255) NULL,
 "real_income" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_civil_contract"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "contract_date" VARCHAR(255) NULL,
 "industry_category" VARCHAR(255) NULL,
 "contract_no" VARCHAR(255) NULL,
 "contract_amount" VARCHAR(255) NULL,
 "plan_quantity" VARCHAR(255) NULL,
 "real_quantity" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_charge_quantity"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "actual_quantity" VARCHAR(255) NULL,
 "target_quantity" VARCHAR(255) NULL,
 "forecast_quantity" VARCHAR(255) NULL,
 "month" VARCHAR(255) NULL,
 "target_completion_rate" VARCHAR(255) NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_charge_job_content"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "number_no" VARCHAR(255) NULL,
 "weighing" VARCHAR(255) NULL,
 "blend" VARCHAR(255) NULL,
 "pouring" VARCHAR(255) NULL,
 "delay_time" VARCHAR(255) NULL,
 "reverse_bus" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_charge_deliver"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "big_charge" VARCHAR(255) NULL,
 "medium_charge" VARCHAR(255) NULL,
 "small_charge" VARCHAR(255) NULL,
 "target_charge" VARCHAR(255) NULL,
 "real_deliver" VARCHAR(255) NULL,
 "target_deliver" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_car_use"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "today_date" VARCHAR(255) NULL,
 "car_name" VARCHAR(255) NULL,
 "work_content" VARCHAR(255) NULL,
 "now_address" VARCHAR(255) NULL,
 "car_status" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_car_log_config"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "max_total" INT NULL,
 "max_day" INT NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_car_location_map"
(
 "pic" VARCHAR(255) NULL,
 "x_pixel" INT NULL,
 "y_pixel" INT NULL,
 "scale" INT NULL
);

CREATE TABLE "ROOT"."hx_car_location_log"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "card_number" VARCHAR(255) NULL,
 "distance" INT NULL,
 "low_voltage" INT NULL,
 "read_id" BIGINT NULL,
 "read_name" VARCHAR(255) NULL,
 "north_angle" INT NULL,
 "car_abscissa" VARCHAR(255) NULL,
 "car_ordinate" VARCHAR(255) NULL,
 "car_id" VARCHAR(255) NULL,
 "driver_name" VARCHAR(255) NULL,
 "driver_phone" VARCHAR(255) NULL,
 "status" VARCHAR(255) NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_car_location_config"
(
 "upload_interval" INT NOT NULL
);

CREATE TABLE "ROOT"."hx_car_location"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "car_id" VARCHAR(255) NULL,
 "car_model" VARCHAR(255) NULL,
 "car_pic" VARCHAR(255) NULL,
 "driver_name" VARCHAR(255) NULL,
 "driver_phone" VARCHAR(255) NULL,
 "location_card_num" VARCHAR(255) NULL,
 "location_card_number" INT NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."hx_business_responsibility"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "month" VARCHAR(255) NULL,
 "indicator_name" VARCHAR(255) NULL,
 "completed_tasks" VARCHAR(255) NULL,
 "target_tasks" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hx_big_pic"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "type" VARCHAR(255) NULL,
 "pic" VARCHAR(500) NULL
);

CREATE TABLE "ROOT"."hx_annual_target"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "target_income" VARCHAR(255) NULL,
 "completed_income" VARCHAR(255) NULL,
 "target_profit" VARCHAR(255) NULL,
 "completed_profit" VARCHAR(255) NULL,
 "target_charge_quantity" VARCHAR(255) NULL,
 "completed_charge_quantity" VARCHAR(255) NULL,
 "target_delivery_quantity" VARCHAR(255) NULL,
 "completed_delivery_quantity" VARCHAR(255) NULL,
 "year" VARCHAR(255) NULL,
 "big_pic" VARCHAR(255) NULL
);

CREATE TABLE "ROOT"."hidden danger_fix_base"
(
 "address" VARCHAR(50) NULL,
 "problem" VARCHAR(500) NULL,
 "suggest" VARCHAR(500) NULL,
 "interim_measure" VARCHAR(500) NULL,
 "check_date" VARCHAR(50) NULL,
 "dept" VARCHAR(50) NULL,
 "person_liable" VARCHAR(50) NULL,
 "suggest_complete_date" CHAR(10) NULL
);

CREATE TABLE "ROOT"."exception_log"
(
 "exception_id" BIGINT IDENTITY(1,1) NOT NULL,
 "exception_reason" TEXT NULL,
 "detail_info" CLOB NULL,
 "create_time" TIMESTAMP(0) NULL
);

CREATE TABLE "ROOT"."danger_work_base"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "start_date" DATETIME(6) NULL,
 "end_date" DATETIME(6) NULL,
 "dept_name" VARCHAR(50) NULL,
 "work_address" VARCHAR(50) NULL,
 "worker_total" INT NULL,
 "work_content" VARCHAR(255) NULL,
 "remark" VARCHAR(255) NULL,
  CLUSTER PRIMARY KEY("id") ENABLE 
);

CREATE TABLE "ROOT"."danger_point_base"
(
 "name" VARCHAR(50) NULL,
 "level" VARCHAR(50) NULL,
 "building_level" VARCHAR(50) NULL,
 "danger_source" VARCHAR(50) NULL,
 "ration" VARCHAR(50) NULL,
 "remark" VARCHAR(200) NULL
);

CREATE TABLE "ROOT"."business_responsibility_base"
(
 "month" VARCHAR(50) NULL,
 "category" VARCHAR(50) NULL,
 "name" VARCHAR(50) NULL,
 "dept" VARCHAR(50) NULL,
 "year_target" VARCHAR(50) NULL,
 "completed_status" VARCHAR(50) NULL,
 "remark" VARCHAR(500) NULL
);

CREATE TABLE "ROOT"."ailanyin_updatesql_log"
(
 "table_name" VARCHAR(255) NULL,
 "table_version" INT NULL
);

CREATE TABLE "ROOT"."actual_production_base"
(
 "month" VARCHAR(50) NULL,
 "model" VARCHAR(50) NULL,
 "adiabat" VARCHAR(50) NULL,
 "charge" VARCHAR(50) NULL,
 "assembly" VARCHAR(50) NULL,
 "deliver" VARCHAR(50) NULL,
 "review" VARCHAR(50) NULL
);

CREATE TABLE "ROOT"."Informatization_work_plan_base"
(
 "date" VARCHAR(50) NULL,
 "work_content" VARCHAR(150) NULL,
 "completed_time" VARCHAR(50) NULL,
 "deliverables" VARCHAR(50) NULL,
 "completed_flag" VARCHAR(50) NULL,
 "exam_level" VARCHAR(50) NULL,
 "duty_dept" VARCHAR(50) NULL,
 "coordinate_dept" VARCHAR(50) NULL,
 "duty_person" VARCHAR(50) NULL,
 "year_effect" VARCHAR(50) NULL,
 "lead_dept" VARCHAR(50) NULL,
 "remark" VARCHAR(50) NULL,
 "completed_status" VARCHAR(50) NULL,
 "evidence" VARCHAR(50) NULL
);

INSERT INTO "ROOT"."actual_production_base"("month","model","adiabat","charge","assembly","deliver","review") VALUES('2022-01','型号1','100','100','100','100','100');
INSERT INTO "ROOT"."actual_production_base"("month","model","adiabat","charge","assembly","deliver","review") VALUES('2022-02','型号1','200','200','200','200','200');

INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_car_location_map',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_car_location',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_car_log_config',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_quality_manage',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_car_location_log',1);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_month_dynamic',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_car_location_config',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_reader_info',1);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('sys_menu',1);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('sys_role_menu',1);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_dangerous_work',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_hidden_danger',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_table_config',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_dict',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_work_plan',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_production_plan',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_work_home_info',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_table',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('actual_production_base',0);
INSERT INTO "ROOT"."ailanyin_updatesql_log"("table_name","table_version") VALUES('hx_responsibility_status',0);

INSERT INTO "ROOT"."business_responsibility_base"("month","category","name","dept","year_target","completed_status","remark") VALUES('2022-07','类别1','名称1','单位1','100','已完成','无');
INSERT INTO "ROOT"."business_responsibility_base"("month","category","name","dept","year_target","completed_status","remark") VALUES('2022-07','类别1','名称2','单位2','100','已完成','无');
INSERT INTO "ROOT"."business_responsibility_base"("month","category","name","dept","year_target","completed_status","remark") VALUES('2022-07','类别2','名称3','单位3','100','未完成','无');
INSERT INTO "ROOT"."business_responsibility_base"("month","category","name","dept","year_target","completed_status","remark") VALUES('2023-08','类别2','名称4','单位4','100','未完成','无');

INSERT INTO "ROOT"."danger_point_base"("name","level","building_level","danger_source","ration","remark") VALUES('名称1','1','1','313','313','3131而且');

SET IDENTITY_INSERT "ROOT"."danger_work_base" ON;
SET IDENTITY_INSERT "ROOT"."danger_work_base" OFF;
SET IDENTITY_INSERT "ROOT"."exception_log" ON;
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1455468533096431618,'Invalid bound statement (not found): com.ailanyin.mapper.SysUserMapper.updateUser','org.apache.ibatis.binding.MapperMethod$SqlCommand.<init>(MapperMethod.java:235)<br>com.baomidou.mybatisplus.core.override.MybatisMapperMethod.<init>(MybatisMapperMethod.java:50)<br>com.baomidou.mybatisplus.core.override.MybatisMapperProxy.lambda$cachedInvoker$0(MybatisMapperProxy.java:111)<br>java.base/java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1708)<br>com.baomidou.mybatisplus.core.toolkit.CollectionUtils.computeIfAbsent(CollectionUtils.java:115)<br>com.baomidou.mybatisplus.core.override.MybatisMapperProxy.cachedInvoker(MybatisMapperProxy.java:98)<br>com.baomidou.mybatisplus.core.override.MybatisMapperProxy.invoke(MybatisMapperProxy.java:89)<br>jdk.proxy2/jdk.proxy2.$Proxy113.updateUser(Unknown Source)<br>com.ailanyin.admin.service.impl.SysUserServiceImpl.resetPwd(SysUserServiceImpl.java:237)<br>com.ailanyin.admin.service.impl.SysUserServiceImpl$$FastClassBySpringCGLIB$$d327fb1f.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.SysUserServiceImpl$$EnhancerBySpringCGLIB$$c95cc101.resetPwd(<generated>)<br>com.ailanyin.admin.controller.SysUserController.resetPwd(SysUserController.java:71)<br>com.ailanyin.admin.controller.SysUserController$$FastClassBySpringCGLIB$$cac1195.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.security.access.intercept.aopalliance.MethodSecurityInterceptor.invoke(MethodSecurityInterceptor.java:61)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.SysUserController$$EnhancerBySpringCGLIB$$48441a6c.resetPwd(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-11-02 17:35:14');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1455707343071789058,'Redis command timed out; nested exception is io.lettuce.core.RedisCommandTimeoutException: Command timed out after 300 millisecond(s)','org.springframework.data.redis.connection.lettuce.LettuceExceptionConverter.convert(LettuceExceptionConverter.java:70)<br>org.springframework.data.redis.connection.lettuce.LettuceExceptionConverter.convert(LettuceExceptionConverter.java:41)<br>org.springframework.data.redis.PassThroughExceptionTranslationStrategy.translate(PassThroughExceptionTranslationStrategy.java:44)<br>org.springframework.data.redis.FallbackExceptionTranslationStrategy.translate(FallbackExceptionTranslationStrategy.java:42)<br>org.springframework.data.redis.connection.lettuce.LettuceConnection.convertLettuceAccessException(LettuceConnection.java:271)<br>org.springframework.data.redis.connection.lettuce.LettuceConnection.await(LettuceConnection.java:1062)<br>org.springframework.data.redis.connection.lettuce.LettuceConnection.lambda$doInvoke$4(LettuceConnection.java:919)<br>org.springframework.data.redis.connection.lettuce.LettuceInvoker$Synchronizer.invoke(LettuceInvoker.java:665)<br>org.springframework.data.redis.connection.lettuce.LettuceInvoker.just(LettuceInvoker.java:94)<br>org.springframework.data.redis.connection.lettuce.LettuceStringCommands.get(LettuceStringCommands.java:55)<br>org.springframework.data.redis.connection.DefaultedRedisConnection.get(DefaultedRedisConnection.java:267)<br>org.springframework.data.redis.core.DefaultValueOperations$1.inRedis(DefaultValueOperations.java:57)<br>org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:60)<br>org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:222)<br>org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:189)<br>org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:96)<br>org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:53)<br>com.ailanyin.common.service.impl.RedisServiceImpl.get(RedisServiceImpl.java:42)<br>com.ailanyin.admin.service.impl.SysDictTypeServiceImpl.selectDictDataByType(SysDictTypeServiceImpl.java:54)<br>com.ailanyin.admin.controller.SysDictDataController.dictType(SysDictDataController.java:64)<br>com.ailanyin.admin.controller.SysDictDataController$$FastClassBySpringCGLIB$$3643950a.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.controller.SysDictDataController$$EnhancerBySpringCGLIB$$d6ad9ea1.dictType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-11-03 09:24:11');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1455819975586017282,'nested exception is org.apache.ibatis.binding.BindingException: Parameter ''array'' not found. Available parameters are [userIds, collection, list]','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>com.baomidou.mybatisplus.core.override.MybatisMapperMethod.execute(MybatisMapperMethod.java:64)<br>com.baomidou.mybatisplus.core.override.MybatisMapperProxy$PlainMethodInvoker.invoke(MybatisMapperProxy.java:148)<br>com.baomidou.mybatisplus.core.override.MybatisMapperProxy.invoke(MybatisMapperProxy.java:89)<br>jdk.proxy2/jdk.proxy2.$Proxy117.recoveryDeleteUser(Unknown Source)<br>com.ailanyin.admin.service.impl.SysUserServiceImpl.recoveryDeleteUser(SysUserServiceImpl.java:404)<br>com.ailanyin.admin.service.impl.SysUserServiceImpl$$FastClassBySpringCGLIB$$d327fb1f.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.SysUserServiceImpl$$EnhancerBySpringCGLIB$$977afb69.recoveryDeleteUser(<generated>)<br>com.ailanyin.admin.controller.SysUserController.recoveryDeleteUser(SysUserController.java:146)<br>com.ailanyin.admin.controller.SysUserController$$FastClassBySpringCGLIB$$cac1195.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.security.access.intercept.aopalliance.MethodSecurityInterceptor.invoke(MethodSecurityInterceptor.java:61)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.addLog(AdminLogAspect.java:114)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:69)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.SysUserController$$EnhancerBySpringCGLIB$$3a0da6a4.recoveryDeleteUser(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-11-03 16:51:45');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426311,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 10:30:18');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426312,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 10:31:47');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426313,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 10:32:14');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426314,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 10:48:45');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426315,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 11:01:57');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426316,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 11:03:26');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426317,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 11:03:36');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426318,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 14:06:25');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426319,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 14:10:04');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426320,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 14:35:01');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426321,'Required request parameter ''pageSize'' for method parameter type Integer is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 15:43:04');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426322,'Required request parameter ''pageSize'' for method parameter type Integer is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-03 15:44:33');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426323,'
### Error updating database.  Cause: java.sql.SQLException: 第 2 行, 第 8 列[`]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxDictMapper.xml
### The error may involve com.ailanyin.mapper.HxDictMapper.addHxDictType
### The error occurred while executing an update
### SQL: insert into ROOT."hx_dict"      ( `name`,                       `parent_id`,                       `create_time` )       values ( ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 第 2 行, 第 8 列[`]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 2 行, 第 8 列[`]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy137.addHxDictType(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl.addHxDictType(HxDictServiceImpl.java:43)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$FastClassBySpringCGLIB$$44620d6d.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$EnhancerBySpringCGLIB$$1bcd548a.addHxDictType(<generated>)<br>com.ailanyin.admin.controller.HxDictController.addHxDictType(HxDictController.java:49)<br>com.ailanyin.admin.controller.HxDictController$$FastClassBySpringCGLIB$$5eb29d61.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDictController$$EnhancerBySpringCGLIB$$5d538c07.addHxDictType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 11:19:47');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426324,'
### Error querying database.  Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的列名[ID]
### The error may exist in com/ailanyin/mapper/HxDictMapper.xml
### The error may involve com.ailanyin.mapper.HxDictMapper.checkNameIsExist
### The error occurred while executing a query
### SQL: select count(id) from ROOT."hx_dict" where "name" = ? and "parent_id" = ? limit 1
### Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的列名[ID]
; 第1 行附近出现错误:
无效的列名[ID]; nested exception is java.sql.SQLException: 第1 行附近出现错误:
无效的列名[ID]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy137.checkNameIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl.checkNameIsExist(HxDictServiceImpl.java:53)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl.addHxDictType(HxDictServiceImpl.java:44)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$FastClassBySpringCGLIB$$44620d6d.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$EnhancerBySpringCGLIB$$88eecc24.addHxDictType(<generated>)<br>com.ailanyin.admin.controller.HxDictController.addHxDictType(HxDictController.java:49)<br>com.ailanyin.admin.controller.HxDictController$$FastClassBySpringCGLIB$$5eb29d61.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDictController$$EnhancerBySpringCGLIB$$6ed4e93b.addHxDictType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 11:27:05');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426325,'JSON parse error: Cannot deserialize value of type `java.lang.Long` from Object value (token `JsonToken.START_OBJECT`); nested exception is com.fasterxml.jackson.databind.exc.MismatchedInputException: Cannot deserialize value of type `java.lang.Long` from Object value (token `JsonToken.START_OBJECT`)
 at [Source: (PushbackInputStream); line: 1, column: 1]','org.springframework.http.converter.json.AbstractJackson2HttpMessageConverter.readJavaType(AbstractJackson2HttpMessageConverter.java:389)<br>org.springframework.http.converter.json.AbstractJackson2HttpMessageConverter.read(AbstractJackson2HttpMessageConverter.java:342)<br>org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodArgumentResolver.readWithMessageConverters(AbstractMessageConverterMethodArgumentResolver.java:185)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.readWithMessageConverters(RequestResponseBodyMethodProcessor.java:160)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.resolveArgument(RequestResponseBodyMethodProcessor.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doDelete(FrameworkServlet.java:931)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:687)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 11:41:08');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426326,'
### Error updating database.  Cause: java.sql.SQLException: 仅当指定列列表，且SET IDENTITY_INSERT为ON时，才能对自增列赋值
### The error may exist in com/ailanyin/mapper/HxDictMapper.xml
### The error may involve com.ailanyin.mapper.HxDictMapper.addHxDictType-Inline
### The error occurred while setting parameters
### SQL: insert into ROOT."hx_dict"      ( "id",                       "name",                       "parent_id",                       "create_time" )       values ( ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 仅当指定列列表，且SET IDENTITY_INSERT为ON时，才能对自增列赋值
; 仅当指定列列表，且SET IDENTITY_INSERT为ON时，才能对自增列赋值; nested exception is java.sql.SQLException: 仅当指定列列表，且SET IDENTITY_INSERT为ON时，才能对自增列赋值','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy137.addHxDictType(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl.addHxDictType(HxDictServiceImpl.java:51)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$FastClassBySpringCGLIB$$44620d6d.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$EnhancerBySpringCGLIB$$88eecc24.addHxDictType(<generated>)<br>com.ailanyin.admin.controller.HxDictController.addHxDictType(HxDictController.java:49)<br>com.ailanyin.admin.controller.HxDictController$$FastClassBySpringCGLIB$$5eb29d61.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDictController$$EnhancerBySpringCGLIB$$4c674b2d.addHxDictType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 11:52:29');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426327,'
### Error updating database.  Cause: java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxDictMapper.xml
### The error may involve com.ailanyin.mapper.HxDictMapper.updateHxDictType
### The error occurred while executing an update
### SQL: update ROOT."hx_dict"     set             "name" = ?,                   "parent_id" = ?,           where "id" = ?
### Cause: java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy137.updateHxDictType(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl.updateHxDictType(HxDictServiceImpl.java:78)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$FastClassBySpringCGLIB$$44620d6d.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$EnhancerBySpringCGLIB$$88eecc24.updateHxDictType(<generated>)<br>com.ailanyin.admin.controller.HxDictController.updateHxDictType(HxDictController.java:57)<br>com.ailanyin.admin.controller.HxDictController$$FastClassBySpringCGLIB$$5eb29d61.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDictController$$EnhancerBySpringCGLIB$$4c674b2d.updateHxDictType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 11:53:12');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426328,'
### Error updating database.  Cause: java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxDictMapper.xml
### The error may involve com.ailanyin.mapper.HxDictMapper.updateHxDictType
### The error occurred while executing an update
### SQL: update ROOT."hx_dict"     set             "name" = ?,                   "parent_id" = ?,           where "id" = ?
### Cause: java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy137.updateHxDictType(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl.updateHxDictType(HxDictServiceImpl.java:78)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$FastClassBySpringCGLIB$$44620d6d.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$EnhancerBySpringCGLIB$$ffc827a3.updateHxDictType(<generated>)<br>com.ailanyin.admin.controller.HxDictController.updateHxDictType(HxDictController.java:57)<br>com.ailanyin.admin.controller.HxDictController$$FastClassBySpringCGLIB$$5eb29d61.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDictController$$EnhancerBySpringCGLIB$$c5274e48.updateHxDictType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 11:55:10');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426329,'
### Error updating database.  Cause: java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxDictMapper.xml
### The error may involve com.ailanyin.mapper.HxDictMapper.updateHxDictType
### The error occurred while executing an update
### SQL: update ROOT."hx_dict"     set             "name" = ?,                   "parent_id" = ?,           where "id" = ?
### Cause: java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy137.updateHxDictType(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl.updateHxDictType(HxDictServiceImpl.java:78)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$FastClassBySpringCGLIB$$44620d6d.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$EnhancerBySpringCGLIB$$ffc827a3.updateHxDictType(<generated>)<br>com.ailanyin.admin.controller.HxDictController.updateHxDictType(HxDictController.java:57)<br>com.ailanyin.admin.controller.HxDictController$$FastClassBySpringCGLIB$$5eb29d61.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDictController$$EnhancerBySpringCGLIB$$c5274e48.updateHxDictType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 12:20:14');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426330,'
### Error updating database.  Cause: java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxDictMapper.xml
### The error may involve com.ailanyin.mapper.HxDictMapper.updateHxDictType
### The error occurred while executing an update
### SQL: update ROOT."hx_dict"     set             "name" = ?,                   "parent_id" = ?,           where "id" = ?
### Cause: java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 9 行, 第 14 列["]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy137.updateHxDictType(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl.updateHxDictType(HxDictServiceImpl.java:78)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$FastClassBySpringCGLIB$$44620d6d.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxDictServiceImpl$$EnhancerBySpringCGLIB$$ffc827a3.updateHxDictType(<generated>)<br>com.ailanyin.admin.controller.HxDictController.updateHxDictType(HxDictController.java:57)<br>com.ailanyin.admin.controller.HxDictController$$FastClassBySpringCGLIB$$5eb29d61.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDictController$$EnhancerBySpringCGLIB$$c5274e48.updateHxDictType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 12:52:12');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426331,'Cannot invoke "String.trim()" because "in" is null','java.base/jdk.internal.math.FloatingDecimal.readJavaFormatString(FloatingDecimal.java:1838)<br>java.base/jdk.internal.math.FloatingDecimal.parseDouble(FloatingDecimal.java:110)<br>java.base/java.lang.Double.parseDouble(Double.java:651)<br>java.base/java.lang.Double.valueOf(Double.java:614)<br>com.ailanyin.admin.service.impl.HxChargeQuantityServiceImpl.addHxChargeQuantity(HxChargeQuantityServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxChargeQuantityController.addHxChargeQuantity(HxChargeQuantityController.java:31)<br>com.ailanyin.admin.controller.HxChargeQuantityController$$FastClassBySpringCGLIB$$f9b0b0a.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxChargeQuantityController$$EnhancerBySpringCGLIB$$ca370be2.addHxChargeQuantity(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 14:30:00');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426332,'
### Error querying database.  Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的列名[MONTH]
### The error may exist in com/ailanyin/mapper/HxChargeQuantityMapper.xml
### The error may involve com.ailanyin.mapper.HxChargeQuantityMapper.checkMonthIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_charge_quantity" where month = ?
### Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的列名[MONTH]
; 第1 行附近出现错误:
无效的列名[MONTH]; nested exception is java.sql.SQLException: 第1 行附近出现错误:
无效的列名[MONTH]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy136.checkMonthIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxChargeQuantityServiceImpl.checkMonthIsExist(HxChargeQuantityServiceImpl.java:43)<br>com.ailanyin.admin.service.impl.HxChargeQuantityServiceImpl.addHxChargeQuantity(HxChargeQuantityServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxChargeQuantityController.addHxChargeQuantity(HxChargeQuantityController.java:31)<br>com.ailanyin.admin.controller.HxChargeQuantityController$$FastClassBySpringCGLIB$$f9b0b0a.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxChargeQuantityController$$EnhancerBySpringCGLIB$$ca370be2.addHxChargeQuantity(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 14:38:59');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426333,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 14:42:13');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426334,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 14:43:54');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426335,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 14:59:41');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426336,'Validation failed for argument [0] in public com.ailanyin.common.result.AjaxResult com.ailanyin.admin.controller.SysDictTypeController.updateDictType(com.ailanyin.model.SysDictType) with 2 errors: [Field error in object ''sysDictType'' on field ''dictType'': rejected value [null]; codes [NotBlank.sysDictType.dictType,NotBlank.dictType,NotBlank.java.lang.String,NotBlank]; arguments [org.springframework.context.support.DefaultMessageSourceResolvable: codes [sysDictType.dictType,dictType]; arguments []; default message [dictType]]; default message [字典类型不能为空]] [Field error in object ''sysDictType'' on field ''dictName'': rejected value [null]; codes [NotBlank.sysDictType.dictName,NotBlank.dictName,NotBlank.java.lang.String,NotBlank]; arguments [org.springframework.context.support.DefaultMessageSourceResolvable: codes [sysDictType.dictName,dictName]; arguments []; default message [dictName]]; default message [字典名称不能为空]] ','org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.resolveArgument(RequestResponseBodyMethodProcessor.java:141)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 15:00:15');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426337,'Validation failed for argument [0] in public com.ailanyin.common.result.AjaxResult com.ailanyin.admin.controller.SysDictTypeController.addDictType(com.ailanyin.model.SysDictType) with 2 errors: [Field error in object ''sysDictType'' on field ''dictType'': rejected value [null]; codes [NotBlank.sysDictType.dictType,NotBlank.dictType,NotBlank.java.lang.String,NotBlank]; arguments [org.springframework.context.support.DefaultMessageSourceResolvable: codes [sysDictType.dictType,dictType]; arguments []; default message [dictType]]; default message [字典类型不能为空]] [Field error in object ''sysDictType'' on field ''dictName'': rejected value [null]; codes [NotBlank.sysDictType.dictName,NotBlank.dictName,NotBlank.java.lang.String,NotBlank]; arguments [org.springframework.context.support.DefaultMessageSourceResolvable: codes [sysDictType.dictName,dictName]; arguments []; default message [dictName]]; default message [字典名称不能为空]] ','org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.resolveArgument(RequestResponseBodyMethodProcessor.java:141)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 15:00:30');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426338,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long''; nested exception is java.lang.NumberFormatException: For input string: "undefined"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-06 15:02:17');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426339,'不允许访问','org.springframework.security.access.vote.AffirmativeBased.decide(AffirmativeBased.java:73)<br>org.springframework.security.access.intercept.AbstractSecurityInterceptor.attemptAuthorization(AbstractSecurityInterceptor.java:238)<br>org.springframework.security.access.intercept.AbstractSecurityInterceptor.beforeInvocation(AbstractSecurityInterceptor.java:208)<br>org.springframework.security.access.intercept.aopalliance.MethodSecurityInterceptor.invoke(MethodSecurityInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxProductCompletionOverviewController$$EnhancerBySpringCGLIB$$9d744cfb.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-07 11:50:24');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426340,'I/O error while reading input message; nested exception is java.io.IOException: Stream closed','org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodArgumentResolver.readWithMessageConverters(AbstractMessageConverterMethodArgumentResolver.java:197)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.readWithMessageConverters(RequestResponseBodyMethodProcessor.java:160)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.resolveArgument(RequestResponseBodyMethodProcessor.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-07 14:20:03');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426341,'I/O error while reading input message; nested exception is java.io.IOException: Stream closed','org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodArgumentResolver.readWithMessageConverters(AbstractMessageConverterMethodArgumentResolver.java:197)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.readWithMessageConverters(RequestResponseBodyMethodProcessor.java:160)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.resolveArgument(RequestResponseBodyMethodProcessor.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-07 14:20:54');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426342,'I/O error while reading input message; nested exception is java.io.IOException: Stream closed','org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodArgumentResolver.readWithMessageConverters(AbstractMessageConverterMethodArgumentResolver.java:197)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.readWithMessageConverters(RequestResponseBodyMethodProcessor.java:160)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.resolveArgument(RequestResponseBodyMethodProcessor.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-07 14:21:08');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426343,'Cannot invoke "com.ailanyin.admin.vo.LoginBodyVo.getCode()" because "register" is null','com.ailanyin.admin.service.impl.SysLoginServiceImpl.register(SysLoginServiceImpl.java:146)<br>com.ailanyin.admin.controller.SysLoginController.register(SysLoginController.java:100)<br>com.ailanyin.admin.controller.SysLoginController$$FastClassBySpringCGLIB$$a4cd1d7.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.SysLoginController$$EnhancerBySpringCGLIB$$522e9f26.register(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-07 14:24:24');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426344,'
### Error querying database.  Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的列名[TODAY_DATE]
### The error may exist in com/ailanyin/mapper/HxTodayDynamicMapper.xml
### The error may involve com.ailanyin.mapper.HxTodayDynamicMapper.checkTodayDynamicIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_today_dynamic"     where today_date = ?     limit 1
### Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的列名[TODAY_DATE]
; 第3 行附近出现错误:
无效的列名[TODAY_DATE]; nested exception is java.sql.SQLException: 第3 行附近出现错误:
无效的列名[TODAY_DATE]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy141.checkTodayDynamicIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxTodayDynamicServiceImpl.checkTodayDynamicIsExist(HxTodayDynamicServiceImpl.java:67)<br>com.ailanyin.admin.service.impl.HxTodayDynamicServiceImpl.handleData(HxTodayDynamicServiceImpl.java:50)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxTodayDynamicServiceImpl.importData(HxTodayDynamicServiceImpl.java:38)<br>com.ailanyin.admin.service.impl.HxTodayDynamicServiceImpl$$FastClassBySpringCGLIB$$ff85b865.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxTodayDynamicServiceImpl$$EnhancerBySpringCGLIB$$7f3919ab.importData(<generated>)<br>com.ailanyin.admin.controller.HxTodayDynamicController.importData(HxTodayDynamicController.java:50)<br>com.ailanyin.admin.controller.HxTodayDynamicController$$FastClassBySpringCGLIB$$907ca669.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxTodayDynamicController$$EnhancerBySpringCGLIB$$80128844.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-08 13:22:25');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426345,'Invalid bound statement (not found): com.ailanyin.mapper.HxTodayDynamicMapper.selectHxTodayDynamicList','org.apache.ibatis.binding.MapperMethod$SqlCommand.<init>(MapperMethod.java:235)<br>org.apache.ibatis.binding.MapperMethod.<init>(MapperMethod.java:53)<br>org.apache.ibatis.binding.MapperProxy.lambda$cachedInvoker$0(MapperProxy.java:108)<br>java.base/java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1708)<br>org.apache.ibatis.util.MapUtil.computeIfAbsent(MapUtil.java:36)<br>org.apache.ibatis.binding.MapperProxy.cachedInvoker(MapperProxy.java:95)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy141.selectHxTodayDynamicList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxTodayDynamicServiceImpl.selectHxTodayDynamicList(HxTodayDynamicServiceImpl.java:33)<br>com.ailanyin.admin.service.impl.HxTodayDynamicServiceImpl$$FastClassBySpringCGLIB$$ff85b865.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxTodayDynamicServiceImpl$$EnhancerBySpringCGLIB$$7f3919ab.selectHxTodayDynamicList(<generated>)<br>com.ailanyin.admin.controller.HxTodayDynamicController.list(HxTodayDynamicController.java:41)<br>com.ailanyin.admin.controller.HxTodayDynamicController$$FastClassBySpringCGLIB$$907ca669.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxTodayDynamicController$$EnhancerBySpringCGLIB$$e62ddfc.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-08 13:24:24');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426346,'
### Error querying database.  Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的列名[ID]
### The error may exist in com/ailanyin/mapper/HxTodayDynamicMapper.xml
### The error may involve com.ailanyin.mapper.HxTodayDynamicMapper.selectHxTodayDynamicList
### The error occurred while executing a query
### SQL: select           id, income, expenditure, new_contract, safety_problem, quality_problem,     operating_equipment, total_equipment, attendance_worker, total_worker, complete_task,     total_task, equipment_rate, worker_rate, task_rate, today_date         from ROOT."hx_today_dynamic"
### Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的列名[ID]
; 第7 行附近出现错误:
无效的列名[ID]; nested exception is java.sql.SQLException: 第7 行附近出现错误:
无效的列名[ID]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy141.selectHxTodayDynamicList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxTodayDynamicServiceImpl.selectHxTodayDynamicList(HxTodayDynamicServiceImpl.java:33)<br>com.ailanyin.admin.service.impl.HxTodayDynamicServiceImpl$$FastClassBySpringCGLIB$$ff85b865.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxTodayDynamicServiceImpl$$EnhancerBySpringCGLIB$$a040e3f6.selectHxTodayDynamicList(<generated>)<br>com.ailanyin.admin.controller.HxTodayDynamicController.list(HxTodayDynamicController.java:41)<br>com.ailanyin.admin.controller.HxTodayDynamicController$$FastClassBySpringCGLIB$$907ca669.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxTodayDynamicController$$EnhancerBySpringCGLIB$$3a0e3356.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-08 13:25:53');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426347,'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''projectName'' in ''class com.ailanyin.model.HxProductionResponsibility''','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy140.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxProductionResponsibilityServiceImpl.handleData(HxProductionResponsibilityServiceImpl.java:62)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxProductionResponsibilityServiceImpl.importData(HxProductionResponsibilityServiceImpl.java:44)<br>com.ailanyin.admin.service.impl.HxProductionResponsibilityServiceImpl$$FastClassBySpringCGLIB$$cdcc125c.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxProductionResponsibilityServiceImpl$$EnhancerBySpringCGLIB$$2464643b.importData(<generated>)<br>com.ailanyin.admin.controller.HxProductionResponsibilityController.importData(HxProductionResponsibilityController.java:51)<br>com.ailanyin.admin.controller.HxProductionResponsibilityController$$FastClassBySpringCGLIB$$7a667e12.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxProductionResponsibilityController$$EnhancerBySpringCGLIB$$9d4a76c0.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-08 13:39:13');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426348,'
### Error querying database.  Cause: java.sql.SQLException: 第6 行附近出现错误:
无效的列名[ID]
### The error may exist in com/ailanyin/mapper/HxHiddenDangerMapper.xml
### The error may involve com.ailanyin.mapper.HxHiddenDangerMapper.selectHxHiddenDangerList
### The error occurred while executing a query
### SQL: select           id, month, workshop_name, danger_content, category, measures, person_liable,     remark, create_time         from ROOT."hx_hidden_danger"
### Cause: java.sql.SQLException: 第6 行附近出现错误:
无效的列名[ID]
; 第6 行附近出现错误:
无效的列名[ID]; nested exception is java.sql.SQLException: 第6 行附近出现错误:
无效的列名[ID]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy141.selectHxHiddenDangerList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxHiddenDangerServiceImpl.selectHxHiddenDangerList(HxHiddenDangerServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxHiddenDangerController.list(HxHiddenDangerController.java:41)<br>com.ailanyin.admin.controller.HxHiddenDangerController$$FastClassBySpringCGLIB$$7893b258.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxHiddenDangerController$$EnhancerBySpringCGLIB$$3bd989bd.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-08 17:20:15');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426349,'
### Error updating database.  Cause: java.sql.SQLException: 第21 行附近出现错误:
无效的表或视图名[HX_DANGEROUS_WORK]
### The error may exist in com/ailanyin/mapper/HxDangerousWorkMapper.xml
### The error may involve com.ailanyin.mapper.HxDangerousWorkMapper.insertSelective
### The error occurred while executing an update
### SQL: insert into hx_dangerous_work      ( "dept_name",                       "work_content",                       "remark",                       "create_time" )       values ( ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 第21 行附近出现错误:
无效的表或视图名[HX_DANGEROUS_WORK]
; 第21 行附近出现错误:
无效的表或视图名[HX_DANGEROUS_WORK]; nested exception is java.sql.SQLException: 第21 行附近出现错误:
无效的表或视图名[HX_DANGEROUS_WORK]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy140.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDangerousWorkServiceImpl.lambda$importData$0(HxDangerousWorkServiceImpl.java:45)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxDangerousWorkServiceImpl.importData(HxDangerousWorkServiceImpl.java:42)<br>com.ailanyin.admin.controller.HxDangerousWorkController.importData(HxDangerousWorkController.java:50)<br>com.ailanyin.admin.controller.HxDangerousWorkController$$FastClassBySpringCGLIB$$7fbc99e8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDangerousWorkController$$EnhancerBySpringCGLIB$$bbb2bd95.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-08 17:56:27');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426350,'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 4','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy139.selectAllLevelNumByDept(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDangerousSourceServiceImpl.lambda$getDangerSourceBigPic$1(HxDangerousSourceServiceImpl.java:74)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxDangerousSourceServiceImpl.getDangerSourceBigPic(HxDangerousSourceServiceImpl.java:73)<br>com.ailanyin.admin.service.impl.HxDangerousSourceServiceImpl$$FastClassBySpringCGLIB$$44d0bce2.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxDangerousSourceServiceImpl$$EnhancerBySpringCGLIB$$a7ee21b7.getDangerSourceBigPic(<generated>)<br>com.ailanyin.admin.controller.HxSecurityManagementController.dangerSource(HxSecurityManagementController.java:31)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$8c4ae62b.dangerSource(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-09 10:54:36');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426351,'nested exception is org.apache.ibatis.exceptions.PersistenceException: 
### Error querying database.  Cause: java.lang.UnsupportedOperationException
### The error may exist in com/ailanyin/mapper/HxDangerousSourceMapper.xml
### The error may involve com.ailanyin.mapper.HxDangerousSourceMapper.selectAllLevelNumByDept
### The error occurred while handling results
### SQL: select ROOT."hx_dict"."name",count(ROOT."hx_dangerous_source"."level")     from  ROOT."hx_dict"     left join ROOT."hx_dangerous_source"     on ROOT."hx_dict"."name" = ROOT."hx_dangerous_source"."level" AND ROOT."hx_dangerous_source"."dept_name" = ?     where "hx_dict"."parent_id" = ''11''     group BY ROOT."hx_dict"."name"
### Cause: java.lang.UnsupportedOperationException','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy139.selectAllLevelNumByDept(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDangerousSourceServiceImpl.lambda$getDangerSourceBigPic$1(HxDangerousSourceServiceImpl.java:74)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxDangerousSourceServiceImpl.getDangerSourceBigPic(HxDangerousSourceServiceImpl.java:73)<br>com.ailanyin.admin.service.impl.HxDangerousSourceServiceImpl$$FastClassBySpringCGLIB$$44d0bce2.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxDangerousSourceServiceImpl$$EnhancerBySpringCGLIB$$799e6558.getDangerSourceBigPic(<generated>)<br>com.ailanyin.admin.controller.HxSecurityManagementController.dangerSource(HxSecurityManagementController.java:31)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$6ee75452.dangerSource(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-09 10:56:45');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426352,'
### Error querying database.  Cause: java.sql.SQLException: 非法的时间日期类型数据
### The error may exist in com/ailanyin/mapper/HxHiddenDangerMapper.xml
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: select "hx_hidden_danger"."category",COUNT("id") as numbercount     from ROOT."hx_hidden_danger"     where "month" >= ? and "month" <= ?     group BY "hx_hidden_danger"."category"
### Cause: java.sql.SQLException: 非法的时间日期类型数据
; 非法的时间日期类型数据; nested exception is java.sql.SQLException: 非法的时间日期类型数据','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy142.getAllCategoryAndCount(Unknown Source)<br>com.ailanyin.admin.service.impl.HxHiddenDangerServiceImpl.getHiddenDangerBigPic(HxHiddenDangerServiceImpl.java:70)<br>com.ailanyin.admin.controller.HxSecurityManagementController.hiddenDanger(HxSecurityManagementController.java:62)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$7d582fb6.hiddenDanger(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-09 13:18:49');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426353,'
### Error querying database.  Cause: java.sql.SQLException: 第4 行附近出现错误:
无效的列名[MEASURES]
### The error may exist in com/ailanyin/mapper/HxHiddenDangerMapper.xml
### The error may involve com.ailanyin.mapper.HxHiddenDangerMapper.getCountByMeasures
### The error occurred while executing a query
### SQL: select COUNT("id") as numbercount     from ROOT."hx_hidden_danger"     where "month" like concat(?, ''-%'')     and measures = ?
### Cause: java.sql.SQLException: 第4 行附近出现错误:
无效的列名[MEASURES]
; 第4 行附近出现错误:
无效的列名[MEASURES]; nested exception is java.sql.SQLException: 第4 行附近出现错误:
无效的列名[MEASURES]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy142.getCountByMeasures(Unknown Source)<br>com.ailanyin.admin.service.impl.HxHiddenDangerServiceImpl.getHiddenDangerBigPic(HxHiddenDangerServiceImpl.java:77)<br>com.ailanyin.admin.controller.HxSecurityManagementController.hiddenDanger(HxSecurityManagementController.java:62)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$5e1ee045.hiddenDanger(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-09 13:40:39');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426354,'
### Error querying database.  Cause: java.sql.SQLException: 第4 行附近出现错误:
无效的列名[MEASURES]
### The error may exist in com/ailanyin/mapper/HxHiddenDangerMapper.xml
### The error may involve com.ailanyin.mapper.HxHiddenDangerMapper.getCountByMeasures
### The error occurred while executing a query
### SQL: select COUNT("id") as numbercount     from ROOT."hx_hidden_danger"     where "month" like concat(?, ''-%'')     and measures = ?
### Cause: java.sql.SQLException: 第4 行附近出现错误:
无效的列名[MEASURES]
; 第4 行附近出现错误:
无效的列名[MEASURES]; nested exception is java.sql.SQLException: 第4 行附近出现错误:
无效的列名[MEASURES]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy142.getCountByMeasures(Unknown Source)<br>com.ailanyin.admin.service.impl.HxHiddenDangerServiceImpl.getHiddenDangerBigPic(HxHiddenDangerServiceImpl.java:77)<br>com.ailanyin.admin.controller.HxSecurityManagementController.hiddenDanger(HxSecurityManagementController.java:62)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$5e1ee045.hiddenDanger(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-09 13:40:49');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426355,'Cannot invoke "org.springframework.web.multipart.MultipartFile.getInputStream()" because "file" is null','com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:178)<br>com.ailanyin.admin.controller.HxDangerousPlaceController.importData(HxDangerousPlaceController.java:50)<br>com.ailanyin.admin.controller.HxDangerousPlaceController$$FastClassBySpringCGLIB$$a6cfd308.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDangerousPlaceController$$EnhancerBySpringCGLIB$$6105a4ef.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-09 15:50:49');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426356,'
### Error querying database.  Cause: java.sql.SQLException: 第4 行附近出现错误:
无效的列名[PLACE_NAME]
### The error may exist in com/ailanyin/mapper/HxDangerousPlaceMapper.xml
### The error may involve com.ailanyin.mapper.HxDangerousPlaceMapper.checkNameIsExist
### The error occurred while executing a query
### SQL: select count("id")     from ROOT."hx_dangerous_place"     where place_name = ?     limit 1
### Cause: java.sql.SQLException: 第4 行附近出现错误:
无效的列名[PLACE_NAME]
; 第4 行附近出现错误:
无效的列名[PLACE_NAME]; nested exception is java.sql.SQLException: 第4 行附近出现错误:
无效的列名[PLACE_NAME]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy138.checkNameIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDangerousPlaceServiceImpl.checkNameIsExist(HxDangerousPlaceServiceImpl.java:63)<br>com.ailanyin.admin.service.impl.HxDangerousPlaceServiceImpl.lambda$importData$0(HxDangerousPlaceServiceImpl.java:45)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxDangerousPlaceServiceImpl.importData(HxDangerousPlaceServiceImpl.java:41)<br>com.ailanyin.admin.controller.HxDangerousPlaceController.importData(HxDangerousPlaceController.java:51)<br>com.ailanyin.admin.controller.HxDangerousPlaceController$$FastClassBySpringCGLIB$$a6cfd308.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDangerousPlaceController$$EnhancerBySpringCGLIB$$6105a4ef.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-09 15:50:54');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426357,'
### Error updating database.  Cause: java.sql.SQLException: 第27 行附近出现错误:
无效的列名[init_total]
### The error may exist in com/ailanyin/mapper/HxDangerousPlaceMapper.xml
### The error may involve com.ailanyin.mapper.HxDangerousPlaceMapper.insertSelective
### The error occurred while executing an update
### SQL: insert into ROOT."hx_dangerous_place"      ( "place_name",                       "place_type",                       "init_total",                       "now_total",                       "remark" )       values ( ?,                       ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 第27 行附近出现错误:
无效的列名[init_total]
; 第27 行附近出现错误:
无效的列名[init_total]; nested exception is java.sql.SQLException: 第27 行附近出现错误:
无效的列名[init_total]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy138.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDangerousPlaceServiceImpl.lambda$importData$0(HxDangerousPlaceServiceImpl.java:50)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxDangerousPlaceServiceImpl.importData(HxDangerousPlaceServiceImpl.java:41)<br>com.ailanyin.admin.controller.HxDangerousPlaceController.importData(HxDangerousPlaceController.java:51)<br>com.ailanyin.admin.controller.HxDangerousPlaceController$$FastClassBySpringCGLIB$$a6cfd308.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDangerousPlaceController$$EnhancerBySpringCGLIB$$671a878a.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-09 15:51:29');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426358,'
### Error updating database.  Cause: java.sql.SQLException: 第9 行附近出现错误:
无效的列名[PLACE_TYPE]
### The error may exist in com/ailanyin/mapper/HxDangerousPlaceMapper.xml
### The error may involve com.ailanyin.mapper.HxDangerousPlaceMapper.updateByNameSelective
### The error occurred while executing an update
### SQL: update ROOT."hx_dangerous_place"      SET place_type = ?,                       now_total = ?,                       remark = ?      where "place_name" = ?
### Cause: java.sql.SQLException: 第9 行附近出现错误:
无效的列名[PLACE_TYPE]
; 第9 行附近出现错误:
无效的列名[PLACE_TYPE]; nested exception is java.sql.SQLException: 第9 行附近出现错误:
无效的列名[PLACE_TYPE]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy138.updateByNameSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDangerousPlaceServiceImpl.lambda$importData$0(HxDangerousPlaceServiceImpl.java:46)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxDangerousPlaceServiceImpl.importData(HxDangerousPlaceServiceImpl.java:41)<br>com.ailanyin.admin.controller.HxDangerousPlaceController.importData(HxDangerousPlaceController.java:51)<br>com.ailanyin.admin.controller.HxDangerousPlaceController$$FastClassBySpringCGLIB$$a6cfd308.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDangerousPlaceController$$EnhancerBySpringCGLIB$$671a878a.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-09 15:58:36');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426359,'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy138.selectSumByType(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDangerousPlaceServiceImpl.getDangerPlaceBigPic(HxDangerousPlaceServiceImpl.java:69)<br>com.ailanyin.admin.controller.HxSecurityManagementController.dangerPlace(HxSecurityManagementController.java:82)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$51139d0c.dangerPlace(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-09 16:18:02');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426360,'
### Error updating database.  Cause: java.sql.SQLException: 第 10 行, 第 23 列["]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxQualityPlanMapper.xml
### The error may involve com.ailanyin.mapper.HxQualityPlanMapper.updateByDeptAndMonth
### The error occurred while executing an update
### SQL: update ROOT."hx_quality_plan"      SET "plan_number" = ?,                       "complete_number" = ?,                       "complete_rate" = ?,              where "dept_name" = ? and "month" = ?
### Cause: java.sql.SQLException: 第 10 行, 第 23 列["]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 10 行, 第 23 列["]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy146.updateByDeptAndMonth(Unknown Source)<br>com.ailanyin.admin.service.impl.HxQualityPlanServiceImpl.lambda$importData$0(HxQualityPlanServiceImpl.java:37)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxQualityPlanServiceImpl.importData(HxQualityPlanServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxQualityPlanController.importData(HxQualityPlanController.java:51)<br>com.ailanyin.admin.controller.HxQualityPlanController$$FastClassBySpringCGLIB$$b737e635.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxQualityPlanController$$EnhancerBySpringCGLIB$$da55a32f.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-10 08:52:36');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426361,'
### Error updating database.  Cause: java.sql.SQLException: 第21 行附近出现错误:
无效的表或视图名[hx_video_system]
### The error may exist in com/ailanyin/mapper/HxVideoSystemMapper.xml
### The error may involve com.ailanyin.mapper.HxVideoSystemMapper.insertSelective
### The error occurred while executing an update
### SQL: insert into ROOT."hx_video_system"      ( "video_name",                       "video_address",                       "video_remark",                       "video_now_info" )       values ( ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 第21 行附近出现错误:
无效的表或视图名[hx_video_system]
; 第21 行附近出现错误:
无效的表或视图名[hx_video_system]; nested exception is java.sql.SQLException: 第21 行附近出现错误:
无效的表或视图名[hx_video_system]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy148.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxVideoSystemServiceImpl.lambda$importData$0(HxVideoSystemServiceImpl.java:32)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxVideoSystemServiceImpl.importData(HxVideoSystemServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxVideoSystemController.importData(HxVideoSystemController.java:50)<br>com.ailanyin.admin.controller.HxVideoSystemController$$FastClassBySpringCGLIB$$d31add77.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxVideoSystemController$$EnhancerBySpringCGLIB$$693610ad.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-10 09:38:57');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426362,'
### Error updating database.  Cause: java.sql.SQLException: 第27 行附近出现错误:
无效的表或视图名[hx_spc_info]
### The error may exist in com/ailanyin/mapper/HxSpcInfoMapper.xml
### The error may involve com.ailanyin.mapper.HxSpcInfoMapper.insertSelective
### The error occurred while executing an update
### SQL: insert into ROOT."hx_spc_info"      ( "spc_name",                       "param_category",                       "product",                       "upper_limit",                       "lower_limit" )       values ( ?,                       ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 第27 行附近出现错误:
无效的表或视图名[hx_spc_info]
; 第27 行附近出现错误:
无效的表或视图名[hx_spc_info]; nested exception is java.sql.SQLException: 第27 行附近出现错误:
无效的表或视图名[hx_spc_info]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy147.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxSpcInfoServiceImpl.lambda$importData$0(HxSpcInfoServiceImpl.java:32)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxSpcInfoServiceImpl.importData(HxSpcInfoServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxSpcInfoController.importData(HxSpcInfoController.java:50)<br>com.ailanyin.admin.controller.HxSpcInfoController$$FastClassBySpringCGLIB$$332e2a61.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSpcInfoController$$EnhancerBySpringCGLIB$$45bd80b3.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-10 11:02:18');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426363,'
### Error updating database.  Cause: java.sql.SQLException: 违反列[id]非空约束
### The error may exist in com/ailanyin/mapper/HxSpcInfoMapper.xml
### The error may involve com.ailanyin.mapper.HxSpcInfoMapper.insertSelective-Inline
### The error occurred while setting parameters
### SQL: insert into ROOT."hx_spc_info"      ( "spc_name",                       "param_category",                       "product",                       "upper_limit",                       "lower_limit" )       values ( ?,                       ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 违反列[id]非空约束
; 违反列[id]非空约束; nested exception is java.sql.SQLException: 违反列[id]非空约束','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy147.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxSpcInfoServiceImpl.lambda$importData$0(HxSpcInfoServiceImpl.java:32)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxSpcInfoServiceImpl.importData(HxSpcInfoServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxSpcInfoController.importData(HxSpcInfoController.java:50)<br>com.ailanyin.admin.controller.HxSpcInfoController$$FastClassBySpringCGLIB$$332e2a61.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSpcInfoController$$EnhancerBySpringCGLIB$$45bd80b3.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-10 11:03:38');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426364,'
### Error updating database.  Cause: java.sql.SQLException: 违反列[center_line]非空约束
### The error may exist in com/ailanyin/mapper/HxSpcInfoMapper.xml
### The error may involve com.ailanyin.mapper.HxSpcInfoMapper.insertSelective-Inline
### The error occurred while setting parameters
### SQL: insert into ROOT."hx_spc_info"      ( "spc_name",                       "param_category",                       "product",                       "upper_limit",                       "lower_limit" )       values ( ?,                       ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 违反列[center_line]非空约束
; 违反列[center_line]非空约束; nested exception is java.sql.SQLException: 违反列[center_line]非空约束','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy147.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxSpcInfoServiceImpl.lambda$importData$0(HxSpcInfoServiceImpl.java:32)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxSpcInfoServiceImpl.importData(HxSpcInfoServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxSpcInfoController.importData(HxSpcInfoController.java:50)<br>com.ailanyin.admin.controller.HxSpcInfoController$$FastClassBySpringCGLIB$$332e2a61.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSpcInfoController$$EnhancerBySpringCGLIB$$45bd80b3.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-10 11:05:03');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426365,'
### Error querying database.  Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_quality_inspect_analysis]
### The error may exist in com/ailanyin/mapper/HxQualityInspectAnalysisMapper.xml
### The error may involve com.ailanyin.mapper.HxQualityInspectAnalysisMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_quality_inspect_analysis"     where "dept_name" = ? and "month" = ?     limit 1
### Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_quality_inspect_analysis]
; 第3 行附近出现错误:
无效的表或视图名[hx_quality_inspect_analysis]; nested exception is java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_quality_inspect_analysis]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy146.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxQualityInspectAnalysisServiceImpl.checkIsExist(HxQualityInspectAnalysisServiceImpl.java:49)<br>com.ailanyin.admin.service.impl.HxQualityInspectAnalysisServiceImpl.lambda$importData$0(HxQualityInspectAnalysisServiceImpl.java:39)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxQualityInspectAnalysisServiceImpl.importData(HxQualityInspectAnalysisServiceImpl.java:33)<br>com.ailanyin.admin.controller.HxQualityInspectAnalysisController.importData(HxQualityInspectAnalysisController.java:51)<br>com.ailanyin.admin.controller.HxQualityInspectAnalysisController$$FastClassBySpringCGLIB$$e0bf5c3c.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxQualityInspectAnalysisController$$EnhancerBySpringCGLIB$$1237dab9.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-10 11:47:14');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426366,'
### Error querying database.  Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_quality_problem]
### The error may exist in com/ailanyin/mapper/HxQualityProblemMapper.xml
### The error may involve com.ailanyin.mapper.HxQualityProblemMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_quality_problem"     where "dimension" = ? and     "name" = ? and "month" = ?
### Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_quality_problem]
; 第3 行附近出现错误:
无效的表或视图名[hx_quality_problem]; nested exception is java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_quality_problem]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy148.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxQualityProblemServiceImpl.checkIsExist(HxQualityProblemServiceImpl.java:60)<br>com.ailanyin.admin.service.impl.HxQualityProblemServiceImpl.lambda$importData$0(HxQualityProblemServiceImpl.java:47)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxQualityProblemServiceImpl.importData(HxQualityProblemServiceImpl.java:35)<br>com.ailanyin.admin.service.impl.HxQualityProblemServiceImpl$$FastClassBySpringCGLIB$$5d481cc3.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxQualityProblemServiceImpl$$EnhancerBySpringCGLIB$$d46a2323.importData(<generated>)<br>com.ailanyin.admin.controller.HxQualityProblemController.importData(HxQualityProblemController.java:49)<br>com.ailanyin.admin.controller.HxQualityProblemController$$FastClassBySpringCGLIB$$b78830b.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxQualityProblemController$$EnhancerBySpringCGLIB$$3cea857f.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-10 17:05:09');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426367,'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''projectName'' in ''class com.ailanyin.model.HxProductionResponsibility''','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy140.selectHxProductionResponsibilityList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxProductionResponsibilityServiceImpl.selectHxProductionResponsibilityList(HxProductionResponsibilityServiceImpl.java:34)<br>com.ailanyin.admin.service.impl.HxProductionResponsibilityServiceImpl$$FastClassBySpringCGLIB$$cdcc125c.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxProductionResponsibilityServiceImpl$$EnhancerBySpringCGLIB$$bb4da780.selectHxProductionResponsibilityList(<generated>)<br>com.ailanyin.admin.controller.HxCockpitOverviewController.productionResponsibility(HxCockpitOverviewController.java:70)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$FastClassBySpringCGLIB$$1fd85ccd.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$EnhancerBySpringCGLIB$$14c05c5f.productionResponsibility(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 11:15:20');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426368,'
### Error updating database.  Cause: java.sql.SQLException: 第57 行附近出现错误:
无效的表或视图名[hx_annual_target]
### The error may exist in com/ailanyin/mapper/HxAnnualTargetMapper.xml
### The error may involve com.ailanyin.mapper.HxAnnualTargetMapper.insertSelective
### The error occurred while executing an update
### SQL: insert into ROOT."hx_annual_target"      ( "target_income",                       "completed_income",                       "target_profit",                       "completed_profit",                       "target_charge_quantity",                       "completed_charge_quantity",                       "target_delivery_quantity",                       "completed_delivery_quantity",                       "year",                       "big_pic" )       values ( ?,                       ?,                       ?,                       ?,                       ?,                       ?,                       ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 第57 行附近出现错误:
无效的表或视图名[hx_annual_target]
; 第57 行附近出现错误:
无效的表或视图名[hx_annual_target]; nested exception is java.sql.SQLException: 第57 行附近出现错误:
无效的表或视图名[hx_annual_target]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy137.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxAnnualTargetServiceImpl.addHxAnnualTarget(HxAnnualTargetServiceImpl.java:24)<br>com.ailanyin.admin.controller.HxAnnualTargetController.addHxAnnualTarget(HxAnnualTargetController.java:32)<br>com.ailanyin.admin.controller.HxAnnualTargetController$$FastClassBySpringCGLIB$$d54e667b.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxAnnualTargetController$$EnhancerBySpringCGLIB$$89f34c67.addHxAnnualTarget(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 12:35:59');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426369,'
### Error querying database.  Cause: java.sql.SQLException: 第8 行附近出现错误:
无效的列名[YEAR]
### The error may exist in com/ailanyin/mapper/HxAnnualTargetMapper.xml
### The error may involve com.ailanyin.mapper.HxAnnualTargetMapper.selectByParam
### The error occurred while executing a query
### SQL: select           "id", "target_income", "completed_income", "target_profit", "completed_profit", "target_charge_quantity",     "completed_charge_quantity", "target_delivery_quantity", "completed_delivery_quantity",     "year", "big_pic"         from ROOT."hx_annual_target"      WHERE  year = ?
### Cause: java.sql.SQLException: 第8 行附近出现错误:
无效的列名[YEAR]
; 第8 行附近出现错误:
无效的列名[YEAR]; nested exception is java.sql.SQLException: 第8 行附近出现错误:
无效的列名[YEAR]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy137.selectByParam(Unknown Source)<br>com.ailanyin.admin.service.impl.HxAnnualTargetServiceImpl.selectHxAnnualTargetList(HxAnnualTargetServiceImpl.java:34)<br>com.ailanyin.admin.controller.HxCockpitOverviewController.annualTargetAndPic(HxCockpitOverviewController.java:74)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$FastClassBySpringCGLIB$$1fd85ccd.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$EnhancerBySpringCGLIB$$9059b66d.annualTargetAndPic(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 12:45:51');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426370,'Invalid bound statement (not found): com.ailanyin.mapper.HxRevenueProfitMapper.checkIsExist','org.apache.ibatis.binding.MapperMethod$SqlCommand.<init>(MapperMethod.java:235)<br>org.apache.ibatis.binding.MapperMethod.<init>(MapperMethod.java:53)<br>org.apache.ibatis.binding.MapperProxy.lambda$cachedInvoker$0(MapperProxy.java:108)<br>java.base/java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1708)<br>org.apache.ibatis.util.MapUtil.computeIfAbsent(MapUtil.java:36)<br>org.apache.ibatis.binding.MapperProxy.cachedInvoker(MapperProxy.java:95)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy152.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.checkIsExist(HxRevenueProfitServiceImpl.java:46)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.lambda$importData$0(HxRevenueProfitServiceImpl.java:36)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.importData(HxRevenueProfitServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxRevenueProfitController.importData(HxRevenueProfitController.java:50)<br>com.ailanyin.admin.controller.HxRevenueProfitController$$FastClassBySpringCGLIB$$6d28f8ad.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxRevenueProfitController$$EnhancerBySpringCGLIB$$7122e605.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 13:52:05');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426371,'Invalid bound statement (not found): com.ailanyin.mapper.HxRevenueProfitMapper.selectHxRevenueProfitList','org.apache.ibatis.binding.MapperMethod$SqlCommand.<init>(MapperMethod.java:235)<br>org.apache.ibatis.binding.MapperMethod.<init>(MapperMethod.java:53)<br>org.apache.ibatis.binding.MapperProxy.lambda$cachedInvoker$0(MapperProxy.java:108)<br>java.base/java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1708)<br>org.apache.ibatis.util.MapUtil.computeIfAbsent(MapUtil.java:36)<br>org.apache.ibatis.binding.MapperProxy.cachedInvoker(MapperProxy.java:95)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy152.selectHxRevenueProfitList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.selectHxRevenueProfitList(HxRevenueProfitServiceImpl.java:26)<br>com.ailanyin.admin.controller.HxRevenueProfitController.list(HxRevenueProfitController.java:41)<br>com.ailanyin.admin.controller.HxRevenueProfitController$$FastClassBySpringCGLIB$$6d28f8ad.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxRevenueProfitController$$EnhancerBySpringCGLIB$$9978d04c.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 13:54:39');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426372,'
### Error querying database.  Cause: java.sql.SQLException: 第5 行附近出现错误:
无效的表或视图名[hx_business_responsibility]
### The error may exist in com/ailanyin/mapper/HxBusinessResponsibilityMapper.xml
### The error may involve com.ailanyin.mapper.HxBusinessResponsibilityMapper.checkIsExist
### The error occurred while executing a query
### SQL: select     count("id")     from ROOT."hx_business_responsibility"     where "month" = ? and     "indicator_name" = ?
### Cause: java.sql.SQLException: 第5 行附近出现错误:
无效的表或视图名[hx_business_responsibility]
; 第5 行附近出现错误:
无效的表或视图名[hx_business_responsibility]; nested exception is java.sql.SQLException: 第5 行附近出现错误:
无效的表或视图名[hx_business_responsibility]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy138.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxBusinessResponsibilityServiceImpl.checkIsExist(HxBusinessResponsibilityServiceImpl.java:44)<br>com.ailanyin.admin.service.impl.HxBusinessResponsibilityServiceImpl.lambda$importData$0(HxBusinessResponsibilityServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxBusinessResponsibilityServiceImpl.importData(HxBusinessResponsibilityServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxBusinessResponsibilityController.importData(HxBusinessResponsibilityController.java:50)<br>com.ailanyin.admin.controller.HxBusinessResponsibilityController$$FastClassBySpringCGLIB$$a9ec97d9.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxBusinessResponsibilityController$$EnhancerBySpringCGLIB$$6345d0e7.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 16:10:26');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426373,'
### Error querying database.  Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
### The error may exist in com/ailanyin/mapper/HxRevenueProfitMapper.xml
### The error may involve com.ailanyin.mapper.HxRevenueProfitMapper.getTotalAndRateByYear
### The error occurred while executing a query
### SQL: select SUM("completed_tasks") as completedTasks,SUM("target_tasks") as targetTasks,     SUM("completed_tasks")/SUM("target_tasks")*100 as cate     from ROOT."hx_business_responsibility"     where "month" like concat(concat(?),''-%'')
### Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
; 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]; nested exception is java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy143.getTotalAndRateByYear(Unknown Source)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.getBusinessResponsibility(HxRevenueProfitServiceImpl.java:67)<br>com.ailanyin.admin.controller.HxCockpitOverviewController.businessResponsibility(HxCockpitOverviewController.java:95)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$FastClassBySpringCGLIB$$1fd85ccd.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$EnhancerBySpringCGLIB$$c9c0619b.businessResponsibility(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 17:12:17');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426374,'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''year'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting non null for parameter #1 with JdbcType null . Try setting a different JdbcType for this parameter or a different configuration property. Cause: org.apache.ibatis.type.TypeException: Error setting non null for parameter #1 with JdbcType null . Try setting a different JdbcType for this parameter or a different configuration property. Cause: java.sql.SQLException: 序列号无效','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy143.getTotalAndRateByYear(Unknown Source)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.getBusinessResponsibility(HxRevenueProfitServiceImpl.java:67)<br>com.ailanyin.admin.controller.HxCockpitOverviewController.businessResponsibility(HxCockpitOverviewController.java:95)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$FastClassBySpringCGLIB$$1fd85ccd.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$EnhancerBySpringCGLIB$$d0be6435.businessResponsibility(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 17:13:14');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426375,'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''year'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting non null for parameter #1 with JdbcType null . Try setting a different JdbcType for this parameter or a different configuration property. Cause: org.apache.ibatis.type.TypeException: Error setting non null for parameter #1 with JdbcType null . Try setting a different JdbcType for this parameter or a different configuration property. Cause: java.sql.SQLException: 序列号无效','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy143.getTotalAndRateByYear(Unknown Source)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.getBusinessResponsibility(HxRevenueProfitServiceImpl.java:67)<br>com.ailanyin.admin.controller.HxCockpitOverviewController.businessResponsibility(HxCockpitOverviewController.java:95)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$FastClassBySpringCGLIB$$1fd85ccd.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$EnhancerBySpringCGLIB$$d0be6435.businessResponsibility(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 17:14:24');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426376,'
### Error querying database.  Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
### The error may exist in com/ailanyin/mapper/HxRevenueProfitMapper.xml
### The error may involve com.ailanyin.mapper.HxRevenueProfitMapper.getTotalAndRateByYear
### The error occurred while executing a query
### SQL: select SUM("completed_tasks") as completedTasks,SUM("target_tasks") as targetTasks,     SUM("completed_tasks")/SUM("target_tasks")*100 as cate     from ROOT."hx_business_responsibility"     where "month" like concat(concat(?),''-%'')
### Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
; 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]; nested exception is java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy143.getTotalAndRateByYear(Unknown Source)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.getBusinessResponsibility(HxRevenueProfitServiceImpl.java:67)<br>com.ailanyin.admin.controller.HxCockpitOverviewController.businessResponsibility(HxCockpitOverviewController.java:95)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$FastClassBySpringCGLIB$$1fd85ccd.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$EnhancerBySpringCGLIB$$6183850f.businessResponsibility(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 17:16:00');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426377,'
### Error querying database.  Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
### The error may exist in com/ailanyin/mapper/HxRevenueProfitMapper.xml
### The error may involve com.ailanyin.mapper.HxRevenueProfitMapper.getTotalAndRateByYear
### The error occurred while executing a query
### SQL: select SUM("completed_tasks") as completedTasks,SUM("target_tasks") as targetTasks,     SUM("completed_tasks")/SUM("target_tasks")*100 as cate     from ROOT."hx_business_responsibility"     where "month" like concat(concat(?),''-%'')
### Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
; 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]; nested exception is java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy143.getTotalAndRateByYear(Unknown Source)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.getBusinessResponsibility(HxRevenueProfitServiceImpl.java:67)<br>com.ailanyin.admin.controller.HxCockpitOverviewController.businessResponsibility(HxCockpitOverviewController.java:95)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$FastClassBySpringCGLIB$$1fd85ccd.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$EnhancerBySpringCGLIB$$dafe63cd.businessResponsibility(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 17:17:15');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426378,'
### Error querying database.  Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
### The error may exist in com/ailanyin/mapper/HxRevenueProfitMapper.xml
### The error may involve com.ailanyin.mapper.HxRevenueProfitMapper.getTotalAndRateByYear
### The error occurred while executing a query
### SQL: select SUM("completed_tasks") as completedTasks,SUM("target_tasks") as targetTasks,     SUM("completed_tasks")/SUM("target_tasks")*100 as cate     from ROOT."hx_business_responsibility"     where "month" like concat(concat(?),''-%'')
### Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
; 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]; nested exception is java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy143.getTotalAndRateByYear(Unknown Source)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.getBusinessResponsibility(HxRevenueProfitServiceImpl.java:67)<br>com.ailanyin.admin.controller.HxCockpitOverviewController.businessResponsibility(HxCockpitOverviewController.java:95)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$FastClassBySpringCGLIB$$1fd85ccd.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$EnhancerBySpringCGLIB$$dafe63cd.businessResponsibility(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 17:17:16');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426379,'
### Error querying database.  Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
### The error may exist in com/ailanyin/mapper/HxRevenueProfitMapper.xml
### The error may involve com.ailanyin.mapper.HxRevenueProfitMapper.getTotalAndRateByYear
### The error occurred while executing a query
### SQL: select SUM("completed_tasks") as completedTasks,SUM("target_tasks") as targetTasks,     SUM("completed_tasks")/SUM("target_tasks")*100 as cate     from ROOT."hx_business_responsibility"     where "month" like concat(concat(?),''-%'')
### Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
; 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]; nested exception is java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy143.getTotalAndRateByYear(Unknown Source)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.getBusinessResponsibility(HxRevenueProfitServiceImpl.java:67)<br>com.ailanyin.admin.controller.HxCockpitOverviewController.businessResponsibility(HxCockpitOverviewController.java:95)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$FastClassBySpringCGLIB$$1fd85ccd.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$EnhancerBySpringCGLIB$$dafe63cd.businessResponsibility(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 17:17:17');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426380,'
### Error querying database.  Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
### The error may exist in com/ailanyin/mapper/HxRevenueProfitMapper.xml
### The error may involve com.ailanyin.mapper.HxRevenueProfitMapper.getTotalAndRateByYear
### The error occurred while executing a query
### SQL: select SUM("completed_tasks") as completedTasks,SUM("target_tasks") as targetTasks,     SUM("completed_tasks")/SUM("target_tasks")*100 as cate     from ROOT."hx_business_responsibility"     where "month" like concat(concat(?),''-%'')
### Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
; 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]; nested exception is java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy143.getTotalAndRateByYear(Unknown Source)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.getBusinessResponsibility(HxRevenueProfitServiceImpl.java:67)<br>com.ailanyin.admin.controller.HxCockpitOverviewController.businessResponsibility(HxCockpitOverviewController.java:95)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$FastClassBySpringCGLIB$$1fd85ccd.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$EnhancerBySpringCGLIB$$dafe63cd.businessResponsibility(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 17:17:17');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426381,'
### Error querying database.  Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
### The error may exist in com/ailanyin/mapper/HxRevenueProfitMapper.xml
### The error may involve com.ailanyin.mapper.HxRevenueProfitMapper.getTotalAndRateByYear
### The error occurred while executing a query
### SQL: select SUM("completed_tasks") as completedTasks,SUM("target_tasks") as targetTasks,     SUM("completed_tasks")/SUM("target_tasks")*100 as cate     from ROOT."hx_business_responsibility"     where "month" like concat(concat(?),''-%'')
### Cause: java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]
; 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]; nested exception is java.sql.SQLException: 第4 行附近出现错误:
无法解析的成员访问表达式[CONCAT]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy143.getTotalAndRateByYear(Unknown Source)<br>com.ailanyin.admin.service.impl.HxRevenueProfitServiceImpl.getBusinessResponsibility(HxRevenueProfitServiceImpl.java:67)<br>com.ailanyin.admin.controller.HxCockpitOverviewController.businessResponsibility(HxCockpitOverviewController.java:95)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$FastClassBySpringCGLIB$$1fd85ccd.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCockpitOverviewController$$EnhancerBySpringCGLIB$$dafe63cd.businessResponsibility(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-12 17:17:44');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426382,'Invalid bound statement (not found): com.ailanyin.mapper.HxQualityProblemMapper.selectByYearAndDimension','org.apache.ibatis.binding.MapperMethod$SqlCommand.<init>(MapperMethod.java:235)<br>org.apache.ibatis.binding.MapperMethod.<init>(MapperMethod.java:53)<br>org.apache.ibatis.binding.MapperProxy.lambda$cachedInvoker$0(MapperProxy.java:108)<br>java.base/java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1708)<br>org.apache.ibatis.util.MapUtil.computeIfAbsent(MapUtil.java:36)<br>org.apache.ibatis.binding.MapperProxy.cachedInvoker(MapperProxy.java:95)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy154.selectByYearAndDimension(Unknown Source)<br>com.ailanyin.admin.service.impl.HxQualityProblemServiceImpl.getQualityProblemByType(HxQualityProblemServiceImpl.java:79)<br>com.ailanyin.admin.service.impl.HxQualityProblemServiceImpl$$FastClassBySpringCGLIB$$5d481cc3.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxQualityProblemServiceImpl$$EnhancerBySpringCGLIB$$bb4b88c5.getQualityProblemByType(<generated>)<br>com.ailanyin.admin.controller.HxQualityAssuranceController.getQualityProblem(HxQualityAssuranceController.java:73)<br>com.ailanyin.admin.controller.HxQualityAssuranceController$$FastClassBySpringCGLIB$$f4a3da19.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxQualityAssuranceController$$EnhancerBySpringCGLIB$$e9e38b99.getQualityProblem(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-13 13:47:01');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426383,'nested exception is org.apache.ibatis.binding.BindingException: Parameter ''month'' not found. Available parameters are [year, dimension, param1, param2]','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy154.selectByYearAndDimension(Unknown Source)<br>com.ailanyin.admin.service.impl.HxQualityProblemServiceImpl.getQualityProblemByType(HxQualityProblemServiceImpl.java:79)<br>com.ailanyin.admin.service.impl.HxQualityProblemServiceImpl$$FastClassBySpringCGLIB$$5d481cc3.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxQualityProblemServiceImpl$$EnhancerBySpringCGLIB$$7e1aea2b.getQualityProblemByType(<generated>)<br>com.ailanyin.admin.controller.HxQualityAssuranceController.getQualityProblem(HxQualityAssuranceController.java:73)<br>com.ailanyin.admin.controller.HxQualityAssuranceController$$FastClassBySpringCGLIB$$f4a3da19.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxQualityAssuranceController$$EnhancerBySpringCGLIB$$d6e00ec.getQualityProblem(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-13 13:47:44');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426384,'Cannot invoke "org.springframework.web.multipart.MultipartFile.getInputStream()" because "file" is null','com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:178)<br>com.ailanyin.admin.controller.HxTodayDynamicController.importData(HxTodayDynamicController.java:49)<br>com.ailanyin.admin.controller.HxTodayDynamicController$$FastClassBySpringCGLIB$$907ca669.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxTodayDynamicController$$EnhancerBySpringCGLIB$$f7ef1810.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-13 15:33:51');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426385,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[quality_system_review]
### The error may exist in com/ailanyin/mapper/HxQualitySystemReviewMapper.xml
### The error may involve com.ailanyin.mapper.HxQualitySystemReviewMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."quality_system_review"     where "today_date" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[quality_system_review]
; 第2 行附近出现错误:
无效的表或视图名[quality_system_review]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[quality_system_review]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy156.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxQualitySystemServiceImpl.checkIsExist(HxQualitySystemServiceImpl.java:42)<br>com.ailanyin.admin.service.impl.HxQualitySystemServiceImpl.lambda$importReviewData$0(HxQualitySystemServiceImpl.java:32)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxQualitySystemServiceImpl.importReviewData(HxQualitySystemServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxQualitySystemController.importReviewData(HxQualitySystemController.java:50)<br>com.ailanyin.admin.controller.HxQualitySystemController$$FastClassBySpringCGLIB$$d7e2d9bb.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxQualitySystemController$$EnhancerBySpringCGLIB$$123eac10.importReviewData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-13 16:57:34');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426386,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[quality_system_review]
### The error may exist in com/ailanyin/mapper/HxQualitySystemReviewMapper.xml
### The error may involve com.ailanyin.mapper.HxQualitySystemReviewMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."quality_system_review"     where "today_date" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[quality_system_review]
; 第2 行附近出现错误:
无效的表或视图名[quality_system_review]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[quality_system_review]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy156.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxQualitySystemServiceImpl.checkIsExist(HxQualitySystemServiceImpl.java:42)<br>com.ailanyin.admin.service.impl.HxQualitySystemServiceImpl.lambda$importReviewData$0(HxQualitySystemServiceImpl.java:32)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxQualitySystemServiceImpl.importReviewData(HxQualitySystemServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxQualitySystemController.importReviewData(HxQualitySystemController.java:50)<br>com.ailanyin.admin.controller.HxQualitySystemController$$FastClassBySpringCGLIB$$d7e2d9bb.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxQualitySystemController$$EnhancerBySpringCGLIB$$123eac10.importReviewData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-13 16:58:16');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426387,'
### Error querying database.  Cause: java.sql.SQLException: 第5 行附近出现错误:
无效的表或视图名[hx_quality_system_elements]
### The error may exist in com/ailanyin/mapper/HxQualitySystemElementsMapper.xml
### The error may involve com.ailanyin.mapper.HxQualitySystemElementsMapper.checkElementsIsExist
### The error occurred while executing a query
### SQL: select count("id")     from ROOT."hx_quality_system_elements"     where "today_date" = ? and     "system_name" = ? and       "dept_name" = ? limit 1
### Cause: java.sql.SQLException: 第5 行附近出现错误:
无效的表或视图名[hx_quality_system_elements]
; 第5 行附近出现错误:
无效的表或视图名[hx_quality_system_elements]; nested exception is java.sql.SQLException: 第5 行附近出现错误:
无效的表或视图名[hx_quality_system_elements]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy157.checkElementsIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxQualitySystemServiceImpl.checkElementsIsExist(HxQualitySystemServiceImpl.java:68)<br>com.ailanyin.admin.service.impl.HxQualitySystemServiceImpl.lambda$importData$1(HxQualitySystemServiceImpl.java:54)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxQualitySystemServiceImpl.importData(HxQualitySystemServiceImpl.java:52)<br>com.ailanyin.admin.controller.HxQualitySystemController.importData(HxQualitySystemController.java:80)<br>com.ailanyin.admin.controller.HxQualitySystemController$$FastClassBySpringCGLIB$$d7e2d9bb.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxQualitySystemController$$EnhancerBySpringCGLIB$$7984ecaf.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-13 17:34:28');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426388,'Cannot invoke "org.springframework.web.multipart.MultipartFile.getInputStream()" because "file" is null','com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:178)<br>com.ailanyin.admin.controller.HxSystemRadarController.importData(HxSystemRadarController.java:49)<br>com.ailanyin.admin.controller.HxSystemRadarController$$FastClassBySpringCGLIB$$ca9e5cc4.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSystemRadarController$$EnhancerBySpringCGLIB$$acf7cb58.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-14 10:03:34');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426389,'Invalid bound statement (not found): com.ailanyin.mapper.HxSystemRadarMapper.selectHxSystemRadarList','org.apache.ibatis.binding.MapperMethod$SqlCommand.<init>(MapperMethod.java:235)<br>org.apache.ibatis.binding.MapperMethod.<init>(MapperMethod.java:53)<br>org.apache.ibatis.binding.MapperProxy.lambda$cachedInvoker$0(MapperProxy.java:108)<br>java.base/java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1708)<br>org.apache.ibatis.util.MapUtil.computeIfAbsent(MapUtil.java:36)<br>org.apache.ibatis.binding.MapperProxy.cachedInvoker(MapperProxy.java:95)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy160.selectHxSystemRadarList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxSystemRadarServiceImpl.selectHxSystemRadarList(HxSystemRadarServiceImpl.java:25)<br>com.ailanyin.admin.controller.HxSystemRadarController.list(HxSystemRadarController.java:41)<br>com.ailanyin.admin.controller.HxSystemRadarController$$FastClassBySpringCGLIB$$ca9e5cc4.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSystemRadarController$$EnhancerBySpringCGLIB$$acf7cb58.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-14 10:05:25');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426390,'Cannot invoke "org.springframework.web.multipart.MultipartFile.getInputStream()" because "file" is null','com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:178)<br>com.ailanyin.admin.controller.HxResponsibilityStatusController.importData(HxResponsibilityStatusController.java:49)<br>com.ailanyin.admin.controller.HxResponsibilityStatusController$$FastClassBySpringCGLIB$$af613ecb.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxResponsibilityStatusController$$EnhancerBySpringCGLIB$$41c30dc7.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-14 11:11:19');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426391,'
### Error updating database.  Cause: java.sql.SQLException: 违反列[id]非空约束
### The error may exist in com/ailanyin/mapper/HxWorkPlanMapper.xml
### The error may involve com.ailanyin.mapper.HxWorkPlanMapper.insertSelective-Inline
### The error occurred while setting parameters
### SQL: insert into ROOT."hx_work_plan"      ( "today_date",                       "work_plan_name",                       "dept_name",                       "completed_status" )       values ( ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 违反列[id]非空约束
; 违反列[id]非空约束; nested exception is java.sql.SQLException: 违反列[id]非空约束','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy162.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxWorkPlanServiceImpl.lambda$importData$0(HxWorkPlanServiceImpl.java:37)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxWorkPlanServiceImpl.importData(HxWorkPlanServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxWorkPlanController.importData(HxWorkPlanController.java:51)<br>com.ailanyin.admin.controller.HxWorkPlanController$$FastClassBySpringCGLIB$$681fbb05.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxWorkPlanController$$EnhancerBySpringCGLIB$$30399e4.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-14 11:44:56');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426392,'Request method ''GET'' not supported','org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.handleNoMatch(RequestMappingInfoHandlerMapping.java:253)<br>org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.lookupHandlerMethod(AbstractHandlerMethodMapping.java:442)<br>org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.getHandlerInternal(AbstractHandlerMethodMapping.java:383)<br>org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:125)<br>org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:67)<br>org.springframework.web.servlet.handler.AbstractHandlerMapping.getHandler(AbstractHandlerMapping.java:498)<br>org.springframework.web.servlet.DispatcherServlet.getHandler(DispatcherServlet.java:1261)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1043)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 09:18:08');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426393,'excel文件不能为空','com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:203)<br>com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:178)<br>com.ailanyin.admin.controller.HxBusinessResponsibilityController.importData(HxBusinessResponsibilityController.java:49)<br>com.ailanyin.admin.controller.HxBusinessResponsibilityController$$FastClassBySpringCGLIB$$a9ec97d9.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor218.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxBusinessResponsibilityController$$EnhancerBySpringCGLIB$$b53615a1.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 10:39:57');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426394,'Cannot invoke "org.springframework.web.multipart.MultipartFile.getInputStream()" because "file" is null','com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:178)<br>com.ailanyin.admin.controller.HxCivilIncomeController.importData(HxCivilIncomeController.java:50)<br>com.ailanyin.admin.controller.HxCivilIncomeController$$FastClassBySpringCGLIB$$9de111e9.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCivilIncomeController$$EnhancerBySpringCGLIB$$a4eca419.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 11:46:25');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426395,'
### Error querying database.  Cause: java.sql.SQLException: 第 1 行, 第 23 列[.]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxCivilIncomeMapper.xml
### The error may involve com.ailanyin.mapper.HxCivilIncomeMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") ROOT."hx_civil_income"      where "month" = ? and  "dept_name" = ?
### Cause: java.sql.SQLException: 第 1 行, 第 23 列[.]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 1 行, 第 23 列[.]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy140.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.checkIsExist(HxCivilIncomeServiceImpl.java:44)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.lambda$importData$0(HxCivilIncomeServiceImpl.java:34)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.importData(HxCivilIncomeServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxCivilIncomeController.importData(HxCivilIncomeController.java:51)<br>com.ailanyin.admin.controller.HxCivilIncomeController$$FastClassBySpringCGLIB$$9de111e9.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCivilIncomeController$$EnhancerBySpringCGLIB$$a4eca419.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 11:46:31');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426396,'
### Error querying database.  Cause: java.sql.SQLException: 第 1 行, 第 23 列[.]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxCivilIncomeMapper.xml
### The error may involve com.ailanyin.mapper.HxCivilIncomeMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") ROOT."hx_civil_income"      where "month" = ? and  "dept_name" = ?
### Cause: java.sql.SQLException: 第 1 行, 第 23 列[.]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 1 行, 第 23 列[.]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy140.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.checkIsExist(HxCivilIncomeServiceImpl.java:44)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.lambda$importData$0(HxCivilIncomeServiceImpl.java:34)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.importData(HxCivilIncomeServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxCivilIncomeController.importData(HxCivilIncomeController.java:51)<br>com.ailanyin.admin.controller.HxCivilIncomeController$$FastClassBySpringCGLIB$$9de111e9.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor180.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCivilIncomeController$$EnhancerBySpringCGLIB$$a4eca419.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 11:49:16');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426397,'
### Error querying database.  Cause: java.sql.SQLException: 第 1 行, 第 23 列[.]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxCivilIncomeMapper.xml
### The error may involve com.ailanyin.mapper.HxCivilIncomeMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") ROOT."hx_civil_income"      where "month" = ? and  "dept_name" = ?
### Cause: java.sql.SQLException: 第 1 行, 第 23 列[.]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 1 行, 第 23 列[.]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy140.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.checkIsExist(HxCivilIncomeServiceImpl.java:44)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.lambda$importData$0(HxCivilIncomeServiceImpl.java:34)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.importData(HxCivilIncomeServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxCivilIncomeController.importData(HxCivilIncomeController.java:51)<br>com.ailanyin.admin.controller.HxCivilIncomeController$$FastClassBySpringCGLIB$$9de111e9.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor180.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCivilIncomeController$$EnhancerBySpringCGLIB$$a4eca419.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 11:49:19');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426398,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_strategy_index]
### The error may exist in com/ailanyin/mapper/HxStrategyIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxStrategyIndexMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_strategy_index"     where "year" = ? and "index_name" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_strategy_index]
; 第2 行附近出现错误:
无效的表或视图名[hx_strategy_index]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_strategy_index]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy165.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxStrategyIndexServiceImpl.checkIsExist(HxStrategyIndexServiceImpl.java:44)<br>com.ailanyin.admin.service.impl.HxStrategyIndexServiceImpl.lambda$importData$0(HxStrategyIndexServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxStrategyIndexServiceImpl.importData(HxStrategyIndexServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxStrategyIndexController.importData(HxStrategyIndexController.java:51)<br>com.ailanyin.admin.controller.HxStrategyIndexController$$FastClassBySpringCGLIB$$249a198c.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxStrategyIndexController$$EnhancerBySpringCGLIB$$53ff85d7.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 13:35:10');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426399,'Invalid bound statement (not found): com.ailanyin.mapper.HxSynthesizeIndexMapper.hxSynthesizeIndex','org.apache.ibatis.binding.MapperMethod$SqlCommand.<init>(MapperMethod.java:235)<br>org.apache.ibatis.binding.MapperMethod.<init>(MapperMethod.java:53)<br>org.apache.ibatis.binding.MapperProxy.lambda$cachedInvoker$0(MapperProxy.java:108)<br>java.base/java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1708)<br>org.apache.ibatis.util.MapUtil.computeIfAbsent(MapUtil.java:36)<br>org.apache.ibatis.binding.MapperProxy.cachedInvoker(MapperProxy.java:95)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy166.hxSynthesizeIndex(Unknown Source)<br>com.ailanyin.admin.service.impl.HxSynthesizeIndexServiceImpl.checkIsExist(HxSynthesizeIndexServiceImpl.java:43)<br>com.ailanyin.admin.service.impl.HxSynthesizeIndexServiceImpl.lambda$importData$0(HxSynthesizeIndexServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxSynthesizeIndexServiceImpl.importData(HxSynthesizeIndexServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxSynthesizeIndexController.importData(HxSynthesizeIndexController.java:51)<br>com.ailanyin.admin.controller.HxSynthesizeIndexController$$FastClassBySpringCGLIB$$7842fb5.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSynthesizeIndexController$$EnhancerBySpringCGLIB$$ae2e5161.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 14:09:27');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426400,'Invalid bound statement (not found): com.ailanyin.mapper.HxSynthesizeIndexMapper.selectList','org.apache.ibatis.binding.MapperMethod$SqlCommand.<init>(MapperMethod.java:235)<br>org.apache.ibatis.binding.MapperMethod.<init>(MapperMethod.java:53)<br>org.apache.ibatis.binding.MapperProxy.lambda$cachedInvoker$0(MapperProxy.java:108)<br>java.base/java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1708)<br>org.apache.ibatis.util.MapUtil.computeIfAbsent(MapUtil.java:36)<br>org.apache.ibatis.binding.MapperProxy.cachedInvoker(MapperProxy.java:95)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy166.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxSynthesizeIndexServiceImpl.selectHxSynthesizeIndexList(HxSynthesizeIndexServiceImpl.java:26)<br>com.ailanyin.admin.controller.HxSynthesizeIndexController.list(HxSynthesizeIndexController.java:42)<br>com.ailanyin.admin.controller.HxSynthesizeIndexController$$FastClassBySpringCGLIB$$7842fb5.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSynthesizeIndexController$$EnhancerBySpringCGLIB$$ca1f7e32.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 14:12:17');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426401,'Required request body is missing: public com.ailanyin.common.result.AjaxResult com.ailanyin.admin.controller.HxAnnualTargetController.updateHxAnnualTarget(com.ailanyin.model.HxAnnualTarget)','org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.readWithMessageConverters(RequestResponseBodyMethodProcessor.java:163)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.resolveArgument(RequestResponseBodyMethodProcessor.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 14:13:52');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426402,'
### Error updating database.  Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_information_publicity]
### The error may exist in com/ailanyin/mapper/HxInformationPublicityMapper.xml
### The error may involve com.ailanyin.mapper.HxInformationPublicityMapper.insertSelective
### The error occurred while executing an update
### SQL: insert into ROOT."hx_information_publicity"      ( "dept_name" )       values ( ? )
### Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_information_publicity]
; 第3 行附近出现错误:
无效的表或视图名[hx_information_publicity]; nested exception is java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_information_publicity]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy157.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxInformationPublicityServiceImpl.lambda$importData$0(HxInformationPublicityServiceImpl.java:35)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxInformationPublicityServiceImpl.importData(HxInformationPublicityServiceImpl.java:33)<br>com.ailanyin.admin.controller.HxInformationPublicityController.importData(HxInformationPublicityController.java:51)<br>com.ailanyin.admin.controller.HxInformationPublicityController$$FastClassBySpringCGLIB$$ff53e1c4.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor281.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxInformationPublicityController$$EnhancerBySpringCGLIB$$cd340452.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 15:25:51');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426403,'Required request parameter ''id'' for method parameter type Long is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doDelete(FrameworkServlet.java:931)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:687)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 15:48:12');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426404,'Required request parameter ''id'' for method parameter type Long is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doDelete(FrameworkServlet.java:931)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:687)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 15:49:39');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426405,'Required request parameter ''id'' for method parameter type Long is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doDelete(FrameworkServlet.java:931)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:687)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 15:50:37');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426406,'Required request parameter ''id'' for method parameter type Long is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doDelete(FrameworkServlet.java:931)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:687)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 15:52:06');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426407,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_comprehensive_plan]
### The error may exist in com/ailanyin/mapper/HxComprehensivePlanMapper.xml
### The error may involve com.ailanyin.mapper.HxComprehensivePlanMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_comprehensive_plan"     where "month" = ? and "dept_name" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_comprehensive_plan]
; 第2 行附近出现错误:
无效的表或视图名[hx_comprehensive_plan]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_comprehensive_plan]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy145.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxComprehensivePlanServiceImpl.checkIsExist(HxComprehensivePlanServiceImpl.java:44)<br>com.ailanyin.admin.service.impl.HxComprehensivePlanServiceImpl.lambda$importData$0(HxComprehensivePlanServiceImpl.java:34)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxComprehensivePlanServiceImpl.importData(HxComprehensivePlanServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxComprehensivePlanController.importData(HxComprehensivePlanController.java:51)<br>com.ailanyin.admin.controller.HxComprehensivePlanController$$FastClassBySpringCGLIB$$923bda0a.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxComprehensivePlanController$$EnhancerBySpringCGLIB$$de1bed09.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 16:04:30');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426408,'
### Error querying database.  Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的列名[TODAYDATE]
### The error may exist in com/ailanyin/mapper/HxSynthesizeIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxSynthesizeIndexMapper.selectList
### The error occurred while executing a query
### SQL: select                "id", "today_date", "dept_name", "project_name", "completed_status"         from ROOT."hx_synthesize_index"      WHERE  "today_date" like todayDate
### Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的列名[TODAYDATE]
; 第7 行附近出现错误:
无效的列名[TODAYDATE]; nested exception is java.sql.SQLException: 第7 行附近出现错误:
无效的列名[TODAYDATE]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy160.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxSynthesizeIndexServiceImpl.selectHxSynthesizeIndexList(HxSynthesizeIndexServiceImpl.java:33)<br>com.ailanyin.admin.service.impl.HxSynthesizeIndexServiceImpl.getHxSynthesizeIndexPic(HxSynthesizeIndexServiceImpl.java:75)<br>com.ailanyin.admin.controller.HxOperatingManagementController.getHxSynthesizeIndexPic(HxOperatingManagementController.java:46)<br>com.ailanyin.admin.controller.HxOperatingManagementController$$FastClassBySpringCGLIB$$3b5cf5d1.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxOperatingManagementController$$EnhancerBySpringCGLIB$$9b7084c5.getHxSynthesizeIndexPic(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-15 17:01:00');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426409,'
### Error querying database.  Cause: java.sql.SQLException: 第 7 行, 第 27 列[,]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxStrategyIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxStrategyIndexMapper.selectList
### The error occurred while executing a query
### SQL: select                            "id", "year", "five_force", "index_name", "start_number", "end_number", "year_target"               from ROOT."hx_strategy_index"          WHERE  "year" = ?,                                           and "five_force" =  ?,
### Cause: java.sql.SQLException: 第 7 行, 第 27 列[,]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 7 行, 第 27 列[,]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy160.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxStrategyIndexServiceImpl.selectHxStrategyIndexList(HxStrategyIndexServiceImpl.java:30)<br>com.ailanyin.admin.service.impl.HxStrategyIndexServiceImpl.lambda$getHxStrategyIndexPic$1(HxStrategyIndexServiceImpl.java:58)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxStrategyIndexServiceImpl.getHxStrategyIndexPic(HxStrategyIndexServiceImpl.java:51)<br>com.ailanyin.admin.controller.HxOperatingManagementController.getHxStrategyIndexPic(HxOperatingManagementController.java:42)<br>com.ailanyin.admin.controller.HxOperatingManagementController$$FastClassBySpringCGLIB$$3b5cf5d1.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxOperatingManagementController$$EnhancerBySpringCGLIB$$32eaa7c3.getHxStrategyIndexPic(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-16 11:16:01');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426410,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_cost_analysis]
### The error may exist in com/ailanyin/mapper/HxCostAnalysisMapper.xml
### The error may involve com.ailanyin.mapper.HxCostAnalysisMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_cost_analysis"     where "month" = ? and "product_model" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_cost_analysis]
; 第2 行附近出现错误:
无效的表或视图名[hx_cost_analysis]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_cost_analysis]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy147.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCostAnalysisServiceImpl.checkIsExist(HxCostAnalysisServiceImpl.java:43)<br>com.ailanyin.admin.service.impl.HxCostAnalysisServiceImpl.lambda$importData$0(HxCostAnalysisServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxCostAnalysisServiceImpl.importData(HxCostAnalysisServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxCostAnalysisController.importData(HxCostAnalysisController.java:52)<br>com.ailanyin.admin.controller.HxCostAnalysisController$$FastClassBySpringCGLIB$$ec75a0b4.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCostAnalysisController$$EnhancerBySpringCGLIB$$56d8c9fa.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-16 13:10:15');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426411,'Invalid bound statement (not found): com.ailanyin.mapper.HxCostAnalysisMapper.updateSelective','org.apache.ibatis.binding.MapperMethod$SqlCommand.<init>(MapperMethod.java:235)<br>org.apache.ibatis.binding.MapperMethod.<init>(MapperMethod.java:53)<br>org.apache.ibatis.binding.MapperProxy.lambda$cachedInvoker$0(MapperProxy.java:108)<br>java.base/java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1708)<br>org.apache.ibatis.util.MapUtil.computeIfAbsent(MapUtil.java:36)<br>org.apache.ibatis.binding.MapperProxy.cachedInvoker(MapperProxy.java:95)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy147.updateSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCostAnalysisServiceImpl.lambda$importData$0(HxCostAnalysisServiceImpl.java:34)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxCostAnalysisServiceImpl.importData(HxCostAnalysisServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxCostAnalysisController.importData(HxCostAnalysisController.java:52)<br>com.ailanyin.admin.controller.HxCostAnalysisController$$FastClassBySpringCGLIB$$ec75a0b4.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCostAnalysisController$$EnhancerBySpringCGLIB$$56d8c9fa.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-16 13:10:55');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426412,'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 3','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy140.selectCategoryTotalByYear(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.getCivilIndustryPic(HxCivilIncomeServiceImpl.java:74)<br>com.ailanyin.admin.controller.HxOperatingManagementController.getCivilIndustryPic(HxOperatingManagementController.java:76)<br>com.ailanyin.admin.controller.HxOperatingManagementController$$FastClassBySpringCGLIB$$3b5cf5d1.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxOperatingManagementController$$EnhancerBySpringCGLIB$$b735e4bc.getCivilIndustryPic(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-16 16:43:12');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426413,'
### Error updating database.  Cause: java.sql.SQLException: 违反列[id]非空约束
### The error may exist in com/ailanyin/mapper/HxMilitaryIncomeMapper.xml
### The error may involve com.ailanyin.mapper.HxMilitaryIncomeMapper.insertSelective-Inline
### The error occurred while setting parameters
### SQL: insert into ROOT."hx_military_income"      ( "month",                       "dept_name",                       "forecast_income",                       "actual_income" )       values ( ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 违反列[id]非空约束
; 违反列[id]非空约束; nested exception is java.sql.SQLException: 违反列[id]非空约束','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy162.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxMilitaryIncomeServiceImpl.lambda$importData$0(HxMilitaryIncomeServiceImpl.java:36)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxMilitaryIncomeServiceImpl.importData(HxMilitaryIncomeServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxMilitaryIncomeController.importData(HxMilitaryIncomeController.java:52)<br>com.ailanyin.admin.controller.HxMilitaryIncomeController$$FastClassBySpringCGLIB$$48301001.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxMilitaryIncomeController$$EnhancerBySpringCGLIB$$b48d9b32.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-16 16:59:55');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426414,'
### Error querying database.  Cause: java.sql.SQLException: 第 4 行, 第 29 列["]附近出现错误: 
标示符长度非法
### The error may exist in com/ailanyin/mapper/HxMilitaryContractMapper.xml
### The error may involve com.ailanyin.mapper.HxMilitaryContractMapper.selectList
### The error occurred while executing a query
### SQL: select                "id", "contract_name", ""contract_date"" ,"plan_quantity", "contract_amount", "production_status", "settlement_status",     "remark"         from ROOT."hx_military_contract"
### Cause: java.sql.SQLException: 第 4 行, 第 29 列["]附近出现错误: 
标示符长度非法
; 第 4 行, 第 29 列["]附近出现错误: 
标示符长度非法; nested exception is java.sql.SQLException: 第 4 行, 第 29 列["]附近出现错误: 
标示符长度非法','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy162.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxMilitaryContractServiceImpl.selectList(HxMilitaryContractServiceImpl.java:26)<br>com.ailanyin.admin.controller.HxMilitaryContractController.list(HxMilitaryContractController.java:42)<br>com.ailanyin.admin.controller.HxMilitaryContractController$$FastClassBySpringCGLIB$$37e6092a.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxMilitaryContractController$$EnhancerBySpringCGLIB$$46c52e8.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-16 17:59:30');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426415,'Cannot invoke "org.springframework.web.multipart.MultipartFile.getInputStream()" because "file" is null','com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:178)<br>com.ailanyin.admin.controller.HxMilitaryGeneralFactoryController.importData(HxMilitaryGeneralFactoryController.java:51)<br>com.ailanyin.admin.controller.HxMilitaryGeneralFactoryController$$FastClassBySpringCGLIB$$d3f6221a.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxMilitaryGeneralFactoryController$$EnhancerBySpringCGLIB$$4e1d9842.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-16 18:50:01');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426416,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_military_general_factory]
### The error may exist in com/ailanyin/mapper/HxMilitaryGeneralFactoryMapper.xml
### The error may involve com.ailanyin.mapper.HxMilitaryGeneralFactoryMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_military_general_factory"     where "month" = ? and "product_model" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_military_general_factory]
; 第2 行附近出现错误:
无效的表或视图名[hx_military_general_factory]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_military_general_factory]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy163.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxMilitaryGeneralFactoryServiceImpl.checkIsExist(HxMilitaryGeneralFactoryServiceImpl.java:44)<br>com.ailanyin.admin.service.impl.HxMilitaryGeneralFactoryServiceImpl.lambda$importData$0(HxMilitaryGeneralFactoryServiceImpl.java:34)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxMilitaryGeneralFactoryServiceImpl.importData(HxMilitaryGeneralFactoryServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxMilitaryGeneralFactoryController.importData(HxMilitaryGeneralFactoryController.java:52)<br>com.ailanyin.admin.controller.HxMilitaryGeneralFactoryController$$FastClassBySpringCGLIB$$d3f6221a.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxMilitaryGeneralFactoryController$$EnhancerBySpringCGLIB$$4e1d9842.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-16 18:50:08');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426417,'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 3','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy163.selectModelTotal(Unknown Source)<br>com.ailanyin.admin.service.impl.HxMilitaryGeneralFactoryServiceImpl.getMilitaryIndustryPic(HxMilitaryGeneralFactoryServiceImpl.java:68)<br>com.ailanyin.admin.controller.HxOperatingManagementController.getMilitaryIndustryPic(HxOperatingManagementController.java:84)<br>com.ailanyin.admin.controller.HxOperatingManagementController$$FastClassBySpringCGLIB$$3b5cf5d1.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxOperatingManagementController$$EnhancerBySpringCGLIB$$a4941b09.getMilitaryIndustryPic(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-17 09:26:37');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426418,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_factory_operate_index]
### The error may exist in com/ailanyin/mapper/HxFactoryOperateIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxFactoryOperateIndexMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_factory_operate_index"     where "month" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_factory_operate_index]
; 第2 行附近出现错误:
无效的表或视图名[hx_factory_operate_index]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_factory_operate_index]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy154.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxFactoryOperateIndexServiceImpl.checkIsExist(HxFactoryOperateIndexServiceImpl.java:46)<br>com.ailanyin.admin.service.impl.HxFactoryOperateIndexServiceImpl.lambda$importData$0(HxFactoryOperateIndexServiceImpl.java:35)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxFactoryOperateIndexServiceImpl.importData(HxFactoryOperateIndexServiceImpl.java:33)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController.importData(HxFactoryOperateIndexController.java:51)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController$$FastClassBySpringCGLIB$$1483b045.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController$$EnhancerBySpringCGLIB$$613e8287.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-17 10:28:30');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426419,'
### Error updating database.  Cause: java.sql.SQLException: 第 3 行, 第 5 列[where]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxFactoryOperateIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxFactoryOperateIndexMapper.updateSelective
### The error occurred while executing an update
### SQL: update ROOT."hx_factory_operate_index"            where "month" = ?
### Cause: java.sql.SQLException: 第 3 行, 第 5 列[where]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 3 行, 第 5 列[where]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy154.updateSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxFactoryOperateIndexServiceImpl.lambda$importData$0(HxFactoryOperateIndexServiceImpl.java:36)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxFactoryOperateIndexServiceImpl.importData(HxFactoryOperateIndexServiceImpl.java:33)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController.importData(HxFactoryOperateIndexController.java:51)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController$$FastClassBySpringCGLIB$$1483b045.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController$$EnhancerBySpringCGLIB$$613e8287.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-17 10:29:14');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426420,'
### Error updating database.  Cause: java.sql.SQLException: 第 3 行, 第 5 列[where]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxFactoryOperateIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxFactoryOperateIndexMapper.updateSelective
### The error occurred while executing an update
### SQL: update ROOT."hx_factory_operate_index"            where "month" = ?
### Cause: java.sql.SQLException: 第 3 行, 第 5 列[where]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 3 行, 第 5 列[where]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy154.updateSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxFactoryOperateIndexServiceImpl.lambda$importData$0(HxFactoryOperateIndexServiceImpl.java:36)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxFactoryOperateIndexServiceImpl.importData(HxFactoryOperateIndexServiceImpl.java:33)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController.importData(HxFactoryOperateIndexController.java:51)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController$$FastClassBySpringCGLIB$$1483b045.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController$$EnhancerBySpringCGLIB$$7690500e.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-17 10:32:09');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426421,'
### Error updating database.  Cause: java.sql.SQLException: 第 1 行, 第 34 列[]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxInformationIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxInformationIndexMapper.updateInfo
### The error occurred while executing an update
### SQL: update ROOT."hx_information_index"
### Cause: java.sql.SQLException: 第 1 行, 第 34 列[]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 1 行, 第 34 列[]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy157.updateInfo(Unknown Source)<br>com.ailanyin.admin.service.impl.HxInformationIndexServiceImpl.updateInfo(HxInformationIndexServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxInformationIndexController.updateInfo(HxInformationIndexController.java:41)<br>com.ailanyin.admin.controller.HxInformationIndexController$$FastClassBySpringCGLIB$$7b741e31.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor270.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxInformationIndexController$$EnhancerBySpringCGLIB$$2a700c09.updateInfo(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-17 11:26:37');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426422,'
### Error updating database.  Cause: java.sql.SQLException: 第 1 行, 第 34 列[]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxInformationIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxInformationIndexMapper.updateInfo
### The error occurred while executing an update
### SQL: update ROOT."hx_information_index"
### Cause: java.sql.SQLException: 第 1 行, 第 34 列[]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 1 行, 第 34 列[]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy157.updateInfo(Unknown Source)<br>com.ailanyin.admin.service.impl.HxInformationIndexServiceImpl.updateInfo(HxInformationIndexServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxInformationIndexController.updateInfo(HxInformationIndexController.java:41)<br>com.ailanyin.admin.controller.HxInformationIndexController$$FastClassBySpringCGLIB$$7b741e31.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor270.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxInformationIndexController$$EnhancerBySpringCGLIB$$2a700c09.updateInfo(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-17 11:30:49');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426423,'
### Error updating database.  Cause: java.sql.SQLException: 第 1 行, 第 34 列[]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxInformationIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxInformationIndexMapper.updateInfo
### The error occurred while executing an update
### SQL: update ROOT."hx_information_index"
### Cause: java.sql.SQLException: 第 1 行, 第 34 列[]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 1 行, 第 34 列[]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy157.updateInfo(Unknown Source)<br>com.ailanyin.admin.service.impl.HxInformationIndexServiceImpl.updateInfo(HxInformationIndexServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxInformationIndexController.updateInfo(HxInformationIndexController.java:41)<br>com.ailanyin.admin.controller.HxInformationIndexController$$FastClassBySpringCGLIB$$7b741e31.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor270.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxInformationIndexController$$EnhancerBySpringCGLIB$$2a700c09.updateInfo(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-17 11:34:05');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426424,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_dept_operate_index]
### The error may exist in com/ailanyin/mapper/HxDeptOperateIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxDeptOperateIndexMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_dept_operate_index"     where "month" = ? and "dept_name" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_dept_operate_index]
; 第2 行附近出现错误:
无效的表或视图名[hx_dept_operate_index]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_dept_operate_index]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy154.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDeptOperateIndexServiceImpl.checkIsExist(HxDeptOperateIndexServiceImpl.java:43)<br>com.ailanyin.admin.service.impl.HxDeptOperateIndexServiceImpl.lambda$importData$0(HxDeptOperateIndexServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxDeptOperateIndexServiceImpl.importData(HxDeptOperateIndexServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxDeptOperateIndexController.importData(HxDeptOperateIndexController.java:51)<br>com.ailanyin.admin.controller.HxDeptOperateIndexController$$FastClassBySpringCGLIB$$5ce0c77e.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxDeptOperateIndexController$$EnhancerBySpringCGLIB$$536d839e.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-17 16:27:07');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426425,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_quality_manage]
### The error may exist in com/ailanyin/mapper/HxQualityManageMapper.xml
### The error may involve com.ailanyin.mapper.HxQualityManageMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_quality_manage"     where "month" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_quality_manage]
; 第2 行附近出现错误:
无效的表或视图名[hx_quality_manage]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_quality_manage]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy178.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxQualityManageImpl.checkIsExist(HxQualityManageImpl.java:43)<br>com.ailanyin.admin.service.impl.HxQualityManageImpl.lambda$importData$0(HxQualityManageImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxQualityManageImpl.importData(HxQualityManageImpl.java:31)<br>com.ailanyin.admin.controller.HxQualityManageController.importData(HxQualityManageController.java:51)<br>com.ailanyin.admin.controller.HxQualityManageController$$FastClassBySpringCGLIB$$6d14f971.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxQualityManageController$$EnhancerBySpringCGLIB$$968e94b2.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 09:27:50');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426426,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_factory_resources]
### The error may exist in com/ailanyin/mapper/HxFactoryResourcesMapper.xml
### The error may involve com.ailanyin.mapper.HxFactoryResourcesMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_factory_resources"     where "today_date" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_factory_resources]
; 第2 行附近出现错误:
无效的表或视图名[hx_factory_resources]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_factory_resources]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy156.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxFactoryResourcesServiceImpl.checkIsExist(HxFactoryResourcesServiceImpl.java:45)<br>com.ailanyin.admin.service.impl.HxFactoryResourcesServiceImpl.lambda$importData$0(HxFactoryResourcesServiceImpl.java:35)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxFactoryResourcesServiceImpl.importData(HxFactoryResourcesServiceImpl.java:33)<br>com.ailanyin.admin.controller.HxFactoryResourcesController.importData(HxFactoryResourcesController.java:51)<br>com.ailanyin.admin.controller.HxFactoryResourcesController$$FastClassBySpringCGLIB$$8482f926.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor304.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxFactoryResourcesController$$EnhancerBySpringCGLIB$$ed439b5b.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 13:00:24');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426427,'class java.lang.Integer cannot be cast to class java.lang.Boolean (java.lang.Integer and java.lang.Boolean are in module java.base of loader ''bootstrap'')','jdk.proxy2/jdk.proxy2.$Proxy156.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxFactoryResourcesServiceImpl.checkIsExist(HxFactoryResourcesServiceImpl.java:45)<br>com.ailanyin.admin.service.impl.HxFactoryResourcesServiceImpl.lambda$importData$0(HxFactoryResourcesServiceImpl.java:35)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxFactoryResourcesServiceImpl.importData(HxFactoryResourcesServiceImpl.java:33)<br>com.ailanyin.admin.controller.HxFactoryResourcesController.importData(HxFactoryResourcesController.java:51)<br>com.ailanyin.admin.controller.HxFactoryResourcesController$$FastClassBySpringCGLIB$$8482f926.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor304.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxFactoryResourcesController$$EnhancerBySpringCGLIB$$ed439b5b.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 13:01:16');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426428,'
### Error updating database.  Cause: java.sql.SQLException: 第57 行附近出现错误:
无效的表或视图名[HX_FACTORY_RESOURCES]
### The error may exist in com/ailanyin/mapper/HxFactoryResourcesMapper.xml
### The error may involve com.ailanyin.mapper.HxFactoryResourcesMapper.insertSelective
### The error occurred while executing an update
### SQL: insert into hx_factory_resources      ( "today_date",                       "workshop_total",                       "working_workshop_total",                       "real_attendance",                       "attendance_total",                       "attendance_rate",                       "equipment_run_total",                       "equipment_total",                       "equipment_run_rate",                       "video_collection_rate" )       values ( ?,                       ?,                       ?,                       ?,                       ?,                       ?,                       ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 第57 行附近出现错误:
无效的表或视图名[HX_FACTORY_RESOURCES]
; 第57 行附近出现错误:
无效的表或视图名[HX_FACTORY_RESOURCES]; nested exception is java.sql.SQLException: 第57 行附近出现错误:
无效的表或视图名[HX_FACTORY_RESOURCES]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy156.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxFactoryResourcesServiceImpl.lambda$importData$0(HxFactoryResourcesServiceImpl.java:40)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxFactoryResourcesServiceImpl.importData(HxFactoryResourcesServiceImpl.java:34)<br>com.ailanyin.admin.controller.HxFactoryResourcesController.importData(HxFactoryResourcesController.java:51)<br>com.ailanyin.admin.controller.HxFactoryResourcesController$$FastClassBySpringCGLIB$$8482f926.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxFactoryResourcesController$$EnhancerBySpringCGLIB$$fe441b28.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 13:04:33');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426429,'Required request parameter ''category'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 13:55:17');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426430,'
### Error querying database.  Cause: java.sql.SQLException: 第4 行附近出现错误:
无效的表或视图名[hx_car_use]
### The error may exist in com/ailanyin/mapper/HxCarUseMapper.xml
### The error may involve com.ailanyin.mapper.HxCarUseMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id")     from ROOT."hx_car_use"     where "today_date" = ? and     "car_name" = ?
### Cause: java.sql.SQLException: 第4 行附近出现错误:
无效的表或视图名[hx_car_use]
; 第4 行附近出现错误:
无效的表或视图名[hx_car_use]; nested exception is java.sql.SQLException: 第4 行附近出现错误:
无效的表或视图名[hx_car_use]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy139.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCarUseServiceImpl.checkIsExist(HxCarUseServiceImpl.java:44)<br>com.ailanyin.admin.service.impl.HxCarUseServiceImpl.lambda$importData$0(HxCarUseServiceImpl.java:34)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxCarUseServiceImpl.importData(HxCarUseServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxCarUseController.importData(HxCarUseController.java:51)<br>com.ailanyin.admin.controller.HxCarUseController$$FastClassBySpringCGLIB$$4c4d6ebe.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor295.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarUseController$$EnhancerBySpringCGLIB$$dadf487e.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 15:08:17');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426431,'
### Error querying database.  Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_week_plan]
### The error may exist in com/ailanyin/mapper/HxWeekPlanMapper.xml
### The error may involve com.ailanyin.mapper.HxWeekPlanMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id")     from ROOT."hx_week_plan"     where "month" = ? and "serial_number" = ?
### Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_week_plan]
; 第3 行附近出现错误:
无效的表或视图名[hx_week_plan]; nested exception is java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_week_plan]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy181.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxWeekPlanServiceImpl.checkIsExist(HxWeekPlanServiceImpl.java:46)<br>com.ailanyin.admin.service.impl.HxWeekPlanServiceImpl.lambda$importData$0(HxWeekPlanServiceImpl.java:36)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxWeekPlanServiceImpl.importData(HxWeekPlanServiceImpl.java:33)<br>com.ailanyin.admin.controller.HxWeekPlanController.importData(HxWeekPlanController.java:51)<br>com.ailanyin.admin.controller.HxWeekPlanController$$FastClassBySpringCGLIB$$cd14caa8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxWeekPlanController$$EnhancerBySpringCGLIB$$787bd003.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 17:02:29');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426432,'Required request parameter ''type'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 17:32:49');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426433,'Required request parameter ''type'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 17:33:00');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426434,'Required request parameter ''type'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 17:33:05');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426435,'Required request parameter ''type'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 17:33:33');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426436,'Required request parameter ''type'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 17:34:14');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426437,'Required request parameter ''type'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 17:34:18');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426438,'
### Error updating database.  Cause: java.sql.SQLException: 第27 行附近出现错误:
无效的表或视图名[hx_ester_production]
### The error may exist in com/ailanyin/mapper/HxEsterProductionMapper.xml
### The error may involve com.ailanyin.mapper.HxEsterProductionMapper.insertSelective
### The error occurred while executing an update
### SQL: insert into ROOT."hx_ester_production"      ( "job_content",                       "drive_date",                       "forecast_end_date",                       "ester_production",                       "clean_status" )       values ( ?,                       ?,                       ?,                       ?,                       ? )
### Cause: java.sql.SQLException: 第27 行附近出现错误:
无效的表或视图名[hx_ester_production]
; 第27 行附近出现错误:
无效的表或视图名[hx_ester_production]; nested exception is java.sql.SQLException: 第27 行附近出现错误:
无效的表或视图名[hx_ester_production]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy115.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy156.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxEsterProductionServiceImpl.lambda$importData$0(HxEsterProductionServiceImpl.java:32)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxEsterProductionServiceImpl.importData(HxEsterProductionServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxEsterProductionController.importData(HxEsterProductionController.java:51)<br>com.ailanyin.admin.controller.HxEsterProductionController$$FastClassBySpringCGLIB$$c62f1db9.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxEsterProductionController$$EnhancerBySpringCGLIB$$dce8a171.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 19:33:32');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426439,'Cannot invoke "org.springframework.web.multipart.MultipartFile.getInputStream()" because "file" is null','com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:178)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController.importData1(HxFactoryOperateIndexController.java:50)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController$$FastClassBySpringCGLIB$$1483b045.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxFactoryOperateIndexController$$EnhancerBySpringCGLIB$$b4d52f93.importData1(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-20 21:06:15');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426440,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]
### The error may exist in com/ailanyin/mapper/HxStorehouseMapper.xml
### The error may involve com.ailanyin.mapper.HxStorehouseMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from hx_storehouse     where "number_no" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]
; 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy191.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxStorehouseServiceImpl.checkIsExist(HxStorehouseServiceImpl.java:43)<br>com.ailanyin.admin.service.impl.HxStorehouseServiceImpl.lambda$importData$0(HxStorehouseServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxStorehouseServiceImpl.importData(HxStorehouseServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxStorehouseController.importData(HxStorehouseController.java:51)<br>com.ailanyin.admin.controller.HxStorehouseController$$FastClassBySpringCGLIB$$4b31960a.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxStorehouseController$$EnhancerBySpringCGLIB$$d1904bd.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-21 14:44:01');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426441,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]
### The error may exist in com/ailanyin/mapper/HxStorehouseMapper.xml
### The error may involve com.ailanyin.mapper.HxStorehouseMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from hx_storehouse     where "number_no" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]
; 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy191.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxStorehouseServiceImpl.checkIsExist(HxStorehouseServiceImpl.java:43)<br>com.ailanyin.admin.service.impl.HxStorehouseServiceImpl.lambda$importData$0(HxStorehouseServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxStorehouseServiceImpl.importData(HxStorehouseServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxStorehouseController.importData(HxStorehouseController.java:51)<br>com.ailanyin.admin.controller.HxStorehouseController$$FastClassBySpringCGLIB$$4b31960a.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor296.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxStorehouseController$$EnhancerBySpringCGLIB$$d1904bd.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-21 14:45:05');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426442,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]
### The error may exist in com/ailanyin/mapper/HxStorehouseMapper.xml
### The error may involve com.ailanyin.mapper.HxStorehouseMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from hx_storehouse     where "number_no" = ?
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]
; 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[HX_STOREHOUSE]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy191.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxStorehouseServiceImpl.checkIsExist(HxStorehouseServiceImpl.java:43)<br>com.ailanyin.admin.service.impl.HxStorehouseServiceImpl.lambda$importData$0(HxStorehouseServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxStorehouseServiceImpl.importData(HxStorehouseServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxStorehouseController.importData(HxStorehouseController.java:51)<br>com.ailanyin.admin.controller.HxStorehouseController$$FastClassBySpringCGLIB$$4b31960a.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxStorehouseController$$EnhancerBySpringCGLIB$$8608a43f.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-21 14:47:10');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426443,'Required request parameter ''type'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-21 16:07:41');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426444,'Required request parameter ''type'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-21 16:07:59');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426445,'Required request parameter ''type'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-21 16:16:04');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426446,'
### Error querying database.  Cause: java.sql.SQLException: 第8 行附近出现错误:
无效的ORDER BY子句
### The error may exist in com/ailanyin/mapper/HxDangerousPointMapper.xml
### The error may involve com.ailanyin.mapper.HxDangerousPointMapper.selectAllLevelNumByDept
### The error occurred while executing a query
### SQL: select ROOT."hx_dict"."name",count(ROOT."hx_dangerous_point"."level") as COUNTNUMBER     from  ROOT."hx_dict"     left join ROOT."hx_dangerous_point"     on ROOT."hx_dict"."name" = ROOT."hx_dangerous_point"."level"           where "hx_dict"."parent_id" = ?     group BY ROOT."hx_dict"."name"     order by "level" asc
### Cause: java.sql.SQLException: 第8 行附近出现错误:
无效的ORDER BY子句
; 第8 行附近出现错误:
无效的ORDER BY子句; nested exception is java.sql.SQLException: 第8 行附近出现错误:
无效的ORDER BY子句','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy153.selectAllLevelNumByDept(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDangerousPointServiceImpl.getDangerousMapBigPic(HxDangerousPointServiceImpl.java:97)<br>com.ailanyin.admin.service.impl.HxDangerousPointServiceImpl$$FastClassBySpringCGLIB$$fc65503d.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxDangerousPointServiceImpl$$EnhancerBySpringCGLIB$$b268362f.getDangerousMapBigPic(<generated>)<br>com.ailanyin.admin.controller.HxSecurityManagementController.dangerousMap(HxSecurityManagementController.java:75)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$8c97028f.dangerousMap(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-21 16:36:27');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426447,'
### Error querying database.  Cause: java.sql.SQLException: 第 2 行, 第 5 列[where]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxHiddenDangerMapper.xml
### The error may involve com.ailanyin.mapper.HxHiddenDangerMapper.getAllWorkshopByYear
### The error occurred while executing a query
### SQL: select "workshop_name" from ROOT."hx_hidden_danger" GROUP BY "workshop_name"     where "month" like ?
### Cause: java.sql.SQLException: 第 2 行, 第 5 列[where]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 2 行, 第 5 列[where]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy161.getAllWorkshopByYear(Unknown Source)<br>com.ailanyin.admin.service.impl.HxHiddenDangerServiceImpl.getHiddenDangerBigPic(HxHiddenDangerServiceImpl.java:75)<br>com.ailanyin.admin.service.impl.HxHiddenDangerServiceImpl$$FastClassBySpringCGLIB$$1a502a56.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxHiddenDangerServiceImpl$$EnhancerBySpringCGLIB$$4483658d.getHiddenDangerBigPic(<generated>)<br>com.ailanyin.admin.controller.HxSecurityManagementController.hiddenDanger(HxSecurityManagementController.java:61)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$69fdb854.hiddenDanger(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-21 17:21:13');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426448,'Required request parameter ''type'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-21 17:44:00');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426449,'class java.util.HashMap cannot be cast to class java.lang.String (java.util.HashMap and java.lang.String are in module java.base of loader ''bootstrap'')','java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxHiddenDangerServiceImpl.getHiddenDangerBigPic(HxHiddenDangerServiceImpl.java:95)<br>com.ailanyin.admin.service.impl.HxHiddenDangerServiceImpl$$FastClassBySpringCGLIB$$1a502a56.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxHiddenDangerServiceImpl$$EnhancerBySpringCGLIB$$c91da8d8.getHiddenDangerBigPic(<generated>)<br>com.ailanyin.admin.controller.HxSecurityManagementController.hiddenDanger(HxSecurityManagementController.java:61)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$102513ef.hiddenDanger(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-21 17:45:57');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426450,'class java.lang.String cannot be cast to class java.lang.Integer (java.lang.String and java.lang.Integer are in module java.base of loader ''bootstrap'')','jdk.proxy2/jdk.proxy2.$Proxy153.selectNullRtmpCount(Unknown Source)<br>com.ailanyin.admin.service.impl.HxDangerousPointServiceImpl.getDangerousMapBigPic(HxDangerousPointServiceImpl.java:95)<br>com.ailanyin.admin.service.impl.HxDangerousPointServiceImpl$$FastClassBySpringCGLIB$$fc65503d.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxDangerousPointServiceImpl$$EnhancerBySpringCGLIB$$109482ed.getDangerousMapBigPic(<generated>)<br>com.ailanyin.admin.controller.HxSecurityManagementController.dangerousMap(HxSecurityManagementController.java:75)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$102513ef.dangerousMap(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-21 18:06:55');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426451,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_material_plan]
### The error may exist in com/ailanyin/mapper/HxMaterialPlanMapper.xml
### The error may involve com.ailanyin.mapper.HxMaterialPlanMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_material_plan"     where "material_name" = ? limit 1
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_material_plan]
; 第2 行附近出现错误:
无效的表或视图名[hx_material_plan]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_material_plan]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy169.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxMaterialPlanServiceImpl.checkIsExist(HxMaterialPlanServiceImpl.java:43)<br>com.ailanyin.admin.service.impl.HxMaterialPlanServiceImpl.lambda$importData$0(HxMaterialPlanServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxMaterialPlanServiceImpl.importData(HxMaterialPlanServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxMaterialPlanController.importData(HxMaterialPlanController.java:52)<br>com.ailanyin.admin.controller.HxMaterialPlanController$$FastClassBySpringCGLIB$$8c736b1b.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxMaterialPlanController$$EnhancerBySpringCGLIB$$355ea59b.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-22 11:48:43');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426452,'Required request parameter ''type'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-22 11:48:59');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426453,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-22 14:00:25');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426454,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-22 14:01:47');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426455,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-22 14:11:41');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426456,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-22 14:11:51');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426457,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-22 14:37:24');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426458,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-22 14:39:03');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426459,'
### Error querying database.  Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_year_duty]
### The error may exist in com/ailanyin/mapper/HxYearDutyMapper.xml
### The error may involve com.ailanyin.mapper.HxYearDutyMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from  ROOT."hx_year_duty"     where "year" = ?     and "product_model" = ?
### Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_year_duty]
; 第3 行附近出现错误:
无效的表或视图名[hx_year_duty]; nested exception is java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_year_duty]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy196.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxYearDutyServiceImpl.checkIsExist(HxYearDutyServiceImpl.java:49)<br>com.ailanyin.admin.service.impl.HxYearDutyServiceImpl.lambda$importData$0(HxYearDutyServiceImpl.java:39)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxYearDutyServiceImpl.importData(HxYearDutyServiceImpl.java:33)<br>com.ailanyin.admin.controller.HxYearDutyController.importData(HxYearDutyController.java:51)<br>com.ailanyin.admin.controller.HxYearDutyController$$FastClassBySpringCGLIB$$929ba9e.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxYearDutyController$$EnhancerBySpringCGLIB$$bb8814.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-22 15:01:51');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426460,'
### Error querying database.  Cause: java.sql.SQLException: 第5 行附近出现错误:
无效的表或视图名[hx_month_plan]
### The error may exist in com/ailanyin/mapper/HxMonthPlanMapper.xml
### The error may involve com.ailanyin.mapper.HxMonthPlanMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_month_plan"     where "month" = ?     and "ascription" = ?     and "model" = ?     limit 1
### Cause: java.sql.SQLException: 第5 行附近出现错误:
无效的表或视图名[hx_month_plan]
; 第5 行附近出现错误:
无效的表或视图名[hx_month_plan]; nested exception is java.sql.SQLException: 第5 行附近出现错误:
无效的表或视图名[hx_month_plan]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy178.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxMonthPlanServiceImpl.checkIsExist(HxMonthPlanServiceImpl.java:44)<br>com.ailanyin.admin.service.impl.HxMonthPlanServiceImpl.lambda$importData$0(HxMonthPlanServiceImpl.java:34)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxMonthPlanServiceImpl.importData(HxMonthPlanServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxMonthPlanController.importData(HxMonthPlanController.java:51)<br>com.ailanyin.admin.controller.HxMonthPlanController$$FastClassBySpringCGLIB$$6c724a36.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxMonthPlanController$$EnhancerBySpringCGLIB$$2ffdaca6.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-22 15:59:12');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426461,'
### Error querying database.  Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_month_factory_plan]
### The error may exist in com/ailanyin/mapper/HxMonthFactoryPlanMapper.xml
### The error may involve com.ailanyin.mapper.HxMonthFactoryPlanMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from  ROOT."hx_month_factory_plan"    where "month" = ?
### Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_month_factory_plan]
; 第1 行附近出现错误:
无效的表或视图名[hx_month_factory_plan]; nested exception is java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_month_factory_plan]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy178.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxMonthFactoryPlanServiceImpl.checkIsExist(HxMonthFactoryPlanServiceImpl.java:45)<br>com.ailanyin.admin.service.impl.HxMonthFactoryPlanServiceImpl.lambda$importData$0(HxMonthFactoryPlanServiceImpl.java:35)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxMonthFactoryPlanServiceImpl.importData(HxMonthFactoryPlanServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxMonthFactoryPlanController.importData(HxMonthFactoryPlanController.java:51)<br>com.ailanyin.admin.controller.HxMonthFactoryPlanController$$FastClassBySpringCGLIB$$634c1b9e.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxMonthFactoryPlanController$$EnhancerBySpringCGLIB$$3ed90068.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-22 16:46:29');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426462,'
### Error querying database.  Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_spc_product]
### The error may exist in com/ailanyin/mapper/HxSpcProductMapper.xml
### The error may involve com.ailanyin.mapper.HxSpcProductMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from  ROOT."hx_spc_product"     where "spc_name" = ?     and "product_name" = ? limit 1
### Cause: java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_spc_product]
; 第3 行附近出现错误:
无效的表或视图名[hx_spc_product]; nested exception is java.sql.SQLException: 第3 行附近出现错误:
无效的表或视图名[hx_spc_product]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy200.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxSpcProductServiceImpl.checkIsExist(HxSpcProductServiceImpl.java:42)<br>com.ailanyin.admin.service.impl.HxSpcProductServiceImpl.lambda$importData$0(HxSpcProductServiceImpl.java:32)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxSpcProductServiceImpl.importData(HxSpcProductServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxSpcProductController.importData(HxSpcProductController.java:51)<br>com.ailanyin.admin.controller.HxSpcProductController$$FastClassBySpringCGLIB$$9a4e9f14.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSpcProductController$$EnhancerBySpringCGLIB$$5e4d4a28.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 09:53:54');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426463,'
### Error updating database.  Cause: java.sql.SQLException: 第29 行附近出现错误:
无效的表或视图名[hx_production_index]
### The error may exist in com/ailanyin/mapper/HxProductionIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxProductionIndexMapper.updateSelective
### The error occurred while executing an update
### SQL: update ROOT."hx_production_index"      SET "real_military_income" = ?,                       "target_military_income" = ?,                       "real_charge" = ?,                       "target_charge" = ?,                       "real_big_product" = ?,                       "target_big_product" = ?,                       "real_medium_product" = ?,                       "target_medium_product" = ?,                       "real_small_product" = ?,                       "target_small_product" = ?
### Cause: java.sql.SQLException: 第29 行附近出现错误:
无效的表或视图名[hx_production_index]
; 第29 行附近出现错误:
无效的表或视图名[hx_production_index]; nested exception is java.sql.SQLException: 第29 行附近出现错误:
无效的表或视图名[hx_production_index]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy186.updateSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxProductionIndexServiceImpl.lambda$importData$0(HxProductionIndexServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxProductionIndexServiceImpl.importData(HxProductionIndexServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxProductionIndexController.importData(HxProductionIndexController.java:51)<br>com.ailanyin.admin.controller.HxProductionIndexController$$FastClassBySpringCGLIB$$91bdbf46.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxProductionIndexController$$EnhancerBySpringCGLIB$$5768c1e7.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 14:16:04');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426464,'
### Error updating database.  Cause: java.sql.SQLException: 第 31 行, 第 13 列[1]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxProductionIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxProductionIndexMapper.updateSelective
### The error occurred while executing an update
### SQL: update ROOT."hx_production_index"      SET "real_military_income" = ?,                       "target_military_income" = ?,                       "real_charge" = ?,                       "target_charge" = ?,                       "real_big_product" = ?,                       "target_big_product" = ?,                       "real_medium_product" = ?,                       "target_medium_product" = ?,                       "real_small_product" = ?,                       "target_small_product" = ?,              where 1=1
### Cause: java.sql.SQLException: 第 31 行, 第 13 列[1]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 31 行, 第 13 列[1]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy186.updateSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxProductionIndexServiceImpl.lambda$importData$0(HxProductionIndexServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxProductionIndexServiceImpl.importData(HxProductionIndexServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxProductionIndexController.importData(HxProductionIndexController.java:51)<br>com.ailanyin.admin.controller.HxProductionIndexController$$FastClassBySpringCGLIB$$91bdbf46.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxProductionIndexController$$EnhancerBySpringCGLIB$$30b38094.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 14:17:52');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426465,'
### Error updating database.  Cause: java.sql.SQLException: 第30 行附近出现错误:
无效的列名[ID]
### The error may exist in com/ailanyin/mapper/HxProductionIndexMapper.xml
### The error may involve com.ailanyin.mapper.HxProductionIndexMapper.updateSelective
### The error occurred while executing an update
### SQL: update ROOT."hx_production_index"      SET "real_military_income" = ?,                       "target_military_income" = ?,                       "real_charge" = ?,                       "target_charge" = ?,                       "real_big_product" = ?,                       "target_big_product" = ?,                       "real_medium_product" = ?,                       "target_medium_product" = ?,                       "real_small_product" = ?,                       "target_small_product" = ?      where id = ''1''
### Cause: java.sql.SQLException: 第30 行附近出现错误:
无效的列名[ID]
; 第30 行附近出现错误:
无效的列名[ID]; nested exception is java.sql.SQLException: 第30 行附近出现错误:
无效的列名[ID]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy186.updateSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxProductionIndexServiceImpl.lambda$importData$0(HxProductionIndexServiceImpl.java:33)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxProductionIndexServiceImpl.importData(HxProductionIndexServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxProductionIndexController.importData(HxProductionIndexController.java:51)<br>com.ailanyin.admin.controller.HxProductionIndexController$$FastClassBySpringCGLIB$$91bdbf46.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxProductionIndexController$$EnhancerBySpringCGLIB$$135a7f4a.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 14:20:19');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426466,'
### Error querying database.  Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]
### The error may exist in com/ailanyin/mapper/HxVideoMapper.xml
### The error may involve com.ailanyin.mapper.HxVideoMapper.selectList
### The error occurred while executing a query
### SQL: select                "id", "category", "video_name", "video_file_name", "remark"         from ROOT.hx_video     order by "id" desc
### Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]
; 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]; nested exception is java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy203.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxVideoServiceImpl.selectList(HxVideoServiceImpl.java:27)<br>com.ailanyin.admin.controller.HxVideoController.list(HxVideoController.java:40)<br>com.ailanyin.admin.controller.HxVideoController$$FastClassBySpringCGLIB$$72eae6e8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxVideoController$$EnhancerBySpringCGLIB$$41271976.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 15:28:09');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426467,'
### Error querying database.  Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]
### The error may exist in com/ailanyin/mapper/HxVideoMapper.xml
### The error may involve com.ailanyin.mapper.HxVideoMapper.selectList
### The error occurred while executing a query
### SQL: select                "id", "category", "video_name", "video_file_name", "remark"         from ROOT.hx_video     order by "id" desc
### Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]
; 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]; nested exception is java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy203.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxVideoServiceImpl.selectList(HxVideoServiceImpl.java:27)<br>com.ailanyin.admin.controller.HxVideoController.list(HxVideoController.java:40)<br>com.ailanyin.admin.controller.HxVideoController$$FastClassBySpringCGLIB$$72eae6e8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxVideoController$$EnhancerBySpringCGLIB$$41271976.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 15:28:50');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426468,'
### Error querying database.  Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]
### The error may exist in com/ailanyin/mapper/HxVideoMapper.xml
### The error may involve com.ailanyin.mapper.HxVideoMapper.selectList
### The error occurred while executing a query
### SQL: select                "id", "category", "video_name", "video_file_name", "remark"         from ROOT.hx_video     order by "id" desc
### Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]
; 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]; nested exception is java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy203.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxVideoServiceImpl.selectList(HxVideoServiceImpl.java:27)<br>com.ailanyin.admin.controller.HxVideoController.list(HxVideoController.java:40)<br>com.ailanyin.admin.controller.HxVideoController$$FastClassBySpringCGLIB$$72eae6e8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxVideoController$$EnhancerBySpringCGLIB$$41271976.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 15:28:54');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426469,'
### Error querying database.  Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]
### The error may exist in com/ailanyin/mapper/HxVideoMapper.xml
### The error may involve com.ailanyin.mapper.HxVideoMapper.selectList
### The error occurred while executing a query
### SQL: select                "id", "category", "video_name", "video_file_name", "remark"         from ROOT.hx_video     order by "id" desc
### Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]
; 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]; nested exception is java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy203.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxVideoServiceImpl.selectList(HxVideoServiceImpl.java:27)<br>com.ailanyin.admin.controller.HxVideoController.list(HxVideoController.java:40)<br>com.ailanyin.admin.controller.HxVideoController$$FastClassBySpringCGLIB$$72eae6e8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxVideoController$$EnhancerBySpringCGLIB$$41271976.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 15:28:54');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426470,'
### Error querying database.  Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]
### The error may exist in com/ailanyin/mapper/HxVideoMapper.xml
### The error may involve com.ailanyin.mapper.HxVideoMapper.selectList
### The error occurred while executing a query
### SQL: select                "id", "category", "video_name", "video_file_name", "remark"         from ROOT.hx_video     order by "id" desc
### Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]
; 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]; nested exception is java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[HX_VIDEO]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy203.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxVideoServiceImpl.selectList(HxVideoServiceImpl.java:27)<br>com.ailanyin.admin.controller.HxVideoController.list(HxVideoController.java:40)<br>com.ailanyin.admin.controller.HxVideoController$$FastClassBySpringCGLIB$$72eae6e8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxVideoController$$EnhancerBySpringCGLIB$$41271976.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 15:28:54');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426471,'
### Error querying database.  Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_work_home_info]
### The error may exist in com/ailanyin/mapper/HxWorkHomeInfoMapper.xml
### The error may involve com.ailanyin.mapper.HxWorkHomeInfoMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from  ROOT."hx_work_home_info" where     "work_home_name" = ? limit 1
### Cause: java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_work_home_info]
; 第2 行附近出现错误:
无效的表或视图名[hx_work_home_info]; nested exception is java.sql.SQLException: 第2 行附近出现错误:
无效的表或视图名[hx_work_home_info]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy204.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxWorkHomeInfoServiceImpl.checkIsExist(HxWorkHomeInfoServiceImpl.java:45)<br>com.ailanyin.admin.service.impl.HxWorkHomeInfoServiceImpl.lambda$importData$0(HxWorkHomeInfoServiceImpl.java:35)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxWorkHomeInfoServiceImpl.importData(HxWorkHomeInfoServiceImpl.java:33)<br>com.ailanyin.admin.controller.HxWorkHomeInfoController.importData(HxWorkHomeInfoController.java:51)<br>com.ailanyin.admin.controller.HxWorkHomeInfoController$$FastClassBySpringCGLIB$$adf9d109.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor296.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxWorkHomeInfoController$$EnhancerBySpringCGLIB$$683893f0.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 18:59:30');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426472,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 19:14:53');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426473,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 19:15:01');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426474,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 19:16:55');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426475,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 19:17:38');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426476,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 19:21:48');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426477,'Required request parameter ''month'' for method parameter type String is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-23 19:22:36');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426478,'
### Error querying database.  Cause: java.sql.SQLException: 第6 行附近出现错误:
无效的表或视图名[hx_job_details]
### The error may exist in com/ailanyin/mapper/HxJobDetailsMapper.xml
### The error may involve com.ailanyin.mapper.HxJobDetailsMapper.checkIsExist
### The error occurred while executing a query
### SQL: select count("id") from ROOT."hx_job_details"     where "work_home" = ?     and "workshop" = ?     and "product" = ?     and "procedure" = ?     and "danger_level" = ?
### Cause: java.sql.SQLException: 第6 行附近出现错误:
无效的表或视图名[hx_job_details]
; 第6 行附近出现错误:
无效的表或视图名[hx_job_details]; nested exception is java.sql.SQLException: 第6 行附近出现错误:
无效的表或视图名[hx_job_details]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy171.checkIsExist(Unknown Source)<br>com.ailanyin.admin.service.impl.HxJobDetailsServiceImpl.checkIsExist(HxJobDetailsServiceImpl.java:42)<br>com.ailanyin.admin.service.impl.HxJobDetailsServiceImpl.lambda$importData$0(HxJobDetailsServiceImpl.java:34)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxJobDetailsServiceImpl.importData(HxJobDetailsServiceImpl.java:32)<br>com.ailanyin.admin.controller.HxJobDetailsController.importData(HxJobDetailsController.java:51)<br>com.ailanyin.admin.controller.HxJobDetailsController$$FastClassBySpringCGLIB$$44e8ab70.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor206.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxJobDetailsController$$EnhancerBySpringCGLIB$$4967c7f.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-24 08:59:09');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426479,'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 3','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy144.selectCategoryByMonth(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.lambda$getCivilIndustryPic$1(HxCivilIncomeServiceImpl.java:77)<br>java.base/java.util.ArrayList.forEach(ArrayList.java:1511)<br>com.ailanyin.admin.service.impl.HxCivilIncomeServiceImpl.getCivilIndustryPic(HxCivilIncomeServiceImpl.java:75)<br>com.ailanyin.admin.controller.HxOperatingManagementController.getCivilIndustryPic(HxOperatingManagementController.java:82)<br>com.ailanyin.admin.controller.HxOperatingManagementController$$FastClassBySpringCGLIB$$3b5cf5d1.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxOperatingManagementController$$EnhancerBySpringCGLIB$$10cf45c0.getCivilIndustryPic(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-24 09:25:40');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426480,'
### Error querying database.  Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[hx_job_details]
### The error may exist in com/ailanyin/mapper/HxJobDetailsMapper.xml
### The error may involve com.ailanyin.mapper.HxJobDetailsMapper.selectList
### The error occurred while executing a query
### SQL: select                "id", "work_home", "workshop", "product", "procedure", "danger_level"         from ROOT."hx_job_details"     order by "id" desc
### Cause: java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[hx_job_details]
; 第7 行附近出现错误:
无效的表或视图名[hx_job_details]; nested exception is java.sql.SQLException: 第7 行附近出现错误:
无效的表或视图名[hx_job_details]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy171.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxJobDetailsServiceImpl.selectList(HxJobDetailsServiceImpl.java:27)<br>com.ailanyin.admin.controller.HxJobDetailsController.list(HxJobDetailsController.java:42)<br>com.ailanyin.admin.controller.HxJobDetailsController$$FastClassBySpringCGLIB$$44e8ab70.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxJobDetailsController$$EnhancerBySpringCGLIB$$fc781a48.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-24 09:45:42');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426481,'
### Error updating database.  Cause: java.sql.SQLException: 第9 行附近出现错误:
无效的表或视图名[hx_big_pic]
### The error may exist in com/ailanyin/mapper/HxBigPicMapper.xml
### The error may involve com.ailanyin.mapper.HxBigPicMapper.insertSelective
### The error occurred while executing an update
### SQL: insert into ROOT."hx_big_pic"      ( "type",                       "pic" )       values ( ?,                       ? )
### Cause: java.sql.SQLException: 第9 行附近出现错误:
无效的表或视图名[hx_big_pic]
; 第9 行附近出现错误:
无效的表或视图名[hx_big_pic]; nested exception is java.sql.SQLException: 第9 行附近出现错误:
无效的表或视图名[hx_big_pic]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy139.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxBigPicServiceImpl.addHxBigPic(HxBigPicServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxBigPicController.addHxBigPic(HxBigPicController.java:48)<br>com.ailanyin.admin.controller.HxBigPicController$$FastClassBySpringCGLIB$$65c63d55.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor333.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxBigPicController$$EnhancerBySpringCGLIB$$3a593989.addHxBigPic(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-24 11:24:46');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426482,'
### Error querying database.  Cause: java.sql.SQLException: 第8 行附近出现错误:
无效的列名[TYPE]
### The error may exist in com/ailanyin/mapper/HxBigPicMapper.xml
### The error may involve com.ailanyin.mapper.HxBigPicMapper.getByType
### The error occurred while executing a query
### SQL: select                "id", "type", "pic"         from ROOT."hx_big_pic"     where type = ?     order by "id" desc limit 1
### Cause: java.sql.SQLException: 第8 行附近出现错误:
无效的列名[TYPE]
; 第8 行附近出现错误:
无效的列名[TYPE]; nested exception is java.sql.SQLException: 第8 行附近出现错误:
无效的列名[TYPE]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy116.selectOne(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectOne(SqlSessionTemplate.java:160)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:87)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy139.getByType(Unknown Source)<br>com.ailanyin.admin.service.impl.HxBigPicServiceImpl.getByType(HxBigPicServiceImpl.java:45)<br>com.ailanyin.admin.controller.HxBigPicController.getByType(HxBigPicController.java:47)<br>com.ailanyin.admin.controller.HxBigPicController$$FastClassBySpringCGLIB$$65c63d55.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxBigPicController$$EnhancerBySpringCGLIB$$2234f7b5.getByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:53)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-24 11:35:34');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426483,'Cannot invoke "org.springframework.web.multipart.MultipartFile.getInputStream()" because "file" is null','com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:178)<br>com.ailanyin.admin.controller.HxChargeJobContentController.importData(HxChargeJobContentController.java:50)<br>com.ailanyin.admin.controller.HxChargeJobContentController$$FastClassBySpringCGLIB$$15dd2a7b.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxChargeJobContentController$$EnhancerBySpringCGLIB$$56676c9b.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:62)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-24 14:44:45');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426484,'Cannot invoke "org.springframework.web.multipart.MultipartFile.getInputStream()" because "file" is null','com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:178)<br>com.ailanyin.admin.controller.HxChargeJobContentController.importData(HxChargeJobContentController.java:50)<br>com.ailanyin.admin.controller.HxChargeJobContentController$$FastClassBySpringCGLIB$$15dd2a7b.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxChargeJobContentController$$EnhancerBySpringCGLIB$$94e4a7be.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-24 14:47:26');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426485,'Cannot invoke "org.springframework.web.multipart.MultipartFile.getInputStream()" because "file" is null','com.ailanyin.common.utils.ExcelUtil.importExcel(ExcelUtil.java:178)<br>com.ailanyin.admin.controller.HxChargeJobContentController.importData(HxChargeJobContentController.java:50)<br>com.ailanyin.admin.controller.HxChargeJobContentController$$FastClassBySpringCGLIB$$15dd2a7b.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxChargeJobContentController$$EnhancerBySpringCGLIB$$664f4347.importData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-24 14:48:58');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426486,'Maximum upload size exceeded; nested exception is java.lang.IllegalStateException: org.apache.tomcat.util.http.fileupload.impl.SizeLimitExceededException: the request was rejected because its size (15160086) exceeds the configured maximum (10485760)','org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.handleParseFailure(StandardMultipartHttpServletRequest.java:122)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.parseRequest(StandardMultipartHttpServletRequest.java:115)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.<init>(StandardMultipartHttpServletRequest.java:88)<br>org.springframework.web.multipart.support.StandardServletMultipartResolver.resolveMultipart(StandardServletMultipartResolver.java:122)<br>org.springframework.web.servlet.DispatcherServlet.checkMultipart(DispatcherServlet.java:1205)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1039)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2021-12-24 15:45:10');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426487,'Maximum upload size exceeded; nested exception is java.lang.IllegalStateException: org.apache.tomcat.util.http.fileupload.impl.SizeLimitExceededException: the request was rejected because its size (55480223) exceeds the configured maximum (10485760)','org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.handleParseFailure(StandardMultipartHttpServletRequest.java:122)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.parseRequest(StandardMultipartHttpServletRequest.java:115)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.<init>(StandardMultipartHttpServletRequest.java:88)<br>org.springframework.web.multipart.support.StandardServletMultipartResolver.resolveMultipart(StandardServletMultipartResolver.java:122)<br>org.springframework.web.servlet.DispatcherServlet.checkMultipart(DispatcherServlet.java:1205)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1039)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2021-12-27 14:02:20');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426488,'Maximum upload size exceeded; nested exception is java.lang.IllegalStateException: org.apache.tomcat.util.http.fileupload.impl.SizeLimitExceededException: the request was rejected because its size (55480223) exceeds the configured maximum (10485760)','org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.handleParseFailure(StandardMultipartHttpServletRequest.java:122)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.parseRequest(StandardMultipartHttpServletRequest.java:115)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.<init>(StandardMultipartHttpServletRequest.java:88)<br>org.springframework.web.multipart.support.StandardServletMultipartResolver.resolveMultipart(StandardServletMultipartResolver.java:122)<br>org.springframework.web.servlet.DispatcherServlet.checkMultipart(DispatcherServlet.java:1205)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1039)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2021-12-27 14:02:23');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426489,'Maximum upload size exceeded; nested exception is java.lang.IllegalStateException: org.apache.tomcat.util.http.fileupload.impl.SizeLimitExceededException: the request was rejected because its size (55480223) exceeds the configured maximum (10485760)','org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.handleParseFailure(StandardMultipartHttpServletRequest.java:122)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.parseRequest(StandardMultipartHttpServletRequest.java:115)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.<init>(StandardMultipartHttpServletRequest.java:88)<br>org.springframework.web.multipart.support.StandardServletMultipartResolver.resolveMultipart(StandardServletMultipartResolver.java:122)<br>org.springframework.web.servlet.DispatcherServlet.checkMultipart(DispatcherServlet.java:1205)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1039)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2021-12-27 14:02:38');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426490,'Maximum upload size exceeded; nested exception is java.lang.IllegalStateException: org.apache.tomcat.util.http.fileupload.impl.SizeLimitExceededException: the request was rejected because its size (55480223) exceeds the configured maximum (10485760)','org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.handleParseFailure(StandardMultipartHttpServletRequest.java:122)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.parseRequest(StandardMultipartHttpServletRequest.java:115)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.<init>(StandardMultipartHttpServletRequest.java:88)<br>org.springframework.web.multipart.support.StandardServletMultipartResolver.resolveMultipart(StandardServletMultipartResolver.java:122)<br>org.springframework.web.servlet.DispatcherServlet.checkMultipart(DispatcherServlet.java:1205)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1039)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2021-12-27 14:02:38');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426495,'Maximum upload size exceeded; nested exception is java.lang.IllegalStateException: org.apache.tomcat.util.http.fileupload.impl.SizeLimitExceededException: the request was rejected because its size (55480223) exceeds the configured maximum (10485760)','org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.handleParseFailure(StandardMultipartHttpServletRequest.java:122)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.parseRequest(StandardMultipartHttpServletRequest.java:115)<br>org.springframework.web.multipart.support.StandardMultipartHttpServletRequest.<init>(StandardMultipartHttpServletRequest.java:88)<br>org.springframework.web.multipart.support.StandardServletMultipartResolver.resolveMultipart(StandardServletMultipartResolver.java:122)<br>org.springframework.web.servlet.DispatcherServlet.checkMultipart(DispatcherServlet.java:1205)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1039)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2021-12-27 14:02:39');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426502,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:79)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$6fe7928e.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-28 17:28:47');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426503,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:79)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$6fe7928e.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-28 17:30:42');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426504,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:79)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$6fe7928e.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-28 17:31:18');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426505,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:79)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$6fe7928e.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-28 17:37:40');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426506,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:79)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$6fe7928e.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-28 17:38:28');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426507,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:81)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$6fe7928e.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-28 17:38:28');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426508,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:79)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$6fe7928e.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-28 17:42:12');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426509,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:81)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$6fe7928e.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2021-12-28 17:42:14');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426510,'Required request parameter ''hxBigPicId'' for method parameter type Long is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doDelete(FrameworkServlet.java:931)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:687)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2021-12-28 18:42:38');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426511,'
### Error querying database.  Cause: java.sql.SQLException: 没有[DBA_TABLES]对象的查询权限
### The error may exist in com/ailanyin/mapper/SysLogMapper.java (best guess)
### The error may involve com.ailanyin.mapper.SysLogMapper.getAllHxTable
### The error occurred while executing a query
### SQL: select table_name from dba_tables where owner= ''ROOT'' and  table_name like ''hx%''
### Cause: java.sql.SQLException: 没有[DBA_TABLES]对象的查询权限
; 没有[DBA_TABLES]对象的查询权限; nested exception is java.sql.SQLException: 没有[DBA_TABLES]对象的查询权限','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy130.getAllHxTable(Unknown Source)<br>com.ailanyin.admin.controller.SysLoginController.deleteData(SysLoginController.java:131)<br>com.ailanyin.admin.controller.SysLoginController$$FastClassBySpringCGLIB$$a4cd1d7.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.SysLoginController$$EnhancerBySpringCGLIB$$c34c32fa.deleteData(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-04 09:03:12');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426512,'
### Error updating database.  Cause: java.sql.SQLException: 第15 行附近出现错误:
无效的表或视图名[GEN_TEST]
### The error may exist in com/ailanyin/mapper/GenTestMapper.xml
### The error may involve com.ailanyin.mapper.GenTestMapper.insertSelective
### The error occurred while executing an update
### SQL: insert into gen_test          ( name,                                           value,                                           create_time )           values ( ?,                                           ?,                                           ? )
### Cause: java.sql.SQLException: 第15 行附近出现错误:
无效的表或视图名[GEN_TEST]
; 第15 行附近出现错误:
无效的表或视图名[GEN_TEST]; nested exception is java.sql.SQLException: 第15 行附近出现错误:
无效的表或视图名[GEN_TEST]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy141.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.GenTestServiceImpl.insertGenTest(GenTestServiceImpl.java:33)<br>com.ailanyin.admin.service.impl.GenTestServiceImpl$$FastClassBySpringCGLIB$$4dc3e915.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.GenTestServiceImpl$$EnhancerBySpringCGLIB$$cf5204d0.insertGenTest(<generated>)<br>com.ailanyin.admin.controller.GenTestController.insertGenTest(GenTestController.java:33)<br>com.ailanyin.admin.controller.GenTestController$$FastClassBySpringCGLIB$$8c7f8cdf.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.GenTestController$$EnhancerBySpringCGLIB$$47e7f097.insertGenTest(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-04 14:36:12');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426513,'
### Error updating database.  Cause: java.sql.SQLException: 第15 行附近出现错误:
无效的表或视图名[GEN_TEST]
### The error may exist in com/ailanyin/mapper/GenTestMapper.xml
### The error may involve com.ailanyin.mapper.GenTestMapper.insertSelective
### The error occurred while executing an update
### SQL: insert into gen_test          ( name,                                           value,                                           create_time )           values ( ?,                                           ?,                                           ? )
### Cause: java.sql.SQLException: 第15 行附近出现错误:
无效的表或视图名[GEN_TEST]
; 第15 行附近出现错误:
无效的表或视图名[GEN_TEST]; nested exception is java.sql.SQLException: 第15 行附近出现错误:
无效的表或视图名[GEN_TEST]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.insert(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.insert(SqlSessionTemplate.java:272)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:62)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy141.insertSelective(Unknown Source)<br>com.ailanyin.admin.service.impl.GenTestServiceImpl.insertGenTest(GenTestServiceImpl.java:33)<br>com.ailanyin.admin.service.impl.GenTestServiceImpl$$FastClassBySpringCGLIB$$4dc3e915.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.GenTestServiceImpl$$EnhancerBySpringCGLIB$$cf5204d0.insertGenTest(<generated>)<br>com.ailanyin.admin.controller.GenTestController.insertGenTest(GenTestController.java:33)<br>com.ailanyin.admin.controller.GenTestController$$FastClassBySpringCGLIB$$8c7f8cdf.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.GenTestController$$EnhancerBySpringCGLIB$$47e7f097.insertGenTest(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-04 14:37:02');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426514,'不允许访问','org.springframework.security.access.vote.AffirmativeBased.decide(AffirmativeBased.java:73)<br>org.springframework.security.access.intercept.AbstractSecurityInterceptor.attemptAuthorization(AbstractSecurityInterceptor.java:238)<br>org.springframework.security.access.intercept.AbstractSecurityInterceptor.beforeInvocation(AbstractSecurityInterceptor.java:208)<br>org.springframework.security.access.intercept.aopalliance.MethodSecurityInterceptor.invoke(MethodSecurityInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarLocationController$$EnhancerBySpringCGLIB$$a8e7f06d.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-11 13:50:08');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426515,'
### Error querying database.  Cause: java.sql.SQLException: 第 14 行, 第 29 列[,]附近出现错误: 
语法分析出错
### The error may exist in com/ailanyin/mapper/HxCarLocationMapper.xml
### The error may involve com.ailanyin.mapper.HxCarLocationMapper.selectList_COUNT
### The error occurred while executing a query
### SQL: select count(0) from (  select                       "id",             "car_id",             "car_model",             "car_pic",             "driver_name",             "driver_phone",             "location_device_id",             "create_time"               from ROOT."hx_car_location"          WHERE  "car_id" = ?,          order by "id" desc  ) tmp_count
### Cause: java.sql.SQLException: 第 14 行, 第 29 列[,]附近出现错误: 
语法分析出错
; bad SQL grammar []; nested exception is java.sql.SQLException: 第 14 行, 第 29 列[,]附近出现错误: 
语法分析出错','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:101)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy144.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCarLocationServiceImpl.getListByParam(HxCarLocationServiceImpl.java:26)<br>com.ailanyin.admin.service.impl.HxCarLocationServiceImpl$$FastClassBySpringCGLIB$$2ba1ebe.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxCarLocationServiceImpl$$EnhancerBySpringCGLIB$$71f742bc.getListByParam(<generated>)<br>com.ailanyin.admin.controller.HxCarLocationController.list(HxCarLocationController.java:60)<br>com.ailanyin.admin.controller.HxCarLocationController$$FastClassBySpringCGLIB$$e461c7d6.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarLocationController$$EnhancerBySpringCGLIB$$55b9050e.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-11 13:55:44');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426516,'Failed to convert value of type ''java.lang.String'' to required type ''java.lang.Long[]''; nested exception is java.lang.NumberFormatException: For input string: "4，5"','org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:133)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doDelete(FrameworkServlet.java:931)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:687)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-11 14:02:03');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426517,'
### Error querying database.  Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_reader_info]
### The error may exist in com/ailanyin/mapper/HxReaderInfoMapper.xml
### The error may involve com.ailanyin.mapper.HxReaderInfoMapper.selectList_COUNT
### The error occurred while executing a query
### SQL: SELECT count(0) FROM ROOT."hx_reader_info"
### Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_reader_info]
; 第1 行附近出现错误:
无效的表或视图名[hx_reader_info]; nested exception is java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_reader_info]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy205.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl.getListByParam(HxReaderInfoServiceImpl.java:28)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl$$FastClassBySpringCGLIB$$39e127b2.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl$$EnhancerBySpringCGLIB$$d6e6ad84.getListByParam(<generated>)<br>com.ailanyin.admin.controller.HxReaderInfoController.list(HxReaderInfoController.java:60)<br>com.ailanyin.admin.controller.HxReaderInfoController$$FastClassBySpringCGLIB$$104a24bc.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxReaderInfoController$$EnhancerBySpringCGLIB$$1cb10349.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 09:13:34');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426518,'
### Error updating database.  Cause: java.sql.SQLException: 第10 行附近出现错误:
试图修改自增列[id]
### The error may exist in com/ailanyin/mapper/HxReaderInfoMapper.xml
### The error may involve com.ailanyin.mapper.HxReaderInfoMapper.updateByPrimaryKeySelective
### The error occurred while executing an update
### SQL: update ROOT."hx_reader_info"          SET "id" = ?,                                                                                               "reader_ip" = ?          where "id" = ?
### Cause: java.sql.SQLException: 第10 行附近出现错误:
试图修改自增列[id]
; 第10 行附近出现错误:
试图修改自增列[id]; nested exception is java.sql.SQLException: 第10 行附近出现错误:
试图修改自增列[id]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.update(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.update(SqlSessionTemplate.java:288)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:67)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy205.updateByPrimaryKeySelective(Unknown Source)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl.updateHxReaderInfo(HxReaderInfoServiceImpl.java:43)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl$$FastClassBySpringCGLIB$$39e127b2.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl$$EnhancerBySpringCGLIB$$d6e6ad84.updateHxReaderInfo(<generated>)<br>com.ailanyin.admin.controller.HxReaderInfoController.updateHxReaderInfo(HxReaderInfoController.java:41)<br>com.ailanyin.admin.controller.HxReaderInfoController$$FastClassBySpringCGLIB$$104a24bc.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxReaderInfoController$$EnhancerBySpringCGLIB$$1cb10349.updateHxReaderInfo(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 09:19:37');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426519,'Request method ''GET'' not supported','org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.handleNoMatch(RequestMappingInfoHandlerMapping.java:253)<br>org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.lookupHandlerMethod(AbstractHandlerMethodMapping.java:442)<br>org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.getHandlerInternal(AbstractHandlerMethodMapping.java:383)<br>org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:125)<br>org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:67)<br>org.springframework.web.servlet.handler.AbstractHandlerMapping.getHandler(AbstractHandlerMapping.java:498)<br>org.springframework.web.servlet.DispatcherServlet.getHandler(DispatcherServlet.java:1261)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1043)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 11:02:51');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426520,'Request method ''GET'' not supported','org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.handleNoMatch(RequestMappingInfoHandlerMapping.java:253)<br>org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.lookupHandlerMethod(AbstractHandlerMethodMapping.java:442)<br>org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.getHandlerInternal(AbstractHandlerMethodMapping.java:383)<br>org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:125)<br>org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:67)<br>org.springframework.web.servlet.handler.AbstractHandlerMapping.getHandler(AbstractHandlerMapping.java:498)<br>org.springframework.web.servlet.DispatcherServlet.getHandler(DispatcherServlet.java:1261)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1043)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 11:24:15');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426521,'Request method ''GET'' not supported','org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.handleNoMatch(RequestMappingInfoHandlerMapping.java:253)<br>org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.lookupHandlerMethod(AbstractHandlerMethodMapping.java:442)<br>org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.getHandlerInternal(AbstractHandlerMethodMapping.java:383)<br>org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:125)<br>org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:67)<br>org.springframework.web.servlet.handler.AbstractHandlerMapping.getHandler(AbstractHandlerMapping.java:498)<br>org.springframework.web.servlet.DispatcherServlet.getHandler(DispatcherServlet.java:1261)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1043)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 11:26:22');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426522,'Request method ''GET'' not supported','org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.handleNoMatch(RequestMappingInfoHandlerMapping.java:253)<br>org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.lookupHandlerMethod(AbstractHandlerMethodMapping.java:442)<br>org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.getHandlerInternal(AbstractHandlerMethodMapping.java:383)<br>org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:125)<br>org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:67)<br>org.springframework.web.servlet.handler.AbstractHandlerMapping.getHandler(AbstractHandlerMapping.java:498)<br>org.springframework.web.servlet.DispatcherServlet.getHandler(DispatcherServlet.java:1261)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1043)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 11:31:36');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426523,'不允许访问','org.springframework.security.access.vote.AffirmativeBased.decide(AffirmativeBased.java:73)<br>org.springframework.security.access.intercept.AbstractSecurityInterceptor.attemptAuthorization(AbstractSecurityInterceptor.java:238)<br>org.springframework.security.access.intercept.AbstractSecurityInterceptor.beforeInvocation(AbstractSecurityInterceptor.java:208)<br>org.springframework.security.access.intercept.aopalliance.MethodSecurityInterceptor.invoke(MethodSecurityInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$EnhancerBySpringCGLIB$$ceb8443e.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 13:20:41');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426524,'Cannot invoke "java.lang.CharSequence.length()" because "this.text" is null','java.base/java.util.regex.Matcher.getTextLength(Matcher.java:1769)<br>java.base/java.util.regex.Matcher.reset(Matcher.java:415)<br>java.base/java.util.regex.Matcher.<init>(Matcher.java:252)<br>java.base/java.util.regex.Pattern.matcher(Pattern.java:1134)<br>com.ailanyin.common.utils.IpUtil.checkIpIsTrue(IpUtil.java:109)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl.checkData(HxReaderInfoServiceImpl.java:58)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl.updateHxReaderInfo(HxReaderInfoServiceImpl.java:42)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl$$FastClassBySpringCGLIB$$39e127b2.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl$$EnhancerBySpringCGLIB$$dc4e6aef.updateHxReaderInfo(<generated>)<br>com.ailanyin.admin.controller.HxReaderInfoController.updateHxReaderInfo(HxReaderInfoController.java:41)<br>com.ailanyin.admin.controller.HxReaderInfoController$$FastClassBySpringCGLIB$$104a24bc.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxReaderInfoController$$EnhancerBySpringCGLIB$$d1ac0aaa.updateHxReaderInfo(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPut(FrameworkServlet.java:920)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:684)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 13:46:24');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426525,'For input string: ".125"','java.base/java.lang.NumberFormatException.forInputString(NumberFormatException.java:67)<br>java.base/java.lang.Long.parseLong(Long.java:697)<br>java.base/java.lang.Long.parseLong(Long.java:836)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl.insertHxReaderInfo(HxReaderInfoServiceImpl.java:36)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl$$FastClassBySpringCGLIB$$39e127b2.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.transaction.interceptor.TransactionInterceptor$1.proceedWithInvocation(TransactionInterceptor.java:123)<br>org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:388)<br>org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:119)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.service.impl.HxReaderInfoServiceImpl$$EnhancerBySpringCGLIB$$4f3a1f4a.insertHxReaderInfo(<generated>)<br>com.ailanyin.admin.controller.HxReaderInfoController.insertHxReaderInfo(HxReaderInfoController.java:33)<br>com.ailanyin.admin.controller.HxReaderInfoController$$FastClassBySpringCGLIB$$104a24bc.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxReaderInfoController$$EnhancerBySpringCGLIB$$b0726d6f.insertHxReaderInfo(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:681)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:29)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 14:10:33');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426526,'
### Error querying database.  Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]
### The error may exist in com/ailanyin/mapper/HxCarLocationLogMapper.xml
### The error may involve com.ailanyin.mapper.HxCarLocationLogMapper.selectList_COUNT
### The error occurred while executing a query
### SQL: SELECT count(0) FROM ROOT."hx_car_location_log"
### Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]
; 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]; nested exception is java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy145.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl.getListByParam(HxCarLocationLogServiceImpl.java:26)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$FastClassBySpringCGLIB$$1d0517a8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$EnhancerBySpringCGLIB$$1a352726.getListByParam(<generated>)<br>com.ailanyin.admin.controller.HxCarLocationLogController.list(HxCarLocationLogController.java:44)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$FastClassBySpringCGLIB$$2a6e1786.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$EnhancerBySpringCGLIB$$a667c212.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 14:45:39');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426527,'
### Error querying database.  Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]
### The error may exist in com/ailanyin/mapper/HxCarLocationLogMapper.xml
### The error may involve com.ailanyin.mapper.HxCarLocationLogMapper.selectList_COUNT
### The error occurred while executing a query
### SQL: SELECT count(0) FROM ROOT."hx_car_location_log"
### Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]
; 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]; nested exception is java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy145.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl.getListByParam(HxCarLocationLogServiceImpl.java:26)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$FastClassBySpringCGLIB$$1d0517a8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$EnhancerBySpringCGLIB$$1a352726.getListByParam(<generated>)<br>com.ailanyin.admin.controller.HxCarLocationLogController.list(HxCarLocationLogController.java:44)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$FastClassBySpringCGLIB$$2a6e1786.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$EnhancerBySpringCGLIB$$a667c212.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 14:45:42');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426528,'
### Error querying database.  Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]
### The error may exist in com/ailanyin/mapper/HxCarLocationLogMapper.xml
### The error may involve com.ailanyin.mapper.HxCarLocationLogMapper.selectList_COUNT
### The error occurred while executing a query
### SQL: SELECT count(0) FROM ROOT."hx_car_location_log"
### Cause: java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]
; 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]; nested exception is java.sql.SQLException: 第1 行附近出现错误:
无效的表或视图名[hx_car_location_log]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy145.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl.getListByParam(HxCarLocationLogServiceImpl.java:26)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$FastClassBySpringCGLIB$$1d0517a8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$EnhancerBySpringCGLIB$$1a352726.getListByParam(<generated>)<br>com.ailanyin.admin.controller.HxCarLocationLogController.list(HxCarLocationLogController.java:44)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$FastClassBySpringCGLIB$$2a6e1786.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$EnhancerBySpringCGLIB$$8e95d8cd.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 14:49:31');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426529,'nested exception is org.apache.ibatis.builder.BuilderException: Error evaluating expression ''params.beginTime != null and params.beginTime != ''''''. Cause: org.apache.ibatis.ognl.OgnlException: source is null for getProperty(null, "beginTime")','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy145.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl.getListByParam(HxCarLocationLogServiceImpl.java:26)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$FastClassBySpringCGLIB$$1d0517a8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$EnhancerBySpringCGLIB$$e07e248.getListByParam(<generated>)<br>com.ailanyin.admin.controller.HxCarLocationLogController.list(HxCarLocationLogController.java:44)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$FastClassBySpringCGLIB$$2a6e1786.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$EnhancerBySpringCGLIB$$6fda5118.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 17:36:15');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426530,'nested exception is org.apache.ibatis.builder.BuilderException: Error evaluating expression ''params.beginTime != null and params.beginTime != ''''''. Cause: org.apache.ibatis.ognl.OgnlException: source is null for getProperty(null, "beginTime")','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy145.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl.getListByParam(HxCarLocationLogServiceImpl.java:26)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$FastClassBySpringCGLIB$$1d0517a8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$EnhancerBySpringCGLIB$$e07e248.getListByParam(<generated>)<br>com.ailanyin.admin.controller.HxCarLocationLogController.list(HxCarLocationLogController.java:44)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$FastClassBySpringCGLIB$$2a6e1786.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$EnhancerBySpringCGLIB$$6fda5118.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 17:36:22');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426531,'nested exception is org.apache.ibatis.builder.BuilderException: Error evaluating expression ''params.beginTime != null and params.beginTime != ''''''. Cause: org.apache.ibatis.ognl.OgnlException: source is null for getProperty(null, "beginTime")','org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:96)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>jdk.proxy2/jdk.proxy2.$Proxy117.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>jdk.proxy2/jdk.proxy2.$Proxy145.selectList(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl.getListByParam(HxCarLocationLogServiceImpl.java:26)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$FastClassBySpringCGLIB$$1d0517a8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$EnhancerBySpringCGLIB$$e07e248.getListByParam(<generated>)<br>com.ailanyin.admin.controller.HxCarLocationLogController.list(HxCarLocationLogController.java:44)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$FastClassBySpringCGLIB$$2a6e1786.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$EnhancerBySpringCGLIB$$6fda5118.list(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-15 17:37:16');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426532,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:79)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor307.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$e4d53334.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-20 13:43:57');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426533,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:81)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor307.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$e4d53334.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-20 13:44:06');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426534,'Type definition error: [simple type, class java.lang.Object]; nested exception is com.fasterxml.jackson.databind.exc.InvalidDefinitionException: No serializer found for class java.lang.Object and no properties discovered to create BeanSerializer (to avoid exception, disable SerializationFeature.FAIL_ON_EMPTY_BEANS) (through reference chain: com.ailanyin.common.result.AjaxResult["data"]->java.util.HashMap["today"])','org.springframework.http.converter.json.AbstractJackson2HttpMessageConverter.writeInternal(AbstractJackson2HttpMessageConverter.java:460)<br>org.springframework.http.converter.AbstractGenericHttpMessageConverter.write(AbstractGenericHttpMessageConverter.java:104)<br>org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodProcessor.writeWithMessageConverters(AbstractMessageConverterMethodProcessor.java:290)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.handleReturnValue(RequestResponseBodyMethodProcessor.java:183)<br>org.springframework.web.method.support.HandlerMethodReturnValueHandlerComposite.handleReturnValue(HandlerMethodReturnValueHandlerComposite.java:78)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:135)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-21 08:51:42');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426535,'Type definition error: [simple type, class java.lang.Object]; nested exception is com.fasterxml.jackson.databind.exc.InvalidDefinitionException: No serializer found for class java.lang.Object and no properties discovered to create BeanSerializer (to avoid exception, disable SerializationFeature.FAIL_ON_EMPTY_BEANS) (through reference chain: com.ailanyin.common.result.AjaxResult["data"]->java.util.HashMap["today"])','org.springframework.http.converter.json.AbstractJackson2HttpMessageConverter.writeInternal(AbstractJackson2HttpMessageConverter.java:460)<br>org.springframework.http.converter.AbstractGenericHttpMessageConverter.write(AbstractGenericHttpMessageConverter.java:104)<br>org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodProcessor.writeWithMessageConverters(AbstractMessageConverterMethodProcessor.java:290)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.handleReturnValue(RequestResponseBodyMethodProcessor.java:183)<br>org.springframework.web.method.support.HandlerMethodReturnValueHandlerComposite.handleReturnValue(HandlerMethodReturnValueHandlerComposite.java:78)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:135)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-21 08:52:08');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426536,'Type definition error: [simple type, class java.lang.Object]; nested exception is com.fasterxml.jackson.databind.exc.InvalidDefinitionException: No serializer found for class java.lang.Object and no properties discovered to create BeanSerializer (to avoid exception, disable SerializationFeature.FAIL_ON_EMPTY_BEANS) (through reference chain: com.ailanyin.common.result.AjaxResult["data"]->java.util.HashMap["today"])','org.springframework.http.converter.json.AbstractJackson2HttpMessageConverter.writeInternal(AbstractJackson2HttpMessageConverter.java:460)<br>org.springframework.http.converter.AbstractGenericHttpMessageConverter.write(AbstractGenericHttpMessageConverter.java:104)<br>org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodProcessor.writeWithMessageConverters(AbstractMessageConverterMethodProcessor.java:290)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.handleReturnValue(RequestResponseBodyMethodProcessor.java:183)<br>org.springframework.web.method.support.HandlerMethodReturnValueHandlerComposite.handleReturnValue(HandlerMethodReturnValueHandlerComposite.java:78)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:135)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-21 08:52:19');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426537,'Type definition error: [simple type, class java.lang.Object]; nested exception is com.fasterxml.jackson.databind.exc.InvalidDefinitionException: No serializer found for class java.lang.Object and no properties discovered to create BeanSerializer (to avoid exception, disable SerializationFeature.FAIL_ON_EMPTY_BEANS) (through reference chain: com.ailanyin.common.result.AjaxResult["data"]->java.util.HashMap["today"])','org.springframework.http.converter.json.AbstractJackson2HttpMessageConverter.writeInternal(AbstractJackson2HttpMessageConverter.java:460)<br>org.springframework.http.converter.AbstractGenericHttpMessageConverter.write(AbstractGenericHttpMessageConverter.java:104)<br>org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodProcessor.writeWithMessageConverters(AbstractMessageConverterMethodProcessor.java:290)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.handleReturnValue(RequestResponseBodyMethodProcessor.java:183)<br>org.springframework.web.method.support.HandlerMethodReturnValueHandlerComposite.handleReturnValue(HandlerMethodReturnValueHandlerComposite.java:78)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:135)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-21 08:52:45');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426538,'Type definition error: [simple type, class java.lang.Object]; nested exception is com.fasterxml.jackson.databind.exc.InvalidDefinitionException: No serializer found for class java.lang.Object and no properties discovered to create BeanSerializer (to avoid exception, disable SerializationFeature.FAIL_ON_EMPTY_BEANS) (through reference chain: com.ailanyin.common.result.AjaxResult["data"]->java.util.HashMap["today"])','org.springframework.http.converter.json.AbstractJackson2HttpMessageConverter.writeInternal(AbstractJackson2HttpMessageConverter.java:460)<br>org.springframework.http.converter.AbstractGenericHttpMessageConverter.write(AbstractGenericHttpMessageConverter.java:104)<br>org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodProcessor.writeWithMessageConverters(AbstractMessageConverterMethodProcessor.java:290)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.handleReturnValue(RequestResponseBodyMethodProcessor.java:183)<br>org.springframework.web.method.support.HandlerMethodReturnValueHandlerComposite.handleReturnValue(HandlerMethodReturnValueHandlerComposite.java:78)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:135)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-21 08:59:19');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426539,'Type definition error: [simple type, class java.lang.Object]; nested exception is com.fasterxml.jackson.databind.exc.InvalidDefinitionException: No serializer found for class java.lang.Object and no properties discovered to create BeanSerializer (to avoid exception, disable SerializationFeature.FAIL_ON_EMPTY_BEANS) (through reference chain: com.ailanyin.common.result.AjaxResult["data"]->java.util.HashMap["today"])','org.springframework.http.converter.json.AbstractJackson2HttpMessageConverter.writeInternal(AbstractJackson2HttpMessageConverter.java:460)<br>org.springframework.http.converter.AbstractGenericHttpMessageConverter.write(AbstractGenericHttpMessageConverter.java:104)<br>org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodProcessor.writeWithMessageConverters(AbstractMessageConverterMethodProcessor.java:290)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.handleReturnValue(RequestResponseBodyMethodProcessor.java:183)<br>org.springframework.web.method.support.HandlerMethodReturnValueHandlerComposite.handleReturnValue(HandlerMethodReturnValueHandlerComposite.java:78)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:135)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-21 09:00:55');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426540,'Type definition error: [simple type, class java.lang.Object]; nested exception is com.fasterxml.jackson.databind.exc.InvalidDefinitionException: No serializer found for class java.lang.Object and no properties discovered to create BeanSerializer (to avoid exception, disable SerializationFeature.FAIL_ON_EMPTY_BEANS) (through reference chain: com.ailanyin.common.result.AjaxResult["data"]->java.util.HashMap["today"])','org.springframework.http.converter.json.AbstractJackson2HttpMessageConverter.writeInternal(AbstractJackson2HttpMessageConverter.java:460)<br>org.springframework.http.converter.AbstractGenericHttpMessageConverter.write(AbstractGenericHttpMessageConverter.java:104)<br>org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodProcessor.writeWithMessageConverters(AbstractMessageConverterMethodProcessor.java:290)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.handleReturnValue(RequestResponseBodyMethodProcessor.java:183)<br>org.springframework.web.method.support.HandlerMethodReturnValueHandlerComposite.handleReturnValue(HandlerMethodReturnValueHandlerComposite.java:78)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:135)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-21 09:05:56');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426541,'Type definition error: [simple type, class java.lang.Object]; nested exception is com.fasterxml.jackson.databind.exc.InvalidDefinitionException: No serializer found for class java.lang.Object and no properties discovered to create BeanSerializer (to avoid exception, disable SerializationFeature.FAIL_ON_EMPTY_BEANS) (through reference chain: com.ailanyin.common.result.AjaxResult["data"]->java.util.HashMap["today"])','org.springframework.http.converter.json.AbstractJackson2HttpMessageConverter.writeInternal(AbstractJackson2HttpMessageConverter.java:460)<br>org.springframework.http.converter.AbstractGenericHttpMessageConverter.write(AbstractGenericHttpMessageConverter.java:104)<br>org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodProcessor.writeWithMessageConverters(AbstractMessageConverterMethodProcessor.java:290)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.handleReturnValue(RequestResponseBodyMethodProcessor.java:183)<br>org.springframework.web.method.support.HandlerMethodReturnValueHandlerComposite.handleReturnValue(HandlerMethodReturnValueHandlerComposite.java:78)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:135)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-21 09:06:15');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426542,'Type definition error: [simple type, class java.lang.Object]; nested exception is com.fasterxml.jackson.databind.exc.InvalidDefinitionException: No serializer found for class java.lang.Object and no properties discovered to create BeanSerializer (to avoid exception, disable SerializationFeature.FAIL_ON_EMPTY_BEANS) (through reference chain: com.ailanyin.common.result.AjaxResult["data"]->java.util.HashMap["today"])','org.springframework.http.converter.json.AbstractJackson2HttpMessageConverter.writeInternal(AbstractJackson2HttpMessageConverter.java:460)<br>org.springframework.http.converter.AbstractGenericHttpMessageConverter.write(AbstractGenericHttpMessageConverter.java:104)<br>org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodProcessor.writeWithMessageConverters(AbstractMessageConverterMethodProcessor.java:290)<br>org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.handleReturnValue(RequestResponseBodyMethodProcessor.java:183)<br>org.springframework.web.method.support.HandlerMethodReturnValueHandlerComposite.handleReturnValue(HandlerMethodReturnValueHandlerComposite.java:78)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:135)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-21 09:07:58');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426543,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:79)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor180.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$fb92d509.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-21 16:52:07');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426544,'Cannot invoke "Object.toString()" because the return value of "com.ailanyin.common.service.RedisService.get(String)" is null','com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:79)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>jdk.internal.reflect.GeneratedMethodAccessor180.invoke(Unknown Source)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$fb92d509.getVideoByType(<generated>)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)<br>java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.base/java.lang.reflect.Method.invoke(Method.java:568)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.base/java.lang.Thread.run(Thread.java:833)<br>','2022-01-21 16:52:12');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426545,null,'com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:83)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.GeneratedMethodAccessor209.invoke(Unknown Source)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$166efdb8.getVideoByType(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2022-01-25 10:34:43');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426546,null,'com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:85)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.GeneratedMethodAccessor209.invoke(Unknown Source)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$166efdb8.getVideoByType(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2022-01-25 10:34:51');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426547,null,'com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:83)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.GeneratedMethodAccessor209.invoke(Unknown Source)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$166efdb8.getVideoByType(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2022-01-25 10:35:00');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426548,null,'com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:85)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.GeneratedMethodAccessor209.invoke(Unknown Source)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$166efdb8.getVideoByType(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2022-01-25 10:35:02');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426549,null,'com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:85)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.GeneratedMethodAccessor209.invoke(Unknown Source)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$166efdb8.getVideoByType(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2022-01-25 10:35:26');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426550,null,'com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:83)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.GeneratedMethodAccessor209.invoke(Unknown Source)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$166efdb8.getVideoByType(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2022-01-25 10:37:11');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426551,'
### Error querying database.  Cause: java.sql.SQLException: 第39 行附近出现错误:
无效的列名[read_name]
### The error may exist in com/ailanyin/mapper/HxCarLocationLogMapper.xml
### The error may involve com.ailanyin.mapper.HxCarLocationLogMapper.getBigPicData
### The error occurred while executing a query
### SQL: with         baseDate         as (         select                           "id",             "card_number",             "distance",             "low_voltage",             "read_id",             "read_name",             "north_angle",             "car_abscissa",             "car_ordinate",             "car_id",             "driver_name",             "driver_phone",             "status",             "create_time"      ,             ROW_NUMBER() over(partition by "card_number" order by "create_time" desc) as rowIndex             from ROOT."hx_car_location_log"         )         select               "id",             "card_number",             "distance",             "low_voltage",             "read_id",             "read_name",             "north_angle",             "car_abscissa",             "car_ordinate",             "car_id",             "driver_name",             "driver_phone",             "status",             "create_time"       from baseDate where rowIndex=1;
### Cause: java.sql.SQLException: 第39 行附近出现错误:
无效的列名[read_name]
; 第39 行附近出现错误:
无效的列名[read_name]; nested exception is java.sql.SQLException: 第39 行附近出现错误:
无效的列名[read_name]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>com.sun.proxy.$Proxy119.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>com.sun.proxy.$Proxy147.getBigPicData(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl.getBigPicData(HxCarLocationLogServiceImpl.java:65)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$FastClassBySpringCGLIB$$1d0517a8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$EnhancerBySpringCGLIB$$7be5dc5.getBigPicData(<generated>)<br>com.ailanyin.admin.controller.HxCarLocationLogController.getBigPicData(HxCarLocationLogController.java:52)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$FastClassBySpringCGLIB$$2a6e1786.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.GeneratedMethodAccessor180.invoke(Unknown Source)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$EnhancerBySpringCGLIB$$b00780e2.getBigPicData(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2022-02-17 14:53:41');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426552,'
### Error querying database.  Cause: java.sql.SQLException: 第39 行附近出现错误:
无效的列名[read_name]
### The error may exist in com/ailanyin/mapper/HxCarLocationLogMapper.xml
### The error may involve com.ailanyin.mapper.HxCarLocationLogMapper.getBigPicData
### The error occurred while executing a query
### SQL: with         baseDate         as (         select                           "id",             "card_number",             "distance",             "low_voltage",             "read_id",             "read_name",             "north_angle",             "car_abscissa",             "car_ordinate",             "car_id",             "driver_name",             "driver_phone",             "status",             "create_time"      ,             ROW_NUMBER() over(partition by "card_number" order by "create_time" desc) as rowIndex             from ROOT."hx_car_location_log"         )         select               "id",             "card_number",             "distance",             "low_voltage",             "read_id",             "read_name",             "north_angle",             "car_abscissa",             "car_ordinate",             "car_id",             "driver_name",             "driver_phone",             "status",             "create_time"       from baseDate where rowIndex=1;
### Cause: java.sql.SQLException: 第39 行附近出现错误:
无效的列名[read_name]
; 第39 行附近出现错误:
无效的列名[read_name]; nested exception is java.sql.SQLException: 第39 行附近出现错误:
无效的列名[read_name]','org.springframework.jdbc.support.SQLStateSQLExceptionTranslator.doTranslate(SQLStateSQLExceptionTranslator.java:104)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:70)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:79)<br>org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:91)<br>org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:441)<br>com.sun.proxy.$Proxy119.selectList(Unknown Source)<br>org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)<br>org.apache.ibatis.binding.MapperMethod.executeForMany(MapperMethod.java:147)<br>org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:80)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>com.sun.proxy.$Proxy147.getBigPicData(Unknown Source)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl.getBigPicData(HxCarLocationLogServiceImpl.java:65)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$FastClassBySpringCGLIB$$1d0517a8.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:688)<br>com.ailanyin.admin.service.impl.HxCarLocationLogServiceImpl$$EnhancerBySpringCGLIB$$7be5dc5.getBigPicData(<generated>)<br>com.ailanyin.admin.controller.HxCarLocationLogController.getBigPicData(HxCarLocationLogController.java:52)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$FastClassBySpringCGLIB$$2a6e1786.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.GeneratedMethodAccessor180.invoke(Unknown Source)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxCarLocationLogController$$EnhancerBySpringCGLIB$$b00780e2.getBigPicData(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2022-02-17 14:53:47');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426613,'Mapper method ''com.ailanyin.mapper.HxYearDutyMapper.selectRealTotal attempted to return null from a method with a primitive return type (int).','org.apache.ibatis.binding.MapperMethod.execute(MapperMethod.java:102)<br>org.apache.ibatis.binding.MapperProxy$PlainMethodInvoker.invoke(MapperProxy.java:145)<br>org.apache.ibatis.binding.MapperProxy.invoke(MapperProxy.java:86)<br>com.sun.proxy.$Proxy215.selectRealTotal(Unknown Source)<br>com.ailanyin.admin.service.impl.HxYearDutyServiceImpl.selectList(HxYearDutyServiceImpl.java:30)<br>com.ailanyin.admin.controller.HxYearDutyController.list(HxYearDutyController.java:42)<br>com.ailanyin.admin.controller.HxYearDutyController$$FastClassBySpringCGLIB$$929ba9e.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxYearDutyController$$EnhancerBySpringCGLIB$$140e776a.list(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2022-08-02 11:43:53');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426614,null,'com.ailanyin.admin.service.impl.HxYearDutyServiceImpl.selectList(HxYearDutyServiceImpl.java:31)<br>com.ailanyin.admin.controller.HxYearDutyController.list(HxYearDutyController.java:42)<br>com.ailanyin.admin.controller.HxYearDutyController$$FastClassBySpringCGLIB$$929ba9e.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxYearDutyController$$EnhancerBySpringCGLIB$$9d5160b8.list(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2022-08-02 11:45:42');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426615,null,'java.math.BigDecimal.<init>(BigDecimal.java:809)<br>com.ailanyin.common.utils.BigDecimalUtil.div(BigDecimalUtil.java:109)<br>com.ailanyin.admin.service.impl.HxModelYearPlanServiceImpl.selectList(HxModelYearPlanServiceImpl.java:34)<br>com.ailanyin.admin.controller.HxScientificProductionController.getModelYearPlanPic(HxScientificProductionController.java:214)<br>com.ailanyin.admin.controller.HxScientificProductionController$$FastClassBySpringCGLIB$$1d00aa6d.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxScientificProductionController$$EnhancerBySpringCGLIB$$c92f4fb6.getModelYearPlanPic(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2022-08-02 15:34:49');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426616,'Required request parameter ''id'' for method parameter type Long is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doDelete(FrameworkServlet.java:931)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:687)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2023-01-29 13:44:25');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426617,'Required request parameter ''id'' for method parameter type Long is not present','org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValueInternal(RequestParamMethodArgumentResolver.java:218)<br>org.springframework.web.method.annotation.RequestParamMethodArgumentResolver.handleMissingValue(RequestParamMethodArgumentResolver.java:193)<br>org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.resolveArgument(AbstractNamedValueMethodArgumentResolver.java:114)<br>org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:121)<br>org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doDelete(FrameworkServlet.java:931)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:687)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2023-01-29 13:44:35');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426618,null,'com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:92)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.GeneratedMethodAccessor174.invoke(Unknown Source)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$8e88fdfa.getVideoByType(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2023-02-03 10:02:59');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426619,null,'com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:94)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.GeneratedMethodAccessor174.invoke(Unknown Source)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$8e88fdfa.getVideoByType(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2023-02-03 10:03:00');
INSERT INTO "ROOT"."exception_log"("exception_id","exception_reason","detail_info","create_time") VALUES(1457976726435426620,null,'com.ailanyin.admin.service.impl.HxVideoServiceImpl.getVideoByType(HxVideoServiceImpl.java:92)<br>com.ailanyin.admin.controller.HxSecurityManagementController.getVideoByType(HxSecurityManagementController.java:63)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$FastClassBySpringCGLIB$$36f15ace.invoke(<generated>)<br>org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:779)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.AfterReturningAdviceInterceptor.invoke(AfterReturningAdviceInterceptor.java:57)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:58)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)<br>com.ailanyin.admin.aspect.AdminLogAspect.doAround(AdminLogAspect.java:71)<br>sun.reflect.GeneratedMethodAccessor174.invoke(Unknown Source)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)<br>org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)<br>org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)<br>org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)<br>org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:750)<br>org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:692)<br>com.ailanyin.admin.controller.HxSecurityManagementController$$EnhancerBySpringCGLIB$$8e88fdfa.getVideoByType(<generated>)<br>sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br>java.lang.reflect.Method.invoke(Method.java:498)<br>org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)<br>org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)<br>org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)<br>org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)<br>org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)<br>org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)<br>org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:963)<br>org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)<br>org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:655)<br>org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)<br>javax.servlet.http.HttpServlet.service(HttpServlet.java:764)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:227)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:53)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>com.ailanyin.security.filter.XssFilter.doFilter(XssFilter.java:25)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:113)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:327)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke(FilterSecurityInterceptor.java:115)<br>org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter(FilterSecurityInterceptor.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:121)<br>org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:115)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:126)<br>org.springframework.security.web.session.SessionManagementFilter.doFilter(SessionManagementFilter.java:81)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:105)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:149)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>com.ailanyin.security.filter.JwtAuthenticationTokenFilter.doFilterInternal(JwtAuthenticationTokenFilter.java:66)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:103)<br>org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:89)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)<br>org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:110)<br>org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:80)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:55)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:336)<br>org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:211)<br>org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:183)<br>org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:358)<br>org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:271)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)<br>org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:119)<br>org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:189)<br>org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:162)<br>org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:197)<br>org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:97)<br>org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:540)<br>org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:135)<br>org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:92)<br>org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:78)<br>org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:357)<br>org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:382)<br>org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:65)<br>org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:893)<br>org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1726)<br>org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)<br>org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)<br>org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)<br>java.lang.Thread.run(Thread.java:748)<br>','2023-02-03 10:03:01');

SET IDENTITY_INSERT "ROOT"."exception_log" OFF;
SET IDENTITY_INSERT "ROOT"."hx_annual_target" ON;
INSERT INTO "ROOT"."hx_annual_target"("id","target_income","completed_income","target_profit","completed_profit","target_charge_quantity","completed_charge_quantity","target_delivery_quantity","completed_delivery_quantity","year","big_pic") VALUES(1,'200','150','200','100','2001','100','200','100','2022','http://localhost/api/42e3f7cc2c5c49069eb8fec955753cc3.png');
INSERT INTO "ROOT"."hx_annual_target"("id","target_income","completed_income","target_profit","completed_profit","target_charge_quantity","completed_charge_quantity","target_delivery_quantity","completed_delivery_quantity","year","big_pic") VALUES(2,'121232','121201','121230','120012','3132','123','1233','123','2023','http://192.168.110.10:1818/8d4acc22f5fa4ad191202b2e34f96ca4.png');

SET IDENTITY_INSERT "ROOT"."hx_annual_target" OFF;
SET IDENTITY_INSERT "ROOT"."hx_big_pic" ON;
INSERT INTO "ROOT"."hx_big_pic"("id","type","pic") VALUES(1,'1','http://192.168.10.3:1818/f6c5d8b962e248f5b17284ebfc6defff.png');
INSERT INTO "ROOT"."hx_big_pic"("id","type","pic") VALUES(2,'2','http://192.168.0.151:1818/ed8309e5d2a8435b8babe2982792ba86.png');
INSERT INTO "ROOT"."hx_big_pic"("id","type","pic") VALUES(5,'3','http://192.168.0.115:1818/9c800cec087643b7be86e93e543b67be.png');
INSERT INTO "ROOT"."hx_big_pic"("id","type","pic") VALUES(6,null,'http://192.168.0.115:1818/9c800cec087643b7be86e93e543b67be.png');

SET IDENTITY_INSERT "ROOT"."hx_big_pic" OFF;
SET IDENTITY_INSERT "ROOT"."hx_business_responsibility" ON;
INSERT INTO "ROOT"."hx_business_responsibility"("id","month","indicator_name","completed_tasks","target_tasks") VALUES(51,'2022-07','类别1','2','2');
INSERT INTO "ROOT"."hx_business_responsibility"("id","month","indicator_name","completed_tasks","target_tasks") VALUES(52,'2022-07','类别2','1','1');
INSERT INTO "ROOT"."hx_business_responsibility"("id","month","indicator_name","completed_tasks","target_tasks") VALUES(53,'2022-08','类别2','0','1');
INSERT INTO "ROOT"."hx_business_responsibility"("id","month","indicator_name","completed_tasks","target_tasks") VALUES(54,'2022-06','指标1','70','70');
INSERT INTO "ROOT"."hx_business_responsibility"("id","month","indicator_name","completed_tasks","target_tasks") VALUES(55,'2022-07','指标2','80','90');
INSERT INTO "ROOT"."hx_business_responsibility"("id","month","indicator_name","completed_tasks","target_tasks") VALUES(56,'2022-08','指标3','90','110');
INSERT INTO "ROOT"."hx_business_responsibility"("id","month","indicator_name","completed_tasks","target_tasks") VALUES(57,'2022-09','指标4','100','130');
INSERT INTO "ROOT"."hx_business_responsibility"("id","month","indicator_name","completed_tasks","target_tasks") VALUES(58,'2022-10','指标5','110','150');
INSERT INTO "ROOT"."hx_business_responsibility"("id","month","indicator_name","completed_tasks","target_tasks") VALUES(59,'2022-11','指标6','120','170');
INSERT INTO "ROOT"."hx_business_responsibility"("id","month","indicator_name","completed_tasks","target_tasks") VALUES(60,'2022-12','指标7','130','190');
INSERT INTO "ROOT"."hx_business_responsibility"("id","month","indicator_name","completed_tasks","target_tasks") VALUES(61,'2023-01','指标8','140','210');

SET IDENTITY_INSERT "ROOT"."hx_business_responsibility" OFF;
SET IDENTITY_INSERT "ROOT"."hx_car_location" ON;
INSERT INTO "ROOT"."hx_car_location"("id","car_id","car_model","car_pic","driver_name","driver_phone","location_card_num","location_card_number","create_time") VALUES(1,'皖A 12345','X300','http://localhost/api/01665495bd3b4a2ba61e497aed26e4d4.jpg','小王','13166778765','0000090759',90759,'2022-02-17 15:26:44');

SET IDENTITY_INSERT "ROOT"."hx_car_location" OFF;
INSERT INTO "ROOT"."hx_car_location_config"("upload_interval") VALUES(2);

SET IDENTITY_INSERT "ROOT"."hx_car_location_log" ON;
INSERT INTO "ROOT"."hx_car_location_log"("id","card_number","distance","low_voltage","read_id","read_name","north_angle","car_abscissa","car_ordinate","car_id","driver_name","driver_phone","status","create_time") VALUES(8,'0000090759',80,0,254,'254号读卡器',0,'49.969116','59.233448','皖A 12345','小王','13166778765','0','2022-02-18 13:25:35');

SET IDENTITY_INSERT "ROOT"."hx_car_location_log" OFF;
INSERT INTO "ROOT"."hx_car_location_map"("pic","x_pixel","y_pixel","scale") VALUES('http://localhost/api/813e6d0c40c94010995f6a88f8902f85.png',1380,793,1);

SET IDENTITY_INSERT "ROOT"."hx_car_log_config" ON;
SET IDENTITY_INSERT "ROOT"."hx_car_log_config" OFF;
SET IDENTITY_INSERT "ROOT"."hx_car_use" ON;
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(1,'2021-01-01','汽车1','运输','仓库1','使用中',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(2,'2021-01-01','汽车2','运输','仓库2','使用中',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(3,'2021-01-01','汽车3','运输','仓库3','闲置',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(4,'2021-01-01','汽车4','运输','仓库4','使用中',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(5,'2021-01-01','汽车5','运输','仓库5','故障',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(6,'2021-01-01','汽车6','运输','仓库6','使用中',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(7,'2021-01-01','汽车7','运输','仓库7','故障',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(8,'2021-01-01','汽车8','运输','仓库8','使用中',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(9,'2021-12-20','汽车1','运输','仓库1','使用中',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(10,'2021-12-20','汽车2','运输','仓库2','使用中',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(11,'2021-12-20','汽车3','运输','仓库3','闲置',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(12,'2021-12-20','汽车4','运输','仓库4','使用中',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(13,'2021-12-20','汽车5','运输','仓库5','故障',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(14,'2021-12-20','汽车6','运输','仓库6','使用中',null);
INSERT INTO "ROOT"."hx_car_use"("id","today_date","car_name","work_content","now_address","car_status","remark") VALUES(17,'2021-12-20','汽车7','运输','仓库7','使用中','这是备注');

SET IDENTITY_INSERT "ROOT"."hx_car_use" OFF;
SET IDENTITY_INSERT "ROOT"."hx_charge_deliver" ON;
INSERT INTO "ROOT"."hx_charge_deliver"("id","month","big_charge","medium_charge","small_charge","target_charge","real_deliver","target_deliver") VALUES(1,'2021-12','100','100','100','400','200','220');
INSERT INTO "ROOT"."hx_charge_deliver"("id","month","big_charge","medium_charge","small_charge","target_charge","real_deliver","target_deliver") VALUES(2,'2022-01','100','100','100','400','200','220');

SET IDENTITY_INSERT "ROOT"."hx_charge_deliver" OFF;
SET IDENTITY_INSERT "ROOT"."hx_charge_job_content" ON;
INSERT INTO "ROOT"."hx_charge_job_content"("id","number_no","weighing","blend","pouring","delay_time","reverse_bus","remark","create_time") VALUES(1,'20211220','100','101','102','103','104',null,'2021-12-20 20:15:22');
INSERT INTO "ROOT"."hx_charge_job_content"("id","number_no","weighing","blend","pouring","delay_time","reverse_bus","remark","create_time") VALUES(2,'20211221','101','102','103','104','105',null,'2021-12-20 20:15:22');
INSERT INTO "ROOT"."hx_charge_job_content"("id","number_no","weighing","blend","pouring","delay_time","reverse_bus","remark","create_time") VALUES(3,'20211222','102','103','104','105','106',null,'2021-12-20 20:15:22');
INSERT INTO "ROOT"."hx_charge_job_content"("id","number_no","weighing","blend","pouring","delay_time","reverse_bus","remark","create_time") VALUES(4,'20211223','103','104','105','106','107',null,'2021-12-20 20:15:22');
INSERT INTO "ROOT"."hx_charge_job_content"("id","number_no","weighing","blend","pouring","delay_time","reverse_bus","remark","create_time") VALUES(5,'20211224','104','105','106','107','108',null,'2021-12-20 20:15:22');
INSERT INTO "ROOT"."hx_charge_job_content"("id","number_no","weighing","blend","pouring","delay_time","reverse_bus","remark","create_time") VALUES(6,'20211225','105','106','107','108','109',null,'2021-12-20 20:15:22');
INSERT INTO "ROOT"."hx_charge_job_content"("id","number_no","weighing","blend","pouring","delay_time","reverse_bus","remark","create_time") VALUES(7,'20211226','106','107','108','109','110',null,'2021-12-20 20:15:22');
INSERT INTO "ROOT"."hx_charge_job_content"("id","number_no","weighing","blend","pouring","delay_time","reverse_bus","remark","create_time") VALUES(8,'20211227','107','108','109','110','111',null,'2021-12-22 17:06:22');

SET IDENTITY_INSERT "ROOT"."hx_charge_job_content" OFF;
SET IDENTITY_INSERT "ROOT"."hx_charge_quantity" ON;
INSERT INTO "ROOT"."hx_charge_quantity"("id","actual_quantity","target_quantity","forecast_quantity","month","target_completion_rate","create_time") VALUES(1,'80','100','90','2021-01','80','2021-12-06 14:25:22');
INSERT INTO "ROOT"."hx_charge_quantity"("id","actual_quantity","target_quantity","forecast_quantity","month","target_completion_rate","create_time") VALUES(2,'80','95','90','2021-02','84','2021-12-06 14:32:10');
INSERT INTO "ROOT"."hx_charge_quantity"("id","actual_quantity","target_quantity","forecast_quantity","month","target_completion_rate","create_time") VALUES(3,'80','95','90','2021-03','84','2021-12-06 14:33:52');
INSERT INTO "ROOT"."hx_charge_quantity"("id","actual_quantity","target_quantity","forecast_quantity","month","target_completion_rate","create_time") VALUES(12,'83','123','90','2021-05','67','2021-12-06 15:11:48');
INSERT INTO "ROOT"."hx_charge_quantity"("id","actual_quantity","target_quantity","forecast_quantity","month","target_completion_rate","create_time") VALUES(13,'83','125','90','2021-06','66','2021-12-06 15:12:24');
INSERT INTO "ROOT"."hx_charge_quantity"("id","actual_quantity","target_quantity","forecast_quantity","month","target_completion_rate","create_time") VALUES(14,'80','125','90','2021-07','64.0','2021-12-06 15:13:24');
INSERT INTO "ROOT"."hx_charge_quantity"("id","actual_quantity","target_quantity","forecast_quantity","month","target_completion_rate","create_time") VALUES(17,'79','125','90','2021-08','63','2021-12-06 15:22:37');
INSERT INTO "ROOT"."hx_charge_quantity"("id","actual_quantity","target_quantity","forecast_quantity","month","target_completion_rate","create_time") VALUES(18,'79','80','90','2021-09','99','2021-12-06 15:22:53');
INSERT INTO "ROOT"."hx_charge_quantity"("id","actual_quantity","target_quantity","forecast_quantity","month","target_completion_rate","create_time") VALUES(19,'100','200','200','2023','50','2021-12-15 17:00:20');
INSERT INTO "ROOT"."hx_charge_quantity"("id","actual_quantity","target_quantity","forecast_quantity","month","target_completion_rate","create_time") VALUES(20,'50','100','200','2022','50','2021-12-15 17:01:01');
INSERT INTO "ROOT"."hx_charge_quantity"("id","actual_quantity","target_quantity","forecast_quantity","month","target_completion_rate","create_time") VALUES(21,'500','1000','2000','2021-08','50','2021-12-15 17:03:13');

SET IDENTITY_INSERT "ROOT"."hx_charge_quantity" OFF;
SET IDENTITY_INSERT "ROOT"."hx_civil_contract" ON;
INSERT INTO "ROOT"."hx_civil_contract"("id","contract_date","industry_category","contract_no","contract_amount","plan_quantity","real_quantity","remark") VALUES(14,'2021-02-01','其他','HT001','50','100','30','备注');
INSERT INTO "ROOT"."hx_civil_contract"("id","contract_date","industry_category","contract_no","contract_amount","plan_quantity","real_quantity","remark") VALUES(15,'2021-01-01','隔热','HT002','50','100','40','备注');
INSERT INTO "ROOT"."hx_civil_contract"("id","contract_date","industry_category","contract_no","contract_amount","plan_quantity","real_quantity","remark") VALUES(16,'2021-02-01','稀土','HT003','50','100','50','备注');
INSERT INTO "ROOT"."hx_civil_contract"("id","contract_date","industry_category","contract_no","contract_amount","plan_quantity","real_quantity","remark") VALUES(17,'2022-01-01','稀土','HT004','5000','100','60','备注');
INSERT INTO "ROOT"."hx_civil_contract"("id","contract_date","industry_category","contract_no","contract_amount","plan_quantity","real_quantity","remark") VALUES(18,'2022-01-01','隔热','HT005','50','100','20','备注');

SET IDENTITY_INSERT "ROOT"."hx_civil_contract" OFF;
SET IDENTITY_INSERT "ROOT"."hx_civil_income" ON;
INSERT INTO "ROOT"."hx_civil_income"("id","month","dept_name","forecast_income","real_income") VALUES(1,'2021-12','部门一','100','80');
INSERT INTO "ROOT"."hx_civil_income"("id","month","dept_name","forecast_income","real_income") VALUES(2,'2021-12','部门二','100','70');
INSERT INTO "ROOT"."hx_civil_income"("id","month","dept_name","forecast_income","real_income") VALUES(3,'2021-12','部门三','100','90');
INSERT INTO "ROOT"."hx_civil_income"("id","month","dept_name","forecast_income","real_income") VALUES(4,'2021-12','部门四','100','60');
INSERT INTO "ROOT"."hx_civil_income"("id","month","dept_name","forecast_income","real_income") VALUES(5,'2021-12','部门五','99','98');
INSERT INTO "ROOT"."hx_civil_income"("id","month","dept_name","forecast_income","real_income") VALUES(6,'2022-05','部门一','30','31');

SET IDENTITY_INSERT "ROOT"."hx_civil_income" OFF;
SET IDENTITY_INSERT "ROOT"."hx_comprehensive_plan" ON;
INSERT INTO "ROOT"."hx_comprehensive_plan"("id","month","dept_name","comprehensive_plan_total","comprehensive_plan_completed","performance_plan_total","performance_plan_completed") VALUES(12,'2022-08','单位1','2','1','2','1');
INSERT INTO "ROOT"."hx_comprehensive_plan"("id","month","dept_name","comprehensive_plan_total","comprehensive_plan_completed","performance_plan_total","performance_plan_completed") VALUES(13,'2022-08','单位2','3','1','3','2');

SET IDENTITY_INSERT "ROOT"."hx_comprehensive_plan" OFF;
SET IDENTITY_INSERT "ROOT"."hx_cost_analysis" ON;
INSERT INTO "ROOT"."hx_cost_analysis"("id","month","product_model","budget_implementation_rate","tooling_cost","raw_material_cost","total_cost") VALUES(1,'2021-01','型号一','80','100','200','1000');
INSERT INTO "ROOT"."hx_cost_analysis"("id","month","product_model","budget_implementation_rate","tooling_cost","raw_material_cost","total_cost") VALUES(2,'2021-02','型号一','90','100','200','1000');
INSERT INTO "ROOT"."hx_cost_analysis"("id","month","product_model","budget_implementation_rate","tooling_cost","raw_material_cost","total_cost") VALUES(3,'2021-03','型号一','80','100','200','1000');
INSERT INTO "ROOT"."hx_cost_analysis"("id","month","product_model","budget_implementation_rate","tooling_cost","raw_material_cost","total_cost") VALUES(4,'2021-04','型号一','90','100','200','1000');
INSERT INTO "ROOT"."hx_cost_analysis"("id","month","product_model","budget_implementation_rate","tooling_cost","raw_material_cost","total_cost") VALUES(5,'2021-05','型号一','100','100','200','1000');
INSERT INTO "ROOT"."hx_cost_analysis"("id","month","product_model","budget_implementation_rate","tooling_cost","raw_material_cost","total_cost") VALUES(6,'2021-06','型号一','95','100','200','1000');
INSERT INTO "ROOT"."hx_cost_analysis"("id","month","product_model","budget_implementation_rate","tooling_cost","raw_material_cost","total_cost") VALUES(7,'2021-07','型号一','85','90','95','1001');

SET IDENTITY_INSERT "ROOT"."hx_cost_analysis" OFF;
SET IDENTITY_INSERT "ROOT"."hx_dangerous_place" ON;
INSERT INTO "ROOT"."hx_dangerous_place"("id","place_name","place_type","init_total","now_total","remark") VALUES(1,'大门','三人以上','7','2','没有备注');
INSERT INTO "ROOT"."hx_dangerous_place"("id","place_name","place_type","init_total","now_total","remark") VALUES(2,'中门','十人以上','15','13','111');
INSERT INTO "ROOT"."hx_dangerous_place"("id","place_name","place_type","init_total","now_total","remark") VALUES(3,'南门','十人以上','13','13','222');
INSERT INTO "ROOT"."hx_dangerous_place"("id","place_name","place_type","init_total","now_total","remark") VALUES(4,'北门','三人以上','0','8','备注');
INSERT INTO "ROOT"."hx_dangerous_place"("id","place_name","place_type","init_total","now_total","remark") VALUES(5,'北门2','三人以上','1','8','备注');

SET IDENTITY_INSERT "ROOT"."hx_dangerous_place" OFF;
SET IDENTITY_INSERT "ROOT"."hx_dangerous_point" ON;
INSERT INTO "ROOT"."hx_dangerous_point"("id","point_name","dept_name","level","status","rtmp_address","remark","create_time","abscissa","ordinate") VALUES(7,'危险点1001','制造一部','Ⅰ级','未开始',null,null,'2022-05-16 10:46:03','30','50');
INSERT INTO "ROOT"."hx_dangerous_point"("id","point_name","dept_name","level","status","rtmp_address","remark","create_time","abscissa","ordinate") VALUES(8,'危险点1002','制造二部','Ⅱ级','运行中',null,null,'2022-05-16 10:46:03','40','50');
INSERT INTO "ROOT"."hx_dangerous_point"("id","point_name","dept_name","level","status","rtmp_address","remark","create_time","abscissa","ordinate") VALUES(9,'危险点1003','制造三部','Ⅲ级','运行中',null,null,'2022-05-16 10:46:03','','60');
INSERT INTO "ROOT"."hx_dangerous_point"("id","point_name","dept_name","level","status","rtmp_address","remark","create_time","abscissa","ordinate") VALUES(10,'一号危险点test1','A部','Ⅰ级','进行中',null,null,'2022-05-17 11:27:41','20','80');
INSERT INTO "ROOT"."hx_dangerous_point"("id","point_name","dept_name","level","status","rtmp_address","remark","create_time","abscissa","ordinate") VALUES(11,'二号危险点test2','B部','Ⅱ级','进行中',null,null,'2022-05-17 11:27:41','30','60');

SET IDENTITY_INSERT "ROOT"."hx_dangerous_point" OFF;
SET IDENTITY_INSERT "ROOT"."hx_dangerous_source" ON;
INSERT INTO "ROOT"."hx_dangerous_source"("id","source_name","dept_name","level","status","rtmp_address","remark","create_time") VALUES(1,'3号厨房','it部门','三级','已停止',null,'么可以','2021-12-08 16:40:51');
INSERT INTO "ROOT"."hx_dangerous_source"("id","source_name","dept_name","level","status","rtmp_address","remark","create_time") VALUES(2,'4号厨房','部门一','二级','未开始',null,null,null);
INSERT INTO "ROOT"."hx_dangerous_source"("id","source_name","dept_name","level","status","rtmp_address","remark","create_time") VALUES(3,'1号厨房','部门二','二级','未开始',null,null,null);
INSERT INTO "ROOT"."hx_dangerous_source"("id","source_name","dept_name","level","status","rtmp_address","remark","create_time") VALUES(4,'2号厨房','部门一','一级','未开始',null,null,null);
INSERT INTO "ROOT"."hx_dangerous_source"("id","source_name","dept_name","level","status","rtmp_address","remark","create_time") VALUES(5,'2号厨房','部门三','四级','未开始',null,null,null);
INSERT INTO "ROOT"."hx_dangerous_source"("id","source_name","dept_name","level","status","rtmp_address","remark","create_time") VALUES(6,'一号危险源test1','部门1','一级','未开始',null,null,'2022-05-17 13:16:44');
INSERT INTO "ROOT"."hx_dangerous_source"("id","source_name","dept_name","level","status","rtmp_address","remark","create_time") VALUES(7,'二号危险源test2','部门2','二级','未开始',null,null,'2022-05-17 13:16:44');

SET IDENTITY_INSERT "ROOT"."hx_dangerous_source" OFF;
SET IDENTITY_INSERT "ROOT"."hx_dangerous_work" ON;
INSERT INTO "ROOT"."hx_dangerous_work"("id","start_date","end_date","dept_name","work_address","worker_total","work_content","remark","create_time") VALUES(1,'2022-07-25','2022-07-31','二车间','大厅','10','xxxx作业',null,'2022-03-03 14:30:20');
INSERT INTO "ROOT"."hx_dangerous_work"("id","start_date","end_date","dept_name","work_address","worker_total","work_content","remark","create_time") VALUES(2,'2022-06-20','2022-06-25','二车间','大厅','10','xxxx作业',null,'2022-03-03 14:31:06');

SET IDENTITY_INSERT "ROOT"."hx_dangerous_work" OFF;
SET IDENTITY_INSERT "ROOT"."hx_dept_operate_index" ON;
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(1,'2021-01','部门1','200','201','202','203','204','205','206','207','208','209','210','211','212','213','214','215');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(2,'2021-02','部门2','201','202','203','204','205','206','207','208','209','210','211','212','213','214','215','216');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(3,'2021-03','部门3','202','203','204','205','206','207','208','209','210','211','212','213','214','215','216','217');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(4,'2021-04','部门4','203','204','205','206','207','208','209','210','211','212','213','214','215','216','217','218');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(5,'2021-05','部门5','204','205','206','207','208','209','210','211','212','213','214','215','216','217','218','219');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(6,'2021-06','部门6','205','206','207','208','209','210','211','212','213','214','215','216','217','218','219','220');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(7,'2021-07','部门7','206','207','208','209','210','211','212','213','214','215','216','217','218','219','220','221');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(8,'2021-08','部门8','207','208','209','210','211','212','213','214','215','216','217','218','219','220','221','222');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(9,'2021-09','部门9','208','209','210','211','212','213','214','215','216','217','218','219','220','221','222','223');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(10,'2021-10','部门10','209','210','211','212','213','214','215','216','217','218','219','220','221','222','223','224');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(11,'2021-11','部门11','210','211','212','213','214','215','216','217','218','219','220','221','222','223','224','225');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(12,'2021-12','部门12','211','212','213','214','215','216','217','218','219','220','221','222','223','224','225','226');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(14,'2022-01','部门12','2','2','2','2','2','2','2','2','2','2','2','2','2','2','2','2');
INSERT INTO "ROOT"."hx_dept_operate_index"("id","month","dept_name","real_income","target_income","forecast_income","real_profit","target_profit","forecast_profit","real_eva","target_eva","forecast_eva","real_finish_product","target_finish_product","forecast_finish_product","real_collection","target_collection","forecast_collection","income_speed") VALUES(15,'2021-07',null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null,null);

SET IDENTITY_INSERT "ROOT"."hx_dept_operate_index" OFF;
SET IDENTITY_INSERT "ROOT"."hx_dict" ON;
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(1,'部门',0,'2021-12-06 11:21:20');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(2,'部门一',1,'2021-12-06 11:21:56');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(3,'部门二',1,'2021-12-06 11:29:26');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(11,'危险源等级',0,'2021-12-06 15:27:56');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(12,'部门三',1,'2021-12-09 09:19:17');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(13,'部门四',1,'2021-12-09 09:19:22');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(14,'部门五',1,'2021-12-09 09:19:29');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(15,'部门六',1,'2021-12-09 09:19:40');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(16,'部门七',1,'2021-12-09 09:19:45');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(17,'一级',11,'2021-12-09 09:19:58');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(18,'二级',11,'2021-12-09 09:20:02');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(19,'三级',11,'2021-12-09 09:20:06');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(20,'四级',11,'2021-12-09 09:20:12');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(21,'危险点等级',0,'2021-12-09 09:22:55');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(22,'Ⅰ级',21,'2021-12-09 09:23:09');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(23,'Ⅱ级',21,'2021-12-09 09:23:13');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(24,'Ⅲ级',21,'2021-12-09 09:23:19');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(25,'安全隐患整改',0,'2021-12-09 12:53:02');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(26,'已整改',25,'2021-12-09 12:53:25');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(27,'未整改',25,'2021-12-09 12:53:36');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(28,'安全隐患类别',0,'2021-12-09 12:54:00');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(29,'一类',28,'2021-12-09 12:54:08');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(30,'二类',28,'2021-12-09 12:54:19');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(31,'三类',28,'2021-12-09 12:54:33');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(32,'危险作业场所等级',0,'2021-12-09 16:03:53');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(33,'三人以上',32,'2021-12-09 16:04:02');
INSERT INTO "ROOT"."hx_dict"("id","name","parent_id","create_time") VALUES(34,'十人以上',32,'2021-12-09 16:04:09');

SET IDENTITY_INSERT "ROOT"."hx_dict" OFF;
SET IDENTITY_INSERT "ROOT"."hx_dispatch_meeting" ON;
INSERT INTO "ROOT"."hx_dispatch_meeting"("id","job_content","meeting_name","check_leader","responsible_unit","complete_status","work_progress") VALUES(1,'工作内容1','会议名称1','领导1','责任单位1','是','已完成');
INSERT INTO "ROOT"."hx_dispatch_meeting"("id","job_content","meeting_name","check_leader","responsible_unit","complete_status","work_progress") VALUES(2,'工作内容2','会议名称2','领导2','责任单位2','是','已完成');
INSERT INTO "ROOT"."hx_dispatch_meeting"("id","job_content","meeting_name","check_leader","responsible_unit","complete_status","work_progress") VALUES(3,'工作内容3','会议名称3','领导3','责任单位3','是','已完成');
INSERT INTO "ROOT"."hx_dispatch_meeting"("id","job_content","meeting_name","check_leader","responsible_unit","complete_status","work_progress") VALUES(4,'工作内容4','会议名称4','领导4','责任单位4','否','进行中');
INSERT INTO "ROOT"."hx_dispatch_meeting"("id","job_content","meeting_name","check_leader","responsible_unit","complete_status","work_progress") VALUES(5,'工作内容5','会议名称5','领导5','责任单位5','是','已完成');
INSERT INTO "ROOT"."hx_dispatch_meeting"("id","job_content","meeting_name","check_leader","responsible_unit","complete_status","work_progress") VALUES(6,'工作内容6','会议名称6','领导6','责任单位6','是','已完成');
INSERT INTO "ROOT"."hx_dispatch_meeting"("id","job_content","meeting_name","check_leader","responsible_unit","complete_status","work_progress") VALUES(7,'工作内容7','会议名称7','领导7','责任单位7','否','进行中');
INSERT INTO "ROOT"."hx_dispatch_meeting"("id","job_content","meeting_name","check_leader","responsible_unit","complete_status","work_progress") VALUES(8,'工作内容8','会议名称8','领导8','责任单位8','是',null);
INSERT INTO "ROOT"."hx_dispatch_meeting"("id","job_content","meeting_name","check_leader","responsible_unit","complete_status","work_progress") VALUES(9,'工作内容9','会议名称9','领导9','责任单位9','否','已完成');

SET IDENTITY_INSERT "ROOT"."hx_dispatch_meeting" OFF;
SET IDENTITY_INSERT "ROOT"."hx_ester_production" ON;
INSERT INTO "ROOT"."hx_ester_production"("id","job_content","drive_date","forecast_end_date","ester_production","clean_status","remark") VALUES(1,'2021年第30轮生产','2021-12-01','2021-12-30','800','正常',null);
INSERT INTO "ROOT"."hx_ester_production"("id","job_content","drive_date","forecast_end_date","ester_production","clean_status","remark") VALUES(2,'2021年第29轮生产','2021-11-01','2021-11-30','800','正常',null);
INSERT INTO "ROOT"."hx_ester_production"("id","job_content","drive_date","forecast_end_date","ester_production","clean_status","remark") VALUES(3,'2021年第31轮生产','2021-12-01','2021-12-31','1000','正常',null);

SET IDENTITY_INSERT "ROOT"."hx_ester_production" OFF;
SET IDENTITY_INSERT "ROOT"."hx_factory_operate_index" ON;
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(1,'2021-01','50','200','51','201','52','202','53','203','54','204','55');
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(2,'2021-02',null,'201',null,'202',null,'203',null,'204',null,'205',null);
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(3,'2021-03','100','100','100','100','100','99','100','99','100','99','100');
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(4,'2021-04',null,'203',null,'204',null,'205',null,'206',null,'207',null);
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(5,'2021-05',null,'204',null,'205',null,'206',null,'207',null,'208',null);
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(6,'2021-06',null,'205',null,'206',null,'207',null,'208',null,'209',null);
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(7,'2021-07',null,'206',null,'207',null,'208',null,'209',null,'210',null);
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(8,'2021-08',null,'207',null,'208',null,'209',null,'210',null,'211',null);
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(9,'2021-09',null,'208',null,'209',null,'210',null,'211',null,'212',null);
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(10,'2021-10',null,'209',null,'210',null,'211',null,'212',null,'213',null);
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(11,'2021-11',null,'210',null,'211',null,'212',null,'213',null,'214',null);
INSERT INTO "ROOT"."hx_factory_operate_index"("id","month","real_income","target_income","real_profit","target_profit","real_eva","target_eva","real_finish_product","target_finish_product","real_collection","target_collection","budget_implement_rate") VALUES(12,'2021-12','30','211','30','212','30','213','30','214','30','215','30');

SET IDENTITY_INSERT "ROOT"."hx_factory_operate_index" OFF;
SET IDENTITY_INSERT "ROOT"."hx_factory_resources" ON;
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(1,'2021-01-01','200','100','50','100','50','60','100','60','90',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(2,'2021-01-02','201','101','51','101','50','61','101','60','91',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(3,'2021-01-03','202','102','52','102','51','62','102','61','92',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(4,'2021-01-04','203','103','53','103','51','63','103','61','93',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(5,'2021-01-05','204','104','54','104','52','64','104','62','94',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(6,'2021-01-06','205','105','55','105','52','65','105','62','95',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(7,'2021-01-07','206','106','56','106','53','66','106','62','96',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(8,'2021-01-08','207','107','57','107','53','67','107','63','97',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(9,'2021-01-09','208','108','58','108','54','68','108','63','98',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(10,'2021-01-10','209','109','59','109','54','69','109','63','99',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(11,'2021-01-11','210','110','60','110','55.000000000000','70','110','64','100',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(12,'2021-01-12','211','111','61','111','55.000000000000','71','111','64','101',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(13,'2021-01-13','212','112','62','112','55.000000000000','72','112','64','102',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(14,'2021-01-14','213','113','63','113','56.000000000000','73','113','65','103',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(15,'2021-12-27','214','114','64','114','56.000000000000','74','114','65','104',null);
INSERT INTO "ROOT"."hx_factory_resources"("id","today_date","workshop_total","working_workshop_total","real_attendance","attendance_total","attendance_rate","equipment_run_total","equipment_total","equipment_run_rate","video_collection_rate","remark") VALUES(16,'2021-12-28','100','10','20','100','20','30','100','30','40','这是备注。。。。。');

SET IDENTITY_INSERT "ROOT"."hx_factory_resources" OFF;
SET IDENTITY_INSERT "ROOT"."hx_general_plant_conditions" ON;
INSERT INTO "ROOT"."hx_general_plant_conditions"("id","month","target_income","real_income","target_profit","real_profit","new_contract_amount") VALUES(12,'2022-01','1000','2000','3000','4000','5000');

SET IDENTITY_INSERT "ROOT"."hx_general_plant_conditions" OFF;
SET IDENTITY_INSERT "ROOT"."hx_hidden_danger" ON;
INSERT INTO "ROOT"."hx_hidden_danger"("id","check_date","address","exist_problem","category","update_suggest","temp_update_method","responsible_unit","responsible_person","suggest_complete_time","create_time") VALUES(1,'20220304','车间','卫生不达标','一类','打扫卫生','洒水','三车间','刘武','20220304','2022-03-04 12:01:42');
INSERT INTO "ROOT"."hx_hidden_danger"("id","check_date","address","exist_problem","category","update_suggest","temp_update_method","responsible_unit","responsible_person","suggest_complete_time","create_time") VALUES(2,'20220305','大门','门锁丢失','二类','更换新锁','更换','二车间','孙辈','20220305','2022-03-04 12:01:42');
INSERT INTO "ROOT"."hx_hidden_danger"("id","check_date","address","exist_problem","category","update_suggest","temp_update_method","responsible_unit","responsible_person","suggest_complete_time","create_time") VALUES(3,'20220306','仓库','灭火器失效','三类','更换新灭火器','更换','一车间','孙晓','20220306','2022-03-04 12:01:42');
INSERT INTO "ROOT"."hx_hidden_danger"("id","check_date","address","exist_problem","category","update_suggest","temp_update_method","responsible_unit","responsible_person","suggest_complete_time","create_time") VALUES(4,'2022-05-16','大门','门锁故障','一级','换锁','修正','物业科','xxx','2022-05-20','2022-05-16 13:06:49');

SET IDENTITY_INSERT "ROOT"."hx_hidden_danger" OFF;
SET IDENTITY_INSERT "ROOT"."hx_industrial_projects" ON;
INSERT INTO "ROOT"."hx_industrial_projects"("id","project_name","dept_name","director","completed_status") VALUES(1,'项目1','部门一','张少','已完成');
INSERT INTO "ROOT"."hx_industrial_projects"("id","project_name","dept_name","director","completed_status") VALUES(2,'项目2','部门一','张少','进行中');
INSERT INTO "ROOT"."hx_industrial_projects"("id","project_name","dept_name","director","completed_status") VALUES(3,'项目3','部门一','张少','进行中');
INSERT INTO "ROOT"."hx_industrial_projects"("id","project_name","dept_name","director","completed_status") VALUES(4,'项目4','部门一','张少','已完成');
INSERT INTO "ROOT"."hx_industrial_projects"("id","project_name","dept_name","director","completed_status") VALUES(5,'项目5','部门一','张少','进行中');
INSERT INTO "ROOT"."hx_industrial_projects"("id","project_name","dept_name","director","completed_status") VALUES(6,'项目6','部门一','张少','未开展');
INSERT INTO "ROOT"."hx_industrial_projects"("id","project_name","dept_name","director","completed_status") VALUES(7,'项目7','部门一','张少','已完成');
INSERT INTO "ROOT"."hx_industrial_projects"("id","project_name","dept_name","director","completed_status") VALUES(8,'项目8','部门一','张少','已完成');
INSERT INTO "ROOT"."hx_industrial_projects"("id","project_name","dept_name","director","completed_status") VALUES(9,'项目9','部门一','张少','已完成');
INSERT INTO "ROOT"."hx_industrial_projects"("id","project_name","dept_name","director","completed_status") VALUES(10,'项目10','部门一','张少','已完成');
INSERT INTO "ROOT"."hx_industrial_projects"("id","project_name","dept_name","director","completed_status") VALUES(11,'项目11','部门一','张三','进行中');

SET IDENTITY_INSERT "ROOT"."hx_industrial_projects" OFF;
INSERT INTO "ROOT"."hx_information_index"("information_invested","information_target_investe","already_network_operation","target_network_operation","already_device_access","target_device_access","already_business_coverage","target_business_coverage","big_pic") VALUES('3380','1200','80','100','80','100','100','100','http://localhost/api/318d3507153a448a85b143af89665650.png');

SET IDENTITY_INSERT "ROOT"."hx_information_publicity" ON;
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(1,'部门1',null,null);
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(2,'部门1','内容1','2021-01-01');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(3,'部门2','内容2','2021-01-02');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(4,'部门3','内容3','2021-01-03');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(5,'部门4','内容4','2021-01-04');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(6,'部门5','内容5','2021-01-05');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(7,'部门6','内容6','2021-01-06');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(8,'部门7','内容7','2021-01-07');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(9,'部门8','内容8','2021-01-08');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(10,'部门9','内容9','2021-01-09');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(11,'部门10','内容10','2021-01-10');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(12,'部门11','内容11','2021-01-11');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(13,'部门1','内容1','2022-01-01');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(14,'部门2','内容2','2022-01-02');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(15,'部门3','内容3','2022-01-03');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(16,'部门4','内容4','2022-01-04');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(17,'部门5','内容5','2022-01-05');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(18,'部门6','内容6','2022-01-06');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(19,'部门7','内容7','2022-01-07');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(20,'部门8','内容8','2022-01-08');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(21,'部门9','内容9','2022-01-09');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(22,'部门10','内容10','2022-01-10');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(23,'部门1','内容内容内容内容内容内容内容内容内容内容内容内容内容内容内容1','2022-01-01');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(24,'部门2','内容内容内容内容内容内容内容内容内容内容内容内容内容内容内容2','2022-01-02');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(25,'部门3','内容内容内容内容内容内容内容内容内容内容内容内容内容内容内容3','2022-01-03');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(26,'部门4','内容内容内容内容内容内容内容内容内容内容内容内容内容内容内容4','2022-01-04');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(27,'部门5','内容内容内容内容内容内容内容内容内容内容内容内容内容内容内容5','2022-01-05');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(28,'部门6','内容内容内容内容内容内容内容内容内容内容内容内容内容内容内容6','2022-01-06');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(29,'部门7','内容内容内容内容内容内容内容内容内容内容内容内容内容内容内容7','2022-01-07');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(30,'部门8','内容内容内容内容内容内容内容内容内容内容内容内容内容内容内容8','2022-01-08');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(31,'部门9','内容内容内容内容内容内容内容内容内容内容内容内容内容内容内容9','2022-01-09');
INSERT INTO "ROOT"."hx_information_publicity"("id","dept_name","publicity_content","today_date") VALUES(32,'部门10','内容内容内容内容内容内容内容内容内容内容内容内容内容内容内容10','2022-01-10');

SET IDENTITY_INSERT "ROOT"."hx_information_publicity" OFF;
SET IDENTITY_INSERT "ROOT"."hx_job_details" ON;
INSERT INTO "ROOT"."hx_job_details"("id","work_home","workshop","product","procedure","danger_level") VALUES(1,'工房一','车间一','产品1','工序1','一级');
INSERT INTO "ROOT"."hx_job_details"("id","work_home","workshop","product","procedure","danger_level") VALUES(2,'工房一','车间一','产品2','工序2','二级');
INSERT INTO "ROOT"."hx_job_details"("id","work_home","workshop","product","procedure","danger_level") VALUES(3,'工房一','车间一','产品3','工序3','三级');
INSERT INTO "ROOT"."hx_job_details"("id","work_home","workshop","product","procedure","danger_level") VALUES(4,'工房二','车间二','产品2','工序2','二级');

SET IDENTITY_INSERT "ROOT"."hx_job_details" OFF;
SET IDENTITY_INSERT "ROOT"."hx_material_plan" ON;
INSERT INTO "ROOT"."hx_material_plan"("id","material_name","stock","start_purchase","purchase_number","create_time") VALUES(1,'钢管1','100','是','100','2021-12');
INSERT INTO "ROOT"."hx_material_plan"("id","material_name","stock","start_purchase","purchase_number","create_time") VALUES(2,'钢管2','101','是','101','2022-01');
INSERT INTO "ROOT"."hx_material_plan"("id","material_name","stock","start_purchase","purchase_number","create_time") VALUES(3,'钢管3','102','是','102','2022-02');
INSERT INTO "ROOT"."hx_material_plan"("id","material_name","stock","start_purchase","purchase_number","create_time") VALUES(4,'钢管4','103','否','103','2022-03');
INSERT INTO "ROOT"."hx_material_plan"("id","material_name","stock","start_purchase","purchase_number","create_time") VALUES(5,'钢管5','104','是','104','2022-04');
INSERT INTO "ROOT"."hx_material_plan"("id","material_name","stock","start_purchase","purchase_number","create_time") VALUES(6,'钢管6','105','是','105','2022-05');
INSERT INTO "ROOT"."hx_material_plan"("id","material_name","stock","start_purchase","purchase_number","create_time") VALUES(7,'钢管7','106','是','106','2022-06');
INSERT INTO "ROOT"."hx_material_plan"("id","material_name","stock","start_purchase","purchase_number","create_time") VALUES(8,'钢管8','107','是','107','2022-07');
INSERT INTO "ROOT"."hx_material_plan"("id","material_name","stock","start_purchase","purchase_number","create_time") VALUES(9,'钢管9','108','是','108','2022-08');

SET IDENTITY_INSERT "ROOT"."hx_material_plan" OFF;
SET IDENTITY_INSERT "ROOT"."hx_materials_accessories" ON;
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(21,null,'原材料','原材料1','100','200','300','400');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(22,null,'原材料','原材料2','200','300','400','500');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(23,null,'原材料','原材料3','300','400','500','600');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(24,null,'原材料','原材料4','400','500','600','700');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(25,null,'原材料','原材料5','500','600','700','800');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(26,null,'原材料','原材料6','600','700','800','900');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(27,null,'配套件','配套件1','700','800','900','1000');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(28,null,'配套件','配套件2','800','900','1000','1100');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(29,null,'配套件','配套件3','900','1000','1100','1200');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(30,null,'配套件','配套件4','1000','1100','1200','1300');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(31,null,'配套件','配套件5','1100','1200','1300','1400');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(32,null,'配套件','配套件6','1200','1300','1400','1500');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(33,null,'配套件','配套件7','1300','1400','1500','1600');
INSERT INTO "ROOT"."hx_materials_accessories"("id","today_date","category","name","existing","arrival","used","lack") VALUES(34,null,'原材料','原材料7','650','750','850','950');

SET IDENTITY_INSERT "ROOT"."hx_materials_accessories" OFF;
SET IDENTITY_INSERT "ROOT"."hx_milepost_and_bottleneck" ON;
INSERT INTO "ROOT"."hx_milepost_and_bottleneck"("id","project_name","job_content","progress","forecast_complete_time","target_complete_time","remark") VALUES(1,'项目1','内容1','已完成','2021-12-01','2021-12-02',null);
INSERT INTO "ROOT"."hx_milepost_and_bottleneck"("id","project_name","job_content","progress","forecast_complete_time","target_complete_time","remark") VALUES(2,'项目2','内容2','进行中','2021-12-02','2021-12-03',null);
INSERT INTO "ROOT"."hx_milepost_and_bottleneck"("id","project_name","job_content","progress","forecast_complete_time","target_complete_time","remark") VALUES(3,'项目3','内容3','未完成','2021-12-03','2021-12-04',null);
INSERT INTO "ROOT"."hx_milepost_and_bottleneck"("id","project_name","job_content","progress","forecast_complete_time","target_complete_time","remark") VALUES(4,'项目4','内容4','未完成','2021-12-04','2021-12-05',null);
INSERT INTO "ROOT"."hx_milepost_and_bottleneck"("id","project_name","job_content","progress","forecast_complete_time","target_complete_time","remark") VALUES(5,'项目5','内容5','已完成','2021-12-05','2021-12-06',null);
INSERT INTO "ROOT"."hx_milepost_and_bottleneck"("id","project_name","job_content","progress","forecast_complete_time","target_complete_time","remark") VALUES(6,'项目6','内容6','进行中','2021-12-06','2021-12-07',null);

SET IDENTITY_INSERT "ROOT"."hx_milepost_and_bottleneck" OFF;
SET IDENTITY_INSERT "ROOT"."hx_military_contract" ON;
INSERT INTO "ROOT"."hx_military_contract"("id","contract_name","plan_quantity","contract_amount","production_status","settlement_status","remark","contract_date") VALUES(1,'合同1','2000','1000','进行中','已结算',null,'2021-01-01');
INSERT INTO "ROOT"."hx_military_contract"("id","contract_name","plan_quantity","contract_amount","production_status","settlement_status","remark","contract_date") VALUES(2,'合同2','2001','1001','未开始','已结算',null,'2021-01-02');
INSERT INTO "ROOT"."hx_military_contract"("id","contract_name","plan_quantity","contract_amount","production_status","settlement_status","remark","contract_date") VALUES(3,'合同3','2002','1002','进行中','已结算',null,'2021-01-03');
INSERT INTO "ROOT"."hx_military_contract"("id","contract_name","plan_quantity","contract_amount","production_status","settlement_status","remark","contract_date") VALUES(4,'合同4','2003','1003','已完成','未结算',null,'2021-01-04');
INSERT INTO "ROOT"."hx_military_contract"("id","contract_name","plan_quantity","contract_amount","production_status","settlement_status","remark","contract_date") VALUES(5,'合同5','2004','1004','进行中','已结算',null,'2021-01-05');
INSERT INTO "ROOT"."hx_military_contract"("id","contract_name","plan_quantity","contract_amount","production_status","settlement_status","remark","contract_date") VALUES(6,'合同6','2005','1005','进行中','已结算',null,'2021-01-06');
INSERT INTO "ROOT"."hx_military_contract"("id","contract_name","plan_quantity","contract_amount","production_status","settlement_status","remark","contract_date") VALUES(7,'合同7','2006','1006','已完成','未结算',null,'2021-01-07');
INSERT INTO "ROOT"."hx_military_contract"("id","contract_name","plan_quantity","contract_amount","production_status","settlement_status","remark","contract_date") VALUES(8,'合同8','2007','1007','未开始','已结算',null,'2021-01-08');
INSERT INTO "ROOT"."hx_military_contract"("id","contract_name","plan_quantity","contract_amount","production_status","settlement_status","remark","contract_date") VALUES(9,'合同9','2008','1008','已完成','已结算',null,'2021-01-09');
INSERT INTO "ROOT"."hx_military_contract"("id","contract_name","plan_quantity","contract_amount","production_status","settlement_status","remark","contract_date") VALUES(10,'合同10','2009','1009','已完成','已结算',null,'2021-01-10');
INSERT INTO "ROOT"."hx_military_contract"("id","contract_name","plan_quantity","contract_amount","production_status","settlement_status","remark","contract_date") VALUES(11,'合同11','2010','1010','未完成','未结算','这是备注','2021-01-11');

SET IDENTITY_INSERT "ROOT"."hx_military_contract" OFF;
SET IDENTITY_INSERT "ROOT"."hx_military_general_factory" ON;
INSERT INTO "ROOT"."hx_military_general_factory"("id","month","product_model","target_income","real_income","income_speed","target_profit","real_profit","profit_speed") VALUES(1,'2021-01','型号1','100','90','1','50','30','2');
INSERT INTO "ROOT"."hx_military_general_factory"("id","month","product_model","target_income","real_income","income_speed","target_profit","real_profit","profit_speed") VALUES(2,'2021-01','型号2','101','91','2','51','31','3');
INSERT INTO "ROOT"."hx_military_general_factory"("id","month","product_model","target_income","real_income","income_speed","target_profit","real_profit","profit_speed") VALUES(3,'2021-01','型号3','102','92','3','52','32','4');
INSERT INTO "ROOT"."hx_military_general_factory"("id","month","product_model","target_income","real_income","income_speed","target_profit","real_profit","profit_speed") VALUES(4,'2021-01','型号4','103','93','4','53','33','5');

SET IDENTITY_INSERT "ROOT"."hx_military_general_factory" OFF;
SET IDENTITY_INSERT "ROOT"."hx_military_income" ON;
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(1,'2021-12','部门1','100','90');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(2,'2021-12','部门2','101','91');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(3,'2021-12','部门3','102','92');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(4,'2021-12','部门4','103','93');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(5,'2021-12','部门5','104','94');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(6,'2021-12','部门6','105','95');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(7,'2021-12','部门7','106','96');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(8,'2021-12','部门8','107','97');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(9,'2021-12','部门9','108','98');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(10,'2021-12','部门10','109','99');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(11,'2021-12','部门11','110','100');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(12,'2021-12','部门12','111','100');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(13,null,'部门13','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(14,null,'部门14','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(15,null,'部门15','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(16,null,'部门16','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(17,null,'部门17','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(18,null,'部门18','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(19,'2022-05','部门13','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(20,'2022-05','部门14','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(21,'2022-05','部门15','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(22,'2022-05','部门16','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(23,'2022-05','部门17','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(24,'2022-05','部门18','43','34');
INSERT INTO "ROOT"."hx_military_income"("id","month","dept_name","forecast_income","actual_income") VALUES(25,'2022-05','部门一','20','18');

SET IDENTITY_INSERT "ROOT"."hx_military_income" OFF;
SET IDENTITY_INSERT "ROOT"."hx_model_station" ON;
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(1,'2021-12-21 14:52:28','硫化','5','6','7','8');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(2,'2021-12-21 14:52:28','固化','6','7','8','9');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(3,'2021-12-21 14:52:28','硫化','7','8','9','10');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(4,'2021-12-21 14:52:28','固化','8','9','10','11');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(5,'2021-12-21 14:52:28','硫化','9','10','11','12');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(6,'2021-12-21 14:52:28','固化','10','11','12','13');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(7,'2021-12-21 15:01:40','硫化','5','6','7','8');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(8,'2021-12-21 15:01:40','固化','6','7','8','9');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(9,'2021-12-21 15:01:40','硫化','7','8','9','10');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(10,'2021-12-21 15:01:40','固化','8','9','10','11');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(11,'2021-12-21 15:01:40','硫化','9','10','11','12');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(12,'2021-12-21 15:01:40','固化','10','11','12','13');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(13,'2021-12-21 15:01:57','硫化','5','6','7','8');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(14,'2021-12-21 15:01:57','固化','6','7','8','9');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(15,'2021-12-21 15:01:57','硫化','7','8','9','10');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(16,'2021-12-21 15:01:57','固化','8','9','10','11');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(17,'2021-12-21 15:01:57','硫化','9','10','11','12');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(18,'2021-12-21 15:01:57','固化','10','11','12','13');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(19,'2021-12-23 13:55:07','固化','7','8','9','10');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(20,'2021-12-23 13:55:07','硫化','6','7','8','9');
INSERT INTO "ROOT"."hx_model_station"("id","create_time","station_name","rise_number","cooling_number","warm_number","free_number") VALUES(21,'2021-12-27 13:41:24','硫化2','5','5','5','5');

SET IDENTITY_INSERT "ROOT"."hx_model_station" OFF;
SET IDENTITY_INSERT "ROOT"."hx_model_year_plan" ON;
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(1,'2022','型号1','100','120','83','80','80','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(2,'2022','型号2','101','121','83','81','81','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(3,'2022','型号3','102','122','84','82','82','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(4,'2022','型号4','103','123','84','83','83','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(5,'2022','型号5','104','124','84','84','84','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(6,'2022','型号6','105','125','84','85','85','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(7,'2022','型号7','106','126','84','86','86','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(8,'2020','型号1','100','120','83','80','80','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(9,'2020','型号2','101','121','83','81','81','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(10,'2020','型号3','102','122','84','82','82','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(11,'2020','型号4','103','123','84','83','83','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(12,'2020','型号5','104','124','84','84','84','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(13,'2020','型号6','105','125','84','85','85','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(14,'2020','型号7','106','126','84','86','86','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(15,'2020','型号8','107','127','84','87','87','100');
INSERT INTO "ROOT"."hx_model_year_plan"("id","year","product_model","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate") VALUES(16,'2021','型号8','107','127','84','87','87','100');

SET IDENTITY_INSERT "ROOT"."hx_model_year_plan" OFF;
SET IDENTITY_INSERT "ROOT"."hx_month_dynamic" ON;
INSERT INTO "ROOT"."hx_month_dynamic"("id","month","income","expenditure","new_contract","safety_problem","quality_problem","create_time") VALUES(1,'2022-07','1000','200','80','1','5','2022-07-06 09:39:58');

SET IDENTITY_INSERT "ROOT"."hx_month_dynamic" OFF;
SET IDENTITY_INSERT "ROOT"."hx_month_factory_plan" ON;
INSERT INTO "ROOT"."hx_month_factory_plan"("id","month","real_insulate","target_insulate","real_charge","target_charge","real_assemble","target_assemble","bad_reason","insulate_rate","charge_rate","assemble_rate") VALUES(1,'2021-12','90','100','95','100','95','100',null,'90','95','95');
INSERT INTO "ROOT"."hx_month_factory_plan"("id","month","real_insulate","target_insulate","real_charge","target_charge","real_assemble","target_assemble","bad_reason","insulate_rate","charge_rate","assemble_rate") VALUES(2,'2022-01','91','101','96','101','96','101',null,'90','95','95');
INSERT INTO "ROOT"."hx_month_factory_plan"("id","month","real_insulate","target_insulate","real_charge","target_charge","real_assemble","target_assemble","bad_reason","insulate_rate","charge_rate","assemble_rate") VALUES(3,'2022-02','92','102','97','102','97','102',null,'90','95','95');
INSERT INTO "ROOT"."hx_month_factory_plan"("id","month","real_insulate","target_insulate","real_charge","target_charge","real_assemble","target_assemble","bad_reason","insulate_rate","charge_rate","assemble_rate") VALUES(4,'2022-03','93','103','98','103','98','103',null,'90','95','95');
INSERT INTO "ROOT"."hx_month_factory_plan"("id","month","real_insulate","target_insulate","real_charge","target_charge","real_assemble","target_assemble","bad_reason","insulate_rate","charge_rate","assemble_rate") VALUES(5,'2022-04','94','104','99','104','99','104',null,'90','95','95');
INSERT INTO "ROOT"."hx_month_factory_plan"("id","month","real_insulate","target_insulate","real_charge","target_charge","real_assemble","target_assemble","bad_reason","insulate_rate","charge_rate","assemble_rate") VALUES(6,'2022-05','95','105','100','105','100','105',null,'90','95','95');
INSERT INTO "ROOT"."hx_month_factory_plan"("id","month","real_insulate","target_insulate","real_charge","target_charge","real_assemble","target_assemble","bad_reason","insulate_rate","charge_rate","assemble_rate") VALUES(7,'2022-06','96','106','101','106','101','106',null,'91','95','95');
INSERT INTO "ROOT"."hx_month_factory_plan"("id","month","real_insulate","target_insulate","real_charge","target_charge","real_assemble","target_assemble","bad_reason","insulate_rate","charge_rate","assemble_rate") VALUES(8,'2022-07','97','107','102','107','102','107',null,'91','95','95');
INSERT INTO "ROOT"."hx_month_factory_plan"("id","month","real_insulate","target_insulate","real_charge","target_charge","real_assemble","target_assemble","bad_reason","insulate_rate","charge_rate","assemble_rate") VALUES(9,'2022-08','98','108','103','108','103','108',null,'91','95','95');
INSERT INTO "ROOT"."hx_month_factory_plan"("id","month","real_insulate","target_insulate","real_charge","target_charge","real_assemble","target_assemble","bad_reason","insulate_rate","charge_rate","assemble_rate") VALUES(10,'2022-09','99','109','104','109','104','109',null,'91','95','95');

SET IDENTITY_INSERT "ROOT"."hx_month_factory_plan" OFF;
SET IDENTITY_INSERT "ROOT"."hx_month_plan" ON;
INSERT INTO "ROOT"."hx_month_plan"("id","month","ascription","model","real_charge","target_charge","real_assemble","target_assemble","real_deliver","target_deliver","charge_rate","assemble_rate","deliver_rate") VALUES(1,'2022-08','厂计划','型号1','90','100','80','100','95','100','90','80','90');
INSERT INTO "ROOT"."hx_month_plan"("id","month","ascription","model","real_charge","target_charge","real_assemble","target_assemble","real_deliver","target_deliver","charge_rate","assemble_rate","deliver_rate") VALUES(2,'2022-08','六院计划','型号2','91','101','81','101','96','101','90','80','90');
INSERT INTO "ROOT"."hx_month_plan"("id","month","ascription","model","real_charge","target_charge","real_assemble","target_assemble","real_deliver","target_deliver","charge_rate","assemble_rate","deliver_rate") VALUES(3,'2022-08','六院计划','型号2','93','103','83','103','98','103','90','81','90');
INSERT INTO "ROOT"."hx_month_plan"("id","month","ascription","model","real_charge","target_charge","real_assemble","target_assemble","real_deliver","target_deliver","charge_rate","assemble_rate","deliver_rate") VALUES(4,'2022-08','厂计划','型号1','92','102','82','102','97','102','90','80','90');

SET IDENTITY_INSERT "ROOT"."hx_month_plan" OFF;
SET IDENTITY_INSERT "ROOT"."hx_plan_completed" ON;
INSERT INTO "ROOT"."hx_plan_completed"("id","today_date","plan_name","dept_name","completed") VALUES(17,'2022-06-01','内容1','开发部','已完成');
INSERT INTO "ROOT"."hx_plan_completed"("id","today_date","plan_name","dept_name","completed") VALUES(18,'2022-06-02','内容2','商务部','已完成');
INSERT INTO "ROOT"."hx_plan_completed"("id","today_date","plan_name","dept_name","completed") VALUES(19,'2022-06-01','内容3','人事部','未完成');
INSERT INTO "ROOT"."hx_plan_completed"("id","today_date","plan_name","dept_name","completed") VALUES(20,'2022-06-03','内容4','人事部','未完成');

SET IDENTITY_INSERT "ROOT"."hx_plan_completed" OFF;
SET IDENTITY_INSERT "ROOT"."hx_product_completion_overview" ON;
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(11,'型号九','50','50','100','2021-12','2021-12-15 15:55:08.949000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(12,'型号十','100','50','200','2021-12','2022-05-30 11:24:00.777000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(13,'型号1','100','100','100','2022-07','2023-01-29 13:47:32.407000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(14,'型号2','120','130','92','2022-08','2023-01-29 13:47:32.411000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(15,'型号3','140','160','88','2022-09','2023-01-29 13:47:32.414000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(16,'型号4','160','190','84','2022-10','2023-01-29 13:47:32.416000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(17,'型号5','180','220','82','2022-11','2023-01-29 13:47:32.417000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(18,'型号6','200','250','80','2022-12','2023-01-29 13:47:32.419000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(19,'型号7','220','280','79','2023-01','2023-01-29 13:47:32.420000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(20,'型号1','100','100','100','2022-01','2023-01-29 13:50:52.442000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(21,'型号2','120','130','92','2022-02','2023-01-29 13:50:52.444000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(22,'型号3','140','160','88','2022-03','2023-01-29 13:50:52.447000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(23,'型号4','160','190','84','2022-04','2023-01-29 13:50:52.449000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(24,'型号5','180','220','82','2022-05','2023-01-29 13:50:52.451000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(25,'型号6','200','250','80','2022-06','2023-01-29 13:50:52.453000');
INSERT INTO "ROOT"."hx_product_completion_overview"("id","product_name","actual_delivery_quantity","target_delivery_quantity","completion_rate","month","create_time") VALUES(26,'型号7','220','280','79','2022-07','2023-01-29 13:50:52.455000');

SET IDENTITY_INSERT "ROOT"."hx_product_completion_overview" OFF;
SET IDENTITY_INSERT "ROOT"."hx_product_pic" ON;
INSERT INTO "ROOT"."hx_product_pic"("id","pic") VALUES(1,'http://192.168.110.10:1818/6c9333c607294d8a9e75fdfd3f988c39.jpg');

SET IDENTITY_INSERT "ROOT"."hx_product_pic" OFF;
SET IDENTITY_INSERT "ROOT"."hx_product_qualified" ON;
INSERT INTO "ROOT"."hx_product_qualified"("id","today_date","category","product_name","product_model","total","qualified_total","remark") VALUES(1,'2022-01-01','1','大产品','x01','200','180',null);
INSERT INTO "ROOT"."hx_product_qualified"("id","today_date","category","product_name","product_model","total","qualified_total","remark") VALUES(2,'2022-01-01','2','中产品','x01','200','190',null);
INSERT INTO "ROOT"."hx_product_qualified"("id","today_date","category","product_name","product_model","total","qualified_total","remark") VALUES(3,'2022-01-01','3','小产品','x01','200','200',null);
INSERT INTO "ROOT"."hx_product_qualified"("id","today_date","category","product_name","product_model","total","qualified_total","remark") VALUES(4,null,'1','温热','er','123','12','3');
INSERT INTO "ROOT"."hx_product_qualified"("id","today_date","category","product_name","product_model","total","qualified_total","remark") VALUES(5,null,'2','谔谔去','ew','12','11','3');

SET IDENTITY_INSERT "ROOT"."hx_product_qualified" OFF;
SET IDENTITY_INSERT "ROOT"."hx_production_index" ON;
INSERT INTO "ROOT"."hx_production_index"("id","real_military_income","target_military_income","real_charge","target_charge","real_big_product","target_big_product","real_medium_product","target_medium_product","real_small_product","target_small_product") VALUES(1,'900','1100','1100','1500','1700','1900','2100','2300','2500','2700');

SET IDENTITY_INSERT "ROOT"."hx_production_index" OFF;
SET IDENTITY_INSERT "ROOT"."hx_production_plan" ON;
INSERT INTO "ROOT"."hx_production_plan"("id","month","product_model","real_adiabat","real_charge","real_assembly","real_deliver","forecast_adiabat","forecast_charge","forecast_assembly","forecast_deliver","review","settlement","production_number","ascription") VALUES(2,'2022-07','型号1','60','70','80','90','100','100','100','100','200',null,null,'厂计划');
INSERT INTO "ROOT"."hx_production_plan"("id","month","product_model","real_adiabat","real_charge","real_assembly","real_deliver","forecast_adiabat","forecast_charge","forecast_assembly","forecast_deliver","review","settlement","production_number","ascription") VALUES(3,'2022-07','型号2','200','200','200','200','200','200','200','200','200',null,null,'六院计划');
INSERT INTO "ROOT"."hx_production_plan"("id","month","product_model","real_adiabat","real_charge","real_assembly","real_deliver","forecast_adiabat","forecast_charge","forecast_assembly","forecast_deliver","review","settlement","production_number","ascription") VALUES(4,'2022-08','型号1','100','100','100','100','100','100','100','100','200',null,null,'厂计划');
INSERT INTO "ROOT"."hx_production_plan"("id","month","product_model","real_adiabat","real_charge","real_assembly","real_deliver","forecast_adiabat","forecast_charge","forecast_assembly","forecast_deliver","review","settlement","production_number","ascription") VALUES(5,'2022-08','型号2','60','70','80','90','200','200','200','220','200',null,null,'六院计划');
INSERT INTO "ROOT"."hx_production_plan"("id","month","product_model","real_adiabat","real_charge","real_assembly","real_deliver","forecast_adiabat","forecast_charge","forecast_assembly","forecast_deliver","review","settlement","production_number","ascription") VALUES(6,'2022-09','型号3','61','71','81','91','201','201','201','201','201',null,null,'六院计划');

SET IDENTITY_INSERT "ROOT"."hx_production_plan" OFF;
SET IDENTITY_INSERT "ROOT"."hx_production_responsibility" ON;
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(4,'型号1','80','200','40.0','2022-07',null);
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(5,'型号2','200','300','66.66667','2022-07',null);
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(6,'型号1','100','200','50.0','2022-08',null);
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(7,'型号2','80','300','26.666668','2022-08',null);
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(8,'型号3','81','400','20.25','2022-09',null);
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(9,'型号1','100','200','50','2022-11','2023-01-29 09:49:48');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(10,'型号2','101','250','40','2022-12','2023-01-29 09:49:48');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(11,'型号3','102','300','34','2023-01','2023-01-29 09:49:48');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(12,'型号4','103','350','28.9999999999999','2023-02','2023-01-29 09:49:48');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(13,'型号5','104','400','26','2023-03','2023-01-29 09:49:48');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(14,'型号6','105','450','23','2023-04','2023-01-29 09:49:48');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(15,'型号7','106','500','21','2023-05','2023-01-29 09:49:48');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(16,'型号-1','100','200','50','2022-11','2023-01-29 09:52:31');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(17,'型号-2','101','250','40','2022-12','2023-01-29 09:52:31');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(18,'型号-3','102','300','34','2023-01','2023-01-29 09:52:31');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(19,'型号-4','103','350','28.9999999999999','2023-02','2023-01-29 09:52:31');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(20,'型号-5','104','400','26','2023-03','2023-01-29 09:52:31');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(21,'型号-6','105','450','23','2023-04','2023-01-29 09:52:31');
INSERT INTO "ROOT"."hx_production_responsibility"("id","translate_name","completed_task_number","target_task_number","completion_rate","month","create_time") VALUES(22,'型号-7','106','500','21','2023-05','2023-01-29 09:52:31');

SET IDENTITY_INSERT "ROOT"."hx_production_responsibility" OFF;
SET IDENTITY_INSERT "ROOT"."hx_production_situation" ON;
INSERT INTO "ROOT"."hx_production_situation"("id","month","real_adiabat","real_charge","real_assemble","real_deliver","real_ester") VALUES(14,'2022-07','260','270','280','290',null);
INSERT INTO "ROOT"."hx_production_situation"("id","month","real_adiabat","real_charge","real_assemble","real_deliver","real_ester") VALUES(15,'2022-08','160','170','180','190',null);
INSERT INTO "ROOT"."hx_production_situation"("id","month","real_adiabat","real_charge","real_assemble","real_deliver","real_ester") VALUES(16,'2022-09','61','71','81','91',null);

SET IDENTITY_INSERT "ROOT"."hx_production_situation" OFF;
SET IDENTITY_INSERT "ROOT"."hx_quality_case" ON;
INSERT INTO "ROOT"."hx_quality_case"("id","today_date","class_name","fault_revelation","remark") VALUES(1,'2021-01-01','一班','磨损','关键点零件');
INSERT INTO "ROOT"."hx_quality_case"("id","today_date","class_name","fault_revelation","remark") VALUES(2,'2022-08-11','44','型号12233','101');
INSERT INTO "ROOT"."hx_quality_case"("id","today_date","class_name","fault_revelation","remark") VALUES(3,'2022-08-12','45','型号22334','102');
INSERT INTO "ROOT"."hx_quality_case"("id","today_date","class_name","fault_revelation","remark") VALUES(4,'2022-08-13','46','型号3null35','103');
INSERT INTO "ROOT"."hx_quality_case"("id","today_date","class_name","fault_revelation","remark") VALUES(5,'2022-08-15','48','型号52637','105');
INSERT INTO "ROOT"."hx_quality_case"("id","today_date","class_name","fault_revelation","remark") VALUES(6,'2022-08-16','49','型号62738','106');
INSERT INTO "ROOT"."hx_quality_case"("id","today_date","class_name","fault_revelation","remark") VALUES(7,'2022-08-17','50','型号72839','107');

SET IDENTITY_INSERT "ROOT"."hx_quality_case" OFF;
SET IDENTITY_INSERT "ROOT"."hx_quality_inspect_analysis" ON;
INSERT INTO "ROOT"."hx_quality_inspect_analysis"("id","month","dept_name","problem_total","completed_total","completed_rate") VALUES(1,'2021-01','技术部','10','7','70');
INSERT INTO "ROOT"."hx_quality_inspect_analysis"("id","month","dept_name","problem_total","completed_total","completed_rate") VALUES(2,'2020-12','人事部','9','9','100');
INSERT INTO "ROOT"."hx_quality_inspect_analysis"("id","month","dept_name","problem_total","completed_total","completed_rate") VALUES(3,'2021-02','技术部','20','10','50');
INSERT INTO "ROOT"."hx_quality_inspect_analysis"("id","month","dept_name","problem_total","completed_total","completed_rate") VALUES(4,'2020-12','技术部','11','11','100');

SET IDENTITY_INSERT "ROOT"."hx_quality_inspect_analysis" OFF;
SET IDENTITY_INSERT "ROOT"."hx_quality_manage" ON;
INSERT INTO "ROOT"."hx_quality_manage"("id","month","factory_problem_total","factory_problem_rectification_total","commonly_problem_total","low_problem_total","target_error_check","real_error_check","quality_plan_total","quality_plan_complete_total","quality_notification_total","quality_notification_complete_total") VALUES(1,'2022-05','100','90','80','20',null,'5','90','89','1','1');

SET IDENTITY_INSERT "ROOT"."hx_quality_manage" OFF;
SET IDENTITY_INSERT "ROOT"."hx_quality_plan" ON;
INSERT INTO "ROOT"."hx_quality_plan"("id","month","dept_name","plan_number","complete_number","complete_rate") VALUES(9,'2022-08','单位1','2','1','50');
INSERT INTO "ROOT"."hx_quality_plan"("id","month","dept_name","plan_number","complete_number","complete_rate") VALUES(10,'2022-08','单位2','2','0','0');

SET IDENTITY_INSERT "ROOT"."hx_quality_plan" OFF;
SET IDENTITY_INSERT "ROOT"."hx_quality_problem" ON;
INSERT INTO "ROOT"."hx_quality_problem"("id","dimension","month","name","problem_total","completed_total","complete_rate") VALUES(61,'1','2022-08','型号1','1','1','100');
INSERT INTO "ROOT"."hx_quality_problem"("id","dimension","month","name","problem_total","completed_total","complete_rate") VALUES(62,'1','2022-08','型号2','1','0','0');
INSERT INTO "ROOT"."hx_quality_problem"("id","dimension","month","name","problem_total","completed_total","complete_rate") VALUES(63,'1','2022-07','型号1','1','0','0');
INSERT INTO "ROOT"."hx_quality_problem"("id","dimension","month","name","problem_total","completed_total","complete_rate") VALUES(64,'1','2022-05','型号2','1','1','100');

SET IDENTITY_INSERT "ROOT"."hx_quality_problem" OFF;
SET IDENTITY_INSERT "ROOT"."hx_quality_system_elements" ON;
INSERT INTO "ROOT"."hx_quality_system_elements"("id","today_date","dept_name","system_name","system_number") VALUES(1,'2021-01','部门一','运行策划控制','20');
INSERT INTO "ROOT"."hx_quality_system_elements"("id","today_date","dept_name","system_name","system_number") VALUES(2,'2021-01','部门一','不合格输出的控制','10');
INSERT INTO "ROOT"."hx_quality_system_elements"("id","today_date","dept_name","system_name","system_number") VALUES(3,'2021-01','部门二','运行策划控制','15');
INSERT INTO "ROOT"."hx_quality_system_elements"("id","today_date","dept_name","system_name","system_number") VALUES(4,'2022-05','销售一部','名称1','20');
INSERT INTO "ROOT"."hx_quality_system_elements"("id","today_date","dept_name","system_name","system_number") VALUES(5,'2022-05','销售二部','名称2','30');

SET IDENTITY_INSERT "ROOT"."hx_quality_system_elements" OFF;
SET IDENTITY_INSERT "ROOT"."hx_quality_system_review" ON;
INSERT INTO "ROOT"."hx_quality_system_review"("id","today_date","internal_review_number","external_review_number","other_review_number") VALUES(1,'2021-01-01','30','40','50');
INSERT INTO "ROOT"."hx_quality_system_review"("id","today_date","internal_review_number","external_review_number","other_review_number") VALUES(2,'2021-01-02','30','20','10');
INSERT INTO "ROOT"."hx_quality_system_review"("id","today_date","internal_review_number","external_review_number","other_review_number") VALUES(3,'2022-05-17','100','200','200');

SET IDENTITY_INSERT "ROOT"."hx_quality_system_review" OFF;
INSERT INTO "ROOT"."hx_reader_info"("id","reader_name","abscissa","ordinate","north_angle","reader_ip","reader_port","record_distance","create_time") VALUES(254,'254号读卡器',50,50,0,'192.168.0.254',27011,20,'2022-01-17 15:48:47');

SET IDENTITY_INSERT "ROOT"."hx_responsibility_status" ON;
INSERT INTO "ROOT"."hx_responsibility_status"("id","responsibility_content","progress_status","completion_status","dept_name","month") VALUES(1,'内容1','进展1','未完成','部门1','2023-01');
INSERT INTO "ROOT"."hx_responsibility_status"("id","responsibility_content","progress_status","completion_status","dept_name","month") VALUES(2,'内容2','进展2','已完成','部门2','2023-01');
INSERT INTO "ROOT"."hx_responsibility_status"("id","responsibility_content","progress_status","completion_status","dept_name","month") VALUES(3,'内容3','进展3','已完成','部门3','2023-01');
INSERT INTO "ROOT"."hx_responsibility_status"("id","responsibility_content","progress_status","completion_status","dept_name","month") VALUES(4,'内容4','进展4','未完成','部门4','2023-01');
INSERT INTO "ROOT"."hx_responsibility_status"("id","responsibility_content","progress_status","completion_status","dept_name","month") VALUES(5,'内容5','进展5','未完成','部门5','2023-01');

SET IDENTITY_INSERT "ROOT"."hx_responsibility_status" OFF;
SET IDENTITY_INSERT "ROOT"."hx_revenue_profit" ON;
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(1,'部门一','2021-01','100','120','100','30','50','50','100','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(2,'部门二','2021-01','101','121','200','40','50','50','101','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(3,'部门三','2021-01','102','122','230','200','50','50','102','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(4,'部门四','2021-01','103','123','100','30','50','50','103','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(5,'部门五','2021-01','104','124','100','30','50','50','104','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(6,'部门一','2021-02','50','120','100','30','50','50','50','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(7,'部门二','2021-02','60','121','100','30','50','50','60','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(8,'部门三','2021-02','70','122','100','30','50','50','70','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(9,'部门四','2021-02','80','123','100','30','50','50','80','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(10,'部门五','2021-02','90','124','100','30','50','50','90','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(11,'部门一','2021-03','50','80','100','30','50','50','50','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(12,'部门二','2021-03','60','80','110','30','50','50','55.000000000000','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(13,'部门三','2021-03','70','80','120','30','50','50','57.999999999999','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(14,'部门四','2021-03','80','90','130','30','50','50','62','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(15,'部门五','2021-03','90','120','140','30','50','50','64','60');
INSERT INTO "ROOT"."hx_revenue_profit"("id","dept_name","month","completed_revenue","forecast_revenue","target_revenue","completed_profit","forecast_profit","target_profit","revenue_rate","profit_rate") VALUES(16,'测试部门','2021-12-01','10','10','10','10','10','10','100','100');

SET IDENTITY_INSERT "ROOT"."hx_revenue_profit" OFF;
SET IDENTITY_INSERT "ROOT"."hx_spc_info" ON;
INSERT INTO "ROOT"."hx_spc_info"("id","spc_name","upper_limit","lower_limit","center_line") VALUES(1,'药重','600','500','550');

SET IDENTITY_INSERT "ROOT"."hx_spc_info" OFF;
SET IDENTITY_INSERT "ROOT"."hx_spc_product" ON;
INSERT INTO "ROOT"."hx_spc_product"("id","spc_name","product_name","real_value") VALUES(1,'药重','实物1','500');
INSERT INTO "ROOT"."hx_spc_product"("id","spc_name","product_name","real_value") VALUES(2,'药重','实物2','501');
INSERT INTO "ROOT"."hx_spc_product"("id","spc_name","product_name","real_value") VALUES(3,'药重','实物3','502');
INSERT INTO "ROOT"."hx_spc_product"("id","spc_name","product_name","real_value") VALUES(4,'药重','实物4','503');
INSERT INTO "ROOT"."hx_spc_product"("id","spc_name","product_name","real_value") VALUES(5,'药重','实物5','504');
INSERT INTO "ROOT"."hx_spc_product"("id","spc_name","product_name","real_value") VALUES(6,'药重','实物6','505');

SET IDENTITY_INSERT "ROOT"."hx_spc_product" OFF;
SET IDENTITY_INSERT "ROOT"."hx_stock_detailed" ON;
INSERT INTO "ROOT"."hx_stock_detailed"("id","category","project_name","name","total","arrival_total","used_total") VALUES(1,'原材料','项目一','名称1','100','80','10');
INSERT INTO "ROOT"."hx_stock_detailed"("id","category","project_name","name","total","arrival_total","used_total") VALUES(2,'原材料','项目一','名称2','101','81','11');
INSERT INTO "ROOT"."hx_stock_detailed"("id","category","project_name","name","total","arrival_total","used_total") VALUES(3,'配套件','项目一','名称3','102','82','12');
INSERT INTO "ROOT"."hx_stock_detailed"("id","category","project_name","name","total","arrival_total","used_total") VALUES(4,'配套件','项目一','名称4','103','83','13');
INSERT INTO "ROOT"."hx_stock_detailed"("id","category","project_name","name","total","arrival_total","used_total") VALUES(5,'配套件','项目一','名称5','104','84','14');
INSERT INTO "ROOT"."hx_stock_detailed"("id","category","project_name","name","total","arrival_total","used_total") VALUES(6,'原材料','项目一','名称6','105','85','15');

SET IDENTITY_INSERT "ROOT"."hx_stock_detailed" OFF;
SET IDENTITY_INSERT "ROOT"."hx_storehouse" ON;
INSERT INTO "ROOT"."hx_storehouse"("id","number_no","name","category","status","product_info") VALUES(1,'10002001','库房1','加宽','使用中','产品1');
INSERT INTO "ROOT"."hx_storehouse"("id","number_no","name","category","status","product_info") VALUES(2,'10002002','库房2','加宽','未启用','产品2');
INSERT INTO "ROOT"."hx_storehouse"("id","number_no","name","category","status","product_info") VALUES(3,'10002003','库房3','加宽','未启用','产品3');
INSERT INTO "ROOT"."hx_storehouse"("id","number_no","name","category","status","product_info") VALUES(4,'10002004','库房4','加宽','使用中','产品4');
INSERT INTO "ROOT"."hx_storehouse"("id","number_no","name","category","status","product_info") VALUES(5,'10002005','库房5','加宽','未启用','产品5');
INSERT INTO "ROOT"."hx_storehouse"("id","number_no","name","category","status","product_info") VALUES(6,'10002006','库房6','加宽','使用中','产品6');
INSERT INTO "ROOT"."hx_storehouse"("id","number_no","name","category","status","product_info") VALUES(7,'10002007','库房7','加宽','使用中','产品7');
INSERT INTO "ROOT"."hx_storehouse"("id","number_no","name","category","status","product_info") VALUES(8,'10002008','库房8','加宽','使用中','产品8');
INSERT INTO "ROOT"."hx_storehouse"("id","number_no","name","category","status","product_info") VALUES(9,'10002009','库房9','加长','未启用','产品9');

SET IDENTITY_INSERT "ROOT"."hx_storehouse" OFF;
SET IDENTITY_INSERT "ROOT"."hx_strategy_index" ON;
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(103,'2021','指标1','100','104','100','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(104,'2022','指标1','100','104','101','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(105,'2023','指标1','100','104','102','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(106,'2024','指标1','100','104','103','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(107,'2025','指标1','100','104','104','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(108,'2021','指标2','101','105','101','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(109,'2022','指标2','101','105','102','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(110,'2023','指标2','101','105','103','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(111,'2024','指标2','101','105','104','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(112,'2025','指标2','101','105','105','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(113,'2021','指标3','102','106','102','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(114,'2022','指标3','102','106','103','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(115,'2023','指标3','102','106','104','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(116,'2024','指标3','102','106','105','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(117,'2025','指标3','102','106','106','竞争力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(118,'2021','指标4','103','107','103','创新力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(119,'2022','指标4','103','107','104','创新力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(120,'2023','指标4','103','107','105','创新力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(121,'2024','指标4','103','107','106','创新力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(122,'2025','指标4','103','107','107','创新力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(123,'2021','指标5','104','108','104','创新力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(124,'2022','指标5','104','108','105','创新力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(125,'2023','指标5','104','108','106','创新力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(126,'2024','指标5','104','108','107','创新力');
INSERT INTO "ROOT"."hx_strategy_index"("id","year","index_name","start_number","end_number","year_target","five_force") VALUES(127,'2025','指标5','104','108','108','创新力');

SET IDENTITY_INSERT "ROOT"."hx_strategy_index" OFF;
SET IDENTITY_INSERT "ROOT"."hx_synthesize_index" ON;
INSERT INTO "ROOT"."hx_synthesize_index"("id","today_date","dept_name","project_name","completed_status") VALUES(12,'2022-08','部门1','指标1','未完成');
INSERT INTO "ROOT"."hx_synthesize_index"("id","today_date","dept_name","project_name","completed_status") VALUES(13,'2022-08','部门1','指标2','未完成');
INSERT INTO "ROOT"."hx_synthesize_index"("id","today_date","dept_name","project_name","completed_status") VALUES(14,'2022-08','部门2','指标3','已完成');
INSERT INTO "ROOT"."hx_synthesize_index"("id","today_date","dept_name","project_name","completed_status") VALUES(15,'2022-08','部门2','指标4','已完成');
INSERT INTO "ROOT"."hx_synthesize_index"("id","today_date","dept_name","project_name","completed_status") VALUES(16,'2022-08','部门1','指标5','已完成');
INSERT INTO "ROOT"."hx_synthesize_index"("id","today_date","dept_name","project_name","completed_status") VALUES(17,'2022-08','部门1','指标6','已完成');
INSERT INTO "ROOT"."hx_synthesize_index"("id","today_date","dept_name","project_name","completed_status") VALUES(18,'2022-08','部门2','指标7','未完成');

SET IDENTITY_INSERT "ROOT"."hx_synthesize_index" OFF;
SET IDENTITY_INSERT "ROOT"."hx_system_radar" ON;
INSERT INTO "ROOT"."hx_system_radar"("id","today_date","system_name","index_name","index_total") VALUES(40,'2022-04-16','BMD','指标1','800');
INSERT INTO "ROOT"."hx_system_radar"("id","today_date","system_name","index_name","index_total") VALUES(41,'2022-05-17','AMD','指标2','801');
INSERT INTO "ROOT"."hx_system_radar"("id","today_date","system_name","index_name","index_total") VALUES(42,'2022-05-18','CMD','指标3','802');
INSERT INTO "ROOT"."hx_system_radar"("id","today_date","system_name","index_name","index_total") VALUES(43,'2022-05-19','DMD','指标4','803');
INSERT INTO "ROOT"."hx_system_radar"("id","today_date","system_name","index_name","index_total") VALUES(44,'2022-05-20','EMD','指标5','804');
INSERT INTO "ROOT"."hx_system_radar"("id","today_date","system_name","index_name","index_total") VALUES(45,'2022-05-21','AMD','指标6','805');
INSERT INTO "ROOT"."hx_system_radar"("id","today_date","system_name","index_name","index_total") VALUES(46,'2022-05-22','AMD','指标7','806');
INSERT INTO "ROOT"."hx_system_radar"("id","today_date","system_name","index_name","index_total") VALUES(47,'2022-05-23','AMD','指标8','807');
INSERT INTO "ROOT"."hx_system_radar"("id","today_date","system_name","index_name","index_total") VALUES(48,'2022-05-24','AMD','指标9','808');
INSERT INTO "ROOT"."hx_system_radar"("id","today_date","system_name","index_name","index_total") VALUES(49,'2022-05-25','AMD','指标10','809');
INSERT INTO "ROOT"."hx_system_radar"("id","today_date","system_name","index_name","index_total") VALUES(50,'2022-05-26','AMD','指标11','810');

SET IDENTITY_INSERT "ROOT"."hx_system_radar" OFF;
INSERT INTO "ROOT"."hx_table_config"("table_name","key_info") VALUES('hx_hidden_danger','{"checkDate":true,"suggestCompleteTime":true,"category":true,"responsibleUnit":true,"address":true,"existProblem":true,"updateSuggest":true,"tempUpdateMethod":true,"responsiblePerson":true}');

SET IDENTITY_INSERT "ROOT"."hx_team_attendance" ON;
INSERT INTO "ROOT"."hx_team_attendance"("id","today_date","team_name","people_total","shift","real_worker_total","people_list") VALUES(1,'2021-12-22','班组1','80','1','79','张三，李四，王五，小明，王刚，树袋熊');
INSERT INTO "ROOT"."hx_team_attendance"("id","today_date","team_name","people_total","shift","real_worker_total","people_list") VALUES(2,'2021-12-22','班组2','81','1','80','张三，李四，王五，小明，王刚，树袋熊');
INSERT INTO "ROOT"."hx_team_attendance"("id","today_date","team_name","people_total","shift","real_worker_total","people_list") VALUES(3,'2021-12-22','班组3','82','1','82','张三，李四，王五，小明，王刚，树袋熊');
INSERT INTO "ROOT"."hx_team_attendance"("id","today_date","team_name","people_total","shift","real_worker_total","people_list") VALUES(4,'2021-12-22','班组4','83','1','83','张三，李四，王五，小明，王刚，树袋熊');
INSERT INTO "ROOT"."hx_team_attendance"("id","today_date","team_name","people_total","shift","real_worker_total","people_list") VALUES(5,'2021-12-22','班组5','84','1','84','张三，李四，王五，小明，王刚，树袋熊');
INSERT INTO "ROOT"."hx_team_attendance"("id","today_date","team_name","people_total","shift","real_worker_total","people_list") VALUES(6,'2021-12-22','班组6','85','1','85','张三，李四，王五，小明，王刚，树袋熊');
INSERT INTO "ROOT"."hx_team_attendance"("id","today_date","team_name","people_total","shift","real_worker_total","people_list") VALUES(7,'2021-12-22','班组7','86','1','86','张三，李四，王五，小明，王刚，树袋熊');
INSERT INTO "ROOT"."hx_team_attendance"("id","today_date","team_name","people_total","shift","real_worker_total","people_list") VALUES(8,'2021-12-22','班组8','87','1','87','张三，李四，王五，小明，王刚，树袋熊');
INSERT INTO "ROOT"."hx_team_attendance"("id","today_date","team_name","people_total","shift","real_worker_total","people_list") VALUES(9,'2021-12-23','班组1','90','1','89','李四，王五，小明，王刚，树袋熊');

SET IDENTITY_INSERT "ROOT"."hx_team_attendance" OFF;
SET IDENTITY_INSERT "ROOT"."hx_today_dynamic" ON;
INSERT INTO "ROOT"."hx_today_dynamic"("id","income","expenditure","new_contract","safety_problem","quality_problem","operating_equipment","total_equipment","attendance_worker","total_worker","complete_task","total_task","equipment_rate","worker_rate","task_rate","today_date") VALUES(1,'100','20','30','3','5','80','100','100','100','70','80','80','100','88','2021-12-16');
INSERT INTO "ROOT"."hx_today_dynamic"("id","income","expenditure","new_contract","safety_problem","quality_problem","operating_equipment","total_equipment","attendance_worker","total_worker","complete_task","total_task","equipment_rate","worker_rate","task_rate","today_date") VALUES(2,'50','50','50','50','50','50','50','50','50','50','50','100','100','100','2021-12-17');
INSERT INTO "ROOT"."hx_today_dynamic"("id","income","expenditure","new_contract","safety_problem","quality_problem","operating_equipment","total_equipment","attendance_worker","total_worker","complete_task","total_task","equipment_rate","worker_rate","task_rate","today_date") VALUES(3,null,null,null,null,null,'20','25','80','80','60','60','80','100','100','2022-01-19');
INSERT INTO "ROOT"."hx_today_dynamic"("id","income","expenditure","new_contract","safety_problem","quality_problem","operating_equipment","total_equipment","attendance_worker","total_worker","complete_task","total_task","equipment_rate","worker_rate","task_rate","today_date") VALUES(4,null,null,null,null,null,'21','26','81','81','61','61','81','100','100','2022-01-20');
INSERT INTO "ROOT"."hx_today_dynamic"("id","income","expenditure","new_contract","safety_problem","quality_problem","operating_equipment","total_equipment","attendance_worker","total_worker","complete_task","total_task","equipment_rate","worker_rate","task_rate","today_date") VALUES(5,null,null,null,null,null,'20','200','120','400','360','600','10','30','60','2022-01-21');

SET IDENTITY_INSERT "ROOT"."hx_today_dynamic" OFF;
SET IDENTITY_INSERT "ROOT"."hx_video" ON;
INSERT INTO "ROOT"."hx_video"("id","category","video_name","video_file_name","remark") VALUES(1,'1','视频1','a3c4d0906e754f1da721047683d685a2.mp4','无');
INSERT INTO "ROOT"."hx_video"("id","category","video_name","video_file_name","remark") VALUES(2,'1','视频2','73743dc43cb643c1a2d777faf52f3622.mp4','无');
INSERT INTO "ROOT"."hx_video"("id","category","video_name","video_file_name","remark") VALUES(3,'2','视频3','a3c4d0906e754f1da721047683d685a2.mp4','无');
INSERT INTO "ROOT"."hx_video"("id","category","video_name","video_file_name","remark") VALUES(7,'1','12','79f68c7572e74fe28245cc07f03187a1.mp4','66');
INSERT INTO "ROOT"."hx_video"("id","category","video_name","video_file_name","remark") VALUES(8,'1','12','af09f34626004c98902475a6af9b8c67.mp4','rer');

SET IDENTITY_INSERT "ROOT"."hx_video" OFF;
SET IDENTITY_INSERT "ROOT"."hx_video_system" ON;
INSERT INTO "ROOT"."hx_video_system"("id","video_name","video_address","video_remark","video_now_info") VALUES(1,'大门1号','大门左边','没有备注','123');
INSERT INTO "ROOT"."hx_video_system"("id","video_name","video_address","video_remark","video_now_info") VALUES(2,'南门','http://192.168.0.151:81/stream/live/livestream.flv','这是备注','正常');
INSERT INTO "ROOT"."hx_video_system"("id","video_name","video_address","video_remark","video_now_info") VALUES(3,'南门','http://192.168.0.151:81/stream/live/livestream.flv','这是备注','正常');

SET IDENTITY_INSERT "ROOT"."hx_video_system" OFF;
SET IDENTITY_INSERT "ROOT"."hx_week_plan" ON;
INSERT INTO "ROOT"."hx_week_plan"("id","month","serial_number","real_flaw_detection","target_flaw_detection","flaw_detection_rate","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate","real_housing","target_housing","housing_rate","remark") VALUES(5,'2022-07-04','2022-07-10','80','90','89','100','100','100','98','100','98','100','100','100',null);
INSERT INTO "ROOT"."hx_week_plan"("id","month","serial_number","real_flaw_detection","target_flaw_detection","flaw_detection_rate","real_charge","target_charge","charge_rate","real_deliver","target_deliver","deliver_rate","real_housing","target_housing","housing_rate","remark") VALUES(6,'2021-12-22','2021-12-31','85','95','89','100','100','100','97','100','97','98','100','98',null);

SET IDENTITY_INSERT "ROOT"."hx_week_plan" OFF;
SET IDENTITY_INSERT "ROOT"."hx_work_home_info" ON;
INSERT INTO "ROOT"."hx_work_home_info"("id","work_home_name","abscissa","ordinate","workshop","job_content","error_info","av_address","users","work_flag") VALUES(1,'test1','30','30','车间一','badhda','bjkadhjad',null,'张三，李四，王五，赵六','是');

SET IDENTITY_INSERT "ROOT"."hx_work_home_info" OFF;
SET IDENTITY_INSERT "ROOT"."hx_work_plan" ON;
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(23,'2022-07-01','目标1','单位1','已完成','名称1');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(24,'2022-07-02','目标2','单位2','已完成','名称2');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(25,'2022-07-03','目标3','单位3','未完成','名称3');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(26,'2022-07-04','目标4','单位4','已完成','名称4');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(27,'2022-07-05','目标5','单位5','未完成','名称5');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(28,'2022-07-06','目标6','单位6','已完成','名称6');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(29,'2022-07-07','目标7','单位7','未完成','名称7');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(30,'2022-07-08','目标8','单位8','已完成','名称8');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(31,'2022-07-01','目标1','单位1','已完成','名称1');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(32,'2022-07-02','目标2','单位2','已完成','名称2');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(33,'2022-07-03','目标3','单位3','未完成','名称3');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(34,'2022-07-04','目标4','单位4','已完成','名称4');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(35,'2022-07-05','目标5','单位5','未完成','名称5');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(36,'2022-07-06','目标6','单位6','已完成','名称6');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(37,'2022-07-07','目标7','单位7','未完成','名称7');
INSERT INTO "ROOT"."hx_work_plan"("id","today_date","work_plan_name","dept_name","completed_status","project_name") VALUES(38,'2022-07-08','目标8','单位8','已完成','名称8');

SET IDENTITY_INSERT "ROOT"."hx_work_plan" OFF;
SET IDENTITY_INSERT "ROOT"."hx_year_duty" ON;
INSERT INTO "ROOT"."hx_year_duty"("id","year","product_model","real_total","target_total","rate") VALUES(7,'2022','型号1',null,'100',null);
INSERT INTO "ROOT"."hx_year_duty"("id","year","product_model","real_total","target_total","rate") VALUES(8,'2022','型号2',null,'200',null);
INSERT INTO "ROOT"."hx_year_duty"("id","year","product_model","real_total","target_total","rate") VALUES(9,'2022','型号3',null,'500',null);

SET IDENTITY_INSERT "ROOT"."hx_year_duty" OFF;
INSERT INTO "ROOT"."important_index_base"("month","name","six_unit","target_total","unit","real_total") VALUES('2022-08','指标1','部门1','90.1','部门1','50.0');
INSERT INTO "ROOT"."important_index_base"("month","name","six_unit","target_total","unit","real_total") VALUES('2022-08','指标2','部门1','100.2','部门1','100.0');
INSERT INTO "ROOT"."important_index_base"("month","name","six_unit","target_total","unit","real_total") VALUES('2022-08','指标3','部门2','110.3','部门2','200.0');
INSERT INTO "ROOT"."important_index_base"("month","name","six_unit","target_total","unit","real_total") VALUES('2022-08','指标4','部门2','120.4','部门2','200.0');
INSERT INTO "ROOT"."important_index_base"("month","name","six_unit","target_total","unit","real_total") VALUES('2022-08','指标5','部门1','130.5','部门1','200.0');
INSERT INTO "ROOT"."important_index_base"("month","name","six_unit","target_total","unit","real_total") VALUES('2022-08','指标6','部门1','140.6','部门1','200.0');
INSERT INTO "ROOT"."important_index_base"("month","name","six_unit","target_total","unit","real_total") VALUES('2022-08','指标7','部门2','150.7','部门2','100.0');

INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-01','名称1','目标1','单位1','user1','目标1','已完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-02','名称2','目标2','单位2','user2','目标2','已完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-03','名称3','目标3','单位3','user3','目标3','未完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-04','名称4','目标4','单位4','user4','目标4','已完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-05','名称5','目标5','单位5','user5','目标5','未完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-06','名称6','目标6','单位6','user6','目标6','已完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-07','名称7','目标7','单位7','user7','目标7','未完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-08','名称8','目标8','单位8','user8','目标8','已完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-01','名称1','目标1','单位1','user1','目标1','已完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-02','名称2','目标2','单位2','user2','目标2','已完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-03','名称3','目标3','单位3','user3','目标3','未完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-04','名称4','目标4','单位4','user4','目标4','已完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-05','名称5','目标5','单位5','user5','目标5','未完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-06','名称6','目标6','单位6','user6','目标6','已完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-07','名称7','目标7','单位7','user7','目标7','未完成','无');
INSERT INTO "ROOT"."information_project_base"("date","topic_name","research_objectives","duty_dept","duty_user","month_work_content","completed_status","after_work") VALUES('2022-07-08','名称8','目标8','单位8','user8','目标8','已完成','无');

INSERT INTO "ROOT"."information_responsibility_base"("requirement","completed_time","duty_dept","work_evolve","completed_status") VALUES('要求1','2022-07-01','单位1','我企鹅企鹅企鹅','已完成');
INSERT INTO "ROOT"."information_responsibility_base"("requirement","completed_time","duty_dept","work_evolve","completed_status") VALUES('要求2','2022-07-02','单位2','我企鹅企鹅企鹅','未完成');
INSERT INTO "ROOT"."information_responsibility_base"("requirement","completed_time","duty_dept","work_evolve","completed_status") VALUES('要求3','2022-07-03','单位3','我企鹅企鹅企鹅','未完成');
INSERT INTO "ROOT"."information_responsibility_base"("requirement","completed_time","duty_dept","work_evolve","completed_status") VALUES('要求4','2022-07-04','单位4','我企鹅企鹅企鹅','已完成');

INSERT INTO "ROOT"."information_work_plan_base"("date","work_content","deliverable","complete_flag","exam_level","duty_unit","coordinate_unit","duty_person","apply_effect","apply_main_unit","remark","status","evidence") VALUES('2022-06-01','内容1','交付物1','标志1','一级','开发部','监管部','张三','一般','监管部',null,'已完成','xx');
INSERT INTO "ROOT"."information_work_plan_base"("date","work_content","deliverable","complete_flag","exam_level","duty_unit","coordinate_unit","duty_person","apply_effect","apply_main_unit","remark","status","evidence") VALUES('2022-06-02','内容2','交付物2','标志2','一级','商务部','监管部','李四','一般','监管部',null,'已完成','bb');
INSERT INTO "ROOT"."information_work_plan_base"("date","work_content","deliverable","complete_flag","exam_level","duty_unit","coordinate_unit","duty_person","apply_effect","apply_main_unit","remark","status","evidence") VALUES('2022-06-01','内容3','交付物3','标志3','二级','人事部','监管部','王五','很好','监管部',null,'未完成','无');
INSERT INTO "ROOT"."information_work_plan_base"("date","work_content","deliverable","complete_flag","exam_level","duty_unit","coordinate_unit","duty_person","apply_effect","apply_main_unit","remark","status","evidence") VALUES('2022-06-03','内容4','交付物4','标志4','一级','人事部','监管部','赵六','非常好','监管部',null,'未完成','cc');

INSERT INTO "ROOT"."model_quality_problem_base"("dev_stage","model","product_number","description","cause_analysis","reason_one","reason_two","happen_time","unit","three_flag","tactical_situations","zero_status","complete_status") VALUES('11','型号1','22','33','44','55','66','2022-08-11','单位1','是','11','1223','已完成');
INSERT INTO "ROOT"."model_quality_problem_base"("dev_stage","model","product_number","description","cause_analysis","reason_one","reason_two","happen_time","unit","three_flag","tactical_situations","zero_status","complete_status") VALUES('12','型号2','23','34','45','56','67','2022-08-18','单位2','否','12','1224','未完成');
INSERT INTO "ROOT"."model_quality_problem_base"("dev_stage","model","product_number","description","cause_analysis","reason_one","reason_two","happen_time","unit","three_flag","tactical_situations","zero_status","complete_status") VALUES('13','型号1','24','35','46','57','68','2022-07-11','单位1','否','13','1225','未完成');
INSERT INTO "ROOT"."model_quality_problem_base"("dev_stage","model","product_number","description","cause_analysis","reason_one","reason_two","happen_time","unit","three_flag","tactical_situations","zero_status","complete_status") VALUES('14','型号2','25','36','47','58','69','2022-05-11','单位2','否','14','1226','已完成');

INSERT INTO "ROOT"."performance_plan_base"("plan_number","category","name","work_content","complete_time","complete_target","deliver","complete_flag","unit","unit_person","leader","month","complete_status") VALUES('1','2','3','4','5','6','7','8','单位1','10','11','2022-08','已完成');
INSERT INTO "ROOT"."performance_plan_base"("plan_number","category","name","work_content","complete_time","complete_target","deliver","complete_flag","unit","unit_person","leader","month","complete_status") VALUES('2','3','4','5','6','7','8','9','单位1','11','12','2022-08','未完成');
INSERT INTO "ROOT"."performance_plan_base"("plan_number","category","name","work_content","complete_time","complete_target","deliver","complete_flag","unit","unit_person","leader","month","complete_status") VALUES('3','4','5','6','7','8','9','10','单位2','12','13','2022-08','未完成');
INSERT INTO "ROOT"."performance_plan_base"("plan_number","category","name","work_content","complete_time","complete_target","deliver","complete_flag","unit","unit_person","leader","month","complete_status") VALUES('4','5','6','7','8','9','10','11','单位2','13','14','2022-08','未完成');
INSERT INTO "ROOT"."performance_plan_base"("plan_number","category","name","work_content","complete_time","complete_target","deliver","complete_flag","unit","unit_person","leader","month","complete_status") VALUES('5','6','7','8','9','10','11','12','单位2','14','15','2022-08','未完成');

INSERT INTO "ROOT"."production_plan_base"("month","model","forecast_adiabat","forecast_charge","forecast_assembly","forecast_deliver","plan_ascription") VALUES('2022-07','型号1','100','100','100','100','厂计划');
INSERT INTO "ROOT"."production_plan_base"("month","model","forecast_adiabat","forecast_charge","forecast_assembly","forecast_deliver","plan_ascription") VALUES('2022-07','型号2','200','200','200','200','六院计划');
INSERT INTO "ROOT"."production_plan_base"("month","model","forecast_adiabat","forecast_charge","forecast_assembly","forecast_deliver","plan_ascription") VALUES('2022-08','型号1','100','100','100','100','厂计划');
INSERT INTO "ROOT"."production_plan_base"("month","model","forecast_adiabat","forecast_charge","forecast_assembly","forecast_deliver","plan_ascription") VALUES('2022-08','型号2','200','200','200','200','六院计划');

INSERT INTO "ROOT"."production_responsibility_base"("year","model","total","category") VALUES('2022','型号1','200','大型');
INSERT INTO "ROOT"."production_responsibility_base"("year","model","total","category") VALUES('2022','型号2','300','中型');
INSERT INTO "ROOT"."production_responsibility_base"("year","model","total","category") VALUES('2022','型号3','400','小型');

INSERT INTO "ROOT"."quality_case_base"("model","happen_time","development_phase","occurrence_time","faulty_component","happen_address","question_type","problem_overview","cause_analysis","root_cause","corrective_action","wrong_way","lesson") VALUES('型号1','2022-08-11','11','22','33','44','55','66','77','88','99','100','101');
INSERT INTO "ROOT"."quality_case_base"("model","happen_time","development_phase","occurrence_time","faulty_component","happen_address","question_type","problem_overview","cause_analysis","root_cause","corrective_action","wrong_way","lesson") VALUES('型号1','2022-08-11','11','22','33','44','55','66','77','88','99','100','101');
INSERT INTO "ROOT"."quality_case_base"("model","happen_time","development_phase","occurrence_time","faulty_component","happen_address","question_type","problem_overview","cause_analysis","root_cause","corrective_action","wrong_way","lesson") VALUES('型号2','2022-08-12','12','23','34','45','56','67','78','89','100','101','102');
INSERT INTO "ROOT"."quality_case_base"("model","happen_time","development_phase","occurrence_time","faulty_component","happen_address","question_type","problem_overview","cause_analysis","root_cause","corrective_action","wrong_way","lesson") VALUES('型号3','2022-08-13','13',null,'35','46','57','68','79','90','101','102','103');
INSERT INTO "ROOT"."quality_case_base"("model","happen_time","development_phase","occurrence_time","faulty_component","happen_address","question_type","problem_overview","cause_analysis","root_cause","corrective_action","wrong_way","lesson") VALUES('型号5','2022-08-15','15','26','37','48','59','70','81','92','103','104','105');
INSERT INTO "ROOT"."quality_case_base"("model","happen_time","development_phase","occurrence_time","faulty_component","happen_address","question_type","problem_overview","cause_analysis","root_cause","corrective_action","wrong_way","lesson") VALUES('型号6','2022-08-16','16','27','38','49','60','71','82','93','104','105','106');
INSERT INTO "ROOT"."quality_case_base"("model","happen_time","development_phase","occurrence_time","faulty_component","happen_address","question_type","problem_overview","cause_analysis","root_cause","corrective_action","wrong_way","lesson") VALUES('型号7','2022-08-17','17','28','39','50','61','72','83','94','105','106','107');

INSERT INTO "ROOT"."quality_problem_base"("month","check_content","check_result","update_option","unit","penalty_amount","person","person_decompose","complete","model") VALUES('2022-06','所有电脑','二处电脑损坏','换电脑','二处','200','张三',null,'已完成','型号1');
INSERT INTO "ROOT"."quality_problem_base"("month","check_content","check_result","update_option","unit","penalty_amount","person","person_decompose","complete","model") VALUES('2022-06','所有门','一处门损坏','换门','一处','300','李四','王五站六','未完成',null);

INSERT INTO "ROOT"."quality_work_plan_base"("category","project","work_content","complete_way","unit","complete_time","month","complete_status") VALUES('类别1','项目1','内容1','形式1','单位1',null,'2022-08','已完成');
INSERT INTO "ROOT"."quality_work_plan_base"("category","project","work_content","complete_way","unit","complete_time","month","complete_status") VALUES('类别1','项目2','内容2','形式2','单位1',null,'2022-08','未完成');
INSERT INTO "ROOT"."quality_work_plan_base"("category","project","work_content","complete_way","unit","complete_time","month","complete_status") VALUES('类别2','项目3','内容3','形式3','单位2',null,'2022-08','未完成');
INSERT INTO "ROOT"."quality_work_plan_base"("category","project","work_content","complete_way","unit","complete_time","month","complete_status") VALUES('类别3','项目4','内容4','形式4','单位2',null,'2022-08','未完成');

INSERT INTO "ROOT"."strategy_index_base"("category","name","first_year","second_year","third_year","fourth_year","fifth_year","plan_name","start_year") VALUES('竞争力','指标1','100','101','102','103','104','十四五','2021');
INSERT INTO "ROOT"."strategy_index_base"("category","name","first_year","second_year","third_year","fourth_year","fifth_year","plan_name","start_year") VALUES('竞争力','指标2','101','102','103','104','105','十四五','2021');
INSERT INTO "ROOT"."strategy_index_base"("category","name","first_year","second_year","third_year","fourth_year","fifth_year","plan_name","start_year") VALUES('竞争力','指标3','102','103','104','105','106','十四五','2021');
INSERT INTO "ROOT"."strategy_index_base"("category","name","first_year","second_year","third_year","fourth_year","fifth_year","plan_name","start_year") VALUES('创新力','指标4','103','104','105','106','107','十四五','2021');
INSERT INTO "ROOT"."strategy_index_base"("category","name","first_year","second_year","third_year","fourth_year","fifth_year","plan_name","start_year") VALUES('创新力','指标5','104','105','106','107','108','十四五','2021');
INSERT INTO "ROOT"."strategy_index_base"("category","name","first_year","second_year","third_year","fourth_year","fifth_year","plan_name","start_year") VALUES('竞争力','指标1','100','101','102','103','104','十四五','2021');
INSERT INTO "ROOT"."strategy_index_base"("category","name","first_year","second_year","third_year","fourth_year","fifth_year","plan_name","start_year") VALUES('竞争力','指标2','101','102','103','104','105','十四五','2021');
INSERT INTO "ROOT"."strategy_index_base"("category","name","first_year","second_year","third_year","fourth_year","fifth_year","plan_name","start_year") VALUES('竞争力','指标3','102','103','104','105','106','十四五','2021');
INSERT INTO "ROOT"."strategy_index_base"("category","name","first_year","second_year","third_year","fourth_year","fifth_year","plan_name","start_year") VALUES('创新力','指标4','103','104','105','106','107','十四五','2021');
INSERT INTO "ROOT"."strategy_index_base"("category","name","first_year","second_year","third_year","fourth_year","fifth_year","plan_name","start_year") VALUES('创新力','指标5','104','105','106','107','108','十四五','2021');

SET IDENTITY_INSERT "ROOT"."sys_blacklist_user" ON;
SET IDENTITY_INSERT "ROOT"."sys_blacklist_user" OFF;
SET IDENTITY_INSERT "ROOT"."sys_config" ON;
INSERT INTO "ROOT"."sys_config"("config_id","config_name","config_key","config_value","config_type","create_by","create_time","update_by","update_time","remark") VALUES(1,'主框架页-默认皮肤样式名称','sys.index.skinName','skin-blue','Y','admin','2021-10-12 11:26:31','','2021-10-22 14:06:52','蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO "ROOT"."sys_config"("config_id","config_name","config_key","config_value","config_type","create_by","create_time","update_by","update_time","remark") VALUES(2,'用户管理-账号初始密码','sys.user.initPassword','123456','Y','admin','2021-10-12 11:26:31','',null,'初始化密码 123456');
INSERT INTO "ROOT"."sys_config"("config_id","config_name","config_key","config_value","config_type","create_by","create_time","update_by","update_time","remark") VALUES(3,'主框架页-侧边栏主题','sys.index.sideTheme','theme-dark','Y','admin','2021-10-12 11:26:31','',null,'深色主题theme-dark，浅色主题theme-light');
INSERT INTO "ROOT"."sys_config"("config_id","config_name","config_key","config_value","config_type","create_by","create_time","update_by","update_time","remark") VALUES(4,'验证码开关','sys.account.captchaOnOff','false','Y','admin','2021-10-12 11:26:31','','2021-12-28 13:38:07','是否开启验证码功能（true开启，false关闭）');
INSERT INTO "ROOT"."sys_config"("config_id","config_name","config_key","config_value","config_type","create_by","create_time","update_by","update_time","remark") VALUES(5,'用户注册开关','sys.account.registerUser','true','Y','admin','2021-10-12 11:26:31','','2021-11-01 11:32:15','是否开启注册用户功能（true开启，false关闭）');
INSERT INTO "ROOT"."sys_config"("config_id","config_name","config_key","config_value","config_type","create_by","create_time","update_by","update_time","remark") VALUES(6,'登录黑名单开关','sys.account.blacklistOnOff','true','Y','admin','2021-11-01 11:35:38','','2021-11-03 09:53:27','true:开,false:关');
INSERT INTO "ROOT"."sys_config"("config_id","config_name","config_key","config_value","config_type","create_by","create_time","update_by","update_time","remark") VALUES(7,'系统日志开关','sys.log.switch','off','Y','admin','2021-11-03 10:15:14','','2021-11-09 16:01:35','on(开) off(关)');
INSERT INTO "ROOT"."sys_config"("config_id","config_name","config_key","config_value","config_type","create_by","create_time","update_by","update_time","remark") VALUES(8,'系统日志级别','sys.log.level','PUT-DELETE','Y','admin','2021-11-03 10:24:23','','2021-11-05 16:19:11','全部:GET-POST-PUT-DELETE
仅删:DELETE
删改:PUT-DELETE
增删改:POST-PUT-DELETE
');

SET IDENTITY_INSERT "ROOT"."sys_config" OFF;
SET IDENTITY_INSERT "ROOT"."sys_dept" ON;
INSERT INTO "ROOT"."sys_dept"("dept_id","parent_id","ancestors","dept_name","order_num","leader","phone","email","status","del_flag","create_by","create_time","update_by","update_time") VALUES(100,0,'0','工厂',0,'若依','15888888888','ry@qq.com','0','0','admin','2021-10-12 11:26:30','admin','2021-12-23 17:17:15');
INSERT INTO "ROOT"."sys_dept"("dept_id","parent_id","ancestors","dept_name","order_num","leader","phone","email","status","del_flag","create_by","create_time","update_by","update_time") VALUES(101,100,'0,100','车间一',1,'若依','15888888888','ry@qq.com','0','0','admin','2021-10-12 11:26:30','admin','2021-12-23 17:17:39');
INSERT INTO "ROOT"."sys_dept"("dept_id","parent_id","ancestors","dept_name","order_num","leader","phone","email","status","del_flag","create_by","create_time","update_by","update_time") VALUES(102,100,'0,100','车间二',2,'若依','15888888888','ry@qq.com','0','0','admin','2021-10-12 11:26:30','admin','2021-12-23 17:17:48');
INSERT INTO "ROOT"."sys_dept"("dept_id","parent_id","ancestors","dept_name","order_num","leader","phone","email","status","del_flag","create_by","create_time","update_by","update_time") VALUES(103,101,'0,100,101','班组101',1,'若依','15888888888','ry@qq.com','0','0','admin','2021-10-12 11:26:30','admin','2021-12-23 17:18:17');
INSERT INTO "ROOT"."sys_dept"("dept_id","parent_id","ancestors","dept_name","order_num","leader","phone","email","status","del_flag","create_by","create_time","update_by","update_time") VALUES(104,101,'0,100,101','市场部门',2,'若依','15888888888','ry@qq.com','0','2','admin','2021-10-12 11:26:30','',null);
INSERT INTO "ROOT"."sys_dept"("dept_id","parent_id","ancestors","dept_name","order_num","leader","phone","email","status","del_flag","create_by","create_time","update_by","update_time") VALUES(105,101,'0,100,101','测试部门',3,'若依','15888888888','ry@qq.com','0','2','admin','2021-10-12 11:26:30','',null);
INSERT INTO "ROOT"."sys_dept"("dept_id","parent_id","ancestors","dept_name","order_num","leader","phone","email","status","del_flag","create_by","create_time","update_by","update_time") VALUES(106,101,'0,100,101','班组102',4,'若依','15888888888','ry@qq.com','0','0','admin','2021-10-12 11:26:30','admin','2021-12-23 17:18:25');
INSERT INTO "ROOT"."sys_dept"("dept_id","parent_id","ancestors","dept_name","order_num","leader","phone","email","status","del_flag","create_by","create_time","update_by","update_time") VALUES(107,101,'0,100,101','运维部门',5,'若依','15888888888','ry@qq.com','0','2','admin','2021-10-12 11:26:30','',null);
INSERT INTO "ROOT"."sys_dept"("dept_id","parent_id","ancestors","dept_name","order_num","leader","phone","email","status","del_flag","create_by","create_time","update_by","update_time") VALUES(108,102,'0,100,102','班组201',1,'若依','15888888888','ry@qq.com','0','0','admin','2021-10-12 11:26:30','admin','2021-12-23 17:18:35');
INSERT INTO "ROOT"."sys_dept"("dept_id","parent_id","ancestors","dept_name","order_num","leader","phone","email","status","del_flag","create_by","create_time","update_by","update_time") VALUES(109,102,'0,100,102','班组202',2,'若依','15888888888','ry@qq.com','0','0','admin','2021-10-12 11:26:30','admin','2021-12-23 17:18:42');
INSERT INTO "ROOT"."sys_dept"("dept_id","parent_id","ancestors","dept_name","order_num","leader","phone","email","status","del_flag","create_by","create_time","update_by","update_time") VALUES(200,100,'0,100','橘子科技',3,'橘子','15166778899','juzi@admin.com','0','2','admin','2021-10-21 16:13:59','admin','2021-10-21 16:16:16');

SET IDENTITY_INSERT "ROOT"."sys_dept" OFF;
SET IDENTITY_INSERT "ROOT"."sys_dict_data" ON;
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(1,1,'男','0','sys_user_sex','','','Y','0','admin','2021-10-12 11:26:31','',null,'性别男');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(2,2,'女','1','sys_user_sex','','','N','0','admin','2021-10-12 11:26:31','',null,'性别女');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(3,3,'未知','2','sys_user_sex','','','N','0','admin','2021-10-12 11:26:31','',null,'性别未知');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(4,1,'显示','0','sys_show_hide','','primary','Y','0','admin','2021-10-12 11:26:31','',null,'显示菜单');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(5,2,'隐藏','1','sys_show_hide','','danger','N','0','admin','2021-10-12 11:26:31','',null,'隐藏菜单');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(6,1,'正常','0','sys_normal_disable','','primary','Y','0','admin','2021-10-12 11:26:31','',null,'正常状态');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(7,2,'停用','1','sys_normal_disable','','danger','N','0','admin','2021-10-12 11:26:31','',null,'停用状态');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(8,1,'正常','0','sys_job_status','','primary','Y','0','admin','2021-10-12 11:26:31','',null,'正常状态');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(9,2,'暂停','1','sys_job_status','','danger','N','0','admin','2021-10-12 11:26:31','',null,'停用状态');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(10,1,'默认','DEFAULT','sys_job_group','','','Y','0','admin','2021-10-12 11:26:31','',null,'默认分组');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(11,2,'系统','SYSTEM','sys_job_group','','','N','0','admin','2021-10-12 11:26:31','',null,'系统分组');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(12,1,'是','Y','sys_yes_no','','primary','Y','0','admin','2021-10-12 11:26:31','',null,'系统默认是');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(13,2,'否','N','sys_yes_no','','danger','N','0','admin','2021-10-12 11:26:31','',null,'系统默认否');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(14,1,'通知','1','sys_notice_type','','warning','Y','0','admin','2021-10-12 11:26:31','',null,'通知');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(15,2,'公告','2','sys_notice_type','','success','N','0','admin','2021-10-12 11:26:31','',null,'公告');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(16,1,'正常','0','sys_notice_status','','primary','Y','0','admin','2021-10-12 11:26:31','',null,'正常状态');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(17,2,'关闭','1','sys_notice_status','','danger','N','0','admin','2021-10-12 11:26:31','',null,'关闭状态');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(18,1,'新增','1','sys_oper_type','','info','N','0','admin','2021-10-12 11:26:31','',null,'新增操作');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(19,2,'修改','2','sys_oper_type','','info','N','0','admin','2021-10-12 11:26:31','',null,'修改操作');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(20,3,'删除','3','sys_oper_type','','danger','N','0','admin','2021-10-12 11:26:31','',null,'删除操作');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(21,4,'授权','4','sys_oper_type','','primary','N','0','admin','2021-10-12 11:26:31','',null,'授权操作');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(22,5,'导出','5','sys_oper_type','','warning','N','0','admin','2021-10-12 11:26:31','',null,'导出操作');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(23,6,'导入','6','sys_oper_type','','warning','N','0','admin','2021-10-12 11:26:31','',null,'导入操作');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(24,7,'强退','7','sys_oper_type','','danger','N','0','admin','2021-10-12 11:26:31','',null,'强退操作');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(25,8,'生成代码','8','sys_oper_type','','warning','N','0','admin','2021-10-12 11:26:31','',null,'生成操作');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(26,9,'清空数据','9','sys_oper_type','','danger','N','0','admin','2021-10-12 11:26:31','',null,'清空操作');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(27,1,'成功','0','sys_common_status','','primary','N','0','admin','2021-10-12 11:26:31','',null,'正常状态');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(28,2,'失败','1','sys_common_status','','danger','N','0','admin','2021-10-12 11:26:31','',null,'停用状态');
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(100,0,'系统开','sys_on','system_off',null,'default','N','0','admin','2021-10-22 13:40:54','',null,null);
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(101,1,'系统关','sys_off','system_off',null,'default','N','0','admin','2021-10-22 13:41:12','',null,null);
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(102,0,'GET请求','GET','sys_http_mothod',null,'default','N','0','admin','2021-10-29 10:56:28','',null,null);
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(103,1,'POST请求','POST','sys_http_mothod',null,'default','N','0','admin','2021-10-29 10:56:42','',null,null);
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(104,2,'PUT请求','PUT','sys_http_mothod',null,'default','N','0','admin','2021-10-29 10:56:59','',null,null);
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(105,3,'DELETE请求','DELETE','sys_http_mothod',null,'default','N','0','admin','2021-10-29 10:57:16','',null,null);
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(106,0,'密码错误次数过多','1','sys_blacklist_reason',null,'default','N','0','admin','2021-11-02 11:22:45','admin','2021-11-02 11:28:38',null);
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(107,1,'上传木马文件','2','sys_blacklist_reason',null,'default','N','0','admin','2021-11-02 11:24:09','admin','2021-11-02 13:00:33',null);
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(108,0,'123','0','kkk',null,'default','N','0','admin','2021-12-03 16:28:55','',null,null);
INSERT INTO "ROOT"."sys_dict_data"("dict_code","dict_sort","dict_label","dict_value","dict_type","css_class","list_class","is_default","status","create_by","create_time","update_by","update_time","remark") VALUES(109,0,'456','2','kkk',null,'default','N','0','admin','2021-12-03 16:29:08','',null,null);

SET IDENTITY_INSERT "ROOT"."sys_dict_data" OFF;
SET IDENTITY_INSERT "ROOT"."sys_dict_type" ON;
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(1,'用户性别','sys_user_sex','0','admin','2021-10-12 11:26:31','','2021-10-22 13:38:51','用户性别列表');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(2,'菜单状态','sys_show_hide','0','admin','2021-10-12 11:26:31','',null,'菜单状态列表');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(3,'系统开关','sys_normal_disable','0','admin','2021-10-12 11:26:31','',null,'系统开关列表');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(4,'任务状态','sys_job_status','0','admin','2021-10-12 11:26:31','',null,'任务状态列表');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(5,'任务分组','sys_job_group','0','admin','2021-10-12 11:26:31','',null,'任务分组列表');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(6,'系统是否','sys_yes_no','0','admin','2021-10-12 11:26:31','',null,'系统是否列表');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(7,'通知类型','sys_notice_type','0','admin','2021-10-12 11:26:31','',null,'通知类型列表');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(8,'通知状态','sys_notice_status','0','admin','2021-10-12 11:26:31','',null,'通知状态列表');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(9,'操作类型','sys_oper_type','0','admin','2021-10-12 11:26:31','',null,'操作类型列表');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(10,'系统状态','sys_common_status','0','admin','2021-10-12 11:26:31','',null,'登录状态列表');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(100,'系统开关','system_off','1','admin','2021-10-22 13:39:55','','2021-10-22 13:40:14','系统开关');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(101,'网络请求方式','sys_http_mothod','0','admin','2021-10-29 10:56:07','',null,'GET,POST,PUT,DELETE');
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(102,'拉黑原因','sys_blacklist_reason','0','admin','2021-11-02 11:12:15','',null,null);
INSERT INTO "ROOT"."sys_dict_type"("dict_id","dict_name","dict_type","status","create_by","create_time","update_by","update_time","remark") VALUES(103,'lll','kkk','0','admin','2021-12-03 16:28:40','',null,null);

SET IDENTITY_INSERT "ROOT"."sys_dict_type" OFF;
SET IDENTITY_INSERT "ROOT"."sys_log" ON;
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455351456834555905,'清空日志','admin','2021-11-02 09:50:01',28,'DELETE','127.0.0.1','/system/log/clean','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455351457811828737,'分页获取日志列表','admin','2021-11-02 09:50:01',9,'GET','127.0.0.1','/system/log/list','[{"pageSize": 10}, {"pageNum": 1}]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735701277032449,'修改参数配置','admin','2021-11-03 11:16:52',17,'PUT','127.0.0.1','/system/config','{"params": {}, "remark": "全部:GET-POST-PUT-DELETE\n仅删:DELETE\n删改:PUT-DELETE\n增删改:POST-PUT-DELETE\n", "configId": 8, "createBy": "admin", "updateBy": "", "configKey": "sys.log.level", "configName": "系统日志级别", "configType": "Y", "createTime": 1635906263000, "updateTime": 1635906604000, "configValue": "GET-PUT-DELETE"}');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735701625159681,'获取参数配置列表','admin','2021-11-03 11:16:52',12,'GET','127.0.0.1','/system/config/list','[{"pageSize": 10}, {"pageNum": 1}]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735716858871810,'刷新参数缓存','admin','2021-11-03 11:16:56',1,'DELETE','127.0.0.1','/system/config/refreshCache','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735728548397058,'获取用户信息','admin','2021-11-03 11:16:59',13,'GET','127.0.0.1','/getInfo','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735728711974913,'获取路由信息','admin','2021-11-03 11:16:59',10,'GET','127.0.0.1','/getRouters','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735730750406658,'根据字典类型查询字典数据信息','admin','2021-11-03 11:16:59',6,'GET','127.0.0.1','/system/dict/data/type/sys_yes_no','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735730783961089,'获取参数配置列表','admin','2021-11-03 11:16:59',13,'GET','127.0.0.1','/system/config/list','[{"pageSize": 10}, {"pageNum": 1}]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735745388527618,'根据字典类型查询字典数据信息','admin','2021-11-03 11:17:03',7,'GET','127.0.0.1','/system/dict/data/type/sys_http_mothod','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735745413693442,'根据字典类型查询字典数据信息','admin','2021-11-03 11:17:03',5,'GET','127.0.0.1','/system/dict/data/type/sys_common_status','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735745434664961,'分页获取日志列表','admin','2021-11-03 11:17:03',15,'GET','127.0.0.1','/system/log/list','[{"pageSize": 10}, {"pageNum": 1}]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735793740464130,'根据参数编号获取详细信息','admin','2021-11-03 11:17:14',3,'GET','127.0.0.1','/system/config/8','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455735865974767617,'修改参数配置','admin','2021-11-03 11:17:31',20,'PUT','127.0.0.1','/system/config','{"params": {}, "remark": "全部:GET-POST-PUT-DELETE\n仅删:DELETE\n删改:PUT-DELETE\n增删改:POST-PUT-DELETE\n", "configId": 8, "createBy": "admin", "updateBy": "", "configKey": "sys.log.level", "configName": "系统日志级别", "configType": "Y", "createTime": 1635906263000, "updateTime": 1635909412000, "configValue": "PUT-DELETE"}');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455814586735890433,'批量删除异常日志','admin','2021-11-03 16:30:20',25,'DELETE','127.0.0.1','/system/exception/remove','["1455810579921420289", "1455808405053120514", "1455807990865600513"]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455819026393993217,'恢复已删除用户','admin','2021-11-03 16:47:58',6031,'PUT','127.0.0.1','/system/user/recovery','[106]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455819975867035650,null,'admin','2021-11-03 16:51:45',26,'PUT','127.0.0.1','/system/user/recovery','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455820217400209409,'恢复已删除用户','admin','2021-11-03 16:52:42',18,'PUT','127.0.0.1','/system/user/recovery','[106]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455820250656845826,'批量删除用户','admin','2021-11-03 16:52:50',35,'DELETE','127.0.0.1','/system/user/106','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455820276565061633,'恢复已删除用户','admin','2021-11-03 16:52:56',17,'PUT','127.0.0.1','/system/user/recovery','[106]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455820785183141890,'批量删除用户','admin','2021-11-03 16:54:58',27,'DELETE','127.0.0.1','/system/user/106','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455820810017615873,'恢复已删除用户','admin','2021-11-03 16:55:04',16,'PUT','127.0.0.1','/system/user/recovery','[106]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455821608596320257,'恢复已删除用户','admin','2021-11-03 16:58:14',19,'PUT','127.0.0.1','/system/user/recovery','[107, 108, 109, 110, 111, 112, 113]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455821701546291202,'批量删除用户','admin','2021-11-03 16:58:36',50,'DELETE','127.0.0.1','/system/user/105,106,107,108,109,110,111,112','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455821718759714817,'批量删除用户','admin','2021-11-03 16:58:40',13,'DELETE','127.0.0.1','/system/user/113','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455822216283860993,'修改菜单','admin','2021-11-03 17:00:39',14,'PUT','127.0.0.1','/system/menu','{"icon": "#", "path": "", "perms": "system:user:recovery", "menuId": 2007, "params": {}, "status": "0", "isCache": "0", "isFrame": "1", "visible": "0", "children": [], "menuName": "回收站", "menuType": "F", "orderNum": "10", "parentId": 100, "createTime": 1635930017000}');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455822861506207746,'恢复已删除用户','admin','2021-11-03 17:03:13',18,'PUT','127.0.0.1','/system/user/recovery','[105]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455822891088633858,'批量删除用户','admin','2021-11-03 17:03:20',33,'DELETE','127.0.0.1','/system/user/105','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455828451318116354,'恢复已删除用户','admin','2021-11-03 17:25:25',63,'PUT','127.0.0.1','/system/user/recovery','[105]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455828762015379457,'批量删除用户','admin','2021-11-03 17:26:40',43,'DELETE','127.0.0.1','/system/user/105','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455828780914913281,'彻底删除用户','admin','2021-11-03 17:26:44',15,'DELETE','127.0.0.1','/system/user/realDeleteUser','[105]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1455828958698876929,'彻底删除用户','admin','2021-11-03 17:27:26',15,'DELETE','127.0.0.1','/system/user/realDeleteUser','[106]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1456061465763528706,'修改参数配置','admin','2021-11-04 08:51:20',25,'PUT','127.0.0.1','/system/config','{"params": {}, "remark": "on(开) off(关)", "configId": 7, "createBy": "admin", "updateBy": "", "configKey": "sys.log.switch", "configName": "系统日志开关", "configType": "Y", "createTime": 1635905714000, "configValue": "off"}');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1456536378467192833,'获取参数配置列表','admin','2021-11-05 16:18:28',7,'GET','127.0.0.1','/system/config/list','[{"pageSize": 10}, {"pageNum": 1}]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1456536416794742786,'根据字典类型查询字典数据信息','admin','2021-11-05 16:18:38',2,'GET','127.0.0.1','/system/dict/data/type/sys_http_mothod','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1456536418120142850,'根据字典类型查询字典数据信息','admin','2021-11-05 16:18:38',2,'GET','127.0.0.1','/system/dict/data/type/sys_common_status','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1456536418120142851,'分页获取日志列表','admin','2021-11-05 16:18:38',6,'GET','127.0.0.1','/system/log/list','[{"pageSize": 10}, {"pageNum": 1}]');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1456536469231931394,'根据字典类型查询字典数据信息','admin','2021-11-05 16:18:50',3,'GET','127.0.0.1','/system/dict/data/type/sys_normal_disable','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1456536469236125698,'部门下拉列表树','admin','2021-11-05 16:18:50',8,'GET','127.0.0.1','/system/dept/treeSelect','null');
INSERT INTO "ROOT"."sys_log"("id","description","username","start_time","spend_time","method","ip","uri","parameter") VALUES(1456536469332594689,'获取用户列表','admin','2021-11-05 16:18:50',28,'GET','127.0.0.1','/system/user/list','[{"pageSize": 10}, {"pageNum": 1}]');

SET IDENTITY_INSERT "ROOT"."sys_log" OFF;
SET IDENTITY_INSERT "ROOT"."sys_menu" ON;
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1,'系统管理',0,12,'system',null,'',1,0,'M','0','0','','system','admin','2021-10-12 11:26:30','admin','2021-11-19 20:16:30','系统管理目录');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2,'系统监控',0,13,'monitor',null,'',1,0,'M','0','0','','monitor','admin','2021-10-12 11:26:30','admin','2021-11-19 20:16:34','系统监控目录');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(100,'用户管理',1,1,'user','system/user/index','',1,0,'C','0','0','system:user:list','user','admin','2021-10-12 11:26:30','admin','2021-10-12 13:31:12','用户管理菜单');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(101,'角色管理',1,2,'role','system/role/index','',1,0,'C','0','0','system:role:list','peoples','admin','2021-10-12 11:26:30','',null,'角色管理菜单');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(102,'菜单管理',1,3,'menu','system/menu/index','',1,0,'C','0','0','system:menu:list','tree-table','admin','2021-10-12 11:26:30','',null,'菜单管理菜单');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(103,'部门管理',1,4,'dept','system/dept/index','',1,0,'C','0','0','system:dept:list','tree','admin','2021-10-12 11:26:30','',null,'部门管理菜单');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(104,'岗位管理',1,5,'post','system/post/index','',1,0,'C','0','0','system:post:list','post','admin','2021-10-12 11:26:30','',null,'岗位管理菜单');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(105,'字典管理',1,6,'dict','system/dict/index','',1,0,'C','0','0','system:dict:list','dict','admin','2021-10-12 11:26:30','',null,'字典管理菜单');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(106,'参数设置',1,7,'config','system/config/index','',1,0,'C','0','0','system:config:list','edit','admin','2021-10-12 11:26:30','','2021-10-15 17:20:32','参数设置菜单');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(112,'服务监控',2,2,'server','monitor/server/index','',1,1,'C','0','0','monitor:server:list','server','admin','2021-10-12 11:26:30','','2021-11-03 09:16:24','���务监控菜单');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(113,'缓存监控',2,3,'cache','monitor/cache/index','',1,1,'C','0','0','monitor:cache:list','redis','admin','2021-10-12 11:26:30','','2021-11-03 09:16:20','缓存监控菜单');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(500,'操作日志',1,9,'operlog','monitor/operlog/index','',1,1,'C','0','0','system:log:list','form','admin','2021-10-12 11:26:30','','2021-10-29 17:26:50','操作日志菜单');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1001,'用户查询',100,1,'','','',1,0,'F','0','0','system:user:query','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1002,'用户新增',100,2,'','','',1,0,'F','0','0','system:user:add','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1003,'用户修改',100,3,'','','',1,0,'F','0','0','system:user:edit','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1004,'用户删除',100,4,'','','',1,0,'F','0','0','system:user:remove','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1005,'用户导出',100,5,'','','',1,0,'F','0','0','system:user:export','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1006,'用户导入',100,6,'','','',1,0,'F','0','0','system:user:import','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1007,'重置密码',100,7,'','','',1,0,'F','0','0','system:user:resetPwd','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1008,'角色查询',101,1,'','','',1,0,'F','0','0','system:role:query','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1009,'角色新增',101,2,'','','',1,0,'F','0','0','system:role:add','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1010,'角色修改',101,3,'','','',1,0,'F','0','0','system:role:edit','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1011,'角色删除',101,4,'','','',1,0,'F','0','0','system:role:remove','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1012,'权限重置',101,5,'','','',1,0,'F','0','0','system:role:refresh','#','admin','2021-10-12 11:26:30','','2021-10-26 14:53:55','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1013,'菜单查询',102,1,'','','',1,0,'F','0','0','system:menu:query','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1014,'菜单新增',102,2,'','','',1,0,'F','0','0','system:menu:add','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1015,'菜单修改',102,3,'','','',1,0,'F','0','0','system:menu:edit','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1016,'菜单删除',102,4,'','','',1,0,'F','0','0','system:menu:remove','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1017,'部门查询',103,1,'','','',1,0,'F','0','0','system:dept:query','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1018,'部门新增',103,2,'','','',1,0,'F','0','0','system:dept:add','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1019,'部门修改',103,3,'','','',1,0,'F','0','0','system:dept:edit','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1020,'部门删除',103,4,'','','',1,0,'F','0','0','system:dept:remove','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1021,'岗位查询',104,1,'','','',1,0,'F','0','0','system:post:query','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1022,'岗位新增',104,2,'','','',1,0,'F','0','0','system:post:add','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1023,'岗位修改',104,3,'','','',1,0,'F','0','0','system:post:edit','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1024,'岗位删除',104,4,'','','',1,0,'F','0','0','system:post:remove','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1025,'岗位导出',104,5,'','','',1,0,'F','0','0','system:post:export','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1026,'字典查询',105,1,'#','','',1,0,'F','0','0','system:dict:query','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1027,'字典新增',105,2,'#','','',1,0,'F','0','0','system:dict:add','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1028,'字典修改',105,3,'#','','',1,0,'F','0','0','system:dict:edit','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1029,'字典删除',105,4,'#','','',1,0,'F','0','0','system:dict:remove','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1030,'字典导出',105,5,'#','','',1,0,'F','0','0','system:dict:export','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1031,'参数查询',106,1,'#','','',1,0,'F','0','0','system:config:query','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1032,'参数新增',106,2,'#','','',1,0,'F','0','0','system:config:add','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1033,'参数修改',106,3,'#','','',1,0,'F','0','0','system:config:edit','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1034,'参数删除',106,4,'#','','',1,0,'F','0','0','system:config:remove','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1035,'参数导出',106,5,'#','','',1,0,'F','0','0','system:config:export','#','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1040,'操作查询',500,1,'#','','',1,0,'F','0','0','system:log:query','#','admin','2021-10-12 11:26:30','','2021-10-29 13:27:44','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1041,'操作删除',500,2,'#','','',1,0,'F','0','0','system:log:remove','#','admin','2021-10-12 11:26:30','','2021-10-29 13:27:49','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(1042,'日志导出',500,3,'#','','',1,0,'F','0','0','system:log:export','#','admin','2021-10-12 11:26:30','','2021-11-02 10:55:10','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2002,'黑名单管理',1,10,'blacklist','system/blacklist/index',null,1,1,'C','0','0','','user','','2021-11-01 16:08:18','','2021-11-01 17:30:08','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2003,'黑名单查询',2002,1,'',null,null,1,0,'F','0','0','system:blacklist:query','#','','2021-11-02 10:52:47','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2004,'黑名单删除',2002,2,'',null,null,1,0,'F','0','0','system:blacklist:remove','#','','2021-11-02 10:53:51','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2005,'黑名单导出',2002,3,'',null,null,1,0,'F','0','0','system:blacklist:export','#','','2021-11-02 10:54:21','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2006,'异常监控',2,1,'exception','monitor/exception/index',null,1,1,'C','0','0','','bug','','2021-11-02 21:51:00','','2021-11-03 09:16:54','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2007,'回收站',100,10,'',null,null,1,0,'F','0','0','system:user:recovery','#','','2021-11-03 17:00:17','','2021-11-03 17:00:38','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2008,'驾驶舱总览',2014,1,'/bigScreen/drivingCabin','',null,0,0,'C','0','0','','druid','admin','2021-11-19 20:01:17','admin','2021-12-03 16:52:27','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2009,'科研生产',2014,2,'/bigScreen/scientific',null,null,0,0,'C','0','0','','nested','admin','2021-11-19 20:17:35','admin','2021-12-03 17:10:50','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2010,'经营管理',2014,3,'/bigScreen/management',null,null,0,0,'C','0','0','','monitor','admin','2021-11-19 20:18:17','admin','2021-12-03 17:13:37','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2011,'质量管理',2014,4,'/bigScreen/qualityManage',null,null,0,0,'C','0','0','','validCode','admin','2021-11-19 20:20:38','admin','2021-12-03 17:19:18','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2012,'安全管理',2014,5,'/bigScreen/securityManage',null,null,0,0,'C','0','0','','international','admin','2021-11-19 20:21:35','admin','2021-12-03 17:25:18','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2013,'信息化管理',2014,6,'/bigScreen/information',null,null,0,0,'C','0','0','','redis','admin','2021-11-19 20:33:02','admin','2021-12-03 17:25:27','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2014,'科研生产驾驶舱',0,1,'bigScreen',null,null,1,0,'M','0','0','','guide','admin','2021-11-19 21:03:46','admin','2021-12-03 17:02:53','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2015,'用户字典',2014,7,'bigScreen','bigScreen/userDictionary/index',null,1,0,'C','0','0','','clipboard','admin','2021-12-06 09:08:53','admin','2021-12-06 09:11:45','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2023,'数据管理',0,2,'chartList',null,null,1,0,'M','0','0','','list','admin','2021-12-16 09:23:15','admin','2021-12-22 16:15:41','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2024,'驾驶舱总览',2023,1,'page1','chartList/page1/index',null,1,0,'C','0','0','','chart','admin','2021-12-16 09:24:06','admin','2021-12-16 11:11:50','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2032,'质量管理',2023,4,'page4','chartList/page4/index',null,1,0,'C','0','0','','chart','admin','2021-12-16 11:09:15','admin','2021-12-16 16:07:35','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2035,'科研生产',2023,2,'page2',null,null,1,0,'M','0','0','','list','admin','2021-12-16 11:18:30','admin','2021-12-22 16:14:58','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2036,'作业动态',2035,1,'one','chartList/page2/one/index',null,1,0,'C','0','0','','chart','admin','2021-12-16 11:18:54','admin','2021-12-16 11:21:30','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2037,'生产管理',2035,2,'two','chartList/page2/two/index',null,1,0,'C','0','0','','chart','admin','2021-12-16 11:19:56','admin','2021-12-16 11:21:43','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2038,'项目管理',2035,3,'three','chartList/page2/three/index',null,1,0,'C','0','0','','chart','admin','2021-12-16 11:20:15','admin','2021-12-16 11:21:55','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2039,'安全管理',2023,5,'page5','chartList/page5/index',null,1,0,'C','0','0',null,'chart','admin','2021-12-16 16:11:23','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2040,'经营管理',2023,3,'page3','chartList/page3/index',null,1,0,'C','0','0','','chart','admin','2021-12-16 17:06:38','admin','2021-12-17 14:41:53','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2041,'信息化管理',2023,6,'page6','chartList/page6/index',null,1,0,'C','0','0','','chart','admin','2021-12-16 17:07:38','admin','2021-12-17 10:00:59','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2042,'车辆管理',0,3,'vehicleMent',null,null,1,0,'M','1','0','','example','admin','2022-01-15 09:48:02','admin','2023-04-17 15:46:36','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2043,'日志管理',2042,5,'journal','vehicleMent/journal',null,1,0,'C','0','0','business:hxCarLocationLog:list','chart','admin','2022-01-15 09:54:27','admin','2022-01-17 15:36:16','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2044,'车辆列表',2042,4,'add','vehicleMent/add',null,1,0,'C','0','0','business:hxCarLocation:list','chart','admin','2022-01-15 09:56:08','admin','2022-01-17 15:34:50','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2045,'地图管理',2042,2,'map','vehicleMent/map',null,1,0,'C','0','0','business:hxCarLocationMap:list','chart','admin','2022-01-15 09:57:01','admin','2022-01-17 15:36:36','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2046,'读卡器管理',2042,3,'reader','vehicleMent/reader',null,1,0,'C','0','0','business:hxReaderInfo:list','chart','admin','2022-01-15 10:08:48','admin','2022-01-17 15:36:26','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2048,'车辆总览(大图)',2042,1,'overview','vehicleMent/overview',null,1,0,'C','0','0','','chart','admin','2022-01-15 16:30:06','admin','2022-02-18 09:11:42','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2049,'车辆新增',2044,1,'',null,null,1,0,'F','0','0','business:hxCarLocation:add','#','admin','2022-01-17 15:25:15','admin','2022-01-17 15:25:50','');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2050,'车辆修改',2044,2,'',null,null,1,0,'F','0','0','business:hxCarLocation:edit','#','admin','2022-01-17 15:26:27','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2052,'删除车辆',2044,4,'',null,null,1,0,'F','0','0','business:hxCarLocation:remove','#','admin','2022-01-17 15:27:24','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2053,'读卡器新增',2046,1,'',null,null,1,0,'F','0','0','business:hxReaderInfo:add','#','admin','2022-01-17 15:29:03','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2054,'读卡器修改',2046,2,'',null,null,1,0,'F','0','0','business:hxReaderInfo:edit','#','admin','2022-01-17 15:29:25','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2056,'读卡器删除',2046,4,'',null,null,1,0,'F','0','0','business:hxReaderInfo:remove','#','admin','2022-01-17 15:30:11','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2058,'日志删除',2043,2,'',null,null,1,0,'F','0','0','business:hxCarLocationLog:remove','#','admin','2022-01-17 15:31:31','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2060,'地图信息修改',2045,2,'',null,null,1,0,'F','0','0','business:hxCarLocationMap:edit','#','admin','2022-01-17 15:33:59','',null,'');
INSERT INTO "ROOT"."sys_menu"("menu_id","menu_name","parent_id","order_num","path","component","query","is_frame","is_cache","menu_type","visible","status","perms","icon","create_by","create_time","update_by","update_time","remark") VALUES(2061,'数据上传',2023,7,'upload','chartList/page7/index',null,1,0,'C','0','0','','clipboard','admin','2022-06-25 20:54:01','admin','2022-07-28 09:43:26','');

SET IDENTITY_INSERT "ROOT"."sys_menu" OFF;
SET IDENTITY_INSERT "ROOT"."sys_post" ON;
INSERT INTO "ROOT"."sys_post"("post_id","post_code","post_name","post_sort","status","create_by","create_time","update_by","update_time","remark") VALUES(1,'ceo','董事长',1,'0','admin','2021-10-12 11:26:30','','2021-10-22 14:22:23','');
INSERT INTO "ROOT"."sys_post"("post_id","post_code","post_name","post_sort","status","create_by","create_time","update_by","update_time","remark") VALUES(2,'se','项目经理',2,'0','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_post"("post_id","post_code","post_name","post_sort","status","create_by","create_time","update_by","update_time","remark") VALUES(3,'hr','人力资源',3,'0','admin','2021-10-12 11:26:30','','2021-10-22 14:22:26','');
INSERT INTO "ROOT"."sys_post"("post_id","post_code","post_name","post_sort","status","create_by","create_time","update_by","update_time","remark") VALUES(4,'user','普通员工',4,'0','admin','2021-10-12 11:26:30','',null,'');
INSERT INTO "ROOT"."sys_post"("post_id","post_code","post_name","post_sort","status","create_by","create_time","update_by","update_time","remark") VALUES(7,'0012313','后厨',6,'0','','2021-10-28 15:37:55','',null,'后厨');

SET IDENTITY_INSERT "ROOT"."sys_post" OFF;
SET IDENTITY_INSERT "ROOT"."sys_role" ON;
INSERT INTO "ROOT"."sys_role"("role_id","role_name","role_key","role_sort","data_scope","menu_check_strictly","dept_check_strictly","status","del_flag","create_by","create_time","update_by","update_time","remark") VALUES(1,'超级管理员','admin',1,'1',0,0,'0','0','admin','2021-10-12 11:26:30','','2021-10-25 14:36:55','超级管理员');
INSERT INTO "ROOT"."sys_role"("role_id","role_name","role_key","role_sort","data_scope","menu_check_strictly","dept_check_strictly","status","del_flag","create_by","create_time","update_by","update_time","remark") VALUES(2,'普通角色','common',2,'2',1,0,'0','0','admin','2021-10-12 11:26:30','admin','2021-11-03 09:18:08','普通角色');
INSERT INTO "ROOT"."sys_role"("role_id","role_name","role_key","role_sort","data_scope","menu_check_strictly","dept_check_strictly","status","del_flag","create_by","create_time","update_by","update_time","remark") VALUES(100,'经理','/add/list',3,'5',0,0,'0','2','','2021-10-18 08:54:17','','2021-10-18 09:02:51','测试add角色123');

SET IDENTITY_INSERT "ROOT"."sys_role" OFF;
INSERT INTO "ROOT"."sys_role_dept"("role_id","dept_id") VALUES(2,100);
INSERT INTO "ROOT"."sys_role_dept"("role_id","dept_id") VALUES(2,101);
INSERT INTO "ROOT"."sys_role_dept"("role_id","dept_id") VALUES(2,103);
INSERT INTO "ROOT"."sys_role_dept"("role_id","dept_id") VALUES(2,104);
INSERT INTO "ROOT"."sys_role_dept"("role_id","dept_id") VALUES(2,105);

INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,100);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,101);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,102);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,103);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,104);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,105);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,106);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,112);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,113);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,500);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1001);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1002);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1003);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1004);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1005);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1006);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1007);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1008);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1009);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1010);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1011);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1012);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1013);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1014);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1015);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1016);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1017);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1018);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1019);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1020);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1021);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1022);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1023);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1024);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1025);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1026);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1027);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1028);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1029);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1030);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1031);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1032);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1033);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1034);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1035);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1040);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1041);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,1042);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2002);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2003);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2004);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2005);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2006);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2007);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2008);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2009);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2010);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2011);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2012);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2013);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2014);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2015);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2023);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2024);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2032);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2035);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2036);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2037);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2038);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2039);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2040);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2041);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2042);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2043);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2044);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2045);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2046);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2048);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2049);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2050);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2052);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2053);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2054);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2056);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2058);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(1,2060);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,2);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,100);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,101);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,102);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,103);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,104);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,105);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,106);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,112);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,113);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,500);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1001);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1002);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1003);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1004);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1005);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1006);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1007);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1008);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1009);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1010);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1011);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1012);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1013);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1014);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1015);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1016);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1017);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1018);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1019);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1020);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1021);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1022);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1023);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1024);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1025);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1026);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1027);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1028);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1029);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1030);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1031);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1032);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1033);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1034);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1035);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1040);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1041);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,1042);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,2002);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,2003);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,2004);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,2005);
INSERT INTO "ROOT"."sys_role_menu"("role_id","menu_id") VALUES(2,2006);

SET IDENTITY_INSERT "ROOT"."sys_user" ON;
INSERT INTO "ROOT"."sys_user"("user_id","dept_id","user_name","nick_name","user_type","email","phonenumber","sex","avatar","password","status","del_flag","login_ip","login_date","create_by","create_time","update_by","update_time","remark") VALUES(1,103,'admin','admin','00','ry@163.com','15888888888','1','http://localhost:1818/e5e66198a13543a28a040b31d1906f00.blob','$2a$10$8UOvDMhuZrb9q4qq5qAxx.NLvHOT8RttQP9McvjtN6vkeGR6A9RFG','0','0','127.0.0.1','2023-04-17 15:46:36','admin','2021-10-12 11:26:30','admin','2022-01-17 15:49:07','管理员');
INSERT INTO "ROOT"."sys_user"("user_id","dept_id","user_name","nick_name","user_type","email","phonenumber","sex","avatar","password","status","del_flag","login_ip","login_date","create_by","create_time","update_by","update_time","remark") VALUES(2,106,'ry','1234','00','ry1@qq.com','15666666666','0','http://192.168.0.115:1818/fc9754617b31493c876d00eb41bfe167.jpg','$2a$10$NOUJUSq10hdPo0LM0Lezq.oBUXdo7pQzrcI4UQjIXrfjUD73nuhj.','0','0','127.0.0.1','2021-10-13 08:47:52','admin','2021-10-12 11:26:30','','2022-01-17 15:49:32','测试员123');
INSERT INTO "ROOT"."sys_user"("user_id","dept_id","user_name","nick_name","user_type","email","phonenumber","sex","avatar","password","status","del_flag","login_ip","login_date","create_by","create_time","update_by","update_time","remark") VALUES(117,103,'woshixiaoming11','woshixiaoming','00','','18208762345','0','http://192.168.0.115:1818/8133898e954f425484759a8440711b59.jpg','$2a$10$fbF0zMkxD.EdIkwVx03TKOrGl55uN77eUd1UJDutsRUnxgFI0ncR.','0','0','',null,'','2021-11-02 15:40:00','','2021-12-27 15:35:47',null);

SET IDENTITY_INSERT "ROOT"."sys_user" OFF;
INSERT INTO "ROOT"."sys_user_post"("user_id","post_id") VALUES(1,1);
INSERT INTO "ROOT"."sys_user_post"("user_id","post_id") VALUES(2,1);
INSERT INTO "ROOT"."sys_user_post"("user_id","post_id") VALUES(2,2);

INSERT INTO "ROOT"."sys_user_role"("user_id","role_id") VALUES(1,1);
INSERT INTO "ROOT"."sys_user_role"("user_id","role_id") VALUES(2,2);

INSERT INTO "ROOT"."test_class"("username","password") VALUES('aaa','bbbb');

INSERT INTO "ROOT"."test_class_log"("class_name","chinese_avg","math_avg","english_avg","chinese_fail_total","math_fail_total","english_fail_total") VALUES('1班','80','50','100',0,1,0);
INSERT INTO "ROOT"."test_class_log"("class_name","chinese_avg","math_avg","english_avg","chinese_fail_total","math_fail_total","english_fail_total") VALUES('2班','64.5','95','95',1,0,0);
INSERT INTO "ROOT"."test_class_log"("class_name","chinese_avg","math_avg","english_avg","chinese_fail_total","math_fail_total","english_fail_total") VALUES('1班','80','50','100',0,2,0);
INSERT INTO "ROOT"."test_class_log"("class_name","chinese_avg","math_avg","english_avg","chinese_fail_total","math_fail_total","english_fail_total") VALUES('2班','64.5','95','95',2,0,0);
INSERT INTO "ROOT"."test_class_log"("class_name","chinese_avg","math_avg","english_avg","chinese_fail_total","math_fail_total","english_fail_total") VALUES('1班','80','50','100',0,3,0);
INSERT INTO "ROOT"."test_class_log"("class_name","chinese_avg","math_avg","english_avg","chinese_fail_total","math_fail_total","english_fail_total") VALUES('2班','64.5','95','95',3,0,0);
INSERT INTO "ROOT"."test_class_log"("class_name","chinese_avg","math_avg","english_avg","chinese_fail_total","math_fail_total","english_fail_total") VALUES('1班','80','50','100',0,3,0);
INSERT INTO "ROOT"."test_class_log"("class_name","chinese_avg","math_avg","english_avg","chinese_fail_total","math_fail_total","english_fail_total") VALUES('2班','64.5','95','95',3,0,0);
INSERT INTO "ROOT"."test_class_log"("class_name","chinese_avg","math_avg","english_avg","chinese_fail_total","math_fail_total","english_fail_total") VALUES('1班','80','50','100',0,3,0);
INSERT INTO "ROOT"."test_class_log"("class_name","chinese_avg","math_avg","english_avg","chinese_fail_total","math_fail_total","english_fail_total") VALUES('2班','64.5','95','95',3,0,0);

INSERT INTO "ROOT"."test_qulity"("check_name","question","completed","check_date") VALUES('检查1','问题1','已整改','2022-06-26');
INSERT INTO "ROOT"."test_qulity"("check_name","question","completed","check_date") VALUES('检查2','问题2','未整改','2022-06-26');
INSERT INTO "ROOT"."test_qulity"("check_name","question","completed","check_date") VALUES('检查1','问题1','已整改','2022-06-26');
INSERT INTO "ROOT"."test_qulity"("check_name","question","completed","check_date") VALUES('检查2','问题2','未整改','2022-06-26');
INSERT INTO "ROOT"."test_qulity"("check_name","question","completed","check_date") VALUES('检查3','问题3','已整改','2022-06-26');
INSERT INTO "ROOT"."test_qulity"("check_name","question","completed","check_date") VALUES('检查4','问题4','已整改','2022-06-26');
INSERT INTO "ROOT"."test_qulity"("check_name","question","completed","check_date") VALUES('检查5','问题5','已整改','2022-06-26');
INSERT INTO "ROOT"."test_qulity"("check_name","question","completed","check_date") VALUES('检查6','问题6','已整改','2022-06-26');
INSERT INTO "ROOT"."test_qulity"("check_name","question","completed","check_date") VALUES('检查7','问题7','已整改','2022-06-26');
INSERT INTO "ROOT"."test_qulity"("check_name","question","completed","check_date") VALUES('检查7','问题7','已整改','2022-06-30');
INSERT INTO "ROOT"."test_qulity"("check_name","question","completed","check_date") VALUES('检查8','问题8','已整改','2022-06-30');

INSERT INTO "ROOT"."test_qulity_complete_total"("total","date") VALUES('1','2022-06-26');
INSERT INTO "ROOT"."test_qulity_complete_total"("total","date") VALUES('7','2022-06-26');
INSERT INTO "ROOT"."test_qulity_complete_total"("total","date") VALUES('2','2022-06-30');

INSERT INTO "ROOT"."test_worker_score"("worker_name","worker_class","chinese_score","math_score","english_score") VALUES('张三','1班','80','50','100');
INSERT INTO "ROOT"."test_worker_score"("worker_name","worker_class","chinese_score","math_score","english_score") VALUES('李四','2班','59','90','90');
INSERT INTO "ROOT"."test_worker_score"("worker_name","worker_class","chinese_score","math_score","english_score") VALUES('王五','2班','70','100','100');
INSERT INTO "ROOT"."test_worker_score"("worker_name","worker_class","chinese_score","math_score","english_score") VALUES('张三','1班','80','50','100');
INSERT INTO "ROOT"."test_worker_score"("worker_name","worker_class","chinese_score","math_score","english_score") VALUES('李四','2班','59','90','90');
INSERT INTO "ROOT"."test_worker_score"("worker_name","worker_class","chinese_score","math_score","english_score") VALUES('王五','2班','70','100','100');
INSERT INTO "ROOT"."test_worker_score"("worker_name","worker_class","chinese_score","math_score","english_score") VALUES('张三','1班','80','50','100');
INSERT INTO "ROOT"."test_worker_score"("worker_name","worker_class","chinese_score","math_score","english_score") VALUES('李四','2班','59','90','90');
INSERT INTO "ROOT"."test_worker_score"("worker_name","worker_class","chinese_score","math_score","english_score") VALUES('王五','2班','70','100','100');

INSERT INTO "ROOT"."work_plan_base"("work_id","name","work_content","complete_time","deliver","complete_flag","person","complete_status","complete_remark","material","unit","month") VALUES('10','11','12','13','14','15','16','已完成','1','2','单位1','2022-08');
INSERT INTO "ROOT"."work_plan_base"("work_id","name","work_content","complete_time","deliver","complete_flag","person","complete_status","complete_remark","material","unit","month") VALUES('11','12','13','14','15','16','17','未完成','2','3','单位1','2022-08');
INSERT INTO "ROOT"."work_plan_base"("work_id","name","work_content","complete_time","deliver","complete_flag","person","complete_status","complete_remark","material","unit","month") VALUES('12','13','14','15','16','17','18','未完成','3','4','单位2','2022-08');
INSERT INTO "ROOT"."work_plan_base"("work_id","name","work_content","complete_time","deliver","complete_flag","person","complete_status","complete_remark","material","unit","month") VALUES('13','14','15','16','17','18','19','未完成','4','5','单位2','2022-08');
INSERT INTO "ROOT"."work_plan_base"("work_id","name","work_content","complete_time","deliver","complete_flag","person","complete_status","complete_remark","material","unit","month") VALUES('14','15','16','17','18','19','20','未完成','5','6','单位2','2022-08');

CREATE  FUNCTION "ROOT"."FIND_IN_SET"(piv_str1 varchar2, piv_str2 varchar2, p_sep varchar2 := ',')  
    RETURN NUMBER IS  
      l_idx    number:=0; -- 用于计算piv_str2中分隔符的位置  
      str      varchar2(500);  -- 根据分隔符截取的子字符串  
      piv_str  varchar2(500) := piv_str2; -- 将piv_str2赋值给piv_str  
      res      number:=0; -- 返回结果  
      res_place      number:=0;-- 原字符串在目标字符串中的位置  
    BEGIN  
    -- 如果字段是null 则返回0  
    IF piv_str2 IS NULL THEN  
      RETURN res;  
    END IF;  
    -- 如果piv_str中没有分割符，直接判断piv_str1和piv_str是否相等，相等 res_place=1  
    IF instr(piv_str, p_sep, 1) = 0 THEN  
       IF piv_str = piv_str1 THEN  
          res_place:=1;  
          res:= res_place;  
       END IF;  
    ELSE  
     -- 循环按分隔符截取piv_str  
    LOOP  
        l_idx := instr(piv_str,p_sep);  
        --  
        res_place := res_place + 1;  
        -- 当piv_str中还有分隔符时  
          IF l_idx > 0 THEN  
          -- 截取第一个分隔符前的字段str  
             str:= substr(piv_str,1,l_idx-1);  
             -- 判断 str 和piv_str1 是否相等，相等则结束循环判断  
             IF str = piv_str1 THEN  
               res:= res_place;  
               EXIT;  
             END IF;  
            piv_str := substr(piv_str,l_idx+length(p_sep));  
          ELSE  
          -- 当截取后的piv_str 中不存在分割符时，判断piv_str和piv_str1是否相等，相等 res=res_path  
            IF piv_str = piv_str1 THEN  
               res:= res_place;  
            END IF;  
            -- 无论最后是否相等，都跳出循环  
            EXIT;  
          END IF;  
     END LOOP;  
     -- 结束循环  
     END IF;  
     -- 返回res  
     RETURN res;  
    END FIND_IN_SET;

ALTER TABLE "ROOT"."sys_user_role" ADD CONSTRAINT  PRIMARY KEY("user_id","role_id") ;

ALTER TABLE "ROOT"."sys_user_post" ADD CONSTRAINT  PRIMARY KEY("user_id","post_id") ;

ALTER TABLE "ROOT"."sys_user" ADD CONSTRAINT  PRIMARY KEY("user_id") ;

ALTER TABLE "ROOT"."sys_role_menu" ADD CONSTRAINT  PRIMARY KEY("role_id","menu_id") ;

ALTER TABLE "ROOT"."sys_role_dept" ADD CONSTRAINT  PRIMARY KEY("role_id","dept_id") ;

ALTER TABLE "ROOT"."sys_role" ADD CONSTRAINT  PRIMARY KEY("role_id") ;

ALTER TABLE "ROOT"."sys_post" ADD CONSTRAINT  PRIMARY KEY("post_id") ;

ALTER TABLE "ROOT"."sys_menu" ADD CONSTRAINT  PRIMARY KEY("menu_id") ;

ALTER TABLE "ROOT"."sys_log" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."sys_dict_type" ADD CONSTRAINT  PRIMARY KEY("dict_id") ;

ALTER TABLE "ROOT"."sys_dict_type" ADD CONSTRAINT "dict_type" UNIQUE("dict_type") ;

ALTER TABLE "ROOT"."sys_dict_data" ADD CONSTRAINT  PRIMARY KEY("dict_code") ;

ALTER TABLE "ROOT"."sys_dept" ADD CONSTRAINT  PRIMARY KEY("dept_id") ;

ALTER TABLE "ROOT"."sys_config" ADD CONSTRAINT  PRIMARY KEY("config_id") ;

ALTER TABLE "ROOT"."sys_blacklist_user" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_year_duty" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_work_plan" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_work_home_info" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_week_plan" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_video_system" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_video" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_today_dynamic" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_team_attendance" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_system_radar" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_synthesize_index" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_strategy_index" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_storehouse" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_stock_detailed" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_spc_product" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_spc_info" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_revenue_profit" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_responsibility_status" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_reader_info" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_quality_system_review" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_quality_system_elements" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_quality_problem" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_quality_plan" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_quality_manage" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_quality_inspect_analysis" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_quality_case" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_production_situation" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_production_responsibility" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_production_plan" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_production_index" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_product_qualified" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_product_pic" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_product_completion_overview" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_plan_completed" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_month_plan" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_month_factory_plan" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_month_dynamic" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_model_year_plan" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_model_station" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_military_income" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_military_general_factory" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_military_contract" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_milepost_and_bottleneck" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_materials_accessories" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_material_plan" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_job_details" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_information_publicity" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_industrial_projects" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_hidden_danger" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_general_plant_conditions" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_factory_resources" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_factory_operate_index" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_ester_production" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_dispatch_meeting" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_dict" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_dept_operate_index" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_dangerous_work" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_dangerous_source" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_dangerous_point" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_dangerous_place" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_cost_analysis" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_comprehensive_plan" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_civil_income" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_civil_contract" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_charge_quantity" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_charge_job_content" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_charge_deliver" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_car_use" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_car_log_config" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_car_location_log" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_car_location" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_business_responsibility" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_big_pic" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."hx_annual_target" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "ROOT"."exception_log" ADD CONSTRAINT  PRIMARY KEY("exception_id") ;

COMMENT ON TABLE "ROOT"."test_worker_score" IS '员工考试成绩表';

COMMENT ON COLUMN "ROOT"."test_worker_score"."worker_name" IS '员工姓名';

COMMENT ON COLUMN "ROOT"."test_worker_score"."worker_class" IS '班级名称';

COMMENT ON COLUMN "ROOT"."test_worker_score"."chinese_score" IS '语文成绩';

COMMENT ON COLUMN "ROOT"."test_worker_score"."math_score" IS '数学成绩';

COMMENT ON COLUMN "ROOT"."test_worker_score"."english_score" IS '英文成绩';

COMMENT ON COLUMN "ROOT"."test_class_log"."class_name" IS '班级名称';

COMMENT ON COLUMN "ROOT"."test_class_log"."chinese_avg" IS '语文平均分';

COMMENT ON COLUMN "ROOT"."test_class_log"."math_avg" IS '数学平均分';

COMMENT ON COLUMN "ROOT"."test_class_log"."english_avg" IS '英语平均分';

COMMENT ON COLUMN "ROOT"."test_class_log"."chinese_fail_total" IS '语文不及格人数';

COMMENT ON COLUMN "ROOT"."test_class_log"."math_fail_total" IS '数学不及格人数';

COMMENT ON COLUMN "ROOT"."test_class_log"."english_fail_total" IS '英文不及格人数';

CREATE UNIQUE INDEX "PRIMARY"
ON "ROOT"."sys_user_role"("user_id","role_id");

COMMENT ON TABLE "ROOT"."sys_user_role" IS '用户和角色关联表';

COMMENT ON COLUMN "ROOT"."sys_user_role"."user_id" IS '用户ID';

COMMENT ON COLUMN "ROOT"."sys_user_role"."role_id" IS '角色ID';

CREATE UNIQUE INDEX "INDEX97341309137300"
ON "ROOT"."sys_user_post"("user_id","post_id");

COMMENT ON TABLE "ROOT"."sys_user_post" IS '用户与岗位关联表';

COMMENT ON COLUMN "ROOT"."sys_user_post"."user_id" IS '用户ID';

COMMENT ON COLUMN "ROOT"."sys_user_post"."post_id" IS '岗位ID';

CREATE UNIQUE INDEX "INDEX97341344365500"
ON "ROOT"."sys_user"("user_id");

COMMENT ON TABLE "ROOT"."sys_user" IS '用户信息表';

COMMENT ON COLUMN "ROOT"."sys_user"."user_id" IS '用户ID';

COMMENT ON COLUMN "ROOT"."sys_user"."dept_id" IS '部门ID';

COMMENT ON COLUMN "ROOT"."sys_user"."user_name" IS '用户账号';

COMMENT ON COLUMN "ROOT"."sys_user"."nick_name" IS '用户昵称';

COMMENT ON COLUMN "ROOT"."sys_user"."user_type" IS '用户类型（00系统用户）';

COMMENT ON COLUMN "ROOT"."sys_user"."email" IS '用户邮箱';

COMMENT ON COLUMN "ROOT"."sys_user"."phonenumber" IS '手机号码';

COMMENT ON COLUMN "ROOT"."sys_user"."sex" IS '用户性别（0男 1女 2未知）';

COMMENT ON COLUMN "ROOT"."sys_user"."avatar" IS '头像地址';

COMMENT ON COLUMN "ROOT"."sys_user"."password" IS '密码';

COMMENT ON COLUMN "ROOT"."sys_user"."status" IS '帐号状态（0正常 1停用）';

COMMENT ON COLUMN "ROOT"."sys_user"."del_flag" IS '删除标志（0代表存在 2代表删除）';

COMMENT ON COLUMN "ROOT"."sys_user"."login_ip" IS '最后登录IP';

COMMENT ON COLUMN "ROOT"."sys_user"."login_date" IS '最后登录时间';

COMMENT ON COLUMN "ROOT"."sys_user"."create_by" IS '创建者';

COMMENT ON COLUMN "ROOT"."sys_user"."create_time" IS '创建时间';

COMMENT ON COLUMN "ROOT"."sys_user"."update_by" IS '更新者';

COMMENT ON COLUMN "ROOT"."sys_user"."update_time" IS '更新时间';

COMMENT ON COLUMN "ROOT"."sys_user"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX98300049598400"
ON "ROOT"."sys_role_menu"("role_id","menu_id");

COMMENT ON TABLE "ROOT"."sys_role_menu" IS '角色和菜单关联表';

COMMENT ON COLUMN "ROOT"."sys_role_menu"."role_id" IS '角色ID';

COMMENT ON COLUMN "ROOT"."sys_role_menu"."menu_id" IS '菜单ID';

CREATE UNIQUE INDEX "INDEX97341588307100"
ON "ROOT"."sys_role_dept"("role_id","dept_id");

COMMENT ON TABLE "ROOT"."sys_role_dept" IS '角色和部门关联表';

COMMENT ON COLUMN "ROOT"."sys_role_dept"."role_id" IS '角色ID';

COMMENT ON COLUMN "ROOT"."sys_role_dept"."dept_id" IS '部门ID';

CREATE UNIQUE INDEX "INDEX97341647064200"
ON "ROOT"."sys_role"("role_id");

COMMENT ON TABLE "ROOT"."sys_role" IS '角色信息表';

COMMENT ON COLUMN "ROOT"."sys_role"."role_id" IS '角色ID';

COMMENT ON COLUMN "ROOT"."sys_role"."role_name" IS '角色名称';

COMMENT ON COLUMN "ROOT"."sys_role"."role_key" IS '角色权限字符串';

COMMENT ON COLUMN "ROOT"."sys_role"."role_sort" IS '显示顺序';

COMMENT ON COLUMN "ROOT"."sys_role"."data_scope" IS '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）';

COMMENT ON COLUMN "ROOT"."sys_role"."menu_check_strictly" IS '菜单树选择项是否关联显示';

COMMENT ON COLUMN "ROOT"."sys_role"."dept_check_strictly" IS '部门树选择项是否关联显示';

COMMENT ON COLUMN "ROOT"."sys_role"."status" IS '角色状态（0正常 1停用）';

COMMENT ON COLUMN "ROOT"."sys_role"."del_flag" IS '删除标志（0代表存在 2代表删除）';

COMMENT ON COLUMN "ROOT"."sys_role"."create_by" IS '创建者';

COMMENT ON COLUMN "ROOT"."sys_role"."create_time" IS '创建时间';

COMMENT ON COLUMN "ROOT"."sys_role"."update_by" IS '更新者';

COMMENT ON COLUMN "ROOT"."sys_role"."update_time" IS '更新时间';

COMMENT ON COLUMN "ROOT"."sys_role"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX97341837525200"
ON "ROOT"."sys_post"("post_id");

COMMENT ON TABLE "ROOT"."sys_post" IS '岗位信息表';

COMMENT ON COLUMN "ROOT"."sys_post"."post_id" IS '岗位ID';

COMMENT ON COLUMN "ROOT"."sys_post"."post_code" IS '岗位编码';

COMMENT ON COLUMN "ROOT"."sys_post"."post_name" IS '岗位名称';

COMMENT ON COLUMN "ROOT"."sys_post"."post_sort" IS '显示顺序';

COMMENT ON COLUMN "ROOT"."sys_post"."status" IS '状态（0正常 1停用）';

COMMENT ON COLUMN "ROOT"."sys_post"."create_by" IS '创建者';

COMMENT ON COLUMN "ROOT"."sys_post"."create_time" IS '创建时间';

COMMENT ON COLUMN "ROOT"."sys_post"."update_by" IS '更新者';

COMMENT ON COLUMN "ROOT"."sys_post"."update_time" IS '更新时间';

COMMENT ON COLUMN "ROOT"."sys_post"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX98442681134200"
ON "ROOT"."sys_menu"("menu_id");

COMMENT ON TABLE "ROOT"."sys_menu" IS '菜单权限表';

COMMENT ON COLUMN "ROOT"."sys_menu"."menu_id" IS '菜单ID';

COMMENT ON COLUMN "ROOT"."sys_menu"."menu_name" IS '菜单名称';

COMMENT ON COLUMN "ROOT"."sys_menu"."parent_id" IS '父菜单ID';

COMMENT ON COLUMN "ROOT"."sys_menu"."order_num" IS '显示顺序';

COMMENT ON COLUMN "ROOT"."sys_menu"."path" IS '路由地址';

COMMENT ON COLUMN "ROOT"."sys_menu"."component" IS '组件路径';

COMMENT ON COLUMN "ROOT"."sys_menu"."query" IS '路由参数';

COMMENT ON COLUMN "ROOT"."sys_menu"."is_frame" IS '是否为外链（0是 1否）';

COMMENT ON COLUMN "ROOT"."sys_menu"."is_cache" IS '是否缓存（0缓存 1不缓存）';

COMMENT ON COLUMN "ROOT"."sys_menu"."menu_type" IS '菜单类型（M目录 C菜单 F按钮）';

COMMENT ON COLUMN "ROOT"."sys_menu"."visible" IS '菜单状态（0显示 1隐藏）';

COMMENT ON COLUMN "ROOT"."sys_menu"."status" IS '菜单状态（0正常 1停用）';

COMMENT ON COLUMN "ROOT"."sys_menu"."perms" IS '权限标识';

COMMENT ON COLUMN "ROOT"."sys_menu"."icon" IS '菜单图标';

COMMENT ON COLUMN "ROOT"."sys_menu"."create_by" IS '创建者';

COMMENT ON COLUMN "ROOT"."sys_menu"."create_time" IS '创建时间';

COMMENT ON COLUMN "ROOT"."sys_menu"."update_by" IS '更新者';

COMMENT ON COLUMN "ROOT"."sys_menu"."update_time" IS '更新时间';

COMMENT ON COLUMN "ROOT"."sys_menu"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX97342223711500"
ON "ROOT"."sys_log"("id");

COMMENT ON COLUMN "ROOT"."sys_log"."description" IS '操作描述';

CREATE UNIQUE INDEX "INDEX97342246273800"
ON "ROOT"."sys_dict_type"("dict_id");

COMMENT ON TABLE "ROOT"."sys_dict_type" IS '字典类型表';

COMMENT ON COLUMN "ROOT"."sys_dict_type"."dict_id" IS '字典主键';

COMMENT ON COLUMN "ROOT"."sys_dict_type"."dict_name" IS '字典名称';

COMMENT ON COLUMN "ROOT"."sys_dict_type"."dict_type" IS '字典类型';

COMMENT ON COLUMN "ROOT"."sys_dict_type"."status" IS '状态（0正常 1停用）';

COMMENT ON COLUMN "ROOT"."sys_dict_type"."create_by" IS '创建者';

COMMENT ON COLUMN "ROOT"."sys_dict_type"."create_time" IS '创建时间';

COMMENT ON COLUMN "ROOT"."sys_dict_type"."update_by" IS '更新者';

COMMENT ON COLUMN "ROOT"."sys_dict_type"."update_time" IS '更新时间';

COMMENT ON COLUMN "ROOT"."sys_dict_type"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX97342323812200"
ON "ROOT"."sys_dict_data"("dict_code");

COMMENT ON TABLE "ROOT"."sys_dict_data" IS '字典数据表';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."dict_code" IS '字典编码';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."dict_sort" IS '字典排序';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."dict_label" IS '字典标签';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."dict_value" IS '字典键值';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."dict_type" IS '字典类型';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."css_class" IS '样式属性（其他样式扩展）';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."list_class" IS '表格回显样式';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."is_default" IS '是否默认（Y是 N否）';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."status" IS '状态（0正常 1停用）';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."create_by" IS '创建者';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."create_time" IS '创建时间';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."update_by" IS '更新者';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."update_time" IS '更新时间';

COMMENT ON COLUMN "ROOT"."sys_dict_data"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX97342445859500"
ON "ROOT"."sys_dept"("dept_id");

COMMENT ON TABLE "ROOT"."sys_dept" IS '部门表';

COMMENT ON COLUMN "ROOT"."sys_dept"."dept_id" IS '部门id';

COMMENT ON COLUMN "ROOT"."sys_dept"."parent_id" IS '父部门id';

COMMENT ON COLUMN "ROOT"."sys_dept"."ancestors" IS '祖级列表';

COMMENT ON COLUMN "ROOT"."sys_dept"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."sys_dept"."order_num" IS '显示顺序';

COMMENT ON COLUMN "ROOT"."sys_dept"."leader" IS '负责人';

COMMENT ON COLUMN "ROOT"."sys_dept"."phone" IS '联系电话';

COMMENT ON COLUMN "ROOT"."sys_dept"."email" IS '邮箱';

COMMENT ON COLUMN "ROOT"."sys_dept"."status" IS '部门状态（0正常 1停用）';

COMMENT ON COLUMN "ROOT"."sys_dept"."del_flag" IS '删除标志（0代表存在 2代表删除）';

COMMENT ON COLUMN "ROOT"."sys_dept"."create_by" IS '创建者';

COMMENT ON COLUMN "ROOT"."sys_dept"."create_time" IS '创建时间';

COMMENT ON COLUMN "ROOT"."sys_dept"."update_by" IS '更新者';

COMMENT ON COLUMN "ROOT"."sys_dept"."update_time" IS '更新时间';

CREATE UNIQUE INDEX "INDEX97342545678700"
ON "ROOT"."sys_config"("config_id");

COMMENT ON TABLE "ROOT"."sys_config" IS '参数配置表';

COMMENT ON COLUMN "ROOT"."sys_config"."config_id" IS '参数主键';

COMMENT ON COLUMN "ROOT"."sys_config"."config_name" IS '参数名称';

COMMENT ON COLUMN "ROOT"."sys_config"."config_key" IS '参数键名';

COMMENT ON COLUMN "ROOT"."sys_config"."config_value" IS '参数键值';

COMMENT ON COLUMN "ROOT"."sys_config"."config_type" IS '系统内置（Y是 N否）';

COMMENT ON COLUMN "ROOT"."sys_config"."create_by" IS '创建者';

COMMENT ON COLUMN "ROOT"."sys_config"."create_time" IS '创建时间';

COMMENT ON COLUMN "ROOT"."sys_config"."update_by" IS '更新者';

COMMENT ON COLUMN "ROOT"."sys_config"."update_time" IS '更新时间';

COMMENT ON COLUMN "ROOT"."sys_config"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX97342633025000"
ON "ROOT"."sys_blacklist_user"("id");

COMMENT ON COLUMN "ROOT"."sys_blacklist_user"."ip" IS 'ip地址';

COMMENT ON COLUMN "ROOT"."sys_blacklist_user"."address" IS '具体地址';

COMMENT ON COLUMN "ROOT"."sys_blacklist_user"."reason" IS '拉黑原因（具体见字典）';

COMMENT ON COLUMN "ROOT"."sys_blacklist_user"."create_time" IS '拉黑时间';

COMMENT ON TABLE "ROOT"."production_responsibility_base" IS '生产责任令基础表';

COMMENT ON TABLE "ROOT"."production_plan_base" IS '生产计划表';

COMMENT ON TABLE "ROOT"."information_project_base" IS '信息化项目完成情况';

CREATE UNIQUE INDEX "INDEX454796029647900"
ON "ROOT"."hx_year_duty"("id");

CREATE UNIQUE INDEX "INDEX11019279856100"
ON "ROOT"."hx_work_plan"("id");

COMMENT ON COLUMN "ROOT"."hx_work_plan"."today_date" IS '����';

COMMENT ON COLUMN "ROOT"."hx_work_plan"."work_plan_name" IS '�����ƻ�����';

COMMENT ON COLUMN "ROOT"."hx_work_plan"."dept_name" IS '��������';

COMMENT ON COLUMN "ROOT"."hx_work_plan"."completed_status" IS '������';

COMMENT ON COLUMN "ROOT"."hx_work_plan"."project_name" IS '��Ŀ����';

CREATE UNIQUE INDEX "INDEX555455965509700"
ON "ROOT"."hx_work_home_info"("id");

COMMENT ON COLUMN "ROOT"."hx_work_home_info"."work_home_name" IS '��������';

CREATE UNIQUE INDEX "INDEX289234176665400"
ON "ROOT"."hx_week_plan"("id");

COMMENT ON COLUMN "ROOT"."hx_week_plan"."serial_number" IS '序号';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."real_flaw_detection" IS '实际探伤';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."target_flaw_detection" IS '目标探伤';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."flaw_detection_rate" IS '探伤率';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."real_charge" IS '实际装药';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."target_charge" IS '目标装药';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."charge_rate" IS '装药率';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."real_deliver" IS '实际交付';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."target_deliver" IS '目标交付';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."deliver_rate" IS '交付率';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."real_housing" IS '实际壳体入场';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."target_housing" IS '目标壳体入场';

COMMENT ON COLUMN "ROOT"."hx_week_plan"."housing_rate" IS '壳体完成率';

CREATE UNIQUE INDEX "INDEX3378963939900"
ON "ROOT"."hx_video_system"("id");

COMMENT ON COLUMN "ROOT"."hx_video_system"."video_name" IS '视频点名称';

COMMENT ON COLUMN "ROOT"."hx_video_system"."video_address" IS '视频点位置';

COMMENT ON COLUMN "ROOT"."hx_video_system"."video_remark" IS '视频点备注';

COMMENT ON COLUMN "ROOT"."hx_video_system"."video_now_info" IS '实况信息';

CREATE UNIQUE INDEX "INDEX542776490593600"
ON "ROOT"."hx_video"("id");

COMMENT ON COLUMN "ROOT"."hx_video"."category" IS '1=奖惩，2=典型案例';

CREATE UNIQUE INDEX "INDEX16468747875599"
ON "ROOT"."hx_today_dynamic"("id");

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."income" IS '今日收入';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."expenditure" IS '今日支出';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."new_contract" IS '今日新签合同';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."safety_problem" IS '今日安全问题';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."quality_problem" IS '今日质量问题';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."operating_equipment" IS '今日运行设备数';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."total_equipment" IS '今日总设备数';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."attendance_worker" IS '今日出勤员工数';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."total_worker" IS '今日总员工数';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."complete_task" IS '今日完成任务数';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."total_task" IS '今日总任务数';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."equipment_rate" IS '设备运行率';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."worker_rate" IS '员工出勤率';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."task_rate" IS '任务完成率';

COMMENT ON COLUMN "ROOT"."hx_today_dynamic"."today_date" IS '今日日期';

CREATE UNIQUE INDEX "INDEX450617224829400"
ON "ROOT"."hx_team_attendance"("id");

COMMENT ON COLUMN "ROOT"."hx_team_attendance"."team_name" IS '班组名称';

COMMENT ON COLUMN "ROOT"."hx_team_attendance"."shift" IS '班次';

COMMENT ON COLUMN "ROOT"."hx_team_attendance"."real_worker_total" IS '出勤人数';

CREATE UNIQUE INDEX "INDEX5230499973800"
ON "ROOT"."hx_system_radar"("id");

COMMENT ON COLUMN "ROOT"."hx_system_radar"."today_date" IS '日期';

COMMENT ON COLUMN "ROOT"."hx_system_radar"."system_name" IS '系统名称';

COMMENT ON COLUMN "ROOT"."hx_system_radar"."index_name" IS '指标名称';

COMMENT ON COLUMN "ROOT"."hx_system_radar"."index_total" IS '指标数量';

CREATE UNIQUE INDEX "INDEX19802141912700"
ON "ROOT"."hx_synthesize_index"("id");

COMMENT ON COLUMN "ROOT"."hx_synthesize_index"."today_date" IS '日期';

COMMENT ON COLUMN "ROOT"."hx_synthesize_index"."dept_name" IS '部门';

COMMENT ON COLUMN "ROOT"."hx_synthesize_index"."project_name" IS '项目名称';

COMMENT ON COLUMN "ROOT"."hx_synthesize_index"."completed_status" IS '完成情况';

CREATE UNIQUE INDEX "INDEX17629891679800"
ON "ROOT"."hx_strategy_index"("id");

COMMENT ON COLUMN "ROOT"."hx_strategy_index"."year" IS '年度';

COMMENT ON COLUMN "ROOT"."hx_strategy_index"."index_name" IS '指标名称';

COMMENT ON COLUMN "ROOT"."hx_strategy_index"."start_number" IS '初期值';

COMMENT ON COLUMN "ROOT"."hx_strategy_index"."end_number" IS '末期值';

COMMENT ON COLUMN "ROOT"."hx_strategy_index"."year_target" IS '年目标';

COMMENT ON COLUMN "ROOT"."hx_strategy_index"."five_force" IS '五力名称';

CREATE UNIQUE INDEX "INDEX350735215484500"
ON "ROOT"."hx_storehouse"("id");

COMMENT ON COLUMN "ROOT"."hx_storehouse"."number_no" IS '产品编号';

COMMENT ON COLUMN "ROOT"."hx_storehouse"."name" IS '库房名称';

COMMENT ON COLUMN "ROOT"."hx_storehouse"."category" IS '类型';

COMMENT ON COLUMN "ROOT"."hx_storehouse"."status" IS '当前状态';

COMMENT ON COLUMN "ROOT"."hx_storehouse"."product_info" IS '产品信息';

CREATE UNIQUE INDEX "INDEX463726662271900"
ON "ROOT"."hx_stock_detailed"("id");

COMMENT ON COLUMN "ROOT"."hx_stock_detailed"."arrival_total" IS '到货数量';

CREATE UNIQUE INDEX "INDEX522721595243200"
ON "ROOT"."hx_spc_product"("id");

CREATE UNIQUE INDEX "INDEX521254076892500"
ON "ROOT"."hx_spc_info"("id");

COMMENT ON COLUMN "ROOT"."hx_spc_info"."spc_name" IS 'spc参数';

COMMENT ON COLUMN "ROOT"."hx_spc_info"."upper_limit" IS '控制上限';

COMMENT ON COLUMN "ROOT"."hx_spc_info"."lower_limit" IS '控制下限';

COMMENT ON COLUMN "ROOT"."hx_spc_info"."center_line" IS '中心线';

CREATE UNIQUE INDEX "INDEX14090325955600"
ON "ROOT"."hx_revenue_profit"("id");

COMMENT ON COLUMN "ROOT"."hx_revenue_profit"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_revenue_profit"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_revenue_profit"."completed_revenue" IS '已完成收入';

COMMENT ON COLUMN "ROOT"."hx_revenue_profit"."forecast_revenue" IS '预测收入';

COMMENT ON COLUMN "ROOT"."hx_revenue_profit"."target_revenue" IS '目标收入';

COMMENT ON COLUMN "ROOT"."hx_revenue_profit"."completed_profit" IS '已完成利润';

COMMENT ON COLUMN "ROOT"."hx_revenue_profit"."forecast_profit" IS '预测利润';

COMMENT ON COLUMN "ROOT"."hx_revenue_profit"."target_profit" IS '目标利润';

COMMENT ON COLUMN "ROOT"."hx_revenue_profit"."revenue_rate" IS '收入完成率';

COMMENT ON COLUMN "ROOT"."hx_revenue_profit"."profit_rate" IS '利润完成率';

CREATE UNIQUE INDEX "INDEX8279916944200"
ON "ROOT"."hx_responsibility_status"("id");

COMMENT ON COLUMN "ROOT"."hx_responsibility_status"."responsibility_content" IS '��������';

COMMENT ON COLUMN "ROOT"."hx_responsibility_status"."progress_status" IS '��չ���';

COMMENT ON COLUMN "ROOT"."hx_responsibility_status"."completion_status" IS '������';

COMMENT ON COLUMN "ROOT"."hx_responsibility_status"."dept_name" IS '��������';

COMMENT ON COLUMN "ROOT"."hx_responsibility_status"."month" IS '�·�';

CREATE UNIQUE INDEX "INDEX6215806402700"
ON "ROOT"."hx_reader_info"("id");

COMMENT ON TABLE "ROOT"."hx_reader_info" IS '读卡器';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."id" IS 'ID';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."reader_name" IS '读卡器名称';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."abscissa" IS '横坐标';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."ordinate" IS '纵坐标';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."north_angle" IS '与正北夹角';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."reader_ip" IS '读卡器静态ip';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."reader_port" IS '读卡器端口';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."record_distance" IS '进出工房设置距离';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."create_time" IS '录入时间';

CREATE UNIQUE INDEX "INDEX30063399269400"
ON "ROOT"."hx_quality_system_review"("id");

COMMENT ON COLUMN "ROOT"."hx_quality_system_review"."today_date" IS '日期';

COMMENT ON COLUMN "ROOT"."hx_quality_system_review"."internal_review_number" IS '内审';

COMMENT ON COLUMN "ROOT"."hx_quality_system_review"."external_review_number" IS '外审';

COMMENT ON COLUMN "ROOT"."hx_quality_system_review"."other_review_number" IS '第三方审';

CREATE UNIQUE INDEX "INDEX32423362895100"
ON "ROOT"."hx_quality_system_elements"("id");

COMMENT ON COLUMN "ROOT"."hx_quality_system_elements"."today_date" IS '日期';

COMMENT ON COLUMN "ROOT"."hx_quality_system_elements"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_quality_system_elements"."system_name" IS '体系要素名称';

COMMENT ON COLUMN "ROOT"."hx_quality_system_elements"."system_number" IS '体系要素问题数';

CREATE UNIQUE INDEX "INDEX30148150884400"
ON "ROOT"."hx_quality_problem"("id");

COMMENT ON COLUMN "ROOT"."hx_quality_problem"."dimension" IS '1=型号，2=类别，3=部门';

COMMENT ON COLUMN "ROOT"."hx_quality_problem"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_quality_problem"."name" IS '名称';

COMMENT ON COLUMN "ROOT"."hx_quality_problem"."problem_total" IS '问题总数';

COMMENT ON COLUMN "ROOT"."hx_quality_problem"."completed_total" IS '完成总数';

COMMENT ON COLUMN "ROOT"."hx_quality_problem"."complete_rate" IS '完成率';

CREATE UNIQUE INDEX "INDEX28400218029800"
ON "ROOT"."hx_quality_plan"("id");

COMMENT ON COLUMN "ROOT"."hx_quality_plan"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_quality_plan"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_quality_plan"."plan_number" IS '计划数';

COMMENT ON COLUMN "ROOT"."hx_quality_plan"."complete_number" IS '完成数';

COMMENT ON COLUMN "ROOT"."hx_quality_plan"."complete_rate" IS '完成率';

CREATE UNIQUE INDEX "INDEX261961689170500"
ON "ROOT"."hx_quality_manage"("id");

COMMENT ON COLUMN "ROOT"."hx_quality_manage"."factory_problem_total" IS '质量体系问题总数';

COMMENT ON COLUMN "ROOT"."hx_quality_manage"."factory_problem_rectification_total" IS '质量体系问题整改数';

COMMENT ON COLUMN "ROOT"."hx_quality_manage"."commonly_problem_total" IS '一般性质量问题数';

COMMENT ON COLUMN "ROOT"."hx_quality_manage"."low_problem_total" IS '低��次质量问题数';

COMMENT ON COLUMN "ROOT"."hx_quality_manage"."target_error_check" IS '目标错漏检率';

COMMENT ON COLUMN "ROOT"."hx_quality_manage"."real_error_check" IS '实际错漏检率';

COMMENT ON COLUMN "ROOT"."hx_quality_manage"."quality_plan_total" IS '质量计划总数';

COMMENT ON COLUMN "ROOT"."hx_quality_manage"."quality_plan_complete_total" IS '质量计划完成数';

COMMENT ON COLUMN "ROOT"."hx_quality_manage"."quality_notification_total" IS '质量通报总数';

COMMENT ON COLUMN "ROOT"."hx_quality_manage"."quality_notification_complete_total" IS '质量通报完成数';

CREATE UNIQUE INDEX "INDEX11050279059100"
ON "ROOT"."hx_quality_inspect_analysis"("id");

COMMENT ON COLUMN "ROOT"."hx_quality_inspect_analysis"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_quality_inspect_analysis"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_quality_inspect_analysis"."problem_total" IS '质量问题数';

COMMENT ON COLUMN "ROOT"."hx_quality_inspect_analysis"."completed_total" IS '完成数';

COMMENT ON COLUMN "ROOT"."hx_quality_inspect_analysis"."completed_rate" IS '完成率';

CREATE UNIQUE INDEX "INDEX32879492035500"
ON "ROOT"."hx_quality_case"("id");

COMMENT ON COLUMN "ROOT"."hx_quality_case"."today_date" IS '日期';

COMMENT ON COLUMN "ROOT"."hx_quality_case"."class_name" IS '班组名称';

COMMENT ON COLUMN "ROOT"."hx_quality_case"."fault_revelation" IS '故障启示';

COMMENT ON COLUMN "ROOT"."hx_quality_case"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX539413976284000"
ON "ROOT"."hx_production_situation"("id");

COMMENT ON COLUMN "ROOT"."hx_production_situation"."real_adiabat" IS '绝热完成数';

COMMENT ON COLUMN "ROOT"."hx_production_situation"."real_charge" IS '装药完成数';

COMMENT ON COLUMN "ROOT"."hx_production_situation"."real_assemble" IS '总装完成数';

COMMENT ON COLUMN "ROOT"."hx_production_situation"."real_deliver" IS '交付完成数';

COMMENT ON COLUMN "ROOT"."hx_production_situation"."real_ester" IS '酯完成';

CREATE UNIQUE INDEX "INDEX16468933726700"
ON "ROOT"."hx_production_responsibility"("id");

COMMENT ON COLUMN "ROOT"."hx_production_responsibility"."translate_name" IS '型号名称';

COMMENT ON COLUMN "ROOT"."hx_production_responsibility"."completed_task_number" IS '已完成任务数';

COMMENT ON COLUMN "ROOT"."hx_production_responsibility"."target_task_number" IS '目标任务数';

COMMENT ON COLUMN "ROOT"."hx_production_responsibility"."completion_rate" IS '完成率';

CREATE UNIQUE INDEX "INDEX356532075240600"
ON "ROOT"."hx_production_plan"("id");

CREATE UNIQUE INDEX "INDEX538456225831400"
ON "ROOT"."hx_production_index"("id");

CREATE UNIQUE INDEX "INDEX2897011719200"
ON "ROOT"."hx_product_qualified"("id");

COMMENT ON COLUMN "ROOT"."hx_product_qualified"."today_date" IS '日期';

COMMENT ON COLUMN "ROOT"."hx_product_qualified"."category" IS '分类，1=大中型，2=小型';

COMMENT ON COLUMN "ROOT"."hx_product_qualified"."product_name" IS '产品名称';

COMMENT ON COLUMN "ROOT"."hx_product_qualified"."product_model" IS '产品型号';

COMMENT ON COLUMN "ROOT"."hx_product_qualified"."total" IS '总数';

COMMENT ON COLUMN "ROOT"."hx_product_qualified"."qualified_total" IS '合格数量';

COMMENT ON COLUMN "ROOT"."hx_product_qualified"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX366319642023200"
ON "ROOT"."hx_product_pic"("id");

CREATE UNIQUE INDEX "INDEX6382356021400"
ON "ROOT"."hx_product_completion_overview"("id");

COMMENT ON COLUMN "ROOT"."hx_product_completion_overview"."id" IS '';

COMMENT ON COLUMN "ROOT"."hx_product_completion_overview"."product_name" IS '产品型号名称';

COMMENT ON COLUMN "ROOT"."hx_product_completion_overview"."actual_delivery_quantity" IS '实际交付数据';

COMMENT ON COLUMN "ROOT"."hx_product_completion_overview"."target_delivery_quantity" IS '目标交付数量';

COMMENT ON COLUMN "ROOT"."hx_product_completion_overview"."completion_rate" IS '交付完成率';

COMMENT ON COLUMN "ROOT"."hx_product_completion_overview"."month" IS '月份';

CREATE UNIQUE INDEX "INDEX3399789740100"
ON "ROOT"."hx_plan_completed"("id");

COMMENT ON COLUMN "ROOT"."hx_plan_completed"."today_date" IS '时间';

COMMENT ON COLUMN "ROOT"."hx_plan_completed"."plan_name" IS '计划名称';

COMMENT ON COLUMN "ROOT"."hx_plan_completed"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_plan_completed"."completed" IS '完成情况';

CREATE UNIQUE INDEX "INDEX458240957512900"
ON "ROOT"."hx_month_plan"("id");

COMMENT ON COLUMN "ROOT"."hx_month_plan"."ascription" IS '厂计划/六院计划';

CREATE UNIQUE INDEX "INDEX461100819715700"
ON "ROOT"."hx_month_factory_plan"("id");

CREATE UNIQUE INDEX "INDEX4638228020500"
ON "ROOT"."hx_month_dynamic"("id");

COMMENT ON TABLE "ROOT"."hx_month_dynamic" IS '本月动态';

COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."id" IS 'ID';

COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."income" IS '本月收入';

COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."expenditure" IS '本月支出';

COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."new_contract" IS '本月新签合同数';

COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."safety_problem" IS '本月安全问���数';

COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."quality_problem" IS '本月质量问题';

COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."create_time" IS '录入时间';

CREATE UNIQUE INDEX "INDEX362982545295800"
ON "ROOT"."hx_model_year_plan"("id");

COMMENT ON COLUMN "ROOT"."hx_model_year_plan"."product_model" IS '产品型号';

COMMENT ON COLUMN "ROOT"."hx_model_year_plan"."real_charge" IS '实际装药';

COMMENT ON COLUMN "ROOT"."hx_model_year_plan"."target_charge" IS '目标装药';

COMMENT ON COLUMN "ROOT"."hx_model_year_plan"."charge_rate" IS '装药率';

COMMENT ON COLUMN "ROOT"."hx_model_year_plan"."real_deliver" IS '实际交付';

COMMENT ON COLUMN "ROOT"."hx_model_year_plan"."target_deliver" IS '目标交付';

CREATE UNIQUE INDEX "INDEX351943576726100"
ON "ROOT"."hx_model_station"("id");

COMMENT ON COLUMN "ROOT"."hx_model_station"."station_name" IS '工位名称';

COMMENT ON COLUMN "ROOT"."hx_model_station"."rise_number" IS '升温工位数';

COMMENT ON COLUMN "ROOT"."hx_model_station"."cooling_number" IS '降温工位数';

COMMENT ON COLUMN "ROOT"."hx_model_station"."warm_number" IS '保温工位数';

COMMENT ON COLUMN "ROOT"."hx_model_station"."free_number" IS '空闲工位数';

CREATE UNIQUE INDEX "INDEX29461541718100"
ON "ROOT"."hx_military_income"("id");

COMMENT ON COLUMN "ROOT"."hx_military_income"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_military_income"."dept_name" IS '部门';

COMMENT ON COLUMN "ROOT"."hx_military_income"."forecast_income" IS '预测收入';

COMMENT ON COLUMN "ROOT"."hx_military_income"."actual_income" IS '实际收入';

CREATE UNIQUE INDEX "INDEX36300120858500"
ON "ROOT"."hx_military_general_factory"("id");

COMMENT ON COLUMN "ROOT"."hx_military_general_factory"."month" IS '月度';

COMMENT ON COLUMN "ROOT"."hx_military_general_factory"."product_model" IS '产品型号';

COMMENT ON COLUMN "ROOT"."hx_military_general_factory"."target_income" IS '目标收入';

COMMENT ON COLUMN "ROOT"."hx_military_general_factory"."real_income" IS '实际收入';

COMMENT ON COLUMN "ROOT"."hx_military_general_factory"."income_speed" IS '收入序时进度';

COMMENT ON COLUMN "ROOT"."hx_military_general_factory"."target_profit" IS '目标利润';

COMMENT ON COLUMN "ROOT"."hx_military_general_factory"."real_profit" IS '实际利润';

COMMENT ON COLUMN "ROOT"."hx_military_general_factory"."profit_speed" IS '利润序时进度';

CREATE UNIQUE INDEX "INDEX32760709961900"
ON "ROOT"."hx_military_contract"("id");

COMMENT ON COLUMN "ROOT"."hx_military_contract"."contract_name" IS '合同名称';

COMMENT ON COLUMN "ROOT"."hx_military_contract"."plan_quantity" IS '策划数量';

COMMENT ON COLUMN "ROOT"."hx_military_contract"."contract_amount" IS '合同金额';

COMMENT ON COLUMN "ROOT"."hx_military_contract"."production_status" IS '生产情况';

COMMENT ON COLUMN "ROOT"."hx_military_contract"."settlement_status" IS '结算情况';

COMMENT ON COLUMN "ROOT"."hx_military_contract"."contract_date" IS '日期';

CREATE UNIQUE INDEX "INDEX438886394651900"
ON "ROOT"."hx_milepost_and_bottleneck"("id");

COMMENT ON COLUMN "ROOT"."hx_milepost_and_bottleneck"."job_content" IS '工作内容';

COMMENT ON COLUMN "ROOT"."hx_milepost_and_bottleneck"."progress" IS '进展情况';

CREATE UNIQUE INDEX "INDEX354237764066300"
ON "ROOT"."hx_materials_accessories"("id");

COMMENT ON COLUMN "ROOT"."hx_materials_accessories"."category" IS '1=原材料，2=配套件';

COMMENT ON COLUMN "ROOT"."hx_materials_accessories"."existing" IS '现有';

COMMENT ON COLUMN "ROOT"."hx_materials_accessories"."arrival" IS '到货';

COMMENT ON COLUMN "ROOT"."hx_materials_accessories"."used" IS '已用';

COMMENT ON COLUMN "ROOT"."hx_materials_accessories"."lack" IS '缺少';

CREATE UNIQUE INDEX "INDEX443217903418900"
ON "ROOT"."hx_material_plan"("id");

COMMENT ON COLUMN "ROOT"."hx_material_plan"."material_name" IS '物资名称';

COMMENT ON COLUMN "ROOT"."hx_material_plan"."stock" IS '库存';

COMMENT ON COLUMN "ROOT"."hx_material_plan"."start_purchase" IS '是否开始采购';

COMMENT ON COLUMN "ROOT"."hx_material_plan"."purchase_number" IS '采购数量';

CREATE UNIQUE INDEX "INDEX608689750718900"
ON "ROOT"."hx_job_details"("id");

CREATE UNIQUE INDEX "INDEX24266467086000"
ON "ROOT"."hx_information_publicity"("id");

COMMENT ON COLUMN "ROOT"."hx_information_publicity"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_information_publicity"."publicity_content" IS '公示内容';

COMMENT ON COLUMN "ROOT"."hx_information_publicity"."today_date" IS '时间';

COMMENT ON COLUMN "ROOT"."hx_information_index"."information_invested" IS '全年信息化已投入';

COMMENT ON COLUMN "ROOT"."hx_information_index"."information_target_investe" IS '全年信息化目标投入';

COMMENT ON COLUMN "ROOT"."hx_information_index"."already_network_operation" IS '全年已网络运维率';

COMMENT ON COLUMN "ROOT"."hx_information_index"."target_network_operation" IS '全年目标运维率';

COMMENT ON COLUMN "ROOT"."hx_information_index"."already_device_access" IS '全年设备已接入率';

COMMENT ON COLUMN "ROOT"."hx_information_index"."target_device_access" IS '全年设备目标接入率';

COMMENT ON COLUMN "ROOT"."hx_information_index"."already_business_coverage" IS '全年已完成业务覆盖率';

COMMENT ON COLUMN "ROOT"."hx_information_index"."target_business_coverage" IS '全年目标业务覆盖率';

COMMENT ON COLUMN "ROOT"."hx_information_index"."big_pic" IS '大图';

CREATE UNIQUE INDEX "INDEX21559584635700"
ON "ROOT"."hx_industrial_projects"("id");

COMMENT ON COLUMN "ROOT"."hx_industrial_projects"."project_name" IS '项目名称';

COMMENT ON COLUMN "ROOT"."hx_industrial_projects"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_industrial_projects"."director" IS '负责人';

COMMENT ON COLUMN "ROOT"."hx_industrial_projects"."completed_status" IS '完成情况';

CREATE UNIQUE INDEX "INDEX915279446700"
ON "ROOT"."hx_hidden_danger"("id");

COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."check_date" IS '检查日期';

COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."address" IS '所在位置';

COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."exist_problem" IS '存在问题';

COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."category" IS '类别';

COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."update_suggest" IS '整改建议';

COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."temp_update_method" IS '临时整改建议';

COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."responsible_unit" IS '责任单位';

COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."responsible_person" IS '责任人';

COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."suggest_complete_time" IS '建议完成日期';

CREATE UNIQUE INDEX "INDEX19158405752600"
ON "ROOT"."hx_general_plant_conditions"("id");

COMMENT ON COLUMN "ROOT"."hx_general_plant_conditions"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_general_plant_conditions"."target_income" IS '目标收入';

COMMENT ON COLUMN "ROOT"."hx_general_plant_conditions"."real_income" IS '实际收入';

COMMENT ON COLUMN "ROOT"."hx_general_plant_conditions"."target_profit" IS '目标利润';

COMMENT ON COLUMN "ROOT"."hx_general_plant_conditions"."real_profit" IS '实际利润';

COMMENT ON COLUMN "ROOT"."hx_general_plant_conditions"."new_contract_amount" IS '新签合同额';

CREATE UNIQUE INDEX "INDEX274722608967599"
ON "ROOT"."hx_factory_resources"("id");

COMMENT ON COLUMN "ROOT"."hx_factory_resources"."today_date" IS '日期';

COMMENT ON COLUMN "ROOT"."hx_factory_resources"."workshop_total" IS '工房总数';

COMMENT ON COLUMN "ROOT"."hx_factory_resources"."working_workshop_total" IS '作业共房数';

COMMENT ON COLUMN "ROOT"."hx_factory_resources"."real_attendance" IS '实际出勤人数';

COMMENT ON COLUMN "ROOT"."hx_factory_resources"."attendance_total" IS '应出勤人数';

COMMENT ON COLUMN "ROOT"."hx_factory_resources"."attendance_rate" IS '出勤率';

COMMENT ON COLUMN "ROOT"."hx_factory_resources"."equipment_run_total" IS '设备运行数';

COMMENT ON COLUMN "ROOT"."hx_factory_resources"."equipment_total" IS '设备运行总数';

COMMENT ON COLUMN "ROOT"."hx_factory_resources"."equipment_run_rate" IS '设备运行率';

COMMENT ON COLUMN "ROOT"."hx_factory_resources"."video_collection_rate" IS '视频采集率';

CREATE UNIQUE INDEX "INDEX6395843071600"
ON "ROOT"."hx_factory_operate_index"("id");

COMMENT ON COLUMN "ROOT"."hx_factory_operate_index"."real_collection" IS '实际收款';

COMMENT ON COLUMN "ROOT"."hx_factory_operate_index"."target_collection" IS '目标收款';

COMMENT ON COLUMN "ROOT"."hx_factory_operate_index"."budget_implement_rate" IS '预算执行率';

CREATE UNIQUE INDEX "INDEX298306768996900"
ON "ROOT"."hx_ester_production"("id");

COMMENT ON COLUMN "ROOT"."hx_ester_production"."drive_date" IS '开车时间';

COMMENT ON COLUMN "ROOT"."hx_ester_production"."forecast_end_date" IS '预计结束时间';

COMMENT ON COLUMN "ROOT"."hx_ester_production"."ester_production" IS '酯生产量';

COMMENT ON COLUMN "ROOT"."hx_ester_production"."clean_status" IS '粘合剂生产量';

CREATE UNIQUE INDEX "INDEX449086726971400"
ON "ROOT"."hx_dispatch_meeting"("id");

COMMENT ON COLUMN "ROOT"."hx_dispatch_meeting"."meeting_name" IS '会议名称';

COMMENT ON COLUMN "ROOT"."hx_dispatch_meeting"."check_leader" IS '督办领导';

COMMENT ON COLUMN "ROOT"."hx_dispatch_meeting"."responsible_unit" IS '责任单位';

COMMENT ON COLUMN "ROOT"."hx_dispatch_meeting"."complete_status" IS '是否完成';

COMMENT ON COLUMN "ROOT"."hx_dispatch_meeting"."work_progress" IS '工作进展';

CREATE UNIQUE INDEX "INDEX5199454197600"
ON "ROOT"."hx_dict"("id");

COMMENT ON COLUMN "ROOT"."hx_dict"."id" IS '主键';

COMMENT ON COLUMN "ROOT"."hx_dict"."name" IS '名称';

COMMENT ON COLUMN "ROOT"."hx_dict"."parent_id" IS '父节点id';

CREATE UNIQUE INDEX "INDEX27911303558100"
ON "ROOT"."hx_dept_operate_index"("id");

COMMENT ON COLUMN "ROOT"."hx_dept_operate_index"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_dept_operate_index"."real_collection" IS '实际收款';

COMMENT ON COLUMN "ROOT"."hx_dept_operate_index"."target_collection" IS '目标收款';

COMMENT ON COLUMN "ROOT"."hx_dept_operate_index"."income_speed" IS '收入序时进度';

CREATE INDEX "select_time_index"
ON "ROOT"."hx_dangerous_work"("start_date","end_date");

CREATE UNIQUE INDEX "INDEX18622088418500"
ON "ROOT"."hx_dangerous_work"("id");

COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."start_date" IS '开始日期';

COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."end_date" IS '结束日期';

COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."work_address" IS '作业地点';

COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."worker_total" IS '作业人数';

COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."work_content" IS '作业内容';

COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX28276401595100"
ON "ROOT"."hx_dangerous_source"("id");

COMMENT ON COLUMN "ROOT"."hx_dangerous_source"."source_name" IS '危险源名称';

COMMENT ON COLUMN "ROOT"."hx_dangerous_source"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_dangerous_source"."level" IS '等级';

COMMENT ON COLUMN "ROOT"."hx_dangerous_source"."status" IS '运行状态';

COMMENT ON COLUMN "ROOT"."hx_dangerous_source"."rtmp_address" IS '监控rtmp地址';

COMMENT ON COLUMN "ROOT"."hx_dangerous_source"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX25103652253100"
ON "ROOT"."hx_dangerous_point"("id");

COMMENT ON COLUMN "ROOT"."hx_dangerous_point"."point_name" IS '危险点名称';

COMMENT ON COLUMN "ROOT"."hx_dangerous_point"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_dangerous_point"."level" IS '等级';

COMMENT ON COLUMN "ROOT"."hx_dangerous_point"."status" IS '运行状态';

COMMENT ON COLUMN "ROOT"."hx_dangerous_point"."rtmp_address" IS '监控rtmp地址';

COMMENT ON COLUMN "ROOT"."hx_dangerous_point"."remark" IS '备注';

COMMENT ON COLUMN "ROOT"."hx_dangerous_point"."abscissa" IS '横坐标';

COMMENT ON COLUMN "ROOT"."hx_dangerous_point"."ordinate" IS '纵坐标';

CREATE UNIQUE INDEX "INDEX23973866656700"
ON "ROOT"."hx_dangerous_place"("id");

COMMENT ON COLUMN "ROOT"."hx_dangerous_place"."place_name" IS '场所名称';

COMMENT ON COLUMN "ROOT"."hx_dangerous_place"."place_type" IS '类型 >3 or >10';

COMMENT ON COLUMN "ROOT"."hx_dangerous_place"."init_total" IS '初始数量';

COMMENT ON COLUMN "ROOT"."hx_dangerous_place"."now_total" IS '现有数量';

COMMENT ON COLUMN "ROOT"."hx_dangerous_place"."remark" IS '备注';

CREATE UNIQUE INDEX "INDEX15909532472800"
ON "ROOT"."hx_cost_analysis"("id");

COMMENT ON COLUMN "ROOT"."hx_cost_analysis"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_cost_analysis"."product_model" IS '产品型号';

COMMENT ON COLUMN "ROOT"."hx_cost_analysis"."budget_implementation_rate" IS '预算执行率';

COMMENT ON COLUMN "ROOT"."hx_cost_analysis"."tooling_cost" IS '工装成本';

COMMENT ON COLUMN "ROOT"."hx_cost_analysis"."raw_material_cost" IS '原材料成本';

COMMENT ON COLUMN "ROOT"."hx_cost_analysis"."total_cost" IS '总成本';

CREATE UNIQUE INDEX "INDEX26579165541600"
ON "ROOT"."hx_comprehensive_plan"("id");

COMMENT ON COLUMN "ROOT"."hx_comprehensive_plan"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_comprehensive_plan"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_comprehensive_plan"."comprehensive_plan_total" IS '综合计划数量';

COMMENT ON COLUMN "ROOT"."hx_comprehensive_plan"."comprehensive_plan_completed" IS '综合计划完成数';

COMMENT ON COLUMN "ROOT"."hx_comprehensive_plan"."performance_plan_total" IS '绩效计划数量';

COMMENT ON COLUMN "ROOT"."hx_comprehensive_plan"."performance_plan_completed" IS '绩效计划完成数';

CREATE UNIQUE INDEX "INDEX11115179844700"
ON "ROOT"."hx_civil_income"("id");

COMMENT ON COLUMN "ROOT"."hx_civil_income"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_civil_income"."dept_name" IS '部门名称';

COMMENT ON COLUMN "ROOT"."hx_civil_income"."forecast_income" IS '预测收入';

COMMENT ON COLUMN "ROOT"."hx_civil_income"."real_income" IS '实际收入';

CREATE UNIQUE INDEX "INDEX23872892829100"
ON "ROOT"."hx_civil_contract"("id");

COMMENT ON COLUMN "ROOT"."hx_civil_contract"."contract_date" IS '合同日期';

COMMENT ON COLUMN "ROOT"."hx_civil_contract"."industry_category" IS '产业类别';

COMMENT ON COLUMN "ROOT"."hx_civil_contract"."contract_no" IS '合同编号';

COMMENT ON COLUMN "ROOT"."hx_civil_contract"."contract_amount" IS '合同金额';

COMMENT ON COLUMN "ROOT"."hx_civil_contract"."plan_quantity" IS '策划数量';

COMMENT ON COLUMN "ROOT"."hx_civil_contract"."real_quantity" IS '实际数量';

CREATE UNIQUE INDEX "INDEX19914326265900"
ON "ROOT"."hx_charge_quantity"("id");

COMMENT ON COLUMN "ROOT"."hx_charge_quantity"."actual_quantity" IS '实际装药量';

COMMENT ON COLUMN "ROOT"."hx_charge_quantity"."target_quantity" IS '目标装药量';

COMMENT ON COLUMN "ROOT"."hx_charge_quantity"."forecast_quantity" IS '预测装药量';

COMMENT ON COLUMN "ROOT"."hx_charge_quantity"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_charge_quantity"."target_completion_rate" IS '目标完成率';

CREATE UNIQUE INDEX "INDEX300765960846000"
ON "ROOT"."hx_charge_job_content"("id");

COMMENT ON COLUMN "ROOT"."hx_charge_job_content"."number_no" IS '编号';

COMMENT ON COLUMN "ROOT"."hx_charge_job_content"."weighing" IS '称量';

COMMENT ON COLUMN "ROOT"."hx_charge_job_content"."blend" IS '混合';

COMMENT ON COLUMN "ROOT"."hx_charge_job_content"."pouring" IS '浇筑';

COMMENT ON COLUMN "ROOT"."hx_charge_job_content"."delay_time" IS '总体推迟时间';

COMMENT ON COLUMN "ROOT"."hx_charge_job_content"."reverse_bus" IS '倒班车';

CREATE UNIQUE INDEX "INDEX535625960911400"
ON "ROOT"."hx_charge_deliver"("id");

CREATE UNIQUE INDEX "INDEX282386709281900"
ON "ROOT"."hx_car_use"("id");

COMMENT ON COLUMN "ROOT"."hx_car_use"."car_name" IS '车辆名称';

COMMENT ON COLUMN "ROOT"."hx_car_use"."work_content" IS '作业内容';

COMMENT ON COLUMN "ROOT"."hx_car_use"."now_address" IS '当前位置';

COMMENT ON COLUMN "ROOT"."hx_car_use"."car_status" IS '车辆状态';

CREATE UNIQUE INDEX "INDEX26167740331500"
ON "ROOT"."hx_car_log_config"("id");

COMMENT ON COLUMN "ROOT"."hx_car_log_config"."max_total" IS '最大条数';

COMMENT ON COLUMN "ROOT"."hx_car_log_config"."max_day" IS '最大天数';

COMMENT ON COLUMN "ROOT"."hx_car_location_map"."pic" IS '图片地址';

COMMENT ON COLUMN "ROOT"."hx_car_location_map"."x_pixel" IS 'X轴像素';

COMMENT ON COLUMN "ROOT"."hx_car_location_map"."y_pixel" IS 'Y轴像素';

COMMENT ON COLUMN "ROOT"."hx_car_location_map"."scale" IS '比例尺';

CREATE UNIQUE INDEX "INDEX173691208784900"
ON "ROOT"."hx_car_location_log"("id");

COMMENT ON TABLE "ROOT"."hx_car_location_log" IS '汽车位置记录日志';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."id" IS 'ID';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."card_number" IS '卡片编号';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."distance" IS '距离';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."low_voltage" IS '低电压(1->是，0->否)';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."read_id" IS '阅读器Id';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."read_name" IS '读卡器名称';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."north_angle" IS '与正北夹角';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."car_abscissa" IS '汽车横坐标';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."car_ordinate" IS '汽车纵坐标';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."car_id" IS '车牌号';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."driver_name" IS '驾驶人姓名';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."driver_phone" IS '驾驶人手机号';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."status" IS '进or出(1->进，0->出)';

COMMENT ON COLUMN "ROOT"."hx_car_location_log"."create_time" IS '录入时间';

COMMENT ON COLUMN "ROOT"."hx_car_location_config"."upload_interval" IS '上传间隔(整数秒)';

CREATE UNIQUE INDEX "INDEX158554820482600"
ON "ROOT"."hx_car_location"("id");

COMMENT ON COLUMN "ROOT"."hx_car_location"."id" IS 'ID';

COMMENT ON COLUMN "ROOT"."hx_car_location"."car_id" IS '车牌号';

COMMENT ON COLUMN "ROOT"."hx_car_location"."car_model" IS '车子型号';

COMMENT ON COLUMN "ROOT"."hx_car_location"."car_pic" IS '车子图片';

COMMENT ON COLUMN "ROOT"."hx_car_location"."driver_name" IS '驾驶人姓名';

COMMENT ON COLUMN "ROOT"."hx_car_location"."driver_phone" IS '驾驶人手机号';

COMMENT ON COLUMN "ROOT"."hx_car_location"."location_card_num" IS '车辆定位卡编号';

COMMENT ON COLUMN "ROOT"."hx_car_location"."location_card_number" IS '车辆定位卡去0编号(前端用不到)';

COMMENT ON COLUMN "ROOT"."hx_car_location"."create_time" IS '创建时间';

CREATE UNIQUE INDEX "INDEX22281468781400"
ON "ROOT"."hx_business_responsibility"("id");

COMMENT ON COLUMN "ROOT"."hx_business_responsibility"."month" IS '月份';

COMMENT ON COLUMN "ROOT"."hx_business_responsibility"."indicator_name" IS '指标名称';

COMMENT ON COLUMN "ROOT"."hx_business_responsibility"."completed_tasks" IS '已完成数量';

CREATE UNIQUE INDEX "INDEX614570692670900"
ON "ROOT"."hx_big_pic"("id");

COMMENT ON COLUMN "ROOT"."hx_big_pic"."type" IS '1=危险点图，2=工房图';

CREATE UNIQUE INDEX "INDEX9419544619700"
ON "ROOT"."hx_annual_target"("id");

COMMENT ON COLUMN "ROOT"."hx_annual_target"."target_income" IS '目标收入';

COMMENT ON COLUMN "ROOT"."hx_annual_target"."completed_income" IS '已完成收入';

COMMENT ON COLUMN "ROOT"."hx_annual_target"."target_profit" IS '目标利润';

COMMENT ON COLUMN "ROOT"."hx_annual_target"."completed_profit" IS '已完成利润';

COMMENT ON COLUMN "ROOT"."hx_annual_target"."target_charge_quantity" IS '目标装药量';

COMMENT ON COLUMN "ROOT"."hx_annual_target"."completed_charge_quantity" IS '已完成装药量';

COMMENT ON COLUMN "ROOT"."hx_annual_target"."target_delivery_quantity" IS '目标交付数量';

COMMENT ON COLUMN "ROOT"."hx_annual_target"."completed_delivery_quantity" IS '已完成交付数量';

COMMENT ON COLUMN "ROOT"."hx_annual_target"."year" IS '年份';

COMMENT ON COLUMN "ROOT"."hx_annual_target"."big_pic" IS '中间大图';

COMMENT ON TABLE "ROOT"."hidden danger_fix_base" IS '安全隐患整改基础表';

CREATE UNIQUE INDEX "INDEX97342669324700"
ON "ROOT"."exception_log"("exception_id");

COMMENT ON COLUMN "ROOT"."exception_log"."exception_reason" IS '异常原因';

COMMENT ON COLUMN "ROOT"."exception_log"."detail_info" IS '堆栈信息';

COMMENT ON TABLE "ROOT"."danger_work_base" IS '危险作业基础表';

COMMENT ON COLUMN "ROOT"."danger_work_base"."id" IS '主键';

COMMENT ON COLUMN "ROOT"."danger_work_base"."start_date" IS '开始时间';

COMMENT ON COLUMN "ROOT"."danger_work_base"."end_date" IS '结束时间';

COMMENT ON COLUMN "ROOT"."danger_work_base"."dept_name" IS '单位名称';

COMMENT ON COLUMN "ROOT"."danger_work_base"."work_address" IS '作业地点';

COMMENT ON COLUMN "ROOT"."danger_work_base"."worker_total" IS '作业人数';

COMMENT ON COLUMN "ROOT"."danger_work_base"."work_content" IS '作业内容';

COMMENT ON COLUMN "ROOT"."danger_work_base"."remark" IS '备注';

COMMENT ON TABLE "ROOT"."business_responsibility_base" IS '经营责任书基础表';

COMMENT ON TABLE "ROOT"."actual_production_base" IS 'ʵ�����������';

COMMENT ON TABLE "ROOT"."Informatization_work_plan_base" IS '信息化工作计划及完成情况表';

